-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids01 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1947 UC",
"Sol/1981 YC",
-- "Sol/1938 YG", --*
-- "Sol/1975 RA", --*
-- "Sol/1938 ED1", --*
"Sol/1924 QN",
"Sol/1986 RL2",
"Sol/1986 RC2",
"Sol/1996 VO4",
"Sol/1988 ND",
"Sol/1957 VA",
"Sol/1973 UX5",
"Sol/1938 FL",
"Sol/1976 HY",
"Sol/1905 BA",
"Sol/1942 EO",
"Sol/1915 XQ",
"Sol/1914 UK",
"Sol/1998 CC",
"Sol/1900 FA",
"Sol/1998 XJ94",
"Sol/1948 EK",
"Sol/1989 US",
"Sol/2004 TU18",
"Sol/1980 TD4",
"Sol/1916 S33",
"Sol/1930 SB",
"Sol/1915 WP",
"Sol/1893 B",
"Sol/254 Augusta",
"Sol/1982 FH",
"Sol/1973 SM2",
"Sol/1916 ZA",
"Sol/1926 VG",
"Sol/1902 KH",
"Sol/1892 J",
"Sol/1927 WA",
"Sol/8 Flora",
"Sol/228 Agathe",
"Sol/9103 P-L",
"Sol/1912 PZ",
"Sol/43 Ariadne",
"Sol/1963 RC",
"Sol/1916 S45",
"Sol/1898 EC",
"Sol/1983 VC7",
"Sol/1942 EM",
"Sol/1932 CJ",
--"Sol/Tama System",
"Sol/1998 RS2",
"Sol/1930 RB",
"Sol/1899 EF",
"Sol/1918 ES",
"Sol/1929 TP",
"Sol/1920 HM",
"Sol/1904 ON",
"Sol/1986 UE",
"Sol/1893 AA",
"Sol/1925 BB",
"Sol/1893 T",
"Sol/1913 TE",
"Sol/1916 ZG",
"Sol/1954 UJ3",
"Sol/1987 RJ",
"Sol/1924 EE",
"Sol/1915 YR",
"Sol/1972 JZ",
"Sol/1937 EA",
"Sol/1932 VB",
"Sol/1921 KV",
"Sol/1938 UA",
"Sol/1982 UT5",
"Sol/1916 ZL",
"Sol/1943 EE",
"Sol/1986 QN3",
"Sol/1935 UD",
"Sol/1939 UG",
"Sol/1918 b",
"Sol/1916 S26",
"Sol/1929 RC",
"Sol/1910 KE",
"Sol/1926 TM",
"Sol/1924 QD",
"Sol/1933 NA",
"Sol/1937 GA",
"Sol/1904 PP",
"Sol/1971 TC2",
"Sol/1938 FB",
"Sol/1938 UQ",
"Sol/1950 BH",
"Sol/1930 YE",
"Sol/1941 CD",
"Sol/1979 XG",
"Sol/1936 UC",
"Sol/1927 UE",
-- "Sol/1982 BG1", --*
"Sol/1909 HE",
"Sol/1952 DB",
"Sol/1986 NF1",
"Sol/1949 PH",
"Sol/1976 UF1",
"Sol/1926 PE",
"Sol/1990 UF3",
"Sol/1996 BS2",
"Sol/1903 RG",
"Sol/1906 UR",
"Sol/1917 SH",
"Sol/1940 GG",
"Sol/1934 RB",
"Sol/1938 BA",
"Sol/1935 QP",
"Sol/1936 PF",
"Sol/1892 D",
"Sol/1936 RE",
"Sol/1987 UM1",
"Sol/1905 RD",
"Sol/1972 NP",
"Sol/1979 TH",
"Sol/1983 UG",
"Sol/1973 QD1",
"Sol/1990 DM1",
"Sol/1982 DD2",
"Sol/1980 FN1",
"Sol/1981 DE1",
"Sol/1927 EA",
"Sol/1976 WD",
"Sol/1999 VA25",
"Sol/1927 TK",
"Sol/1950 XU",
"Sol/1949 WA",
"Sol/1930 AA",
"Sol/1929 AC",
"Sol/1999 RA44",
"Sol/1993 SK16",
"Sol/1932 CL1",
"Sol/1918 DV",
"Sol/1950 SH",
"Sol/317 Roxanene",
"Sol/1950 HT",
"Sol/1983 AK",
"Sol/1893 AM",
"Sol/1935 CV",
"Sol/1991 YH",
"Sol/1924 SS",
"Sol/1990 KB1",
"Sol/1929 RF",
"Sol/1954 UQ2",
"Sol/1971 OG",
"Sol/18 Melpomene",
"Sol/1933 SC",
"Sol/80 Sappho",
"Sol/1908 BM",
"Sol/1975 XQ",
"Sol/1941 SL1",
"Sol/1927 SD",
"Sol/1934 FG",
"Sol/1897 DK",
"Sol/1916 S28",
"Sol/1979 SF2",
"Sol/1988 BO2",
"Sol/1925 XA",
"Sol/1909 HJ",
"Sol/1899 OD",
"Sol/1972 SA",
"Sol/1976 WC1",
"Sol/1999 AY22",
"Sol/1892 O",
"Sol/2001 RD84",
"Sol/1913 RM",
"Sol/1983 WN",
"Sol/1990 TG3",
"Sol/261 Prymno",
"Sol/1950 CA",
"Sol/12 Victoria",
"Sol/4153 P-L",
"Sol/290 Bruna",
"Sol/1982 HV",
"Sol/6553 P-L",
"Sol/1955 RQ",
"Sol/1986 JC",
"Sol/4023 P-L",
"Sol/1972 HW",
"Sol/1914 UL",
"Sol/1932 KE",
"Sol/1988 CF3",
"Sol/1899 EE",
"Sol/1994 CH1",
"Sol/1975 ES",
"Sol/1945 KB",
"Sol/1925 VE",
"Sol/1994 PS",
"Sol/1989 WD",
"Sol/1998 TA18",
"Sol/1987 DE",
"Sol/1946 QB",
"Sol/1936 LB",
"Sol/287 Nephthys",
"Sol/1902 JB",
"Sol/1979 OB15",
"Sol/1999 XT45",
-- add 3029
"Sol/1982 SM2",

        }
}