-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids02 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1972 AC",
"Sol/1994 UF1",
"Sol/219 Thusnelda",
"Sol/1931 TJ1",
"Sol/306 Unitas",
"Sol/1933 FC2",
"Sol/1939 FB",
"Sol/1979 SD7",
"Sol/284 Amalia",
"Sol/1940 QC",
"Sol/1974 VJ3",
"Sol/4 Vesta",
"Sol/1954 FD",
"Sol/1916 S27",
"Sol/1969 VC",
"Sol/1977 VC",
"Sol/1983 OD",
"Sol/1935 PA",
"Sol/1991 RB4",
"Sol/1992 EM1",
"Sol/1949 HC1",
"Sol/1981 EN",
"Sol/1948 JK",
"Sol/1989 SQ",
"Sol/1915 S1",
"Sol/1998 RU76",
"Sol/1957 OT",
"Sol/1988 EK1",
"Sol/1998 BR1",
"Sol/1977 DL3",
"Sol/1927 CH",
"Sol/1985 FL",
"Sol/1979 QL8",
"Sol/1897 DO",
"Sol/1949 UA",
"Sol/1939 MB",
"Sol/1921 JP",
"Sol/1980 PS",
"Sol/1908 EJ",
"Sol/1941 UK",
"Sol/1938 DF",
"Sol/105 Artemis",
"Sol/1950 HH",
"Sol/1906 SY",
"Sol/1976 YJ3",
"Sol/1986 JH",
"Sol/1936 DB",
"Sol/313 Chaldaea",
"Sol/1905 PS",
"Sol/1931 TN3",
"Sol/1927 CR",
"Sol/1981 YE",
"Sol/1938 KA",
"Sol/1977 SA1",
"Sol/1973 PB",
"Sol/1973 YA",
"Sol/1929 RD",
"Sol/172 Baucis",
"Sol/115 Thyra",
"Sol/1925 QA",
"Sol/1989 EB",
"Sol/1998 WG7",
"Sol/1934 RR",
"Sol/1997 RO4",
"Sol/1961 PF",
"Sol/1937 PG",
"Sol/1915 S4",
"Sol/1952 RH",
"Sol/1949 WG",
"Sol/1903 LC",
"Sol/1930 DC",
"Sol/1892 E",
"Sol/1998 QJ54",
"Sol/1963 SQ",
"Sol/1942 RL1",
"Sol/1998 EK9",
"Sol/1977 EZ",
"Sol/1974 QU2",
"Sol/1972 LD1",
"Sol/7 Iris",
"Sol/1898 DP",
"Sol/1976 DA",
"Sol/1972 XB",
"Sol/1942 BF",
"Sol/1975 BX",
"Sol/1951 KA",
"Sol/1976 QD",
"Sol/60 Echo",
"Sol/1931 UE",
"Sol/1934 LB",
"Sol/1947 NA",
"Sol/273 Atropos",
"Sol/1935 CK",
"Sol/1979 QA10",
"Sol/1938 GK",
"Sol/1991 CO3",
"Sol/1900 FS",
"Sol/1982 BJ13",
"Sol/1956 GC",
"Sol/1939 FM",
"Sol/1983 XX",
"Sol/1935 SP1",
"Sol/1905 RB",
"Sol/1952 SJ",
"Sol/1933 HH",
"Sol/1935 MG",
"Sol/1901 GJ",
"Sol/1929 CK1",
"Sol/1988 EH",
"Sol/20 Massalia",
"Sol/1991 RY21",
"Sol/1981 SF2",
"Sol/1979 MN2",
"Sol/1990 VH1",
"Sol/1892 N",
"Sol/1940 CA",
"Sol/1901 GR",
"Sol/1998 KF2",
"Sol/1948 XS",
"Sol/1999 XF165",
"Sol/1917 BO",
"Sol/1973 QQ1",
"Sol/1933 WE",
"Sol/1954 BH",
"Sol/1994 CL",
"Sol/1978 VD1",
"Sol/1927 QB",
"Sol/1933 QN",
"Sol/1972 RW2",
"Sol/1975 CB",
"Sol/67 Asia",
"Sol/1929 CC",
"Sol/1929 WB",
"Sol/1977 CE",
"Sol/1975 RA2",
"Sol/1994 GE10",
"Sol/1990 TZ",
"Sol/1991 RX2",
"Sol/1947 JB",
"Sol/1943 EB1",
"Sol/1933 FF1",
"Sol/1930 AD",
"Sol/135 Hertha",
"Sol/1929 KA",
"Sol/1938 QB",
"Sol/1931 VX",
"Sol/1939 CJ",
"Sol/1906 TA ",
"Sol/1983 NL",
"Sol/1920 GS",
"Sol/1930 SL",
"Sol/1945 KA",
"Sol/1950 QV",
"Sol/112 Iphigenia",
"Sol/1935 PC",
"Sol/1979 SF11",
"Sol/1973 WF",
"Sol/1937 TG",
"Sol/4011 P-L",
"Sol/21 Lutetia",
"Sol/1948 TR1",
"Sol/1979 TA",
"Sol/118 Peitho",
"Sol/1996 BD1",
"Sol/1983 NU",
"Sol/1988 PA1",
"Sol/1949 YF",
"Sol/1982 UK7",
"Sol/19 Fortuna",
"Sol/1998 FQ72",
"Sol/1905 QN",
"Sol/1939 GM",
"Sol/1913 RG",
"Sol/79 Eurynome",
"Sol/1989 AD",
"Sol/1918 DG",
"Sol/1971 OU",
"Sol/1980 HB",
"Sol/1984 SX",
"Sol/189 Phthia",
"Sol/1995 CH1",
"Sol/1965 SA",
"Sol/1974 DC",
"Sol/138 Tolosa",
"Sol/1898 D",
"Sol/1976 DH",
"Sol/1979 SP13",
"Sol/1901 GD",
"Sol/11 Parthenope",
"Sol/1979 ST9",
"Sol/1912 OR",
"Sol/1952 UZ1",
"Sol/1976 TA",
"Sol/1919 FN",
"Sol/1968 DL",
"Sol/1957 YA1",
"Sol/1935 UA1",
"Sol/1989 AL",
"Sol/1907 XJ",
"Sol/1985 TE1",

        }
}