-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids03 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1921 KZ",
"Sol/1913 RL",
"Sol/1928 BD",
"Sol/1905 PW",
"Sol/1983 RQ4",
"Sol/1930 HD",
"Sol/1959 LO",
"Sol/1979 UD2",
"Sol/1954 SO1",
"Sol/1982 YC1",
"Sol/1991 NX1",
"Sol/1992 UU",
"Sol/900 Rosalinde",
"Sol/1918 EX",
"Sol/4109 P-L",
"Sol/1926 TE",
"Sol/1935 OB",
"Sol/329 Svea",
"Sol/1892 C",
"Sol/1924 PM",
"Sol/1996 XV19",
"Sol/1996 BY2",
"Sol/1902 KG",
"Sol/1915 S7",
"Sol/1972 YR",
"Sol/1950 JB",
"Sol/1982 HG",
"Sol/1935 HD",
"Sol/1935 EY",
"Sol/1983 VW1",
"Sol/1973 UA",
"Sol/1930 GM",
"Sol/1923 NL",
"Sol/1903 MO",
"Sol/1908 CC",
"Sol/1922 LS",
"Sol/1930 MA",
"Sol/1911 LW",
"Sol/1999 CM8",
"Sol/1893 E",
"Sol/1906 TJ",
"Sol/1991 GC1",
"Sol/1914 UQ",
"Sol/1909 JB",
"Sol/1987 PB",
"Sol/1999 SJ2",
"Sol/1924 QM",
"Sol/1934 NR",
"Sol/1955 RS",
"Sol/1918 DZ",
"Sol/1915 WO",
"Sol/1975 XB4",
"Sol/1926 PA",
"Sol/1992 AL",
"Sol/1901 GP",
"Sol/1938 UJ",
"Sol/1926 CB",
"Sol/1999 FJ26",
"Sol/1991 PM11",
"Sol/1998 FB109",
"Sol/1950 RA",
"Sol/1913 RK",
"Sol/1990 XF",
"Sol/1989 GK",
"Sol/1967 JM",
"Sol/1933 BD",
"Sol/1997 BY1",
"Sol/1930 QA",
"Sol/1899 EU",
"Sol/1999 RR113",
"Sol/1917 CF",
"Sol/89 Julia",
"Sol/1906 VT",
"Sol/1929 QA",
"Sol/1908 CW",
"Sol/1958 AC",
"Sol/1966 BO",
"Sol/1898 DU",
"Sol/1983 AH1",
"Sol/1905 RE",
"Sol/29 Amphitrite",
"Sol/1979 ME9",
"Sol/1933 QJ",
"Sol/1989 GT",
"Sol/1907 AU",
"Sol/1984 UQ",
"Sol/1931 TG2",
"Sol/1991 NY",
"Sol/2000 UA105",
"Sol/1961 UA",
"Sol/1979 PA",
"Sol/1895 BW",
"Sol/1935 OK",
"Sol/1983 TT1",
"Sol/134 Sophrosyne",
"Sol/1929 QF",
"Sol/1929 UA",
"Sol/1976 GN3",
"Sol/1911 NM",
"Sol/1951 OA",
"Sol/1984 SC5",
"Sol/1978 PG3",
"Sol/1912 NT",
"Sol/1935 FC",
"Sol/1987 WS3",
"Sol/1892 K",
"Sol/1904 OC",
"Sol/1914 UN",
"Sol/1959 GG",
"Sol/1987 OV",
"Sol/1980 TB5",
"Sol/1931 VW",
"Sol/1951 RB",
"Sol/1911 ND",
"Sol/1969 SE",
"Sol/1907 XO",
"Sol/1909 FS",
"Sol/1983 NN",
"Sol/1938 UT",
"Sol/1991 PM1",
"Sol/1990 UO5",
"Sol/1991 SH1",
"Sol/1924 RO",
"Sol/1895 CE",
"Sol/2000 WB181",
"Sol/1911 LO",
"Sol/13 Egeria",
"Sol/1980 RU",
"Sol/1972 KE",
"Sol/1984 UA",
"Sol/1893 R",
"Sol/1916 ZY",
"Sol/1981 PL",
"Sol/1972 KO",
"Sol/1937 GF",
"Sol/2002 JR70",
"Sol/1979 YQ",
"Sol/101 Helena",
"Sol/1951 NL",
"Sol/1930 HL",
"Sol/1907 XT",
"Sol/1896 CL",
"Sol/1983 RC",
"Sol/1970 PA",
"Sol/1895 BZ",
"Sol/1997 VN3",
"Sol/1909 FY",
"Sol/1988 RN4",
"Sol/1952 TM",
"Sol/1906 VB",
"Sol/1945 RB",
"Sol/1904 PL",
"Sol/1952 SW1",
"Sol/1997 AG14",
"Sol/1909 HF",
"Sol/1976 UM",
"Sol/91 Aegina",
"Sol/1999 CR64",
"Sol/1912 QB",
"Sol/1916 YW",
"Sol/1998 RK33",
"Sol/1974 QS2",
"Sol/1997 WA7",
"Sol/1974 YP",
"Sol/1908 DM",
"Sol/1935 AA",
"Sol/1895 BY",
"Sol/1904 OU",
"Sol/1997 XK10",
"Sol/1921 JV",
"Sol/1896 CV",
"Sol/1948 PU",
"Sol/1896 CW",
"Sol/1991 NU",
"Sol/1892 M",
"Sol/1986 TM1",
"Sol/1991 BE",
"Sol/1907 AA",
"Sol/1904 PA",
"Sol/1949 TH",
"Sol/1992 MC",
"Sol/1934 FF",
"Sol/1990 RB3",
"Sol/1983 TW1",
"Sol/1950 FC",
"Sol/1915 RB",
"Sol/1928 OB",
"Sol/1991 TF7",
"Sol/1991 AW",
"Sol/1991 AW",
"Sol/1915 WQ",
"Sol/1928 SB",
"Sol/1924 QL",
"Sol/2002 JF56",
"Sol/1942 RN",
"Sol/1894 BB",
"Sol/1897 DL",
"Sol/1981 UL",
"Sol/1976 AG",
"Sol/1936 FO",

        }
}