-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids04 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1983 HN",
"Sol/1995 CE2",
"Sol/1976 AF",
"Sol/2000 SR179",
"Sol/1903 LT",
"Sol/1983 UA1",
"Sol/1906 SO",
"Sol/1964 UQ",
"Sol/1943 EC1",
"Sol/1927 UB",
"Sol/1938 DP",
"Sol/1930 ML",
"Sol/1892 Q",
"Sol/1988 LC",
"Sol/1908 BV",
"Sol/1923 NW",
"Sol/1979 KC",
"Sol/1937 GB",
"Sol/1979 KB",
"Sol/1903 LA",
"Sol/1931 XB",
"Sol/1947 BP",
"Sol/1919 GB",
"Sol/1987 UM1",
"Sol/1990 KP",
"Sol/1916 AJ",
"Sol/70 Panopaea",
"Sol/258 Tyche",
"Sol/194 Prokne",
"Sol/1942 XY",
"Sol/1978 QK",
"Sol/1985 DQ",
"Sol/1923 NP",
"Sol/1951 CD2",
"Sol/1913 SJ",
"Sol/1940 RE",
"Sol/78 Diana",
"Sol/1989 LX",
"Sol/1982 FG",
"Sol/1980 PA1",
"Sol/1958 GQ",
"Sol/1962 OB",
"Sol/1970 NB",
"Sol/1900 FM",
"Sol/1919 FT",
"Sol/1938 BG",
"Sol/1907 ZC",
"Sol/1932 OA",
"Sol/1998 FA30",
"Sol/1895 CC",
"Sol/1907 XW",
"Sol/1991 RQ11",
"Sol/1938 XD",
"Sol/1938 CL",
"Sol/1988 PP",
"Sol/1937 RC",
"Sol/1991 LE1",
"Sol/1983 LF",
"Sol/1976 YA6",
"Sol/1989 UG1",
"Sol/1980 MA",
"Sol/1906 TW",
"Sol/1917 CA",
"Sol/1941 VA",
"Sol/1983 VE",
"Sol/1993 BF2",
"Sol/1900 FC",
"Sol/124 Alkeste",
"Sol/1987 ST10",
"Sol/1928 XA",
"Sol/1937 WA",
-- "Sol/1934 DA", --*
"Sol/1906 VR",
"Sol/1987 DD",
"Sol/164 Eva",
"Sol/1921 JB",
"Sol/1914 VH",
"Sol/1981 EO34",
"Sol/1999 GW6",
"Sol/1935 OD",
"Sol/1904 NN",
"Sol/1894 BM",
"Sol/1968 BC",
"Sol/1959 RJ",
"Sol/1938 SW",
"Sol/1974 QU1",
"Sol/1978 QK1",
"Sol/1953 UD",
"Sol/1998 DN20",
"Sol/1929 XC",
"Sol/1928 PC",
"Sol/1998 FT53",
"Sol/1921 LF",
"Sol/1925 WH",
"Sol/1975 DB",
"Sol/15 Eunomia",
"Sol/1901 GL",
"Sol/1936 WE",
"Sol/1943 EP",
"Sol/1983 QG",
"Sol/1933 OP",
"Sol/1947 FO",
"Sol/1949 OL1",
"Sol/1907 XN",
"Sol/1930 ME",
"Sol/1933 HO",
"Sol/1979 FE2",
"Sol/1901 GQ",
"Sol/1893 AE",
"Sol/1996 VP1",
"Sol/1977 LU1",
"Sol/1902 KU",
"Sol/1983 QF",
"Sol/1913 TO",
"Sol/1936 FP",
"Sol/1894 BC",
"Sol/1894 AV",
"Sol/1931 KE",
"Sol/1972 AB",
"Sol/1988 XF",
"Sol/85 Io",
"Sol/1979 HK1",
"Sol/1992 UB3",
"Sol/144 Vibilia",
"Sol/1935 KK",
"Sol/1941 DF",
"Sol/1905 QT",
"Sol/1981 EP42",
"Sol/1900 FG",
"Sol/1916 YU",
"Sol/1940 GO",
"Sol/1939 HH",
"Sol/1915 XV",
"Sol/1950 DP",
"Sol/1932 CB",
"Sol/1906 UM",
"Sol/233 Asterope",
"Sol/1944 FC",
"Sol/1922 MW",
"Sol/1992 HD",
"Sol/1983 AV",
"Sol/1935 FJ",
"Sol/1949 HE1",
"Sol/1914 UB",
"Sol/1925 BC",
"Sol/1929 TA",
"Sol/141 Lumen",
"Sol/1933 FF",
"Sol/1935 UC",
"Sol/1996 BG",
"Sol/240 Vanadis",
"Sol/1998 SK164",
"Sol/1995 CN1",
"Sol/1988 VY1",
"Sol/1981 EH14",
"Sol/1981 AD",
"Sol/1932 CA",
"Sol/218 Bianca",
"Sol/1931 TE2",
"Sol/1998 RA2",
"Sol/1934 NS",
"Sol/1902 HX",
"Sol/1902 HX",
"Sol/1935 ST1",
"Sol/1902 JL",
"Sol/1985 RU3",
"Sol/1911 LJ",
"Sol/1987 DG6",
"Sol/1936 SP",
"Sol/1909 JA",
"Sol/204 Kallisto",
"Sol/1922 MZ",
"Sol/3 Juno",
"Sol/97 Klotho",
"Sol/1906 UB",
"Sol/2000 DR4",
"Sol/1988 KF",
"Sol/1990 SP4",
"Sol/1944 BA",
"Sol/1947 BC",
"Sol/1980 BM",
"Sol/145 Adeona",
"Sol/1998 MD38",
"Sol/1939 DC",
"Sol/1991 AO2",
"Sol/1988 XD2",
"Sol/1978 PQ2",
"Sol/1940 AN",
"Sol/1995 WM6",
"Sol/1990 RV2",
"Sol/1973 WD",
"Sol/1937 AK",
"Sol/2000 SE266",
"Sol/1934 RX",
"Sol/114 Kassandra",
"Sol/1988 JF",
"Sol/201 Penelope",
"Sol/1894 AR",
"Sol/1906 TP",
"Sol/1982 JR1",

-- add 1119
"Sol/2016 P3", -- 343P-NEAT-LONEOS

        }
}