-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids05 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1961 TE",
"Sol/1931 EC",
"Sol/1988 VS3",
"Sol/1932 WG",
"Sol/1924 TL",
"Sol/1998 BL9",
"Sol/1903 MG",
"Sol/1930 QY",
"Sol/1999 WS9",
"Sol/1984 UX2",
"Sol/1902 LL",
"Sol/1979 PB",
"Sol/1981 DK3",
"Sol/1904 PK",
"Sol/7589 P-L",
"Sol/1924 PQ",
"Sol/1987 MA1",
"Sol/1933 UB1",
"Sol/1968 HB",
"Sol/166 Rhodope",
"Sol/1935 YH",
"Sol/324 Bamberga",
"Sol/1928 RJ",
"Sol/1965 JL",
"Sol/1926 CC",
"Sol/1931 RK1",
"Sol/1983 FC",
"Sol/1893 AN",
"Sol/1917 BV",
"Sol/1930 VE",
"Sol/1930 XT",
"Sol/1906 VQ",
"Sol/1939 TA",
"Sol/246 Asporina",
"Sol/1991 BB",
"Sol/1933 DG",
"Sol/123 Brunhild",
"Sol/1939 SC",
"Sol/1949 SW",
"Sol/1909 HH",
"Sol/1982 RE",
"Sol/1998 BE33",
"Sol/109 Felicitas",
"Sol/1987 MK",
"Sol/1933 HA",
"Sol/1931 RK",
"Sol/1983 CW1",
"Sol/1906 TT",
"Sol/1920 GM",
"Sol/1928 XE",
"Sol/1917 BU",
"Sol/1927 CV",
"Sol/1981 RK5",
"Sol/1965 WO",
"Sol/1979 UE",
"Sol/1950 BT",
"Sol/1905 QD",
"Sol/1918 DC",
"Sol/1932 AA",
"Sol/1932 DC",
"Sol/59 Elpis",
"Sol/1977 SU1",
"Sol/1990 PA",
"Sol/1916 ZO",
"Sol/1965 LA",
"Sol/1905 QK",
"Sol/226 Weringia",
"Sol/1988 VQ2",
"Sol/1938 FD",
"Sol/1900 FN",
"Sol/1938 SL1",
"Sol/1921 KU",
"Sol/1984 AP",
"Sol/1950 CY",
"Sol/1913 QT",
"Sol/1936 QA",
-- "Sol/1941 BN", --*
"Sol/1902 LK",
"Sol/1953 EZ1",
"Sol/1903 LF",
"Sol/1901 HJ",
"Sol/1896 CH",
"Sol/1928 DH1",
"Sol/1983 XM1",
"Sol/1942 CH",
"Sol/1904 NR",
"Sol/1992 SU14",
"Sol/1983 EV",
"Sol/1893 AD",
"Sol/1982 SO",
"Sol/1952 HM3",
"Sol/160 Una",
"Sol/1912 PY",
"Sol/1910 KX",
"Sol/1936 FG1",
"Sol/1893 M",
"Sol/1946 LB",
"Sol/1989 CE8",
"Sol/1939 BK",
"Sol/1989 TS",
"Sol/1950 TO4",
"Sol/1983 RV3",
"Sol/1917 BZ",
"Sol/1939 PM",
"Sol/1924 TP",
"Sol/1972 YS1",
"Sol/1938 WB",
"Sol/1948 AL",
"Sol/1986 EL1",
"Sol/1996 PD",
"Sol/1950 SD",
"Sol/1934 GF",
"Sol/1938 US",
"Sol/1932 HL",
"Sol/2000 GL124",
"Sol/1924 RG",
"Sol/1907 ZQ",
"Sol/185 Eunike",
"Sol/203 Pompeja",
"Sol/1955 HZ",
"Sol/2000 CY45",
"Sol/1934 RE1",
"Sol/1913 QR",
"Sol/1894 AZ",
"Sol/1904 NB",
"Sol/1894 BN",
"Sol/1938 HC",
"Sol/1921 W19",
"Sol/1991 HO",
"Sol/1949 QO2",
"Sol/1987 EB",
"Sol/1981 RU",
"Sol/1894 BL",
"Sol/1961 WG",
"Sol/1935 MJ",
"Sol/1904 OL",
"Sol/1935 BA",
"Sol/1994 XT",
"Sol/1947 TA",
"Sol/1943 FE",
"Sol/173 Ino",
"Sol/1972 JM",
"Sol/1992 RG",
"Sol/1982 WF",
"Sol/1905 QM",
"Sol/1920 HK",
"Sol/1901 GY",
"Sol/1938 VC",
"Sol/1893 S",
"Sol/1983 AZ",
"Sol/1892 H",
"Sol/1967 RE",
"Sol/1995 UW8",
"Sol/1992 SW17",
"Sol/1902 HZ",
"Sol/1950 FQ",
"Sol/1901 SB",
"Sol/1914 VE",
"Sol/1937 KB",
"Sol/2517 P-L",
"Sol/1905 QF",
"Sol/1989 VO",
"Sol/1905 RZ",
"Sol/1921 JD",
"Sol/1952 HW1",
"Sol/1949 PK",
"Sol/1950 TE3",
-- "Sol/1949 QN2", --*
"Sol/127 Johanna",
"Sol/1930 UN",
"Sol/1951 YO",
"Sol/1959 XF",
"Sol/1926 VH",
"Sol/1933 UR",
"Sol/1983 JM",
"Sol/1998 MZ1",
"Sol/71 Niobe",
"Sol/1974 VQ2",
"Sol/1986 UM1",
"Sol/1967 DB",
"Sol/1893 G",
"Sol/1976 GX2",
"Sol/55 Pandora",
"Sol/1988 QD1",
-- "Sol/1949 TG", --*
"Sol/1912 OD",
"Sol/1955 MO",
"Sol/1960 WK1",
"Sol/1896 CK",
"Sol/310 Margarita",
"Sol/237 Coelestina",
"Sol/1976 UV5",
"Sol/1979 US",
"Sol/1906 UC",
"Sol/1948 WQ",
"Sol/1894 BH",
"Sol/1990 BQ1",
"Sol/1979 YN8",
"Sol/1936 WC",
"Sol/1977 DF2",

        }
}