-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids06 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1987 QO9",
"Sol/1952 BB",
"Sol/1980 PG",
"Sol/1954 UC3",
"Sol/2006 SV23",
"Sol/215 Oenone",
"Sol/1911 LX",
"Sol/1892 V",
"Sol/1935 QK",
"Sol/88 Thisbe",
"Sol/1951 LA",
"Sol/1934 EA",
"Sol/1970 OG",
"Sol/1939 CK",
"Sol/1986 WT4",
"Sol/39 Laetitia",
"Sol/1899 EL",
"Sol/1937 UA",
"Sol/1932 CB1",
"Sol/1982 KB1",
"Sol/1984 QN",
"Sol/1941 UW",
"Sol/1929 YC",
"Sol/1908 DU",
"Sol/1962 GE",
"Sol/1998 XO28",
"Sol/2 Pallas",
"Sol/148 Gallia",
"Sol/2000 CG2",
"Sol/1948 AD",
"Sol/1904 NY",
"Sol/332 Siri",
"Sol/1918 EQ",
"Sol/1984 DU",
"Sol/1904 PB",
"Sol/1896 DF",
"Sol/1980 TL13",
"Sol/1906 UJ",
"Sol/1999 TH251",
"Sol/1934 JN",
"Sol/1951 CC2",
"Sol/1965 GC",
"Sol/1995 KH2",
"Sol/1993 KG",
"Sol/1928 TJ",
"Sol/1935 CE",
"Sol/1981 SJ1",
"Sol/205 Martha",
"Sol/1894 BG",
"Sol/1944 FE",
"Sol/74 Galatea",
"Sol/1929 WG",
"Sol/1893 AK",
"Sol/1893 AP",
"Sol/1975 TW3",
"Sol/1994 WC2",
"Sol/1954 ER",
"Sol/322 Phaeo",
"Sol/139 Juewa",
"Sol/68 Leto",
"Sol/1934 RT",
"Sol/1978 VE5",
"Sol/1941 UO",
"Sol/1981 UW21",
"Sol/1977 RL6",
"Sol/1954 RJ",
"Sol/1934 CL",
"Sol/1984 UT",
"Sol/1974 SN",
"Sol/312 Pierretta",
"Sol/1937 CE",
"Sol/1981 EZ10",
"Sol/1894 BK",
"Sol/1940 YL",
"Sol/1988 EM",
"Sol/1915 XX",
"Sol/1988 AC",
"Sol/2005 P-L",
"Sol/1999 FX32",
"Sol/1997 EW47",
"Sol/1979 KL",
"Sol/4010 P-L",
"Sol/1986 SE",
"Sol/1923 OB",
"Sol/1936 QD",
"Sol/1921 JT",
"Sol/1899 ER",
"Sol/1904 NW",
"Sol/1929 EB",
"Sol/1900 FH",
"Sol/1981 UH",
"Sol/1976 QM1",
"Sol/1935 FK",
"Sol/1953 XL1",
"Sol/1964 VP1",
"Sol/1903 MP",
"Sol/1948 CG",
"Sol/1896 CS",
"Sol/1933 OE",
"Sol/1984 CN",
"Sol/1966 DH",
"Sol/1975 BU",
"Sol/1907 YJ",
"Sol/1916 ZH",
"Sol/1913 QV",
"Sol/1896 CO",
"Sol/1908 DO",
"Sol/1964 VX2",
"Sol/295 Theresia",
"Sol/2000 KT6",
"Sol/1907 ZD",
"Sol/1969 DA",
"Sol/1989 RB2",
"Sol/1935 LA",
-- "Sol/216 Kleopatra", --*
"Sol/1932 LA",
"Sol/1892 P",
"Sol/1982 FE3",
"Sol/1917 BD",
"Sol/264 Libussa",
"Sol/1983 XH1",
"Sol/1930 KK",
"Sol/1893 A",
"Sol/1986 RD1",
"Sol/1896 CT",
"Sol/1988 XG2",
"Sol/1986 AD1",
"Sol/1901 FV",
"Sol/1918 EU",
"Sol/1908 DR",
"Sol/1924 RE",
"Sol/1922 MH",
"Sol/1893 V",
"Sol/1917 BF",
"Sol/9522 P-L",
"Sol/266 Aline",
"Sol/1924 RT",
"Sol/1989 CL3",
"Sol/1983 WG",
"Sol/1989 BT",
"Sol/1898 ED",
"Sol/1895 BX",
"Sol/1916 a",
"Sol/1937 NO",
"Sol/1911 MD",
"Sol/1904 OO",
"Sol/1908 EA",
"Sol/1974 SN1",
"Sol/1924 QW",
"Sol/1993 UW2",
"Sol/1922 LT",
"Sol/1940 WA",
"Sol/1915 WT",
"Sol/1897 DM",
"Sol/1986 RG1",
"Sol/1978 US1",
"Sol/1978 SV7",
"Sol/1933 QC",
"Sol/1981 RW2",
"Sol/1995 WB7",
"Sol/1979 YM8",
"Sol/1938 WK",
"Sol/1934 RW",
"Sol/1894 AX",
"Sol/167 Urda",
"Sol/1978 NN1",
"Sol/1908 BW",
"Sol/1998 SE132",
"Sol/1906 VC",
"Sol/1983 RE3",
"Sol/1992 QH",
"Sol/1953 EE",
"Sol/1936 QR",
"Sol/1948 NE",
"Sol/1934 TA",
"Sol/1924 QW",
"Sol/1913 TV",
"Sol/1999 HR2",
"Sol/1973 SL2",
"Sol/1918 DQ",
"Sol/1933 QR",
"Sol/1934 EE",
"Sol/174 Phaedra",
"Sol/1965 QC",
"Sol/293 Brasilia",
"Sol/1989 RE",
"Sol/242 Kriemhild",
"Sol/1919 FR",
-- "Sol/1988 DB1", --*
"Sol/1997 AE4",
"Sol/1921 KW",
"Sol/1024 Hale",
"Sol/1993 XG",
"Sol/1933 HG",
"Sol/1935 SS1",
"Sol/1938 FE",
"Sol/1916 AB",
"Sol/1910 JX",
"Sol/1990 FV",
"Sol/1931 TG",
--add 3029
"Sol/7210 Darius",

        }
}