-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids07 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/129 Antigone",
"Sol/1948 NF",
"Sol/1955 HA1",
"Sol/217 Eudora",
"Sol/1932 CD",
"Sol/1998 VJ5",
"Sol/1900 FQ",
"Sol/1938 DA1",
"Sol/1932 WA",
"Sol/1949 HF1",
"Sol/1988 BK",
"Sol/1980 VR1",
"Sol/1927 AD",
"Sol/1949 QB2",
"Sol/1893 K",
"Sol/1948 EU",
"Sol/2528 P-L",
"Sol/1910 JO",
"Sol/1934 GY",
"Sol/1983 VP1",
"Sol/1894 BF",
"Sol/1904 OA",
"Sol/1905 QS",
"Sol/1959 RS",
"Sol/4583 P-L",
"Sol/277 Elvira",
"Sol/1950 XV",
"Sol/1911 MW",
"Sol/1931 LD",
"Sol/1991 AC",
"Sol/1979 UA2",
"Sol/1896 DC",
"Sol/1931 TA",
"Sol/1935 CY",
"Sol/1901 GN",
"Sol/1924 RK",
"Sol/1897 DH",
"Sol/1951 EV",
"Sol/1972 RL2",
"Sol/2000 FO25",
"Sol/208 Lacrimosa",
"Sol/1984 CA1",
"Sol/1932 KF",
"Sol/1931 CA",
"Sol/1934 RO",
"Sol/1925 QB",
"Sol/1949 YP",
"Sol/1993 TH13",
"Sol/1999 RU208",
"Sol/1964 UA",
"Sol/1894 AY",
"Sol/1927 YA",
"Sol/1916 AH",
"Sol/1929 PF",
"Sol/1907 XS",
"Sol/1924 PN",
"Sol/1977 QD1",
"Sol/1905 QB",
"Sol/1947 HA",
"Sol/1904 OQ",
"Sol/1907 XP",
"Sol/1950 EA",
"Sol/1978 RZ",
"Sol/1957 LM",
"Sol/1934 RA1",
"Sol/1918 EB",
-- "Sol/22 Kalliope", --*
"Sol/1892 F",
"Sol/1931 EB",
"Sol/1929 XA",
"Sol/1934 OB",
"Sol/1946 KC",
"Sol/1911 LK",
"Sol/1983 AS2",
"Sol/1976 KV",
"Sol/1895 CB",
"Sol/1988 KG",
"Sol/1988 VV1",
"Sol/1921 JX",
"Sol/1906 VP",
"Sol/1971 QU",
"Sol/1925 WD",
"Sol/1929 GD",
"Sol/1892 T",
"Sol/16 Psyche",
"Sol/1908 EP",
"Sol/1910 KV",
"Sol/1978 RZ5",
"Sol/1928 TB",
"Sol/1919 FB",
"Sol/1906 UA",
"Sol/1962 UJ",
"Sol/1990 DS",
"Sol/1947 RG",
"Sol/1931 XA",
"Sol/1979 SS11",
"Sol/2011 P-L",
"Sol/1981 XK2",
"Sol/1930 SG",
"Sol/1987 KE1",
"Sol/1923 PF",
"Sol/1914 TY",
"Sol/1896 CJ",
"Sol/1967 JN",
"Sol/1919 GC",
"Sol/845 Naema",
"Sol/1980 TK5",
"Sol/1934 JH",
"Sol/1943 EO",
"Sol/1953 FK1",
"Sol/280 Philia",
"Sol/1909 HN",
"Sol/1901 FY",
"Sol/1909 FR",
"Sol/1982 BB1",
"Sol/4097 P-L",
"Sol/1904 PM",
"Sol/1992 SU",
"Sol/1955 MK1",
"Sol/1904 ND",
"Sol/1892 R",
"Sol/1897 DJ",
"Sol/179 Klytaemnestra",
"Sol/1999 XK169",
"Sol/1979 SL11",
"Sol/1981 WA",
"Sol/1932 CM1",
"Sol/1904 NZ",
"Sol/1906 VL",
"Sol/1978 TA7",
"Sol/1983 AE1",
"Sol/1996 BW1",
"Sol/2002 JR70",
"Sol/1985 UT",
"Sol/1999 RC35",
"Sol/1953 RL1",
"Sol/1920 GN",
"Sol/1905 RF",
"Sol/1997 AR16",
"Sol/1902 JV",
"Sol/1970 PE",
"Sol/1999 OB3",
"Sol/1906 UT",
"Sol/1916 S61",
"Sol/1899 ES",
"Sol/1907 BF",
"Sol/117 Lomia",
"Sol/1933 QF",
"Sol/1912 OQ",
"Sol/1977 LJ",
"Sol/1934 JG",
"Sol/1980 XM",
"Sol/1948 DC",
"Sol/1935 FF",
"Sol/1918 EO",
"Sol/1927 CO",
"Sol/1911 NB",
"Sol/1959 OB",
"Sol/1955 RC1",
"Sol/1952 HA",
"Sol/1902 HT",
"Sol/1900 FK",
"Sol/1992 LD2",
"Sol/1951 VJ",
"Sol/1906 UU",
"Sol/1913 TR",
"Sol/1916 S24",
"Sol/1933 FE",
"Sol/1913 QZ",
"Sol/1974 SY4",
"Sol/1906 TO",
"Sol/1929 BD",
"Sol/1893 N",
"Sol/1921 JK",
"Sol/1921 JK",
"Sol/1939 VO",
"Sol/1894 BA",
"Sol/1938 SM",
"Sol/1916 YV",
"Sol/271 Penthesilea",
"Sol/1903 MV",
"Sol/1927 DD",
"Sol/1980 DB1",
"Sol/1924 SM",
"Sol/1925 TD",
"Sol/1976 UN",
"Sol/4645 P-L",
"Sol/1937 AM",
"Sol/1992 UV",
"Sol/1985 RB1",
"Sol/1985 HB",
"Sol/2000 TR",
"Sol/1990 DV1",
"Sol/1994 XH1",
"Sol/1973 FF1",
"Sol/1929 AB",
"Sol/1933 QL",
"Sol/1935 CU",
"Sol/1998 FC111",
"Sol/1938 DE1",


        }
}