-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids08 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1931 LB",
"Sol/1980 LD",
"Sol/221 Eos",
"Sol/1914 TX",
"Sol/1917 CH",
"Sol/1980 DZ",
"Sol/1976 UD",
"Sol/1908 DQ",
"Sol/1965 MA",
"Sol/1926 TN",
"Sol/1936 GA",
"Sol/1913 QU",
"Sol/1923 OG",
"Sol/1905 SD",
"Sol/1977 EC1",
"Sol/1971 QX1",
"Sol/1939 BD",
"Sol/1976 VA",
"Sol/1943 EY",
"Sol/1991 NT1",
"Sol/1966 TJ",
"Sol/1936 FX",
"Sol/1941 HF",
"Sol/1926 SC",
"Sol/1927 RD",
"Sol/1933 RA",
"Sol/1941 HO",
"Sol/1988 SO1",
"Sol/1905 RC",
"Sol/1931 UF",
"Sol/1929 NA",
"Sol/1904 NT",
"Sol/1974 OS",
"Sol/1907 BK",
"Sol/1910 KN",
"Sol/1984 SA5",
"Sol/1903 LY",
"Sol/1938 UC1",
"Sol/1909 JG",
"Sol/1980 RZ2",
"Sol/1938 DR",
"Sol/1914 VT",
"Sol/1899 EV",
"Sol/1931 TL",
"Sol/1915 WY",
"Sol/1931 VB1",
"Sol/1901 GU",
"Sol/1955 GA",
"Sol/1969 LG",
"Sol/1978 UW1",
"Sol/1908 CL",
"Sol/1936 FD1",
"Sol/1986 VD",
"Sol/1936 MG",
"Sol/1907 ZM",
"Sol/1935 SS",
"Sol/1931 EM",
"Sol/1892 G",
"Sol/1983 JA",
"Sol/1988 KJ",
"Sol/1935 OJ",
"Sol/1937 EC",
"Sol/1978 TA2",
"Sol/162 Laurentia",
"Sol/1905 QH",
"Sol/1980 PP",
"Sol/1980 PV",
"Sol/1931 RF",
"Sol/1977 PA1",
"Sol/1983 AO",
"Sol/1934 XB",
"Sol/1978 UV1",
"Sol/1929 PL",
"Sol/1934 CB1",
"Sol/1937 CD",
"Sol/1979 XO",
"Sol/1937 AL",
"Sol/1952 SP1",
"Sol/1906 VD",
"Sol/1980 LB1",
"Sol/1936 FR",
"Sol/1930 UC",
"Sol/1907 AN",
"Sol/1982 UR7",
"Sol/1982 XC",
"Sol/1929 PH",
"Sol/1931 VT",
"Sol/1913 SW",
"Sol/1907 ZT",
"Sol/1918 DK",
"Sol/1976 JF2",
"Sol/1928 PE",
"Sol/1988 TG1",
"Sol/1983 YH",
"Sol/1949 CM",
"Sol/1950 OE",
"Sol/1933 QH",
"Sol/1931 FH",
"Sol/1926 GS",
"Sol/1989 WD1",
"Sol/1933 GB",
"Sol/1933 GB",
"Sol/1981 GF1",
"Sol/1952 DA",
"Sol/1977 TA1",
"Sol/1978 QE",
"Sol/1913 QO",
"Sol/1938 DG1",
"Sol/1948 VB",
"Sol/1978 VG3",
"Sol/1994 OC",
"Sol/1977 EO1",
"Sol/1980 VJ1",
"Sol/1940 QB",
"Sol/1974 OD",
"Sol/1903 LN",
"Sol/1979 QE",
"Sol/211 Isolda",
"Sol/1986 TP6",
"Sol/2000 AB175",
"Sol/1906 TC",
"Sol/1979 FA3",
"Sol/1975 AK",
"Sol/1913 TW",
"Sol/1941 FS",
"Sol/1929 JF",
"Sol/1907 ZN",
-- "Sol/1980 FJ12", --*
"Sol/1994 AF3",
"Sol/274 Philagoria",
"Sol/1903 MB",
"Sol/1941 WA",
"Sol/1924 RR",
"Sol/1997 FO",
"Sol/1968 OG",
"Sol/1940 QA",
"Sol/1957 HJ",
"Sol/1918 DS",
"Sol/1989 EQ",
"Sol/1913 QS",
"Sol/1981 TP1",
"Sol/1953 US",
"Sol/1983 TR2",
"Sol/96 Aegle",
"Sol/1986 RA3",
"Sol/1999 NA26",
"Sol/1895 BP",
"Sol/1911 MS",
"Sol/1922 LK",
"Sol/1998 HN95",
"Sol/1976 SZ6",
"Sol/1904 OT",
"Sol/1910 KU",
"Sol/1999 XU11",
"Sol/1983 CQ2",
"Sol/1967 RM",
"Sol/1933 OJ",
"Sol/1899 EY",
"Sol/1909 FN",
"Sol/1936 HO",
"Sol/1972 RQ1",
"Sol/1975 CA",
"Sol/1966 PH",
"Sol/1991 PS6",
"Sol/1978 WU14",
"Sol/95 Arethusa",
"Sol/1931 RH",
"Sol/1917 BS",
"Sol/1903 LR",
"Sol/1957 XE",
"Sol/1970 OH",
"Sol/2000 AD127",
"Sol/1896 DB",
"Sol/1934 AA",
"Sol/1928 VA",
"Sol/1908 DG",
"Sol/1922 MD",
"Sol/1935 BL",
"Sol/1936 QO",
"Sol/1973 QD2",
"Sol/1994 XF",
"Sol/2000 AO100",
"Sol/1925 FA",
"Sol/1999 ND49",
"Sol/1940 GH",
"Sol/1999 KF4",
"Sol/1934 RV",
"Sol/1934 RQ",
"Sol/1981 CA",
"Sol/1935 QA",
"Sol/1983 TS1",
"Sol/1977 TS3",
"Sol/1893 AB",
"Sol/1933 OD",
"Sol/1992 DK",
"Sol/1983 VH1",
"Sol/1951 AC1",
"Sol/1904 OG",
"Sol/1981 TW",
"Sol/1948 PK",
--add3029
"Sol/2006 VW139",

        }
}