-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids10 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1987 ST1",
"Sol/1971 SP3",
"Sol/1947 BA",
"Sol/1932 JA",
"Sol/1977 QX2",
"Sol/1947 LD",
"Sol/1978 QP1",
"Sol/1916 ZB",
"Sol/1931 XD",
-- "Sol/1894 AQ", --*
"Sol/1948 PC",
"Sol/1905 QP",
"Sol/147 Protogeneia",
"Sol/1981 WZ",
"Sol/1933 FB",
"Sol/1938 WC",
"Sol/152 Atala",
"Sol/1907 XU",
"Sol/1970 GD",
"Sol/10 Hygiea",
"Sol/1990 UB1",
"Sol/1948 RJ1",
"Sol/1922 MR",
"Sol/1991 CA2",
"Sol/1999 RC198",
"Sol/1917 B",
"Sol/1931 TN",
"Sol/1987 SZ6",
"Sol/4120 P-L",
"Sol/1999 CK47",
"Sol/1960 FL",
"Sol/1897 DN",
"Sol/1922 NB",
"Sol/1911 MJ",
"Sol/1938 TB",
"Sol/1922 MT",
"Sol/1906 UN",
"Sol/1987 RX3",
"Sol/1907 ZS",
"Sol/1998 RE",
"Sol/1977 EN1",
"Sol/1934 RS",
"Sol/1894 AU",
"Sol/1932 NC",
"Sol/6766 P-L",
"Sol/1950 FJ",
"Sol/1972 HP",
"Sol/1936 YA",
"Sol/2000 EE36",
"Sol/1937 VA",
"Sol/1994 RC1",
"Sol/1931 VD",
"Sol/1930 OB",
"Sol/2000 GF48",
"Sol/1908 DK",
"Sol/1989 UD",
"Sol/1974 SU4",
"Sol/1948 SA",
"Sol/1999 RR2",
"Sol/1924 SW",
"Sol/250 Bettina",
"Sol/209 Dido",
"Sol/1982 RU",
"Sol/1909 GW",
"Sol/1909 HZ",
"Sol/1978 TO7",
"Sol/1938 CA",
"Sol/1950 GB",
"Sol/1926 AG",
"Sol/1984 HE1",
"Sol/1986 TL",
"Sol/1991 PA1",
"Sol/1948 PA",
"Sol/1999 XA160",
"Sol/222 Lucia",
"Sol/1912 NY",
"Sol/1994 RU1",
"Sol/1953 TD3",
"Sol/1906 TK",
"Sol/1977 FN1",
"Sol/1983 CF1",
"Sol/1951 OE",
"Sol/1984 FG",
"Sol/1983 NK",
"Sol/1920 HQ",
"Sol/1978 YA",
"Sol/1893 J",
"Sol/1893 AH",
"Sol/1983 HB1",
"Sol/1923 OU",
"Sol/1913 SL",
"Sol/1893 W",
--"Sol/Antiope System",
"Sol/1908 BU",
"Sol/1980 FR1",
"Sol/2556 P-L",
"Sol/1940 WL",
"Sol/1904 PO",
"Sol/1995 DK1",
"Sol/1979 SL9",
"Sol/1975 LU",
"Sol/1989 QE",
"Sol/1912 PH",
"Sol/1938 AE",
"Sol/1959 NT",
"Sol/1902 JM",
"Sol/1965 YN",
"Sol/1921 KT",
"Sol/1950 LY",
"Sol/1917 CC",
"Sol/1930 QC",
"Sol/1994 NO",
"Sol/1935 EA",
"Sol/1916 YT",
"Sol/1971 SK2",
"Sol/1974 OK1",
"Sol/2523 P-L",
"Sol/1977 SS2",
"Sol/1938 CB",
"Sol/1942 DH",
"Sol/31 Euphrosyne",
"Sol/1999 VW24",
"Sol/1950 LA1",
"Sol/1986 TG4",
-- "Sol/1913 SQ", --*
"Sol/1932 CE1",
"Sol/1973 SX3",
"Sol/1903 MH",
"Sol/1933 OF",
"Sol/1984 JA1",
"Sol/1972 LE",
"Sol/1979 YV8",
"Sol/1990 BS1",
"Sol/1925 BE",
"Sol/1997 AL1",
"Sol/1996 UY",
"Sol/1953 GF",
"Sol/1981 SW6",
"Sol/1938 SD",
"Sol/1981 JG",
"Sol/1940 YH",
"Sol/1980 YH",
"Sol/1922 ME",
"Sol/1955 FT",
"Sol/1904 OK",
"Sol/1978 UF2",
"Sol/1989 QV",
"Sol/1965 SC",
"Sol/252 Clementina",
"Sol/94 Aurora",
"Sol/1931 FM",
"Sol/1983 WF1",
"Sol/1907 ZW",
"Sol/1981 LF",
"Sol/1936 QL",
"Sol/1903 LO",
"Sol/1982 UB7",
"Sol/1989 YC5",
"Sol/1989 VM",
"Sol/1988 PT1",
"Sol/1993 LG2",
"Sol/1990 SF2",
"Sol/1975 WO1",
"Sol/1927 QL",
"Sol/1994 LK",
"Sol/1906 VN",
"Sol/1933 SD1",
"Sol/1953 NJ",
"Sol/6562 P-L",
"Sol/1926 TA",
"Sol/1976 GJ3",
"Sol/1931 TV1",
"Sol/1934 AF",
"Sol/1903 LQ",
"Sol/1977 RZ6",
"Sol/6564 P-L",
"Sol/1953 LG",
"Sol/1983 WR",
"Sol/1998 MJ14",
"Sol/1903 LB",
"Sol/1998 OW5",
"Sol/1988 DR4",
"Sol/1998 YE5",
"Sol/1935 PB",
"Sol/1922 MC",
"Sol/1903 LU",
"Sol/1941 ST",
"Sol/1977 QV",
"Sol/1948 PH",
"Sol/1935 KC",
"Sol/1996 CN2",
"Sol/1977 VN",
"Sol/1983 AE2",
"Sol/1984 BL",
"Sol/1983 HJ",
"Sol/1973 QZ1",
"Sol/2000 EQ84",
"Sol/1923 OT",
"Sol/1971 WB",
"Sol/1934 CS",
--add 3029
"Sol/2173 Maresjev",

        }
}