-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids11 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1902 JG",
"Sol/4006 P-L",
"Sol/2525 P-L",
"Sol/1999 WW4",
"Sol/1924 RU",
"Sol/1956 RB",
"Sol/1910 JJ",
"Sol/1895 CD",
"Sol/1929 SF",
"Sol/1916 YZ",
"Sol/1980 TB12",
"Sol/1973 SS4",
"Sol/1913 TA",
"Sol/1925 DB",
"Sol/1984 UG",
"Sol/1997 AT1",
"Sol/1989 CL",
"Sol/1919 FV",
"Sol/1940 YE",
"Sol/1999 SS3",
"Sol/1978 RE",
"Sol/1972 TD",
"Sol/1902 JP",
"Sol/1965 AK1",
"Sol/1999 RP132",
"Sol/1951 RJ",
"Sol/1979 QJ",
"Sol/1907 YE",
"Sol/3560 P-L",
"Sol/1990 VZ5",
"Sol/2000 BH4",
"Sol/1923 NZ",
"Sol/1976 US",
"Sol/1913 QW",
"Sol/1939 RC",
"Sol/1905 SP",
"Sol/1988 PH1",
"Sol/1983 AX2",
"Sol/1978 GD",
"Sol/1993 YD",
"Sol/1990 QG4",
"Sol/1991 GL",
"Sol/1989 AM1",
"Sol/1920 GU",
"Sol/1978 QJ2",
"Sol/1977 KK1",
"Sol/106 Dione",
"Sol/1990 VB4",
"Sol/1905 QG",
"Sol/1941 SW",
"Sol/1923 OW",
"Sol/1974 CA",
"Sol/7618 P-L",
"Sol/1985 JF",
"Sol/1978 LB",
"Sol/1978 VG10",
"Sol/1964 TV2",
"Sol/1914 UO",
"Sol/1930 TA",
"Sol/1933 BA",
"Sol/1998 QP104",
"Sol/1977 DS3",
"Sol/1938 DO2",
"Sol/1939 BF",
"Sol/1973 SZ2",
"Sol/1901 GE",
"Sol/1990 XH",
"Sol/1990 HF1",
"Sol/1925 SC",
"Sol/1957 XB",
"Sol/1908 DN",
"Sol/6260 P-L",
"Sol/1929 FB",
"Sol/1917 b",
"Sol/1989 UY",
"Sol/1908 CZ",
"Sol/1999 ST7",
"Sol/1931 TF2",
"Sol/1935 ND",
"Sol/1951 SD",
"Sol/1942 TJ",
"Sol/1985 TV",
"Sol/1921 KF",
"Sol/1984 JZ",
"Sol/1938 GG",
"Sol/1946 MB",
"Sol/1981 JC2",
"Sol/1979 OH1",
"Sol/1932 EB1",
"Sol/1985 JW1",
"Sol/1986 UT",
"Sol/1959 LL",
"Sol/1934 YA",
"Sol/92 Undina",
"Sol/1982 SN1",
"Sol/1904 NV",
"Sol/1936 QZ",
"Sol/1988 HB",
"Sol/1912 PE",
"Sol/1916 AD",
"Sol/1945 RQ",
"Sol/1914 UA",
"Sol/1990 VA7",
"Sol/981 EC1",
"Sol/1937 AJ",
"Sol/1905 PT",
"Sol/1906 VZ",
"Sol/1989 NB1",
"Sol/1932 PG",
"Sol/1916 ZX",
"Sol/1983 XW",
"Sol/1991 CC",
"Sol/1902 JQ",
"Sol/1975 VY5",
"Sol/1977 QK2",
"Sol/1987 RT",
"Sol/1927 QH",
"Sol/1981 QS3",
-- "Sol/1910 KQ", --*
"Sol/1971 UZ",
"Sol/1913 SU",
"Sol/1999 XA230",
"Sol/1999 VZ52",
"Sol/1999 JA77",
"Sol/642 Clara",
"Sol/1929 EC",
"Sol/6551 P-L",
"Sol/1977 FZ",
"Sol/1980 VL1",
"Sol/1979 KO",
"Sol/1996 HE1",
"Sol/1915 WW",
"Sol/1931 TT1",
"Sol/154 Bertha",
"Sol/1973 WA",
"Sol/1908 DC",
"Sol/1928 RQ",
"Sol/1942 GA",
"Sol/318 Magdalena",
"Sol/286 Iclea",
"Sol/1989 RN2",
"Sol/1908 DH",
"Sol/1934 TF",
"Sol/1931 UG",
"Sol/1998 QF70",
"Sol/1935 RC",
"Sol/1977 SS1",
"Sol/1939 GC",
"Sol/1982 FJ",
"Sol/1991 PW12",
"Sol/1982 KJ",
"Sol/1977 NT",
"Sol/1928 KC",
"Sol/1938 DS",
"Sol/1915 WS",
"Sol/1922 LY",
"Sol/1983 CB",
"Sol/1938 CC",
"Sol/1941 CG",
"Sol/1922 LU",
"Sol/1918 DU",
"Sol/1989 ME",
"Sol/1981 SA",
"Sol/1976 HA",
"Sol/1969 TX5",
"Sol/2000 RR53",
"Sol/1978 RC",
"Sol/1917 BH",
"Sol/1991 LD",
"Sol/1899 EX",
"Sol/1933 BV",
"Sol/1963 UF",
"Sol/1931 TO",
"Sol/1989 HC",
"Sol/1989 RF",
"Sol/1933 SF1",
"Sol/1898 DT",
"Sol/1977 QG3",
"Sol/1982 FK",
"Sol/1924 QF",
"Sol/1906 TZ",
"Sol/1972 RS2",
"Sol/1933 UL",
"Sol/1927 QD",
"Sol/1907 AE",
"Sol/1979 QX3",
"Sol/1968 CD",
"Sol/1923 OA",
"Sol/2000 FQ48",
"Sol/1976 DK",
"Sol/1977 CC",
"Sol/1915 WX",
"Sol/1998 YN6",
"Sol/1984 SM1",
"Sol/1989 UK8",
"Sol/1916 ZZ",
"Sol/1905 SH",
"Sol/1971 KB1",
"Sol/1994 ND1",
"Sol/1904 OY",
--add3029
"Sol/1999 RE70",
        }
}