-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

Asteroids12 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/1922 LR",
"Sol/1992 FJ1",
"Sol/1949 HQ",
"Sol/1907 AG",
"Sol/1973 SV4",
"Sol/1977 AZ1",
"Sol/1937 TO",
"Sol/1941 HN",
"Sol/1981 JZ",
"Sol/1991 BY",
"Sol/1971 UC",
"Sol/1935 QG1",
"Sol/1969 PC",
"Sol/1990 HR",
"Sol/1999 TV96",
"Sol/1930 BA",
"Sol/1984 BT",
"Sol/1980 FJ1",
"Sol/1916 AE",
"Sol/1925 SA",
"Sol/1914 UF",
"Sol/1981 DH",
"Sol/1937 NG",
"Sol/1978 QX2",
"Sol/1976 UF",
"Sol/1950 DE",
"Sol/1978 SN4",
"Sol/1948 TQ1",
"Sol/1939 UJ",
"Sol/1990 SP15",
"Sol/1942 CJ",
"Sol/1942 BD",
"Sol/1914 TZ",
"Sol/1985 VP",
"Sol/1920 GO",
"Sol/1999 JO26",
"Sol/1999 GX8",
"Sol/1931 TD",
"Sol/1916 c",
"Sol/1928 FP",
"Sol/1918 DR",
"Sol/1999 SA7",
"Sol/1984 DH1",
"Sol/1993 TF2",
"Sol/1894 AS",
"Sol/1988 JN",
"Sol/1934 LD",
"Sol/1929 CU",
"Sol/1905 SE",
"Sol/1986 AL",
"Sol/1926 RB",
"Sol/1928 SJ",
"Sol/1979 UJ",
"Sol/1925 HA",
"Sol/1979 UD",
"Sol/1967 UO",
"Sol/1916 AM",
"Sol/1955 WB",
"Sol/1931 TP1",
"Sol/108 Hecuba",
"Sol/1918 EM",
"Sol/1972 AD",
"Sol/1981 QA3",
"Sol/1984 SR5",
"Sol/1980 PB3",
"Sol/1976 YW2",
"Sol/1992 AJ",
"Sol/1996 TS15",
"Sol/1983 EX",
"Sol/1998 KP19",
"Sol/5182 T-3",
"Sol/2000 SB1",
"Sol/1974 HR",
"Sol/1895 BT",
"Sol/1989 VC2",
"Sol/1930 WA",
"Sol/1966 KB",
"Sol/1901 FX",
"Sol/1927 BD",
"Sol/1994 UN1",
"Sol/1907 ZZ",
"Sol/1920 HT",
"Sol/1996 FM5",
"Sol/1999 XR13",
"Sol/168 Sibylla",
"Sol/1901 HD",
"Sol/1905 QO",
"Sol/1985 QT",
"Sol/1940 TL",
"Sol/1911 LS",
"Sol/225 Henrietta",
"Sol/1980 FO3",
"Sol/1933 WD",
"Sol/1904 NS",
"Sol/1991 RR16",
"Sol/1974 VK",
"Sol/1927 CB",
"Sol/1984 RH",
"Sol/1923 OS",
"Sol/1976 QE1",
"Sol/1912 PF",
"Sol/319 Leona",
"Sol/1923 PG",
"Sol/1975 TS2",
"Sol/1996 EU2",
"Sol/1930 PB",
"Sol/1912 NW",
"Sol/1896 CY",
"Sol/1972 RY3",
"Sol/1933 QB",
"Sol/1905 QX",
"Sol/76 Freia",
"Sol/1928 DT",
"Sol/1979 SG10",
"Sol/1902 HU",
"Sol/1946 UK",
"Sol/1971 UO1",
"Sol/1981 UW9",
"Sol/1942 AA",
"Sol/1949 YQ",
"Sol/1990 FT",
"Sol/1948 SB",
"Sol/1965 BC",
"Sol/1935 TA",
"Sol/1979 FV1",
"Sol/260 Huberta",
-- "Sol/1970 VE", --*
"Sol/1982 DL",
-- "Sol/87 Sylvia", --*
-- "Sol/1938 OG", --*
"Sol/1991 PQ",
"Sol/1984 BC",
"Sol/1977 QL3",
"Sol/1904 OF",
"Sol/1925 UA",
"Sol/1896 CN",
"Sol/6550 P-L",
"Sol/1990 WK",
"Sol/1919 FA",
"Sol/1949 FD",
"Sol/1911 MZ",
"Sol/1969 TC3",
"Sol/2001 TX16",
"Sol/1974 TA1",
"Sol/1904 NC",
"Sol/1990 YM",
"Sol/1930 BJ",
"Sol/2000 OG44",
"Sol/1996 AO3",
"Sol/1932 PD",
"Sol/1892 L",
"Sol/1930 SH",
"Sol/1930 AC",
"Sol/1951 AT",
"Sol/1985 QX4",
"Sol/1997 AO1",
"Sol/1989 CV",
"Sol/1984 SH5",
"Sol/1935 FE",
"Sol/1978 SO4",
"Sol/1982 EJ",
"Sol/1996 FU13",
"Sol/1983 RE2",
"Sol/1973 ST1",
"Sol/1913 RD",
"Sol/1990 RW",
"Sol/1963 RF",
"Sol/1939 FE",
"Sol/1931 XC",
"Sol/1983 HO",
"Sol/1992 SU21",
"Sol/1979 XH",
"Sol/1893 P",
"Sol/1977 PO1",
"Sol/1972 HU",
"Sol/1928 SL",
"Sol/1936 DD",
"Sol/1928 QB",
"Sol/1998 QB32",
"Sol/1935 GD",
"Sol/1976 GU2",
"Sol/1924 TK",
"Sol/1994 AO",
"Sol/1931 GE",
"Sol/1929 WK",
"Sol/1992 CE",
"Sol/1930 HJ",
"Sol/1921 KC",
"Sol/1908 CG",
"Sol/1947 QJ",
"Sol/1973 UD",
"Sol/1931 RL",
"Sol/1991 PG7",
"Sol/1980 DA1",
"Sol/1937 TE",
"Sol/1980 TU6",
"Sol/1902 KX",
"Sol/2000 WE147",
"Sol/1927 EC",
--add3029
"Sol/2003 BM80",

        }
}