-- The table can include the following values:
--    >    objects = { string:object1path, string:object2path, ... }
--    Defines the list of objects whose visibility will be enabled/disabled.
--    >    labelcolor = {number:red, number:green, number:blue, number:alpha}
--    Defines the color of the addon labels. The name of the addon will be then displayed using
--    this same color in the 'Addon Visibility' window.
--    >    locationtypes = {string:locationtype1, string:locationtype2, ...}
--    Defines the types of location that will be enabled/disabled simultaneously with the objects visibility.
--    List of all location types: http://en.wikibooks.org/wiki/Celestia/SSC_File#Type_.22string.22
--    >    script = string:scriptfilename
--    Defines the filename of the script that is run whenever the addon checkbox is clicked (either checked or unchecked)
--    The script path is relative to the addon's directory.

-- 27 Системы

Asteroids27 =
{
labelcolor = {0.964, 0.432, 0.100, 0.8},

    objects =
        {
"Sol/",

"Sol/Antiope System", -- Барицентр #1+
"Sol/90 Antiope", -- 1952 BK2
"Sol/2000 90 I", 

"Sol/Patroclus-Menoetius", -- Барицентр #2+
"Sol/617 Patroclus", -- 1906 VY
"Sol/2001 617 I", -- Menoetius:617 Patroclus I

"Sol/Tama System", -- Барицентр #3-
"Sol/1089 Tama", -- 1927 WB
"Sol/2003 1089 I", 

"Sol/1978 VF11 System", -- Барицентр #4-
"Sol/17365 1978 VF11", -- 1978 VF11
"Sol/2005 17365 I",

"Sol/Eurydamas System", -- Барицентр #5-
"Sol/29314 Eurydamas", -- 1994 CR18
"Sol/2005 29314 I",

"Sol/Huya System", -- Барицентр #6+
"Sol/38628 Huya", -- 2000 EB173
"Sol/2012 38628 I", -- Барицентр

"Sol/Typhon-Echidna", -- Барицентр #7+
"Sol/42355 Typhon", -- 2002 CR46
"Sol/42355 Typhon I", -- Typhon I:2006 42355 I

"Sol/1999 TC36 System", -- Барицентр #8+
"Sol/47171 1999 TC36 A1",
"Sol/47171 1999 TC36 A2",
"Sol/2001 47171 I", -- 1999 TC36 B

"Sol/Logos-Zoe", -- Барицентр #9+
"Sol/58534 Logos", -- 1997 CQ29
"Sol/58534 Logos I", -- 2001 58534 I

"Sol/Ceto-Phorcys", -- Барицентр #10+
"Sol/65489 Ceto", -- 2003 FX128
"Sol/65489 Ceto I",-- Phorcys

"Sol/Borasisi-Pabu", -- Барицентр #11+
"Sol/66652 Borasisi", -- 1999 RZ253
"Sol/66652 Borasisi I", -- Pabu

"Sol/Hermes System",  -- Барицентр #12-
"Sol/69230 Hermes", -- 1937 UB
"Sol/2003 69230 I",

"Sol/Sila-Nunam",  -- Барицентр #13+
"Sol/79360 Sila", -- 1997 CS29
"Sol/79360 Sila I", -- Nunam

"Sol/Teharonhiawako-Sawiskera", -- Барицентр #14+
"Sol/88611 Teharonhiawako", -- 2001 QT297
"Sol/88611 Teharonhiawako I", -- Sawiskera

"Sol/2001 QG298 System", -- Барицентр #15-
"Sol/139775 2001 QG298",
"Sol/2004 139775 I",

"Sol/Altjira System", -- Барицентр #16+
"Sol/148780 Altjira", -- 2001 UQ18
"Sol/2007 148780 I",

"Sol/Varda-Ilmare", -- Барицентр #17+
"Sol/174567 Varda", -- 2003 MW12
"Sol/174567 Varda I", -- Ilmare

"Sol/Mors-Somnus", -- Барицентр #18+
"Sol/341520 Mors", -- 2007 TY430
"Sol/341520 Mors I", -- Somnus

"Sol/Manwe-Thorondor", -- Барицентр #19+
"Sol/385446 Manwe", -- 2003 QW111
"Sol/385446 Manwe I", -- Thorondor

"Sol/1998 WW31 System", -- Барицентр #20-
"Sol/1998 WW31", -- 1998 WW31
"Sol/2000 1998 WW31 I", -- 2000 1998 WW31 I
-- =================

"Sol/22 Kalliope",
"Sol/22 Kalliope I", -- Linus

"Sol/41 Daphne",
"Sol/2008 41 I", -- 2008 41 I

"Sol/45 Eugenia",
"Sol/2004 45 I",     -- 2004 45 I
"Sol/45 Eugenia I", -- Petit-Prince

--"Sol/87 Sylvia",
"Sol/87 Sylvia II", -- Remus
"Sol/87 Sylvia I", -- Romulus

"Sol/93 Minerva",
"Sol/93 Minerva II", -- Gorgoneion
"Sol/93 Minerva I", -- Aegis

"Sol/107 Camilla",
"Sol/2001 107 I", -- 2001 107 I

"Sol/121 Hermione",
"Sol/2002 121 I", -- 2002 121 I

"Sol/130 Elektra",
"Sol/2014 130 I", -- 2014 130 I
"Sol/2003 130 I", -- 2003 130 I

"Sol/216 Kleopatra",
"Sol/216 Kleopatra II", -- Cleoselene
"Sol/216 Kleopatra I", -- Alexhelios

"Sol/243 Ida",
--"Sol/243 Ida I", -- Dactyl
"Sol/243 Ida/Dactyl",

"Sol/283 Emma",
"Sol/2003 283 I", -- 2003 283 I

"Sol/317 Roxane",
"Sol/2009 317 I", -- 2009 317 I

"Sol/379 Huenna",
"Sol/2003 379 I", -- 2003 379 I

"Sol/624 Hektor",
"Sol/2006 624 I", -- 2006 624 I

"Sol/702 Alauda",
"Sol/702 Alauda I", -- Pichi-unem

"Sol/762 Pulcova",
"Sol/2000 762 I", -- 2000 762 I

"Sol/1333 Cevenola",
"Sol/2008 1333 I",  -- 2008 1333 I

"Sol/1453 Fennia",
"Sol/2007 1453 I", -- 2007 1453 I

"Sol/1509 Esclangona",
"Sol/2003 1509 I", -- 2003 1509 I

"Sol/1862 Apollo",
"Sol/2005 1862 I", -- 2005 1862 I

"Sol/1866 Sisyphus",
"Sol/1985 1866 I", -- 1985 1866 I

"Sol/2044 Wirt",
"Sol/2005 2044 I", -- 2005 2044 I

"Sol/2131 Mayall",
"Sol/2009 2131 I", -- 2009 2131 I

"Sol/2577 Litva",
"Sol/2009 2577 I", -- 2009 2577 I
"Sol/2012 2577 I", -- 2012 2577 I

"Sol/3671 Dionysus",
"Sol/1997 3671 I", -- 1997 3671 I

"Sol/3749 Balam",
"Sol/2008 3749 I", -- 2008 3749 I
"Sol/2002 3749 I", -- 2002 3749 I

"Sol/5143 Heracles",
"Sol/2011 5143 I", -- 2011 5143 I

"Sol/5261 Eureka",
"Sol/2011 5261 I", -- 2011 5261 I

"Sol/5381 Sekhmet",
"Sol/2003 5381 I", -- 2003 5381 I

"Sol/5646 1990 TR",
"Sol/2012 5646 I", -- 2012 5646 I

"Sol/7088 Ishtar",
"Sol/2006 7088 I", -- 2006 7088 I

"Sol/26308 1998 SM165",
"Sol/2001 26308 I", -- 2001 26308 I

"Sol/48639 1995 TL8",
"Sol/2002 48639 I", -- 2002 48639 I

"Sol/50000 Quaoar",
"Sol/50000 Quaoar I", -- Weywot

"Sol/55637 2002 UX25",
"Sol/2007 55637 I", -- 2007 55637 I

"Sol/65803 Didymos",
"Sol/2003 65803 I", -- 2003 65803 I

"Sol/66391 1999 KW4",
"Sol/2001 66391 I", -- 2001 66391 I

"Sol/82075 2000 YW134",
"Sol/2002 82075 I", -- 2002 82075 I

"Sol/90482 Orcus",
"Sol/90482 Orcus I", -- Vanth

"Sol/119979 2002 WC19",
"Sol/2007 119979 I", -- 2007 119979 I

"Sol/120347 Salacia",
"Sol/120347 Salacia I", -- Actaea

"Sol/136617 1994 CC",
"Sol/2009 136617 I", -- 2009 136617 I
"Sol/2009 136617 II", -- 2009 136617 II

"Sol/153591 2001 SN263",
"Sol/2008 153591 II", -- 2008 153591 II
"Sol/2008 153591 I", -- 2008 153591 I

"Sol/162000 1990 OS",
"Sol/2003 162000 I", -- 2003 162000 I

"Sol/208996 2003 AZ84",
"Sol/2005 208996 I", -- 2005 208996 I

"Sol/225088 2007 OR10",
"Sol/2010 225088 I", -- 2010 225088 I -- new

"Sol/229762 2007 UK126",
"Sol/2008 229762 I", -- 2008 229762 I

"Sol/276049 2002 CE26",
"Sol/2004 276049 I", -- 2004 276049 I

"Sol/357439 2004 BL86",
"Sol/2015 357439 I", -- 2015 357439 I

"Sol/410777 2009 FD",
"Sol/2015 410777 I", -- 2015 410777 I

        }
}