---------------------------------------------------
-- recordsBox.lua
-- Edit by Croc 18.09.2015
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local recordsFrameWidth, recordsFrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
recordsBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

recordsBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    recordsButton.Visible = GuidesVisibility -- display or undisplay Button
    recordsCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if recordsCheck.Text ==  "o" then
		recordsFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

recordsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("AR"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(recordsBox,0,0,0,0)

recordsCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(recordsBox, 20, 0, 0, 0)

recordsButton.Action = (function()
        return
            function()
              display_records = not display_records;
                if display_records then 
               
                    recordsFrame.Visible = true;                    
                    recordsCheck.Text = "o";
                    actual_renderflags = celestia:getrenderflags()
                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:show("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты                  

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = true} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else 
                  --  celestia:setstarcolor("false")                   
                    recordsFrame.Visible = false;                   
                    recordsCheck.Text = "";
--[[
                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);                  
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                   -- obs:goto(obj);
]]
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)            
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
recordsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-recordsFrameWidth)/2, height-recordsFrameHeight-2, (width-recordsFrameWidth)/2, 2)

 recordsFrame.Customdraw = function(this)  

            if records_firstTickDone then
            if not(recordsCloseButtonDone) then
                recordsCloseButtonDone = true;
                makeCloseButton(recordsCloseButton, recordsFrame, recordsButton);
            end
            else
                records_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
                 if height>=768  then            
                    recordsFrame:attach(screenBox, width-recordsFrameWidth-35, height-recordsFrameHeight-128, 35, 128) 
                 else
                    recordsFrame:attach(screenBox, width-recordsFrameWidth-200, height-recordsFrameHeight-3, 200, 3) 
                 end    
            end        
	   
            textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});  
	    textlayout:setpos(this.lb+15, this.tb - 14);       
            textlayout:println(_("  RECORDS asteroids"));
end;
-----------------------------------------------
-- Подключение команд 
-----------------------------------------------
records01Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Diameter (size) of the asteroid:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-1), 2, 5+14*1)
-----------------------------------------------
records02Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2006 QM111 - of 2 to 5 m"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-2), 2, 5+14*2)

records02Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2006 QM111");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records03Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2007 OR10 - 1280 km"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-3), 2, 5+14*3)

records03Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2007 OR10");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
----------------------------------------------------------------
 records04Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(10, 10)
    :text(_("by Quaoar diameter - 995 km"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-4), 2, 5+14*4)

records04Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Quaoar");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
----------------------------------------------------------------
 records05Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(10, 10)
    :text(_("by Sedna diameter - 995 km"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-5), 2, 5+14*5)

records05Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sedna");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
----------------------------------------------------------------
 records06Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(10, 10)
    :text(_("by 2002 MS4 diameter - 934 km"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-6), 2, 5+14*6)

records06Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2002 MS4");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
----------------------------------------------------------------
 records07Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(10, 10)
    :text(_("by Orcus diameter - 917 km"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-7), 2, 5+14*7)

records07Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Orcus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--===================================
records08Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aphelion - the furthest point"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-8), 2, 5+14*8)
----------------------------------------------------------------------
records09Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 9)
    :text(_("from the Sun orbits the planet:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-9), 2, 5+14*9)
----------------------------------------------------------------------
 records10Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2008 EA32 - 0, 8038 A.U."))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-10), 2, 5+14*10)

records10Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2008 EA32");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
-------------------------------------------------------------------------
 records11Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2005 VX3 - 3079, 98 A.U."))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-11), 2, 5+14*11)

records11Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2005 VX3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
-- =======================================
records12Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Perihelion - the closest point to"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------------------------------------------
records13Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 9)
    :text(_("the Sun, the planet's orbit:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-13), 2, 5+14*13)
----------------------------------------------------------------------
records14Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2005 HC4 - 0, 0707 A.U."))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-14), 2, 5+14*14)

records14Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2005 HC4");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records15Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2010 GB174 - 48, 628 A.U."))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-15), 2, 5+14*15)

records15Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2010 GB174");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records16Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(10, 10)
    :text(_("by DP 2012 VP113 = 80. 514 A.U."))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-16), 2, 5+14*16)

records16Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2012 VP113");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
records17Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Round the Sun in:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-17), 2, 5+14*17)
----------------------------------------------------------------------
records18Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2007 EB26 - 148 days"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-18), 2, 5+14*18)

records18Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2007 EB26");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records19Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2005 VX3 - 60 556,23 years"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-19), 2, 5+14*19)

records19Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2005 VX3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
records20Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("The rotation around the axis:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-20), 2, 5+14*20)
-----------------------------------------------
records21Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2014 RC - 15, 8 sec."))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-21), 2, 5+14*21)

records21Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2014 RC");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records22Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 1997 AE12 -  1880 hours"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-22), 2, 5+14*22)

records22Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("1997 AE12");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
records23Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Orbit inclination to the ecliptic:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-23), 2, 5+14*23)
-----------------------------------------------
records24Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2005 YN24 - 0, 0044 degrees"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-24), 2, 5+14*24)

records24Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2005 YN24");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records25Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2005 SB223 - 91, 4 degrees"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-25), 2, 5+14*25)

records25Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2005 SB223");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
records26Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Tilting at retrograde asteroid:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-26), 2, 5+14*26)
-----------------------------------------------
records27Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2005 SB223 - 91, 4 degrees"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-27), 2, 5+14*27)

records27Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2005 SB223");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records28Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2013 LA2 - 175, 19 degrees"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-28), 2, 5+14*28)

records28Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2013 LA2");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
records29Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Eccentricity of orbit:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-29), 2, 5+14*29)
-----------------------------------------------
records30Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2002 PL153 - 0, 0000035"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-30), 2, 5+14*30)

records30Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2002 PL153");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records31Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2015 ER61 - 0, 9988"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-31), 2, 5+14*31)

records31Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2015 ER61");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
 records32Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Albedo - haracterization"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-32), 2, 5+14*32)
-----------------------------------------------
records33Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
     :textcolor({1,1,0,.8})     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("of diffuse reflectance surface:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-33), 2, 5+14*33)
---------------------------------------------------------------
records34Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - 2009 FD - 0, 01"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-34), 2, 5+14*34)

records34Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2009 FD");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records35Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - 2002 TX300 - 0, 88"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-35), 2, 5+14*35)

records35Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2002 TX300");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
records36Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Name (the number of symbols / sounds):"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-36), 2, 5+14*36)
-----------------------------------------------
records37Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("min - У/Wu - rus 1/1, en  2/1"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-37), 2, 5+14*37)

records37Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2705 Wu");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
---------------------------------------------------------------
 records38Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - Wilson-Harrington - 18"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-38), 2, 5+14*38)

records38Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Wilson-Harrington");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
--=====================================
records39Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Alternative names:"))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-39), 2, 5+14*39)
-----------------------------------------------
 records40Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)      
    :textpos("left")    
    :movetext(0, 10)
    :text(_("max - Klemola - 19 names"))--+
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-40), 2, 5+14*40)

records40Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Klemola");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel); 
            end
        end
    end) ();
-------------------------------------------
records41Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})      
    :textpos("left")    
    :movetext(0, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( recordsFrame, 2, 2+14*(gg-41), 2, 5+14*41)
-----------------------------------------------



