---------------------------------------------
-- AmurMarsBox.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local AmurMarsFrameWidth, AmurMarsFrameHeight = 158, 14*gn+2+2;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
AmurMarsBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

AmurMarsBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    AmurMarsButton.Visible = GuidesVisibility -- display or undisplay Button
    AmurMarsCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if AmurMarsCheck.Text ==  "o" then
		AmurMarsFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

AmurMarsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("center")
    :movetext(-3, 9)  
    :text(_("AM"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(AmurMarsBox,0,0,0,0)

AmurMarsCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textpos("left")
		:textfont(smallfont)
        :textcolor({1,0,0,1})
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(AmurMarsBox, 20, 0, 0, 0)

AmurMarsButton.Action = (function()
        return
            function()

                display_AmurMars = not display_AmurMars;
                if display_AmurMars then  
                    actual_renderflags = celestia:getrenderflags()                           
                    AmurMarsFrame.Visible = true;                     
                    AmurMarsCheck.Text = "o"; 

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);
                  celestia:setfaintestvisible(8.00)
                KeplerParamFrame.Visible = true;    
                else          
                    AmurMarsFrame.Visible = false;                   
                    AmurMarsCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();               
----------------------------------------------------
AmurMarsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-AmurMarsFrameWidth)/2, height-AmurMarsFrameHeight-2, (width-AmurMarsFrameWidth)/2, 2)

 AmurMarsFrame.Customdraw = function(this) 

            if AmurMars_firstTickDone then
            if not(AmurMarsCloseButtonDone) then
                AmurMarsCloseButtonDone = true;
                makeCloseButton(AmurMarsCloseButton, AmurMarsFrame, AmurMarsButton);
            end
            else
                AmurMars_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
               if height>=768  then              
                    AmurMarsFrame:attach(screenBox, width-AmurMarsFrameWidth-35, height-AmurMarsFrameHeight-128, 35, 128) 
               else
                    AmurMarsFrame:attach(screenBox, width-AmurMarsFrameWidth-200, height-AmurMarsFrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0,1,0,0.8});     
	    textlayout:setpos(this.lb+10, this.tb - 14);       
            textlayout:println(_("Amurs, Mars-crosser:"));
end;
--================
-- Подключение команд 
--------------------------------
ast101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Alinda.1918"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-1), 80, 5+14*1)

ast101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Alinda");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
-------------------------------
ast102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Amor.1932"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-2), 80, 5+14*2)

ast102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Amor");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Anagolay.1982"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-3), 80, 5+14*3)

ast103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Anagolay");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Anza.1960"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-4), 80, 5+14*4)

ast104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Anza");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Anteros.1973"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-5), 80, 5+14*5)

ast105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Anteros");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Baltimore.1989"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-6), 80, 5+14*6)

ast106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Baltimore");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bede.1982"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-7), 80, 5+14*7)

ast107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Bede");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000);
            end
        end
    end) ();
-------------------------------
ast108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Beltrovata.1977"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-8), 80, 5+14*8)

ast108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Beltrovata");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Betulia.1950 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-9), 80, 5+14*9)

ast109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Betulia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Bivoj.1980"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-10), 80, 5+14*10)

ast110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Bivoj");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Boreas.1953"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-11), 80, 5+14*11)

ast111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Boreas");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Braille.1992 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-12), 80, 5+14*12)

ast112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Braille");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            end
        end
    end) ();
-------------------------------
ast113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Brucia.1934"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-13), 80, 5+14*13)

ast113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Brucia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Verenia.1983"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-14), 80, 5+14*14)

ast114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Verenia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Wirt.1950+"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-15), 80, 5+14*15)

ast115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Wirt");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ganymed.1924 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-16), 80, 5+14*16)

ast116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ganymed");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Glo.1981"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-17), 80, 5+14*17)

ast117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Glo");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Gordonm.. 1990"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-18), 80, 5+14*18)

ast118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Gordonmoore");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Zao.1989"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-19), 80, 5+14*19)

ast119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Zao");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
-------------------------------
ast120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("D.Quixote.1983"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-20), 80, 5+14*20)

ast120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Don Quixote");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Davidag..1990"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-21), 80, 5+14*21)

ast121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Davidaguilar");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ivar.1929 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-22), 80, 5+14*22)

ast122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ivar");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(150);
            end
        end
    end) ();
-------------------------------
ast123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Ishtar.1992+"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-23), 80, 5+14*23)

ast123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ishtar");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel); 
            celestia:settimescale(250);
            end
        end
    end) ();
-------------------------------
ast124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Quetzal.. 1953"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-24), 80, 5+14*24)

ast124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Quetzalcoatl");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Krok.1981"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-25), 80, 5+14*25)

ast125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Krok");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000);
            end
        end
    end) ();
-------------------------------
ast126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Cuyo.1968"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-26), 80, 5+14*26)

ast126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Cuyo");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Leyla.1964"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-27), 80, 5+14*27)

ast127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Leyla");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lick.1949"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-28), 80, 5+14*28)

ast128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lick");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Litva.1975+"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-29), 80, 5+14*29)

ast129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Litva");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Lyyli.1943"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-30), 80, 5+14*30)

ast130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lyyli");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Magellan.1985"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-31), 80, 5+14*31)

ast131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Magellan (asteroid)");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("McCleese.1973"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-32), 80, 5+14*32)

ast132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/McCleese");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            end
        end
    end) ();
-------------------------------
ast133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Napier.1992"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-33), 80, 5+14*33)

ast133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Napier");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nefertiti.1982"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-34), 80, 5+14*34)

ast134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nefertiti");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Nyx.1980 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-35), 80, 5+14*35)

ast135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Nyx");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Wright.1947 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-36), 80, 5+14*36)

ast136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Wright");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Seleucus.1982"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-37), 80, 5+14*37)

ast137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Seleucus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            end
        end
    end) ();
-------------------------------
ast138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Seneca.1978"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-38), 80, 5+14*38)

ast138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Seneca");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Sonja.1933"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-39), 80, 5+14*39)

ast139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Sonja");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Suomi.1942"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-40), 80, 5+14*40)

ast140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Suomi");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Taranis.1986"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 2, 2+14*(gg-41), 80, 5+14*41)

ast141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Taranis");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(150);
            end
        end
    end) ();
--====================================
ast201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Taurinensis.1903!"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-1), 2, 5+14*1)

ast201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Taurinensis");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(150);
            end
        end
    end) (); 
-------------------------------
ast202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Tezcatlip.. 1950 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-2), 2, 5+14*2)

ast202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Tezcatlipoca");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(150);
            end
        end
    end) (); 
-------------------------------
ast203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Thomsen.1942"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-3), 2, 5+14*3)

ast203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Thomsen");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Florence.1981"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-4), 2, 5+14*4)

ast204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Florence");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Furusho.1940"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-5), 2, 5+14*5)

ast205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Furusho");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Hela.1902 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-6), 2, 5+14*6)

ast206Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/1910 KD");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(75);
            end
        end
    end) (); 
-------------------------------
ast207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Huma.1986"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-7), 2, 5+14*7)

ast207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Huma");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);
            end
        end
    end) ();
-------------------------------
ast208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Siva.1930"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-8), 2, 5+14*8)

ast208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Siva");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
             celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eric.1990 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-9), 2, 5+14*9)

ast209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eric");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Eros.1898 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-10), 2, 5+14*10)

ast210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eros");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------
ast211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Aethra.1949 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-11), 2, 5+14*11)

ast211Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("Sol/Aethra");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) (); 
-------------------------------
ast212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-12), 2, 5+14*12)
-------------------------------
ast213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-13), 2, 5+14*13)
-------------------------------
ast214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1977 VA"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-14), 2, 5+14*14)

ast214Box.Action = (function()
    return 
           function()   
            local obj = celestia:find("Sol/1977 VA");    
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(150);
            end
        end
    end) ();
-------------------------------
ast215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1980 WF"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-15), 2, 5+14*15)

ast215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1980 WF");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1986 DA"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-16), 2, 5+14*16)

ast216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1986 DA");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(125);
            end
        end
    end) (); 
-------------------------------
ast217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1990 SA"))
    :movable(false)
    :active(true) 
   :attach(AmurMarsFrame, 80, 2+14*(gg-17), 2, 5+14*17)

ast217Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 SA");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);
            end
        end
    end) (); 
-------------------------------
ast218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1990 SB !"))
    :movable(false)
    :active(true) 
   :attach(AmurMarsFrame, 80, 2+14*(gg-18), 2, 5+14*18)

ast218Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 SB");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1990 TR+"))
    :movable(false)
    :active(true) 
   :attach(AmurMarsFrame, 80, 2+14*(gg-19), 2, 5+14*19)

ast219Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 TR");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
             celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1990 UP"))
    :movable(false)
    :active(true) 
   :attach(AmurMarsFrame, 80, 2+14*(gg-20), 2, 5+14*20)

ast220Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 UP");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------
ast221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1991 DB"))
    :movable(false)
    :active(true) 
  :attach(AmurMarsFrame, 80, 2+14*(gg-21), 2, 5+14*21) 

ast221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1991 DB");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1993 BW3 !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-22), 2, 5+14*22)

ast222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1993 BW3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ast223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1996 HW1 !"))
    :movable(false)
    :active(true) 
   :attach(AmurMarsFrame, 80, 2+14*(gg-23), 2, 5+14*23) 

ast223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1996 HW1");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(150);
            end
        end
    end) ();
-------------------------------
ast224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1997 GH3"))        
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-24), 2, 5+14*24) 

ast224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1997 GH3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1998 WS !"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-25), 2, 5+14*25)

ast225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 WS");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("1999 JG63"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-26), 2, 5+14*26) 

ast226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 JG63");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
--------------------------------
ast227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2000 BG19"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-27), 2, 5+14*27) 

ast227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2000 BG19");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) (); 
--------------------------------
ast228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 FY"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-28), 2, 5+14*28)

ast228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 FY");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();  
-------------------------------
ast229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 KX67"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-29), 2, 5+14*29) 

ast229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 KX67");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 OB74"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-30), 2, 5+14*30) 

ast230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 OB74");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 QL169"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-31), 2, 5+14*31) 

ast231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 QL169");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(150);
            end
        end
    end) ();
-------------------------------
ast232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 RC12"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-32), 2, 5+14*32) 

ast232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 RC12");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);
            end
        end
    end) ();
-------------------------------
ast233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 SJ262"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-33), 2, 5+14*33) 

ast233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 SJ262");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);
            end
        end
    end) ();
-------------------------------
ast234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2001 SN263+"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-34), 2, 5+14*34)

ast234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 SN263");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 BM26"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-35), 2, 5+14*35) 

ast235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 BM26");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ast236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 CT46"))
    :movable(false)
    :active(true) 
   :attach(AmurMarsFrame, 80, 2+14*(gg-36), 2, 5+14*36) 

ast236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 CT46");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2002 CX174"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-37), 2, 5+14*37) 

ast237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 CX174");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ast238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2003 WV157"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-38), 2, 5+14*38)

ast238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2003 WV157");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------- 
ast239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("2006 HZ51"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-39), 2, 5+14*39)

ast239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 HZ51");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------
ast240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-40), 2, 5+14*40)
-------------------------------
ast241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,0,0,0.8}) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_("=78"))
    :movable(false)
    :active(true) 
    :attach(AmurMarsFrame, 80, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 
