----------------------------------------------
-- Jupiter2Box.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                                
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local  Jupiter2FrameWidth, Jupiter2FrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Jupiter2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

Jupiter2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Jupiter2Button.Visible = GuidesVisibility -- display or undisplay Button
    Jupiter2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Jupiter2Check.Text ==  "o" then
		Jupiter2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Jupiter2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ju2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(Jupiter2Box,0,0,0,0) 

Jupiter2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Jupiter2Box, 20, 0, 0, 0)

Jupiter2Button.Action = (function()
        return
            function()
              display_Jupiter2 = not display_Jupiter2;
                if display_Jupiter2 then 
                    actual_renderflags = celestia:getrenderflags()
                    Jupiter2Frame.Visible = true;                     
                    Jupiter2Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);   
                    celestia:setfaintestvisible(8.00)  
                else          
                    Jupiter2Frame.Visible = false;                   
                    Jupiter2Check.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
-----------------------------------
Jupiter2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Jupiter2FrameWidth)/2, height-Jupiter2FrameHeight-2, (width-Jupiter2FrameWidth)/2, 2)

 Jupiter2Frame.Customdraw = function(this)  

            if  Jupiter2_firstTickDone then
            if not( Jupiter2CloseButtonDone) then
                Jupiter2CloseButtonDone = true;
                makeCloseButton( Jupiter2CloseButton,  Jupiter2Frame,  Jupiter2Button);
            end
            else
                Jupiter2_firstTickDone = true;            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then
                    Jupiter2Frame:attach(screenBox, width-Jupiter2FrameWidth-35, height-Jupiter2FrameHeight-128, 35, 128)  
               else                                                                         
                    Jupiter2Frame:attach(screenBox, width-Jupiter2FrameWidth-200, height-Jupiter2FrameHeight-3, 200, 3)
               end
            end       

	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+15, this.tb - 14);         
            textlayout:println(_("   Objects-2  JUPITER"));
end;
--===============
-- Подключение команд 
--===============
Jupiter2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-1), 60, 5+14*1)
---------------------------------------------------------------
Jupiter2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("JUPITER"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-2), 60, 5+14*2)

Jupiter2102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-3), 60, 5+14*3)
--------------------------------------
Jupiter2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Taygete.00"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-4), 60 , 5+14*4)

Jupiter2104Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Jupiter/Taygete");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thelxinoe.03"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-5), 60 , 5+14*5)

Jupiter2105Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Jupiter/Thelxinoe");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thyone.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-6), 60 , 5+14*6)

Jupiter2106Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Jupiter/Thyone");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Themisto.1975"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-7), 60, 5+14*7)

Jupiter2107Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Jupiter/Themisto");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thebe.1979"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-8), 60, 5+14*8)

Jupiter2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Thebe");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------
Jupiter2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Chaldene.00"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-9), 60, 5+14*9)

Jupiter2109Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Chaldene");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Jupiter2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Euanthe.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-10), 60, 5+14*10)

Jupiter2110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Euanthe");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eukelade.03"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-11), 60, 5+14*11)

Jupiter2111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Eukelade");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Euporie.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-12), 60, 5+14*12)

Jupiter2112Box.Action = (function()
    return
        function()
           
            local obj = celestia:find("Sol/Jupiter/Euporie");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eurydome.01"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-13), 60, 5+14*13)

Jupiter2113Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Eurydome");
               celestia:select(obj);
               local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Elara.05"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-14), 60 , 5+14*14)

Jupiter2114Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Elara");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Erinome.01"))
    :movable(false)
    :active(true) 
    :attach(Jupiter2Frame, 2, 2+14*(gg-15), 60, 5+14*15)

Jupiter2115Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Erinome");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Jupiter2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aitne.01"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-16), 60, 5+14*16)

Jupiter2116Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Aitne");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 2"))
    :movable(false)
    :active(true) 
  :attach( Jupiter2Frame, 2, 2+14*(gg-17), 60, 5+14*17)    

Jupiter2117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 2");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------   
Jupiter2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 3"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-18), 60, 5+14*18)  

Jupiter2118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 3");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Jupiter2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 4"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-19), 60, 5+14*19) 

Jupiter2119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 4");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------       
Jupiter2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 5"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-20), 60, 5+14*20)

Jupiter2120Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/2003 J 5");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 9"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-21), 60, 5+14*21)  

Jupiter2121Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 9");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Jupiter2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 10"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-22), 60, 5+14*22)    

Jupiter2122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 10");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------         
Jupiter2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 12"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-23), 60 , 5+14*23) 

Jupiter2123Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 12");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------             
Jupiter2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 15"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-24), 60, 5+14*24)     

Jupiter2124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 15");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------         
Jupiter2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 16"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-25), 60, 5+14*25)     

Jupiter2125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 16");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();  
-------------------------------------
Jupiter2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 18"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-26), 60, 5+14*26)     

Jupiter2126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 18");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Jupiter2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 19"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-27), 60, 5+14*27)  

Jupiter2127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2003 J 19");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------       
Jupiter2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 J 23"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-28), 60, 5+14*28)

Jupiter2128Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/2003 J 23");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Jupiter2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 J 1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-29), 60, 5+14*29)

Jupiter2129Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2010 J 1");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------------
Jupiter2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 J 2"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-30), 60, 5+14*30)

Jupiter2130Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2010 J 2");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Jupiter2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 J 1"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-31), 60, 5+14*31)

Jupiter2131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2011 J 1");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Jupiter2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 J 2"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-32), 60, 5+14*32) 

Jupiter2132Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2011 J 2");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();  
-------------------------------------
Jupiter2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2016 J 1"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-33), 60 , 5+14*33) 

Jupiter2133Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2016 J 1");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();  
-------------------------------------
Jupiter2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2017 J 1"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-34), 60 , 5+14*34) 

Jupiter2134Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/2017 J 1");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Jupiter2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-35), 60 , 5+14*35) 
-------------------------------------
Jupiter2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Asteroids in the Lagrange points:"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-36), 2 , 5+14*36) 
------------------------------------
Jupiter2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hektor.1907+"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-37), 60 , 5+14*37) 

Jupiter2137Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Hektor");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Jupiter2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Patroclus.1906 +"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-38), 60, 5+14*38) 

Jupiter2138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Patroclus-Menoetius/Patroclus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
------------------------------------- 
Jupiter2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)
    :textfont(smallfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eurydamas.1994+"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-39), 60, 5+14*39)

Jupiter2139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Eurydamas System/Eurydamas");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
------------------------------------- 
Jupiter2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1978 VF11+"))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-40), 60, 5+14*40)

Jupiter2140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/1978 VF11 System/1978 VF11");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
--[[
------------------------------------ 
Jupiter2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(0, 9)
    :text(_("For October 2010 openly"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-39), 2, 5+14*39)
-------------------------------------
Jupiter2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont) 
    :textcolor(color1)
    :textpos("center")    
    :movetext(0, 9)
    :text(_("at L4 = 2793, in L5 = 1733 ast."))
    :movable(false)
    :active(true) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-40), 2 , 5+14*40)
 ------------------------------------
]]
Jupiter2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({0.55,0.38,0.22,1})
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("center")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 2, 2+14*(gg-41), 2, 5+14*41)
--===================
Jupiter2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-1), 2, 5+14*1) 
-------------------------------------
Jupiter2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~142984"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-2), 2, 5+14*2)
------------------------------------- 
Jupiter2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5,5"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-3), 2, 5+14*3)
--------------------------------------
 Jupiter2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-4), 2, 5+14*4)
--------------------------------------
 Jupiter2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-5), 2, 5+14*5)
--------------------------------------
 Jupiter2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-6), 2, 5+14*6)
-------------------------------------
Jupiter2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~9"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-7), 2, 5+14*7)
-------------------------------------
Jupiter2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~116"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-8), 2, 5+14*8)
------------------------------------- 
Jupiter2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-9), 2, 5+14*9)
-------------------------------------
Jupiter2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-10), 2, 5+14*10)
-------------------------------------   
Jupiter2211Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))  
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-11), 2, 5+14*11)
-------------------------------------
Jupiter2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))  
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------
Jupiter2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
  :attach(Jupiter2Frame, 100, 2+14*(gg-13), 2, 5+14*13)
-------------------------------------
Jupiter2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~86"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-14), 2, 5+14*14)
------------------------------------
Jupiter2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false)   
    :attach(Jupiter2Frame, 100, 2+14*(gg-15), 2, 5+14*15)
-------------------------------------  
Jupiter2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-16), 2, 5+14*16)
-------------------------------------
Jupiter2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-17), 2, 5+14*17)
-------------------------------------
Jupiter2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------
Jupiter2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-19), 2, 5+14*19)
-------------------------------------
Jupiter2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-20), 2, 5+14*20)
-------------------------------------
Jupiter2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-21), 2, 5+14*21)
-------------------------------------
Jupiter2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-22), 2, 5+14*22)
-------------------------------------
Jupiter2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-23), 2, 5+14*23)
-------------------------------------
Jupiter2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-24), 2, 5+14*24)
-------------------------------------
Jupiter2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-25), 2, 5+14*25)
-------------------------------------
Jupiter2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-26), 2, 5+14*26) 
-------------------------------------
Jupiter2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-27), 2, 5+14*27) 
-------------------------------------
Jupiter2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-28), 2, 5+14*28)
-------------------------------------
Jupiter2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-29), 2, 5+14*29)
-------------------------------------
Jupiter2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(false) 
    :attach(Jupiter2Frame, 100, 2+14*(gg-30), 2, 5+14*30)
-------------------------------------
 Jupiter2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-31), 2, 5+14*31)
-------------------------------------
 Jupiter2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-32), 2, 5+14*32)
-------------------------------------
 Jupiter2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1-2"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-33), 2, 5+14*33)
-------------------------------------
 Jupiter2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1-2"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
Jupiter2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
     :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("= 69"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-35), 2, 5+14*35)
-------------------------------------
Jupiter2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
     :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~416"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-37), 2, 5+14*37)
-------------------------------------
Jupiter2238Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~106"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-38), 2, 5+14*38)
-------------------------------------
Jupiter2239Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~22"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-39), 2, 5+14*39)
-------------------------------------
Jupiter2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor({1,0,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~30"))
    :movable(false)
    :active(false) 
    :attach( Jupiter2Frame, 100, 2+14*(gg-40), 2, 5+14*40)
--------------------------------------