----------------------------------------------
-- JupiterBox.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                               
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local  JupiterFrameWidth, JupiterFrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver(); 
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
JupiterBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

JupiterBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    JupiterButton.Visible = GuidesVisibility -- display or undisplay Button
    JupiterCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if JupiterCheck.Text ==  "o" then
		JupiterFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

JupiterButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ju1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(JupiterBox,0,0,0,0) 

JupiterCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(JupiterBox, 20, 0, 0, 0)

JupiterButton.Action = (function()
        return
            function()               
                display_Jupiter = not display_Jupiter;
                if display_Jupiter then  
                    actual_renderflags = celestia:getrenderflags()
                    JupiterFrame.Visible = true;                     
                    JupiterCheck.Text = "o"; 
                    
                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00)   
                 else          
                    JupiterFrame.Visible = false;                   
                    JupiterCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
----------------------------------
JupiterFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-JupiterFrameWidth)/2, height-JupiterFrameHeight-2, (width-JupiterFrameWidth)/2, 2)

 JupiterFrame.Customdraw = function(this) 

            if  Jupiter_firstTickDone then
            if not( JupiterCloseButtonDone) then
                JupiterCloseButtonDone = true;
                makeCloseButton( JupiterCloseButton,  JupiterFrame,  JupiterButton);
            end
            else
            Jupiter_firstTickDone = true;            
            end

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then 
                    JupiterFrame:attach(screenBox, width-JupiterFrameWidth-35, height-JupiterFrameHeight-128, 35, 128)                     
               else
                    JupiterFrame:attach(screenBox, width-JupiterFrameWidth-200, height-JupiterFrameHeight-3, 200, 3)  
               end
            end

	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+25, this.tb - 14);         
            textlayout:println(_(" Objects JUPITER"));
end;
--===============
-- Подключение команд 
--===============
Jupiter101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 2, 2+14*(gg-1), 60, 5+14*1)
-----------------------------------
Jupiter102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("JUPITER"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-2), 60, 5+14*2)

Jupiter102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------
Jupiter103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-3), 60, 5+14*3)
-----------------------------------
Jupiter104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Autonoe.02"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-4), 60, 5+14*4)

Jupiter104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Autonoe");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
             --  obs:center(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Adrastea.1979"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-5), 60, 5+14*5)

Jupiter105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Adrastea");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               -- obs:center(sel);
              obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Amalthea.1892"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-6), 60, 5+14*6)

Jupiter106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Amalthea");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ananke.1951"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-7), 60, 5+14*7)

Jupiter107Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver();
            local obj = celestia:find("Sol/Jupiter/Ananke");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aoede.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-8), 60 , 5+14*8)

Jupiter108Box.Action = (function()
    return
        function()
          
            local obj = celestia:find("Sol/Jupiter/Aoede");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Arche.02"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-9), 60, 5+14*9)

Jupiter109Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Jupiter/Arche");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ganymede.1610"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-10), 60, 5+14*10)

Jupiter110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Ganymede");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-----------------------------------
Jupiter111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Harpalyke.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-11), 60, 5+14*11)

Jupiter111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Harpalyke");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------
Jupiter112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hegemone.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-12), 60, 5+14*12)

Jupiter112Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Hegemone");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------- 
Jupiter113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Helike.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-13), 60, 5+14*13)

Jupiter113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Helike");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------- 
Jupiter114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hermippe.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-14), 60, 5+14*14)

Jupiter114Box.Action = (function()
    return
        function()
           
            local obj = celestia:find("Sol/Jupiter/Hermippe");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Herse.03"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-15), 60, 5+14*15)

Jupiter115Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Herse");
               celestia:select(obj);
               local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------
Jupiter116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Himalia.1904"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-16), 60 , 5+14*16)

Jupiter116Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Himalia");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dia.00"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-17), 60, 5+14*17)

Jupiter117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Dia");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
-----------------------------------
Jupiter118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Europa.1610"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-18), 60, 5+14*18)

Jupiter118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Europa");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-----------------------------------  
Jupiter119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Io.1610"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-19), 60, 5+14*19)

Jupiter119Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Io");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1000);
            end
        end
    end) ();
-----------------------------------
Jupiter120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Iocaste.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-20), 60, 5+14*20)

Jupiter120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Iocaste");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Isonoe.00"))
    :movable(false)
    :active(true) 
  :attach( JupiterFrame, 2, 2+14*(gg-21), 60, 5+14*21)    

Jupiter121Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Isonoe");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------   
Jupiter122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kale.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-22), 60, 5+14*22)  

Jupiter122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kale");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------- 
Jupiter123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kalyke.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-23), 60, 5+14*23) 

Jupiter123Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kalyke");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------       
Jupiter124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Callirrhoe.1999"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-24), 60, 5+14*24)

Jupiter124Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Callirrhoe");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Callisto.1610"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-25), 60, 5+14*25)  

Jupiter125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Callisto");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(4000);
            end
        end
    end) (); 
-----------------------------------
Jupiter126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kallichore.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-26), 60, 5+14*26)    

Jupiter126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kallichore");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------         
Jupiter127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Carme.1938"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-27), 60 , 5+14*27) 

Jupiter127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Carme");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------             
Jupiter128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Carpo.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-28), 60, 5+14*28)     

Jupiter128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Carpo");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------        
Jupiter129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cyllene.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-29), 60, 5+14*29)     

Jupiter129Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Cyllene");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();  
-----------------------------------
Jupiter130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kore.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-30), 60, 5+14*30)     

Jupiter130Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Kore");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) (); 
------------------------------------
Jupiter131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Leda.1974"))
    :movable(false)
    :active(true) 
     :attach( JupiterFrame, 2, 2+14*(gg-31), 60, 5+14*31)  

Jupiter131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Leda");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------        
Jupiter132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Lysithea.1938"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-32), 60, 5+14*32)

Jupiter132Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Lysithea");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------
Jupiter133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Megaclite.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-33), 60, 5+14*33)

Jupiter133Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Megaclite");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Metis.1979"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-34), 60, 5+14*34)

Jupiter134Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Metis");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------- 
Jupiter135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mneme.03"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-35), 60, 5+14*35)

Jupiter135Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Mneme");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------ 
Jupiter136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Orthosie.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-36), 60, 5+14*36) 

Jupiter136Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Orthosie");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();  
-----------------------------------
Jupiter137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pasithee.01"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-37), 60 , 5+14*37) 

Jupiter137Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Pasithee");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------
Jupiter138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pasiphae.1908"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-38), 60, 5+14*38) 

Jupiter138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Pasiphae");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------- 
Jupiter139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Praxidike.00"))
    :movable(false)
    :active(true) 
    :attach( JupiterFrame, 2, 2+14*(gg-39), 60, 5+14*39) 

Jupiter139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Praxidike");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sinope.1904"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-40), 60, 5+14*40)

Jupiter140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Sinope");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-----------------------------------
Jupiter141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sponde.04"))
    :movable(false)
    :active(true) 
    :attach(JupiterFrame, 2, 2+14*(gg-41), 60, 5+14*41)

Jupiter141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Sponde");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--==================
Jupiter201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-1), 2, 5+14*1) 
------------------------------------
Jupiter202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~142984"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-2), 2, 5+14*2)
-----------------------------------
Jupiter203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5,5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-3), 2, 5+14*3)
-----------------------------------
Jupiter204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-4), 2, 5+14*4)
----------------------------------- 
Jupiter205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~26"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-5), 2, 5+14*5)
-----------------------------------
Jupiter206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~262"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-6), 2, 5+14*6)
------------------------------------
Jupiter207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~28"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-7), 2, 5+14*7)
------------------------------------ 
 Jupiter208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-8), 2, 5+14*8)
-----------------------------------
Jupiter209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-9), 2, 5+14*9)
-----------------------------------
Jupiter210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5262"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-10), 2, 5+14*10)
----------------------------------- 
Jupiter211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-11), 2, 5+14*11)
----------------------------------- 
Jupiter212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-12), 2, 5+14*12)
-----------------------------------    
Jupiter213Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))  
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-13), 2, 5+14*13)
-----------------------------------
Jupiter214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))  
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-14), 2, 5+14*14)
-----------------------------------
Jupiter215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-15), 2, 5+14*15)
-----------------------------------
Jupiter216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~150"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-16), 2, 5+14*16)
-----------------------------------
Jupiter217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-17), 2, 5+14*17)
------------------------------------
Jupiter218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3122"))
    :movable(false)
    :active(false)   
    :attach(JupiterFrame, 100, 2+14*(gg-18), 2, 5+14*18)
----------------------------------- 
Jupiter219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3660"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-19), 2, 5+14*19)
------------------------------------
Jupiter220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-20), 2, 5+14*20)
-----------------------------------
Jupiter221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-21), 2, 5+14*21)
------------------------------------ 
Jupiter222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-22), 2, 5+14*22)
------------------------------------
Jupiter223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-23), 2, 5+14*23)
-----------------------------------
Jupiter224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~9"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-24), 2, 5+14*24)
-----------------------------------
Jupiter225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4821"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-25), 2, 5+14*25)
-----------------------------------
Jupiter226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-26), 2, 5+14*26)
------------------------------------
Jupiter227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~46"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-27), 2, 5+14*27)
-----------------------------------
Jupiter228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-28), 2, 5+14*28)
------------------------------------
Jupiter229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-29), 2, 5+14*29)
-----------------------------------
Jupiter230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-30), 2, 5+14*30) 
-----------------------------------
Jupiter231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-31), 2, 5+14*31) 
-----------------------------------
Jupiter232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~38"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-32), 2, 5+14*32)
-----------------------------------
Jupiter233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-33), 2, 5+14*33)
-----------------------------------
Jupiter234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~60"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
 Jupiter235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 100, 2+14*(gg-35), 2, 5+14*35)
------------------------------------
 Jupiter236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 100, 2+14*(gg-36), 2, 5+14*36)
------------------------------------
Jupiter237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 100, 2+14*(gg-37), 2, 5+14*37)
-----------------------------------
Jupiter238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~58"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 100, 2+14*(gg-38), 2, 5+14*38)
----------------------------------- 
Jupiter239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach( JupiterFrame, 100, 2+14*(gg-39), 2, 5+14*39)
----------------------------------- 
Jupiter240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~38"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-40), 2, 5+14*40)
----------------------------------- 
Jupiter241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(JupiterFrame, 100, 2+14*(gg-41), 2, 5+14*41)
------------------------------------
