---------------------------------------------
-- LocsBox.lua
-- by Lygin Gennady a.k.a Croc 25.08.2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local LocsFrameWidth, LocsFrameHeight = 158, 14*gn+2+2;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------

LocsBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

LocsBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    LocsButton.Visible = GuidesVisibility -- display or undisplay Button
    LocsCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if LocsCheck.Text ==  "o" then
		LocsFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

LocsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({1,0,0,1})
    :textpos("center")
    :movetext(-3, 10)  
    :text(_("Loc"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(LocsBox,0,0,0,0)

LocsCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})		
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(LocsBox, 20, 0, 0, 0)
		
LocsButton.Action = (function()
        return
            function()

                display_Locs = not display_Locs;
                if display_Locs then  
                    actual_renderflags = celestia:getrenderflags()                           
                    LocsFrame.Visible = true;                     
                    LocsCheck.Text = "o"; 

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:hideconstellations()
                    celestia:hideconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:show("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры

                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:hidelabel("planets")  -- планеты
                    celestia:hidelabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:hide("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);
                  celestia:setfaintestvisible(8.00)
                KeplerParamFrame.Visible = true;    
                else          
                    LocsFrame.Visible = false;                   
                    LocsCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();               
----------------------------------------------------
LocsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-LocsFrameWidth)/2, height-LocsFrameHeight-2, (width-LocsFrameWidth)/2, 2)

 LocsFrame.Customdraw = function(this) 

            if Locs_firstTickDone then
            if not(LocsCloseButtonDone) then
                LocsCloseButtonDone = true;
                makeCloseButton(LocsCloseButton, LocsFrame, LocsButton);
            end
            else
                Locs_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
               if height>=768  then              
                    LocsFrame:attach(screenBox, width-LocsFrameWidth-35, height-LocsFrameHeight-128, 35, 128) 
               else
                    LocsFrame:attach(screenBox, width-LocsFrameWidth-200, height-LocsFrameHeight-3, 200, 3)  
               end                   
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor(color7);     
	    textlayout:setpos(this.lb+10, this.tb - 14);       
            textlayout:println(_("OBJECTS with locations:"));
end;
--================
-- Подключение команд 
--------------------------------
ObjLocs101Box = CXBox:new()
    :init(0, 0, 0, 0)
	:bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("MERCURY"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-1), 80, 5+14*1)

ObjLocs101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mercury");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(25000);
            end
        end
    end) ();
-------------------------------
ObjLocs102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)	
    :text(_("VENUS"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-2), 80, 5+14*2)

ObjLocs102Box.Action = (function()
    return
           function()      
            local obj = celestia:find("Sol/Venus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(10000);
            end
        end
    end) ();
-------------------------------
ObjLocs103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("EARTH"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-3), 80, 5+14*3)

ObjLocs103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Earth");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------
ObjLocs104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color2) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Moon"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-4), 80, 5+14*4)

ObjLocs104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Earth/Moon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(5000);
            end
        end
    end) ();
-------------------------------
ObjLocs105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("MARS"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-5), 80, 5+14*5)

ObjLocs105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mars");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------
ObjLocs106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Phobos"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-6), 80, 5+14*6)

ObjLocs106Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver();
            local obj = celestia:find("Sol/Mars/Phobos");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ObjLocs107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Deimos"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-7), 80, 5+14*7)

ObjLocs107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mars/Deimos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------
ObjLocs108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("JUPITER"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-8), 80, 5+14*8)

ObjLocs108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ObjLocs109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Amalthea"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-9), 80, 5+14*9)

ObjLocs109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Amalthea");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ObjLocs110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ganymede"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-10), 80, 5+14*10)

ObjLocs110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Ganymede");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-------------------------------
ObjLocs111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Europa"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-11), 80, 5+14*11)

ObjLocs111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Europa");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-------------------------------
ObjLocs112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Io"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-12), 80, 5+14*12)

ObjLocs112Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Jupiter/Io");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1000);
            end
        end
    end) ();
-------------------------------
ObjLocs113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Callisto"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-13), 80, 5+14*13)

ObjLocs113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Jupiter/Callisto");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(10000);
            end
        end
    end) (); 
-------------------------------
ObjLocs114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thebe"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-14), 80, 5+14*14)

ObjLocs114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Jupiter/Thebe");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------
ObjLocs115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))	
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-15), 80, 5+14*15)
-------------------------------
ObjLocs116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SATURN"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-16), 80, 5+14*16)

ObjLocs116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ObjLocs117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hyperion"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-17), 80, 5+14*17)

ObjLocs117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Hyperion");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(4000);
            end
        end
    end) ();
	
-------------------------------
ObjLocs118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dione"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-18), 80, 5+14*18)

ObjLocs118Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Dione");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();		
-------------------------------
ObjLocs119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mimas"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-19), 80, 5+14*19)

	ObjLocs119Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Mimas");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();		
-------------------------------
ObjLocs120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Rhea"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-20), 80, 5+14*20)

ObjLocs120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Rhea");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(4000);
            end
        end
    end) ();
-------------------------------
ObjLocs121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tethys"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-21), 80, 5+14*21)

ObjLocs121Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Tethys");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1250);
            end
        end
    end) ();
-------------------------------
ObjLocs122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titan"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-22), 80, 5+14*22)

ObjLocs122Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Titan");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            end
        end
    end) ();
-------------------------------
ObjLocs123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Phoebe"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-23), 80, 5+14*23)

ObjLocs123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Phoebe");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------
ObjLocs124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Enceladus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-24), 80, 5+14*24)

ObjLocs124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Enceladus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            end
        end
    end) ();
-------------------------------
ObjLocs125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Epimetheus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-25), 80, 5+14*25)
	
ObjLocs125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Epimetheus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();	
-------------------------------
ObjLocs126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Janus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-26), 80, 5+14*26)
	
ObjLocs126Box.Action = (function()	
    return
        function()
            local obj = celestia:find("Sol/Saturn/Janus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------
ObjLocs127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Iapetus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-27), 80, 5+14*27)

ObjLocs127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Iapetus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100000);
            end
        end
    end) ();
-------------------------------
ObjLocs128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-28), 80, 5+14*28)
-------------------------------
ObjLocs129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("URANUS"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-29), 80, 5+14*29)

ObjLocs129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------
ObjLocs130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ariel"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-30), 80, 5+14*30)

ObjLocs130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ariel");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
-------------------------------
ObjLocs131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Miranda"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-31), 80, 5+14*31)

ObjLocs131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Miranda");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
-------------------------------
ObjLocs132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Oberon"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-32), 80, 5+14*32)

ObjLocs132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Oberon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            end
        end
    end) ();
-------------------------------
ObjLocs133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Puck"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-33), 80, 5+14*33)

ObjLocs133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Puck");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
-------------------------------
ObjLocs134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titania"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-34), 80, 5+14*34)

ObjLocs134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Titania");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            end
        end
    end) ();
-------------------------------
ObjLocs135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Umbriel"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-35), 80, 5+14*35)

ObjLocs135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Umbriel");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2500);
            end
        end
    end) ();
-------------------------------
ObjLocs136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(LocsFrame, 2, 2+14*(gg-36), 80, 5+14*36)
-------------------------------
ObjLocs137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true)  
    :attach(LocsFrame, 2, 2+14*(gg-37), 80, 5+14*37)
-------------------------------
ObjLocs138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("NEPTUNE"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-38), 80, 5+14*38)

ObjLocs138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Neptune");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:show("cloudmaps")
            celestia:settimescale(1000);
            radians = math.rad(40)
            obs:setfov(radians)
            end
        end
    end) ();
-------------------------------
ObjLocs139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Proteus"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-39), 80, 5+14*39)

ObjLocs139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Proteus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) (); 
-------------------------------
ObjLocs140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Triton"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-40), 80, 5+14*40)

ObjLocs140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Triton");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            end
        end
    end) (); 
-------------------------------
ObjLocs141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)	
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 2, 2+14*(gg-41), 80, 5+14*41)
--====================================
ObjLocs201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pluto"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-1), 2, 5+14*1)

ObjLocs201Box.Action = (function()
    return 
        function()
           local obj = celestia:find("Sol/Pluto-Charon/134340 Pluto");  
           celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true) 
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);              
            end            
        end
    end) ();
-------------------------------
ObjLocs202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Charon"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-2), 2, 5+14*2)

ObjLocs202Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Charon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000); 
            radians = math.rad(60)
            obs:setfov(radians)             
            end            
        end
    end) ();
-------------------------------
ObjLocs203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hydra *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-3), 2, 5+14*3)

ObjLocs203Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Hydra");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ObjLocs204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Nix *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-4), 2, 5+14*4)

ObjLocs204Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Nix");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);              
            end            
        end
    end) ();
-------------------------------
ObjLocs205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kerberos *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-5), 2, 5+14*5)

ObjLocs205Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Kerberos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);              
            end            
        end
    end) ();
-------------------------------
ObjLocs206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Styx *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-6), 2, 5+14*6)

ObjLocs206Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Styx");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);              
            end            
        end
    end) ();
-------------------------------
ObjLocs207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-9), 2, 5+14*9)
-------------------------------
ObjLocs208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Makemake *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-8), 2, 5+14*8)

ObjLocs208Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Makemake");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ObjLocs209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(normalfont)
    :textcolor(color1) 
    :textpos("left")    
    :movetext(5, 9)
    :text(_("Satellite1 #*"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-9), 2, 5+14*9)

ObjLocs209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Makemake/2015 136472 1");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------
ObjLocs210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
     :attach(LocsFrame, 80, 2+14*(gg-10), 2, 5+14*10)
-------------------------------
ObjLocs211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Haumea *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-11), 2, 5+14*11)
	
ObjLocs211Box.Action = (function()	
    return 
        function()
            local obj = celestia:find("Sol/Haumea");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();	
-------------------------------
ObjLocs212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Namaka *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-12), 2, 5+14*12)
	
ObjLocs212BoxAction = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Namaka");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();	
-------------------------------------	
ObjLocs213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)    
    :text(_("Hi'iaka *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-13), 2, 5+14*13)	

ObjLocs213Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Hi'iaka");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();	
-------------------------------
ObjLocs214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-14), 2, 5+14*14)
-------------------------------
ObjLocs215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor({0,1,1,1})   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ceres"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-15), 2, 5+14*15)

ObjLocs215Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ceres");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ObjLocs216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-16), 2, 5+14*16)
-------------------------------
ObjLocs217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eris *")) 
    :movable(false)
    :active(true) 
   :attach(LocsFrame, 80, 2+14*(gg-17), 2, 5+14*17)

ObjLocs217Box.Action = (function()
     return 
        function()
            local obj = celestia:find("Sol/Eris");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ObjLocs218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dysnomia *"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-18), 2, 5+14*18)

ObjLocs218Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris/Dysnomia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(300);              
            end            
        end
    end) ();
-------------------------------
ObjLocs219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-19), 2, 5+14*19)
-------------------------------
ObjLocs220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color73)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_("Sedna *"))
    :movable(false)
    :active(true) 
   :attach(LocsFrame, 80, 2+14*(gg-20), 2, 5+14*20)

ObjLocs220Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 VB12");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ObjLocs221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
  :attach(LocsFrame, 80, 2+14*(gg-21), 2, 5+14*21) 
-------------------------------
ObjLocs222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asteroids:"))
    :movable(false)
    :active(false) 
    :attach(LocsFrame, 80, 2+14*(gg-22), 2, 5+14*22)

ObjLocs222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1993 BW3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            end
        end
    end) ();
-------------------------------
ObjLocs223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color21)
    :textfont(normalfont)
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eros"))
    :movable(false)
    :active(true) 
   :attach(LocsFrame, 80, 2+14*(gg-23), 2, 5+14*23) 

ObjLocs223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Eros");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------
ObjLocs224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gaspra"))        
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-24), 2, 5+14*24) 

ObjLocs224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Gaspra");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
	
-------------------------------
ObjLocs225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ida"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-25), 2, 5+14*25)

ObjLocs225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ida");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ObjLocs226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color83)
    :textfont(normalfont)
    :textcolor(color1)  
    :textpos("left")    
    :movetext(5, 9)
    :text(_("Dactyl"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-26), 2, 5+14*26) 

ObjLocs226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Ida/Dactyl");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
--------------------------------
ObjLocs227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color13)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Itokawa"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-27), 2, 5+14*27) 

ObjLocs227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Itokawa");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) (); 
--------------------------------
ObjLocs228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Lutetia"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-28), 2, 5+14*28)

ObjLocs228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Lutetia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();  
-------------------------------
ObjLocs229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mathilde"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-29), 2, 5+14*29) 

ObjLocs229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mathilde");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------
ObjLocs230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color32)
    :textfont(normalfont)
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Steins"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-30), 2, 5+14*30) 

ObjLocs230Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Steins");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();		
-------------------------------
ObjLocs231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :fillcolor(color32) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Vesta"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-31), 2, 5+14*31)	

ObjLocs231Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/4 Vesta");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(2007, 9, 27, 23, 58, 55)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
-------------------------------
ObjLocs232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
 --   :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-32), 2, 5+14*32) 
-------------------------------
ObjLocs233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-33), 2, 5+14*33) 
-------------------------------
ObjLocs234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-34), 2, 5+14*34)
-------------------------------
ObjLocs235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-35), 2, 5+14*35) 
-------------------------------
ObjLocs236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Comets:"))
    :movable(false)
    :active(false) 
   :attach(LocsFrame, 80, 2+14*(gg-36), 2, 5+14*36) 
-------------------------------
ObjLocs237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :fillcolor(cbutextoff)	
    :textfont(smallfont) 
    :textcolor({0,0,1,1}) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("67P/Churyumov."))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-37), 2, 5+14*37) 
	
ObjLocs237Box.Action = (function()
    return 
            function()      
            local obj = celestia:find("Sol/67P_Churyumov_Gerasimenko");           
            celestia:select(obj);
            local sel = celestia:getselection();          
            if not(empty(sel)) then
               tdb_dt = celestia:utctotdb(2015, 12, 30, 01, 52, 00)
               celestia:settime(tdb_dt) 
               obj:setvisible(true)               
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();	
-------------------------------
ObjLocs238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
  --  :fillcolor(color22)
    :textfont(smallfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-38), 2, 5+14*38)
------------------------------- 
ObjLocs239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
   -- :fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-39), 2, 5+14*39)
--------------------------------
ObjLocs240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor(color21)
    :textfont(smallfont) 
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("* - no location"))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-40), 2, 5+14*40)
-------------------------------
ObjLocs241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({1,0,0,0.8}) 
    :textpos("center")    
    :movetext(-2, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LocsFrame, 80, 2+14*(gg-41), 2, 5+14*41)
---------------------------------------------------------- 


