----------------------------------------------
-- NeptuneBox.lua
-- by Lygin Gennady a.k.a. Croc 11.01.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();

local newwidth, newheight;
local gn=42
local gg=gn-1
local NeptuneFrameWidth, NeptuneFrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
NeptuneBox = CXBox:new()  
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

NeptuneBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    NeptuneButton.Visible = GuidesVisibility -- display or undisplay Button
    NeptuneCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if NeptuneCheck.Text ==  "o" then
		NeptuneFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

NeptuneButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ne"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(NeptuneBox,0,0,0,0) 

NeptuneCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(NeptuneBox, 20, 0, 0, 0)

NeptuneButton.Action = (function()
        return
            function()
              display_Neptune = not display_Neptune;
                if display_Neptune then  
                    actual_renderflags = celestia:getrenderflags() 
                    NeptuneFrame.Visible = true;                     
                    NeptuneCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);
                    celestia:setfaintestvisible(8.00) 
                else          
                    NeptuneFrame.Visible = false;                   
                    NeptuneCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
------------------------------------
NeptuneFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-NeptuneFrameWidth)/2, height-NeptuneFrameHeight-2, (width-NeptuneFrameWidth)/2, 2)

 NeptuneFrame.Customdraw = function(this) 

            if  Neptune_firstTickDone then
            if not(NeptuneCloseButtonDone) then
                NeptuneCloseButtonDone = true;
                makeCloseButton(NeptuneCloseButton, NeptuneFrame, NeptuneButton);
            end
            else
                Neptune_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
               newwidth, newheight = width, height;               
               if height>=768  then
                  NeptuneFrame:attach(screenBox, width-NeptuneFrameWidth-35, height-NeptuneFrameHeight-128, 35, 128)
               else
                  NeptuneFrame:attach(screenBox, width-NeptuneFrameWidth-200, height-NeptuneFrameHeight-3, 200, 3) 
              end
            end
          
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1}); 
	    textlayout:setpos(this.lb+25, this.tb - 14);       
            textlayout:println(_("Objects NEPTPUNE"));
end;
--===============
-- Подключение команд 
--===============
Neptune101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 2, 2+14*(gg-1), 66, 5+14*1)
-------------------------------------
Neptune102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,0,.5,.8})
    :textfont(normalfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("NEPTUNE.1846"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame,  2, 2+14*(gg-2), 66, 5+14*2)

Neptune102Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Neptune");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:show("cloudmaps")
            celestia:settimescale(1000);
            radians = math.rad(40)
            obs:setfov(radians)
            end
        end
    end) ();
-------------------------------------
Neptune103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(7, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-3), 66, 5+14*3)
--------------------------------------
Neptune104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Galatea.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-4), 66, 5+14*4)

Neptune104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Galatea");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
--------------------------------------
Neptune105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Halimede.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-5), 66, 5+14*5)

Neptune105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Halimede");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
--------------------------------------
Neptune106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Despina.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-6), 66, 5+14*6)

Neptune106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Despina");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
--------------------------------------
Neptune107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Laomedeia.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-7), 66, 5+14*7)

Neptune107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Laomedeia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
-------------------------------------
Neptune108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Larissa.1981"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-8), 66, 5+14*8)

Neptune108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Larissa");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
-------------------------------------
Neptune109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Naiad.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-9), 66, 5+14*9)

Neptune109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Naiad");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
--------------------------------------
Neptune110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Nereid.1949"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-10), 66, 5+14*10)

Neptune110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Nereid");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
             celestia:settimescale(800);
            end
        end
    end) ();  
-------------------------------------
Neptune111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Neso.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-11), 66, 5+14*11)

Neptune111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Neso");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
Neptune112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Proteus.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-12), 66, 5+14*12)

Neptune112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Proteus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();  
-------------------------------------
Neptune113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Psamathe.03"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-13), 66, 5+14*13)

Neptune113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Psamathe");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();  
--------------------------------------
Neptune114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sao.02"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-14), 66, 5+14*14)

Neptune114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Sao");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
-------------------------------------
Neptune115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thalassa.1989"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-15), 66, 5+14*15)

Neptune115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Thalassa");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
-------------------------------------
Neptune116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Triton.1846"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-16), 66, 5+14*16)

Neptune116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/Triton");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            end
        end
    end) (); 
-------------------------------------
Neptune117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 N 1"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-17), 66, 5+14*17)

Neptune117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Neptune/S-2004 N 1");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) (); 
-------------------------------------
Neptune118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 2, 2+14*(gg-18), 66, 5+14*18)
-------------------------------------
Neptune119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 2, 2+14*(gg-19), 66, 5+14*19)
-------------------------------------
Neptune120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asteroids in the Lagrange points:")) 
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-20), 2, 5+14*20)
-------------------------------------
Neptune121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2001 QR322"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-21), 66, 5+14*21)

Neptune121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 QR322");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();  
-------------------------------------
Neptune122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Otrera.04"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-22), 66, 5+14*22)

Neptune122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 UP10");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Neptune123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 KV18"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-23), 66, 5+14*23)

Neptune123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2004 KV18");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();  
-------------------------------------
Neptune124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 TN53"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-24), 66, 5+14*24)

Neptune124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 TN53");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Neptune125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 TO74"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-25), 66, 5+14*25)

Neptune125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2005 TO74");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Neptune126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 RJ103"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-26), 66, 5+14*26)

Neptune126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2006 RJ103");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Neptune127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 VL305"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-27), 66, 5+14*27)

Neptune127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 VL305");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();  
-------------------------------------
Neptune128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2008 LC18"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-28), 66, 5+14*28)

Neptune128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2008 LC18");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Neptune129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 EN65"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-29), 66, 5+14*29)
-------------------------------------
Neptune130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 TS191"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-30), 66, 5+14*30)
-------------------------------------
Neptune131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 TT191"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-31), 66, 5+14*31)
-------------------------------------
Neptune132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 HM102"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-32), 66, 5+14*32)

Neptune132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 HM102");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) (); 
-------------------------------------
Neptune133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 SO277"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-33), 66, 5+14*33)
-------------------------------------
Neptune134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 WG157"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-34), 66, 5+14*34)
-------------------------------------
Neptune135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2012 UV177"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-35), 66, 5+14*35)
-------------------------------------
Neptune136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 KY18"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-36), 66, 5+14*36)
-------------------------------------
Neptune137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2014 QO441"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-37), 66, 5+14*37)
-------------------------------------
Neptune138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2014 QP441"))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-38), 66, 5+14*38)
-------------------------------------
Neptune139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-39), 66, 5+14*39)
-------------------------------------
Neptune140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-40), 66, 5+14*40)
-------------------------------------
Neptune141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(NeptuneFrame, 2, 2+14*(gg-41), 66, 5+14*41)
--===================
Neptune201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
     :text(_("d=km"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-1), 2, 5+14*1)
-------------------------------------
Neptune202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~49528"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-2), 2, 5+14*2)
-------------------------------------
Neptune203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30,4"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-3), 2, 5+14*3)
------------------------------------- 
Neptune204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~204"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-4), 2, 5+14*4)
-------------------------------------
Neptune205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~62"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-5), 2, 5+14*5)
--------------------------------------
Neptune206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~180"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-6), 2, 5+14*6)
-------------------------------------
Neptune207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~42"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-7), 2, 5+14*7)
-------------------------------------
Neptune208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~208"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-8), 2, 5+14*8)
--------------------------------------
Neptune209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~96"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-9), 2, 5+14*9)
--------------------------------------
Neptune210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~340"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-10), 2, 5+14*10)
-------------------------------------
Neptune211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~60"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-11), 2, 5+14*11)
--------------------------------------
Neptune212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~436"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------
Neptune213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~38"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-13), 2, 5+14*13)
--------------------------------------
Neptune214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~44"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-14), 2, 5+14*14)
--------------------------------------
Neptune215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~108"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-15), 2, 5+14*15)
-------------------------------------
Neptune216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2707"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-16), 2, 5+14*16)
-------------------------------------
Neptune217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-17), 2, 5+14*17)
-------------------------------------
Neptune218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("=14"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------
Neptune219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-19), 3, 5+14*19)
-------------------------------------
Neptune221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~110"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-21), 2, 5+14*21)
--------------------------------------
Neptune222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~95"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-22), 2, 5+14*22)
-------------------------------------
Neptune223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~56"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-23), 2, 5+14*23)
--------------------------------------
Neptune224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~65"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-24), 2, 5+14*24)
-------------------------------------
Neptune225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~100"))   
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-25), 2, 5+14*25)
--------------------------------------
Neptune226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~137"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-26), 2, 5+14*26)
--------------------------------------
Neptune227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~108"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-27), 2, 5+14*27)
-------------------------------------
Neptune228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~100"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-28), 2, 5+14*28)
-------------------------------------
Neptune229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L3 ~200"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-29), 2, 5+14*29)
-------------------------------------
Neptune230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~120"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-30), 2, 5+14*30)
-------------------------------------
Neptune231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~130"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-31), 2, 5+14*31)
-------------------------------------
Neptune232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~135"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-32), 2, 5+14*32)
-------------------------------------
Neptune233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~140"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-33), 2, 5+14*33)
-------------------------------------
Neptune234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~170"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
Neptune235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~80"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-35), 2, 5+14*35)
-------------------------------------
Neptune236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~200"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-36), 2, 5+14*36)
-------------------------------------
Neptune237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~130"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-37), 2, 5+14*37)
-------------------------------------
Neptune238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~90"))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-38), 2, 5+14*38)
-------------------------------------
Neptune239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("=18")) 
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-39), 2, 5+14*39) 
-------------------------------------
Neptune240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-40), 2, 5+14*40)
-------------------------------------
Neptune241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(NeptuneFrame, 93+1, 2+14*(gg-41), 2, 5+14*41)