----------------------------------------------
-- Saturn2Box.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local  Saturn2FrameWidth,  Saturn2FrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
 Saturn2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

 Saturn2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
     Saturn2Button.Visible = GuidesVisibility -- display or undisplay Button
     Saturn2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if  Saturn2Check.Text ==  "o" then
		 Saturn2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

 Saturn2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-4, 9)  
    :text(_("Sa2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach( Saturn2Box,0,0,0,0) 

 Saturn2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach( Saturn2Box, 20, 0, 0, 0)

 Saturn2Button.Action = (function()
        return
            function()
              display_Saturn2 = not display_Saturn2;
                if display_Saturn2 then  
                    actual_renderflags = celestia:getrenderflags()             
                    Saturn2Frame.Visible = true;                     
                    Saturn2Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);
                    celestia:setfaintestvisible(8.00) 
                else          
                     Saturn2Frame.Visible = false;                   
                     Saturn2Check.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                 end
            end
        end) ();
------------------------------------
 Saturn2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width- Saturn2FrameWidth)/2, height- Saturn2FrameHeight-2, (width- Saturn2FrameWidth)/2, 2)

  Saturn2Frame.Customdraw = function(this)  

            if Saturn2_firstTickDone then
            if not(Saturn2CloseButtonDone) then
                Saturn2CloseButtonDone = true;
                makeCloseButton(Saturn2CloseButton, Saturn2Frame, Saturn2Button);
            end
            else
                Saturn2_firstTickDone = true;            
            end  

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
                    Saturn2Frame:attach(screenBox, width-Saturn2FrameWidth-35, height- Saturn2FrameHeight-128, 35, 128)                     
            end
         
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+20, this.tb - 14);         
            textlayout:println(_("  Objects-2  SATURN"));
end;
--==================
-- Подключение команд 
--==================
Saturn2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 2, 2+14*(gg-1), 60, 5+14*1)
------------------------------------
Saturn2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SATURN"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-2), 60, 5+14*2)

Saturn2102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            end
        end
    end) ();
-------------------------------------
Saturn2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 2, 2+14*(gg-3), 60, 5+14*3)
------------------------------------
Saturn2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tethys.1682"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-4), 60, 5+14*4)

Saturn2104Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Tethys");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1250);
            end
        end
    end) ();
-------------------------------------
Saturn2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titan.1655"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-5), 60, 5+14*5)

Saturn2105Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Titan");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            end
        end
    end) ();
------------------------------------
Saturn2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Thrymr.00"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-6), 60, 5+14*6)

Saturn2106Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Thrymr");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
Saturn2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Farbauti.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-7), 60, 5+14*7)

Saturn2107Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Saturn/Farbauti");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Phoebe.1899"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-8), 60, 5+14*8)

Saturn2108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Phoebe");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Fenrir.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-9), 60, 5+14*9)

Saturn2109Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Fenrir");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------- 
Saturn2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Fornjot.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-10), 60, 5+14*10)

Saturn2110Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Fornjot");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------- 
Saturn2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hati.04"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-11), 60, 5+14*11)

Saturn2111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Hati");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Saturn2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aegaeon.08"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-12), 60, 5+14*12)

Saturn2112Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Aegaeon");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Aegir.04"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-13), 60, 5+14*13)

Saturn2113Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Aegir");
               celestia:select(obj);
               local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
Saturn2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Enceladus.1789"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-14), 60, 5+14*14)

Saturn2114Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Enceladus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
------------------------------------
Saturn2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Epimetheus.1980"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-15), 60, 5+14*15)

Saturn2115Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Epimetheus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
-------------------------------------  
Saturn2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Erriapus.00"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-16), 60, 5+14*16)

Saturn2116Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Erriapus");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Janus.1966"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-17), 60, 5+14*17)

Saturn2117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Janus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Iapetus.1671"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-18), 60, 5+14*18)    

Saturn2118Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Iapetus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100000);
            end
        end
    end) ();
-------------------------------------  
Saturn2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Jarnsaxa.06"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-19), 60, 5+14*19)  

Saturn2119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Jarnsaxa");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------ 
Saturn2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 7"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-20), 60, 5+14*20) 

Saturn2120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 7");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------       
Saturn2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 12"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-21), 60, 5+14*21)

Saturn2121Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/2004 S 12");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 13"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-22), 60, 5+14*22)  

Saturn2122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 13");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 17"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-23), 60, 5+14*23)    

Saturn2123Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 17");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------         
Saturn2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 S 1"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-24), 60, 5+14*24) 

Saturn2124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2006 S 1");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------             
Saturn2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 S 3"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 2, 2+14*(gg-25), 60, 5+14*25)     

Saturn2125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2006 S 3");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------         
Saturn2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 S 2"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-26), 60, 5+14*26)     

Saturn2126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2007 S 2");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();  
------------------------------------
Saturn2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 S 3"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-27), 60, 5+14*27)     

Saturn2127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2007 S 3");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
Saturn2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2009 S 1"))
    :movable(false)
    :active(true) 
     :attach( Saturn2Frame, 2, 2+14*(gg-28), 60, 5+14*28)  

Saturn2128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2009 S 1");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
-------------------------------------
Saturn2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
     :attach( Saturn2Frame, 2, 2+14*(gg-29), 60, 5+14*29) 
------------------------------------
Saturn2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Not confirmed:"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-30), 2, 5+14*30) 
------------------------------------
Saturn2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 3"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-31), 60, 5+14*31)
 
Saturn2131Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 3");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------- 
Saturn2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 4"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-32), 60, 5+14*32)
 
Saturn2132Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 4");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
------------------------------------
Saturn2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 S 6"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-33), 60, 5+14*33)
 
Saturn2133Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/2004 S 6");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------ 
Saturn2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
     :attach( Saturn2Frame, 2, 2+14*(gg-34), 60, 5+14*34) 
------------------------------------ 
Saturn2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)  
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Satellite propeller"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-35), 2, 5+14*35)
-------------------------------------
Saturn2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)
    :text(_("Bleriot"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-36), 80, 5+14*36)
	
Saturn2136Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Bleriot");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
------------------------------------
Saturn2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)	
    :text(_("Curtiss"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-37), 80, 5+14*37)
	
Saturn2137Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Curtiss");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------------
Saturn2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)	
    :text(_("Earhart"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-38), 80, 5+14*38)
	
Saturn2138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Earhart");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
------------------------------------
Saturn2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)  
    :textcolor(color6)
    :textpos("left") 
    :movetext(0, 9)	
    :text(_("Hinkler"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-39), 80, 5+14*39)
	
Saturn2139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Hinkler");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
------------------------------------
Saturn2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left")
    :movetext(0, 9)	
    :text(_("Kingsford Smith"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-40), 80 , 5+14*40) 
	
Saturn2140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Kingsford Smith");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
------------------------------------
Saturn2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left")
    :movetext(0, 9)	
    :text(_("Lindbergh"))
    :movable(false)
    :active(true) 
    :attach( Saturn2Frame, 2, 2+14*(gg-41), 80 , 5+14*41) 
	
Saturn2141Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Lindbergh");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
--===================
Saturn2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-1), 2, 5+14*1) 
------------------------------------
Saturn2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~120536"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-2), 2, 5+14*2)
-------------------------------------
Saturn2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~10,1"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-3), 2, 5+14*3)
------------------------------------
Saturn2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1071"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-4), 2, 5+14*4)
-------------------------------------
Saturn2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5149"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-5), 2, 5+14*5)
-------------------------------------
Saturn2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-6), 2, 5+14*6)
------------------------------------
Saturn2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-7), 2, 5+14*7)
------------------------------------
Saturn2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~219"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-8), 2, 5+14*8)
------------------------------------ 
Saturn2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-9), 2, 5+14*9)
------------------------------------ 
Saturn2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-10), 2, 5+14*10)
-------------------------------------    
Saturn2211Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))  
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-11), 2, 5+14*11)
------------------------------------
Saturn2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~0,5"))  
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-12), 2, 5+14*12)
-------------------------------------
Saturn2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
  :attach(Saturn2Frame, 100, 2+14*(gg-13), 2, 5+14*13)
------------------------------------
Saturn2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~513"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-14), 2, 5+14*14)
------------------------------------
Saturn2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~138"))
    :movable(false)
    :active(false)   
    :attach(Saturn2Frame, 100, 2+14*(gg-15), 2, 5+14*15)
-------------------------------------  
Saturn2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~10"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-16), 2, 5+14*16)
-------------------------------------
Saturn2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~194"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-17), 2, 5+14*17)
------------------------------------
Saturn2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1492"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-18), 2, 5+14*18)
-------------------------------------  
Saturn2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-19), 2, 5+14*19)
------------------------------------
Saturn2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-20), 2, 5+14*20)
------------------------------------
Saturn2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-21), 2, 5+14*21)
------------------------------------
Saturn2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-22), 2, 5+14*22)
------------------------------------
Saturn2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-23), 2, 5+14*23)
------------------------------------
Saturn2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-24), 2, 5+14*24)
-------------------------------------
Saturn2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-25), 2, 5+14*25)
-------------------------------------
Saturn2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-26), 2, 5+14*26)
------------------------------------
Saturn2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-27), 2, 5+14*27) 
-------------------------------------
Saturn2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~0,3"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-28), 2, 5+14*28) 
------------------------------------
Saturn2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("= 62"))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-29), 2, 5+14*29)
------------------------------------
Saturn2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 100, 2+14*(gg-31), 2, 5+14*31)
------------------------------------
Saturn2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~4"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 100, 2+14*(gg-32), 2, 5+14*32)
------------------------------------
Saturn2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~5"))
    :movable(false)
    :active(false) 
    :attach( Saturn2Frame, 100, 2+14*(gg-33), 2, 5+14*33)
--------------------------------------
Saturn2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Saturn2Frame, 100, 2+14*(gg-34), 2, 5+14*34)
-------------------------------------
Saturn2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Peggy #"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 80, 2+14*(gg-36), 2, 5+14*36)
	
Saturn2236Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Peggy");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------------
Saturn2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)    
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Post"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 80, 2+14*(gg-37), 2, 5+14*37)
	
Saturn2237Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Post");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------------
Saturn2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Richthofen"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 80, 2+14*(gg-38), 2, 5+14*38)
	
Saturn2238Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Richthofen");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------------
Saturn2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)    
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Santos-Dumont"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 80, 2+14*(gg-39), 2, 5+14*39)
	
Saturn2239Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Santos-Dumont");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------------
Saturn2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)    
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sikorsky"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 80, 2+14*(gg-40), 2, 5+14*40)
	
Saturn2240Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Sikorsky");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
-------------------------------------
Saturn2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color6)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Wright"))
    :movable(false)
    :active(true) 
    :attach(Saturn2Frame, 80, 2+14*(gg-41), 2, 5+14*41)
	
Saturn2241Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Wright");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();	
--===================
