----------------------------------------------
-- SaturnBox.lua
-- by Lygin Gennady a.k.a. Croc 09.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                                 
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local  SaturnFrameWidth,  SaturnFrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
 SaturnBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

 SaturnBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
     SaturnButton.Visible = GuidesVisibility -- display or undisplay Button
     SaturnCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if  SaturnCheck.Text ==  "o" then
		 SaturnFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

 SaturnButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-4, 9)  
    :text(_("Sa1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach( SaturnBox,0,0,0,0) 

 SaturnCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach( SaturnBox, 20, 0, 0, 0)

 SaturnButton.Action = (function()
        return
            function()
              display_Saturn = not display_Saturn;
                if display_Saturn then 
                    actual_renderflags = celestia:getrenderflags()              
                    SaturnFrame.Visible = true;                     
                    SaturnCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00)  
                else          
                     SaturnFrame.Visible = false;                   
                     SaturnCheck.Text = "";

                     celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
----------------------------------
 SaturnFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width- SaturnFrameWidth)/2, height- SaturnFrameHeight-2, (width- SaturnFrameWidth)/2, 2)

  SaturnFrame.Customdraw = function(this)   

            if  Saturn_firstTickDone then
            if not(SaturnCloseButtonDone) then
                SaturnCloseButtonDone = true;
                makeCloseButton(SaturnCloseButton, SaturnFrame, SaturnButton);
            end
            else
                Saturn_firstTickDone = true;            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then 
                    SaturnFrame:attach(screenBox, width- SaturnFrameWidth-35, height- SaturnFrameHeight-125, 35, 125)                     
               else
                    SaturnFrame:attach(screenBox, width- SaturnFrameWidth-200, height- SaturnFrameHeight-3, 200, 3) 
              end
           end
         
           textlayout:setfont(normalfont);
           textlayout:setfontcolor({0.2,0.8,1,1});        
	   textlayout:setpos(this.lb+25, this.tb - 14);         
           textlayout:println(_("  Objects SATURN"));
end;
--==================
-- Подключение команд 
--==================
Saturn101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)   
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 2, 2+14*(gg-1), 60, 5+14*1)
-----------------------------------
Saturn102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SATURN"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-2), 60, 5+14*2)

Saturn102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(100);
            end
        end
    end) ();
-----------------------------------
Saturn103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-3), 60, 5+14*3)
-----------------------------------
Saturn104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Albiorix.00"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-4), 60, 5+14*4)

Saturn104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Albiorix");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(300);
            end
        end
    end) ();
-----------------------------------
Saturn105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Anthe.07"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-5),  60, 5+14*5)

Saturn105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Anthe");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1000);
            end
        end
    end) ();
-----------------------------------
Saturn106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Atlas.1980"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-6), 60, 5+14*6)

Saturn106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Atlas");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
-----------------------------------
Saturn107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bergelmir.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-7), 60, 5+14*7)

Saturn107Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver();
            local obj = celestia:find("Sol/Saturn/Bergelmir");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bestla.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-8), 60, 5+14*8)

Saturn108Box.Action = (function()
    return
        function()          
            local obj = celestia:find("Sol/Saturn/Bestla");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------
Saturn109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bebhionn.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-9), 60, 5+14*9)

Saturn109Box.Action = (function()
    return
        function()        
            local obj = celestia:find("Sol/Saturn/Bebhionn");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------
Saturn110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Hyperion.1848"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-10), 60, 5+14*10)

Saturn110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Saturn/Hyperion");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(4000);
            end
        end
    end) ();
-----------------------------------
Saturn111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")   
    :movetext(0, 9)
    :text(_("Hyrrokkin.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-11), 60, 5+14*11)

Saturn111Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Hyrrokkin");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------- 
Saturn112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Greip.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-12), 60, 5+14*12)

Saturn112Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Greip");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
---------------------------------- 
Saturn113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Daphnis.05"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-13),  60, 5+14*13)

Saturn113Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Daphnis");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(800);
            end
        end
    end) ();
----------------------------------- 
Saturn114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Dione.1684"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-14), 60, 5+14*14)

Saturn114Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Dione");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-----------------------------------
Saturn115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Helene.1980"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-15), 60, 5+14*15)

Saturn115Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Helene");
               celestia:select(obj);
               local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-----------------------------------
Saturn116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ijiraq.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-16), 60, 5+14*16)

Saturn116Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Ijiraq");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------
Saturn117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ymir.00"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-17), 60, 5+14*17)

Saturn117Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Ymir");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------- 
Saturn118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Calypso.1980"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-18), 60, 5+14*18)

Saturn118Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Calypso");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(2000);
            end
        end
    end) ();
-----------------------------------
Saturn119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kari.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-19),  60, 5+14*19)

Saturn119Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Kari");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
-----------------------------------
Saturn120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kiviuq.00"))
    :movable(false)
    :active(true) 
  :attach( SaturnFrame, 2, 2+14*(gg-20), 60, 5+14*20)    

Saturn120Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Kiviuq");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------   
Saturn121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Loge.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-21), 60, 5+14*21)  

Saturn121Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Loge");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------
Saturn122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Methone.04"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-22), 60, 5+14*22) 

Saturn122Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Methone");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------       
Saturn123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mimas.1789"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-23), 60, 5+14*23)

Saturn123Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Mimas");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1000);
            end
        end
    end) ();
-----------------------------------
Saturn124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mundilfari.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-24), 60, 5+14*24)  

Saturn124Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Mundilfari");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------
Saturn125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Narvi.03"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-25),  60, 5+14*25)    

Saturn125Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Narvi");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------         
Saturn126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Paaliaq.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-26), 60 , 5+14*26) 

Saturn126Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Paaliaq");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
-----------------------------------             
Saturn127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pallene.04"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 2, 2+14*(gg-27), 60, 5+14*27)     

Saturn127Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Pallene");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(800);
            end
        end
    end) ();
-----------------------------------        
Saturn128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pan.1990"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-28), 60, 5+14*28)     

Saturn128Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Pan");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) (); 
-----------------------------------
Saturn129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pandora.1980"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-29), 60, 5+14*29)     

Saturn129Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Pandora");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
-----------------------------------
Saturn130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Polydeuces.04"))
    :movable(false)
    :active(true) 
     :attach( SaturnFrame, 2, 2+14*(gg-30), 60, 5+14*30)  

Saturn130Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Polydeuces");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(4000);
            end
        end
    end) ();
-----------------------------------        
Saturn131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Prometheus.1980"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-31), 60, 5+14*31)

Saturn131Box.Action = (function()
    return
        function()           
            local obj = celestia:find("Sol/Saturn/Prometheus");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1000);
            end
        end
    end) ();
----------------------------------- 
Saturn132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Rhea.1672"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-32), 60, 5+14*32)

Saturn132Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Rhea");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(4000);
            end
        end
    end) ();
-----------------------------------
Saturn133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Siarnaq.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-33), 60, 5+14*33)

Saturn133Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Siarnaq");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
-----------------------------------
Saturn134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Skathi.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-34), 60, 5+14*34)

Saturn134Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Skathi");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------- 
Saturn135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Skoll.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-35), 60, 5+14*35) 

Saturn135Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Skoll");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) (); 
----------------------------------
Saturn136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Surtur.06"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-36), 60, 5+14*36) 

Saturn136Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Surtur");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------- 
Saturn137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Suttungr.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-37), 60, 5+14*37) 

Saturn137Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Suttungr");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------- 
Saturn138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tarvos.00"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-38),  60, 5+14*38) 

Saturn138Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Tarvos");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
------------------------------------
Saturn139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Tarqeq.07"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-39), 60, 5+14*39) 

Saturn139Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Tarqeq");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------- 
Saturn140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Telesto.1980"))
    :movable(false)
    :active(true) 
    :attach( SaturnFrame, 2, 2+14*(gg-40),  60, 5+14*40)

Saturn140Box.Action = (function()
    return
        function()
            local obj = celestia:find("Sol/Saturn/Telesto");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1000);
            end
        end
    end) ();
---------------------------------- 
Saturn141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.8})
    :textfont(normalfont)  
    :textcolor({1,1,0,.6})
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 2, 2+14*(gg-41),  60, 5+14*41)
--==================
Saturn201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km")) 
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-1), 2, 5+14*1) 
-----------------------------------
Saturn202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~120536"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-2), 2, 5+14*2)
-----------------------------------
Saturn203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~10,1"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 100, 2+14*(gg-3), 2, 5+14*3)
------------------------------------
Saturn204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~32"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-4), 2, 5+14*4)
-----------------------------------
Saturn205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~2"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-5), 2, 5+14*5)
-----------------------------------
Saturn206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~37"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-6), 2, 5+14*6)
-----------------------------------
Saturn207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-7), 2, 5+14*7)
------------------------------------ 
 Saturn208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-8), 2, 5+14*8)
-----------------------------------
Saturn209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-9), 2, 5+14*9)
-----------------------------------
Saturn210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~410"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-10), 2, 5+14*10)
----------------------------------- 
Saturn211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~8"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-11), 2, 5+14*11)
-----------------------------------
Saturn212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(true) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-12), 2, 5+14*12)
------------------------------------    
Saturn213Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~9"))  
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-13), 2, 5+14*13)
-----------------------------------
Saturn214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1128"))  
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-14), 2, 5+14*14)
-----------------------------------
Saturn215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~36"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-15), 2, 5+14*15)
------------------------------------
Saturn216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~12"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-16), 2, 5+14*16)
-----------------------------------
Saturn217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))
    :movable(false)
    :active(false)   
    :attach(SaturnFrame, 93+7, 2+14*(gg-17), 2, 5+14*17)
----------------------------------- 
Saturn218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-18), 2, 5+14*18)
-----------------------------------
Saturn219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-19), 2, 5+14*19)
------------------------------------
Saturn220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~16"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-20), 2, 5+14*20)
------------------------------------  
Saturn221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-21), 2, 5+14*21)
-----------------------------------
Saturn222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-22), 2, 5+14*22)
-----------------------------------
Saturn223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~415"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-23), 2, 5+14*23)
-----------------------------------
Saturn224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-24), 2, 5+14*24)
-----------------------------------
Saturn225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-25), 2, 5+14*25)
-----------------------------------
Saturn226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~22"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-26), 2, 5+14*26)
-----------------------------------
Saturn227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-27), 2, 5+14*27)
-----------------------------------
Saturn228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~34"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-28), 2, 5+14*28)
------------------------------------
Saturn229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~110"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-29), 2, 5+14*29) 
-----------------------------------
Saturn230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~3"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-30), 2, 5+14*30) 
-----------------------------------
Saturn231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~148"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-31), 2, 5+14*31)
------------------------------------
Saturn232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1532"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-32), 2, 5+14*32)
-----------------------------------
Saturn233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~40"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-33), 2, 5+14*33)
------------------------------------
 Saturn234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~8"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 93+7, 2+14*(gg-34), 2, 5+14*34)
------------------------------------
 Saturn235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 93+7, 2+14*(gg-35), 2, 5+14*35)
-----------------------------------
Saturn236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~6"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 93+7, 2+14*(gg-36), 2, 5+14*36)
-----------------------------------
Saturn237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach(SaturnFrame, 93+7, 2+14*(gg-37), 2, 5+14*37)
------------------------------------ 
Saturn238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~15"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 93+7, 2+14*(gg-38), 2, 5+14*38)
-----------------------------------
Saturn239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~7"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 93+7, 2+14*(gg-39), 2, 5+14*39)
----------------------------------- 
Saturn240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30"))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 93+7, 2+14*(gg-40), 2, 5+14*40)
-----------------------------------
Saturn241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach( SaturnFrame, 93+7, 2+14*(gg-41), 2, 5+14*41)
-------------------------------------