----------------------------------------------
-- TNO2Box.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                              
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local TNO2FrameWidth, TNO2FrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
TNO2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

TNO2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    TNO2Button.Visible = GuidesVisibility -- display or undisplay Button
    TNO2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if TNO2Check.Text ==  "o" then
		TNO2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

TNO2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("TN2"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(TNO2Box,0,0,0,0) 

TNO2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(TNO2Box, 20, 0, 0, 0)

TNO2Button.Action = (function()
        return
            function()
              display_TNO2 = not display_TNO2;
                if display_TNO2 then
                    actual_renderflags = celestia:getrenderflags()               
                    TNO2Frame.Visible = true;                     
                    TNO2Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations() 
                    celestia:showconstellations() 
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 

                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры 

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности 
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия 
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты

                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00) 
                 KeplerParamFrame.Visible = true;  
                else          
                    TNO2Frame.Visible = false;                   
                    TNO2Check.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();
---------------------------------
TNO2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-TNO2FrameWidth)/2, height-TNO2FrameHeight-2, (width-TNO2FrameWidth)/2, 2)

 TNO2Frame.Customdraw = function(this) 

            if  TNO2_firstTickDone then
            if not(TNO2CloseButtonDone) then
                TNO2CloseButtonDone = true;
                makeCloseButton(TNO2CloseButton, TNO2Frame, TNO2Button);
            end
            else
                TNO2_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;               
               if height>=768  then
                    TNO2Frame:attach(screenBox, width-TNO2FrameWidth-35, height-TNO2FrameHeight-128, 35, 128) 
               else
                    TNO2Frame:attach(screenBox, width-TNO2FrameWidth-200, height-TNO2FrameHeight-3, 200, 3)
               end
            end

	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,0,1,0.8}); 
	    textlayout:setpos(this.lb+12, this.tb - 14);       
            textlayout:println(_("Transneptunian. TNO - 2."));
         end;
--=================
-- Подключение команд 
--=================
ast2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 2, 2+14*(gg-1), 66, 5+14*1)
---------------------------------
ast2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eris.05")) 
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-39),  66, 5+14*39)

ast2139Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)  
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Dysnomia.05"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-40),  66, 5+14*40)

ast2140Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Eris/Dysnomia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(300);              
            end            
        end
    end) ();
--------------------------------
ast2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 RE64"))
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-38),  66, 5+14*38)

ast2138Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 RE64");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2008 OG19"))  
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-37),  66, 5+14*37)

ast2137Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2008 OG19");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 TJ"))
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-36),  66, 5+14*36)

ast2136Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 TJ");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2008 QY40")) 
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-35),  66, 5+14*35)

ast2135Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2008 QY40");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 ET65"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-34),  66, 5+14*34)

ast2134Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 ET65");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 FZ129"))
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-33),  66, 5+14*33)

ast2133Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2003 FZ129");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 PQ21"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-32),  66, 5+14*32)

ast2132Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 PQ21");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 FY27"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-31),  66, 5+14*31)

ast2131Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 FY27");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color61)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 DE9"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-30),  66, 5+14*30)

ast2130Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 DE9");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color61)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 YW134+"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-29),  66, 5+14*29)

ast2129Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 YW134");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color61)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 TC302"))  
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-28),  66, 5+14*28)

ast2128Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 TC302");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color61)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 UR163"))
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-27),  66, 5+14*27)

ast2127Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2001 UR163");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1995 TL8+"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-26),  66, 5+14*26)

ast2126Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/1995 TL8");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 XR190"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-25),  66, 5+14*25)

ast2125Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2004 XR190");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 FY128"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-24),  66, 5+14*24)

ast2124Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 FY128");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 QX113"))  
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-23),  66, 5+14*23)

ast2123Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2003 QX113");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 RF43")) 
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-22),  66, 5+14*22)

ast2122Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 RF43");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color43)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 WC19+"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-21),  66, 5+14*21)

ast2121Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 WC19");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 FZ27"))  
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-20),  66, 5+14*20)

ast2120Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 FZ27");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Typhon.02+"))  
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-19),  66, 5+14*19)

ast2119Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Typhon-Echidna/Typhon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2014 UM33"))
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-18),  66, 5+14*18)

ast2118Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2014 UM33");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 JJ43"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-17),  66, 5+14*17)

ast2117Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2007 JJ43");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 JW63"))  
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-16),  66, 5+14*16)

ast2116Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 JW63");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 AW197"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-15),  66, 5+14*15)

ast2115Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 AW197");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2008 NW4"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-14),  66, 5+14*14)

ast2114Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2008 NW4");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Makemake.05+"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-13),  66, 5+14*13)

ast2113Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Makemake");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Varda.03+"))
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-9),  66, 5+14*9)

ast2109Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Varda-Ilmare/Varda");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Haumea.03")) 
    :movable(false)
    :active(true)
    :attach(TNO2Frame, 2, 2+14*(gg-10),  66, 5+14*10)

ast2110Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-----------------------------------
ast2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Namaka.03"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-11),  66, 5+14*11)

ast2111Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Namaka");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(8, 9)    
    :text(_("Hi'iaka.05"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-12),  66, 5+14*12)

ast2112Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Haumea/Hi'iaka");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Logos.1997+"))  
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-8),  66, 5+14*8)

ast2108Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Logos-Zoe/Logos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100000);              
            end            
        end
    end) ();
---------------------------------
ast2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Chaos.1998"))  
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-7),  66, 5+14*7)

ast2107Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Chaos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);              
            end            
        end
    end) ();
---------------------------------
ast2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 CD158"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-6),  66, 5+14*6)

ast2106Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 CD158");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
----------------------------------
ast2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 FC28"))
    :movable(false)
    :active(true) 
    :attach(TNO2Frame, 2, 2+14*(gg-5),  66, 5+14*5)

ast2105Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 FC28");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
----------------------------------
ast2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 VR128"))
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-4),  66, 5+14*4)

ast2104Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 VR128");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
----------------------------------
ast2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 NT33"))
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-3),  66, 5+14*3)

ast2103Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 NT33");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
----------------------------------
ast2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 UQ513"))
    :movable(false)
    :active(true)  
    :attach(TNO2Frame, 2, 2+14*(gg-2),  66, 5+14*2)

ast2102Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 UQ513");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--==============================
ast2201Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Q=au/d=km"))   
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-1), 2, 5+14*1)
---------------------------------
ast2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color91)
    :textfont(smallfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~97,6/~2326"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-39), 2, 5+14*39)
---------------------------------
ast2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~514"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-40), 2, 5+14*40)
---------------------------------
ast2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~95,2/~607"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-38), 2, 5+14*38)
---------------------------------
ast2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~93,7/~529"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-37), 2, 5+14*37)
---------------------------------
ast2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~85,4/~440"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-36), 2, 5+14*36)
---------------------------------
ast2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~86,7/~401"))
    :movable(false)
   :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-35), 2, 5+14*35)
---------------------------------
ast2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~85,8/~401"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-34), 2, 5+14*34)
---------------------------------
ast2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~86,4/~146"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-33), 2, 5+14*33)
---------------------------------
ast2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~85,8/~192"))
    :movable(false)
    :active(false)   
    :attach(TNO2Frame, 93+1, 2+14*(gg-32), 2, 5+14*32)
---------------------------------
ast2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~83,7/~753"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-31), 2, 5+14*31)
---------------------------------
ast2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~79,6/~461"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-30), 2, 5+14*30)
---------------------------------
ast2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~75,4/~472"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-29), 2, 5+14*29)
----------------------------------
 ast2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~71,9/~584"))
    :movable(false)
    :active(false)
    :attach(TNO2Frame, 93+1, 2+14*(gg-28), 2, 5+14*28) 
---------------------------------
ast2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~66,0/~636"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-27), 2, 5+14*27) 
--------------------------------
ast2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~64,9/~333"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-26), 2, 5+14*26) 
---------------------------------
ast2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~64,0/~580"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-25), 2, 5+14*25) 
--------------------------------
ast2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~62,3/~460"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-24), 2, 5+14*24) 
---------------------------------
ast2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~62,1/~505"))
    :movable(false)
    :active(false)   
    :attach(TNO2Frame, 93+1, 2+14*(gg-23), 2, 5+14*23)
---------------------------------
ast2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~61,6/~666"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-22), 2, 5+14*22)
---------------------------------
ast2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~60,9/~440"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-21), 2, 5+14*21)
---------------------------------
ast2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~58,7/~595"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-20), 2, 5+14*20)
---------------------------------
ast2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~58,2/~162")) --Тифон
    :movable(false)
    :active(false)   
    :attach(TNO2Frame, 93+1, 2+14*(gg-19), 2, 5+14*19)
---------------------------------
ast2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~56,4/~580"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-18), 2, 5+14*18)
---------------------------------
ast2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~55,5/~730"))
    :movable(false)
    :active(false)   
    :attach(TNO2Frame, 93+1, 2+14*(gg-17), 2, 5+14*17)
---------------------------------
ast2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~55,3/~401"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-16), 2, 5+14*16)
---------------------------------
ast2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~53,7/~734"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-15), 2, 5+14*15)
---------------------------------
ast2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~53,4/~401"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-14), 2, 5+14*14)
----------------------------------
ast2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color91)
    :textfont(smallfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~52,8/~1434"))        
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-13), 2, 5+14*13)
----------------------------------
ast2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~52,1/~82"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-8), 2, 5+14*8)
-------------------------------------
ast2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~52,1/~705"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-9), 2, 5+14*9)
-------------------------------------
ast2210= CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color91)
    :textfont(smallfont)  
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~51,5/~1960"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-10), 2, 5+14*10)
---------------------------------
ast2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~160"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-11), 2, 5+14*11)
---------------------------------
ast2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~320"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-12), 2, 5+14*12)
---------------------------------
ast2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~50,9/~600"))
    :movable(false)
    :active(false) 
    :attach(TNO2Frame, 93+1, 2+14*(gg-7), 2, 5+14*7)
---------------------------------
ast2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~50,1/~420"))
    :movable(false)
    :active(false)  
    :attach(TNO2Frame, 93+1, 2+14*(gg-6), 2, 5+14*6)
---------------------------------
ast2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~50,0/~420"))
    :movable(false)
    :active(false)     
    :attach(TNO2Frame, 93+1, 2+14*(gg-5), 2, 5+14*5)
---------------------------------
ast2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,8/~448"))
    :movable(false)
    :active(false)    
    :attach(TNO2Frame, 93+1, 2+14*(gg-4), 2, 5+14*4)
--------------------------------
ast2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,8/~423"))
    :movable(false)
    :active(false)    
    :attach(TNO2Frame, 93+1, 2+14*(gg-3), 2, 5+14*3)
---------------------------------
ast2202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,7/~686"))
    :movable(false)
    :active(false)    
    :attach(TNO2Frame, 93+1, 2+14*(gg-2), 2, 5+14*2)
-----------------------------------



