----------------------------------------------
-- TNO3Box.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                              
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local TNO3FrameWidth, TNO3FrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
TNO3Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

TNO3Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    TNO3Button.Visible = GuidesVisibility -- display or undisplay Button
    TNO3Check.Visible = GuidesVisibility  -- display or undisplay Check
    if TNO3Check.Text ==  "o" then
		TNO3Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

TNO3Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("TN3"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(TNO3Box,0,0,0,0) 

TNO3Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(TNO3Box, 20, 0, 0, 0)

TNO3Button.Action = (function()
        return
            function()
              display_TNO3 = not display_TNO3;
                if display_TNO3 then
                    actual_renderflags = celestia:getrenderflags()               
                    TNO3Frame.Visible = true;                     
                    TNO3Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations() 
                    celestia:showconstellations() 
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 

                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры 

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности 
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия 
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты

                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);   
                    celestia:setfaintestvisible(8.00)
                KeplerParamFrame.Visible = true;   
                else          
                    TNO3Frame.Visible = false;                   
                    TNO3Check.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();
--------------------------------
TNO3Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-TNO3FrameWidth)/2, height-TNO3FrameHeight-2, (width-TNO3FrameWidth)/2, 2)

 TNO3Frame.Customdraw = function(this) 

            if  TNO3_firstTickDone then
            if not(TNO3CloseButtonDone) then
                TNO3CloseButtonDone = true;
                makeCloseButton(TNO3CloseButton, TNO3Frame, TNO3Button);
            end
            else
                TNO3_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;               
               if height>=768  then 
                    TNO3Frame:attach(screenBox, width-TNO3FrameWidth-35, height-TNO3FrameHeight-128, 35, 128) 
               else 
                    TNO3Frame:attach(screenBox, width-TNO3FrameWidth-200, height-TNO3FrameHeight-3, 200, 3)
              end
           end

	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,0,1,0.8}); 
	    textlayout:setpos(this.lb+12, this.tb - 14);       
            textlayout:println(_("Transneptunian. TNO - 3."));
         end;
--===============
-- Подключение команд
--===============
ast3101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 2, 2+14*(gg-1), 66, 5+14*1)
---------------------------------
ast3141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)  
    :text(_("2000 OM67"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-41),  66, 5+14*41)

ast3141Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2000 OM67");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("2008 ST291"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-40),  66, 5+14*40)

ast3140Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2008 ST291");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)    
    :text(_("2005 SA278"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-39),  66, 5+14*39)

ast3139Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2005 SA278");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3138Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color61)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("2011 HO60"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-38),  66, 5+14*38)

ast3138Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2011 HO60");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("2012 UK177"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-37),  66, 5+14*37)

ast3137Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2012 UK177");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("1996 GQ21"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-36),  66, 5+14*36)

ast3136Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/1996 GQ21");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2008 LP17"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-35),  66, 5+14*35)

ast3135Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2008 LP17");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 CY118"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-34),  66, 5+14*34)

ast3134Box.Action = (function()
    return 
        function()   
            local obj = celestia:find("Sol/1999 CY118");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then 
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color61)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 RP43"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-33),  66, 5+14*33)

ast3133Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2005 RP43");       
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 RM43"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-32),  66, 5+14*32)

ast3132Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2005 RM43");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 HQ122"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-31),  66, 5+14*31)

ast3131Box.Action = (function()
    return 
        function()       
            local obj = celestia:find("Sol/2006 HQ122");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 JJ124"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-30),  66, 5+14*30)

ast3130Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2010 JJ124");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 YQ179"))
    :movable(false)
    :active(true)
    :attach(TNO3Frame, 2, 2+14*(gg-29),  66, 5+14*29)

ast3129Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2003 YQ179");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 CF119"))
    :movable(false)
    :active(true)
    :attach(TNO3Frame, 2, 2+14*(gg-28),  66, 5+14*28)

ast3128Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/1999 CF119");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 PG115"))
    :movable(false)
    :active(true)

    :attach(TNO3Frame, 2, 2+14*(gg-27),  66, 5+14*27)

ast3127Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2004 PG115");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 FZ173"))
    :movable(false)
    :active(true)
    :attach(TNO3Frame, 2, 2+14*(gg-26),  66, 5+14*26)

ast3126Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2001 FZ173");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 EF304"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-25),  66, 5+14*25)

ast3125Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2005 EF304");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1996 TL66"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-24),  66, 5+14*24)

ast3124Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/1996 TL66");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 QY91"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-23),  66, 5+14*23)

ast3123Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2003 QY91");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 RZ214"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-22),  66, 5+14*22)

ast3122Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/1999 RZ214");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 PU75"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-21),  66, 5+14*21)

ast3121Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2010 PU75");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 CP105"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-20),  66, 5+14*20)

ast3120Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2000 CP105");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 DG8")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-19),  66, 5+14*19)

ast3119Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 DG8");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 EQ65")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-18),  66, 5+14*18)

ast3118Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 EQ65");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 HV122")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-17),  66, 5+14*17)

ast3117Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2006 HV122");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 FK194")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-16),  66, 5+14*16)

ast3116Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2001 FK194");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 TF282")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-15),  66, 5+14*15)

ast3115Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 TF282");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 KZ76")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-14),  66, 5+14*14)

ast3114Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2001 KZ76");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2012 WD36")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-13),  66, 5+14*13)

ast3113Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2012 WD36");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2000 PH30")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-12),  66, 5+14*12)

ast3112Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 PH30");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 PT21")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-11),  66, 5+14*11)

ast3111Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2005 PT21");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2012 UR177")) 
    :movable(false)
    :active(true)  
    :attach(TNO3Frame, 2, 2+14*(gg-10),  66, 5+14*10)

ast3110Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2012 UR177");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 TA418"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-9),  66, 5+14*9)

ast3109Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2007 TA418");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 HO122"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-8),  66, 5+14*8)

ast3108Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2006 HO122");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 CX154"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-7),  66, 5+14*7)

ast3107Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2002 CX154");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3106Box = CXBox:new() 
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 TB190")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-6),  66, 5+14*6)

ast3106Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2005 TB190");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 HX122"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-5),  66, 5+14*5)

ast3105Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2006 HX122");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast3104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 RM45"))  
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-4),  66, 5+14*4)

ast3104Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2010 RM45");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 OM109"))  
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-3),  66, 5+14*3)

ast3103Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2001 OM109");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast3102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color6)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 OR10"))  
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 2, 2+14*(gg-2),  66, 5+14*2)

ast3102Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2007 OR10");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--=================
ast3201Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff) 
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Q=au/d=km"))   
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-1), 2, 5+14*1)
---------------------------------
ast3241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~156/~201"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-41), 2, 5+14*41)
--------------------------------
ast3240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~155/~612"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-40), 2, 5+14*40)
---------------------------------
ast3239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~153/~253"))
    :movable(false)
    :active(false)  
    :attach(TNO3Frame, 93+1, 2+14*(gg-39), 2, 5+14*39)
---------------------------------
ast3238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~152/~265"))
    :movable(false)
    :active(false)  
    :attach(TNO3Frame, 93+1, 2+14*(gg-38), 2, 5+14*38)
---------------------------------
ast3237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~150/~74"))
    :movable(false)
    :active(false)  
    :attach(TNO3Frame, 93+1, 2+14*(gg-37), 2, 5+14*37) 
---------------------------------
ast3236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)  
    :text(_("~150/~401"))
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-36), 2, 5+14*36)
---------------------------------
ast3235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~149/~211")) 
    :movable(false)
    :active(true) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-35), 2, 5+14*35)
---------------------------------
ast3234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~148/~80"))
    :movable(false)
    :active(false)  
    :attach(TNO3Frame, 93+1, 2+14*(gg-34), 2, 5+14*34)
--------------------------------
ast3233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~148/~265"))
    :movable(false)
    :active(false)  
    :attach(TNO3Frame, 93+1, 2+14*(gg-33), 2, 5+14*33)
---------------------------------
ast3232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~147/~580"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-32), 2, 5+14*32)
---------------------------------
ast3231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~146/~242"))
    :movable(false)
    :active(false)  
    :attach(TNO3Frame, 93+1, 2+14*(gg-31), 2, 5+14*31)
---------------------------------
ast3230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~144/~211"))
    :movable(false)
    :active(false)  
    :attach(TNO3Frame, 93+1, 2+14*(gg-30), 2, 5+14*30)
---------------------------------
ast3229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~143/~201"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-29), 2, 5+14*29)
---------------------------------
ast3228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~146/~146"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-28), 2, 5+14*28) 
--------------------------------
ast3227Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~142/~461"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-27), 2, 5+14*27) 
---------------------------------
ast3226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~140/~265"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-26), 2, 5+14*26) 
---------------------------------
ast3225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~136/~153"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-25), 2, 5+14*25) 
--------------------------------
ast3224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~133/~339"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-24), 2, 5+14*24) 
--------------------------------
ast3223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~133/~127"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-23), 2, 5+14*23) 
---------------------------------
ast3222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~132/~121"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-22), 2, 5+14*22) 
--------------------------------
ast3221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~132/~334"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-21), 2, 5+14*21) 
--------------------------------
ast3220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~132/~127"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-20), 2, 5+14*20) 
---------------------------------
ast3219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~131/~106"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-19), 2, 5+14*19) 
---------------------------------
ast3218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~128/~231"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-18), 2, 5+14*18) 
--------------------------------
ast3217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~125/~265"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-17), 2, 5+14*17)
---------------------------------
ast3216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~125/~73"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-16), 2, 5+14*16)
---------------------------------
ast3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~123/~242"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-15), 2, 5+14*15)
---------------------------------
ast3214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~120/~121"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-14), 2, 5+14*14)
---------------------------------
ast3213Box = CXBox:new()
   :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("~117/~183"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-13), 2, 5+14*13)
---------------------------------
ast3212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)  
    :text(_("~114/~121"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-12), 2, 5+14*12)
---------------------------------
ast3211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~113/~146"))
    :movable(false)
    :active(false)
    :attach(TNO3Frame, 93+1, 2+14*(gg-11), 2, 5+14*11)
---------------------------------
ast3210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~110/~116"))
    :movable(false)
    :active(false)
    :attach(TNO3Frame, 93+1, 2+14*(gg-10), 2, 5+14*10)
--------------------------------
ast3209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~109/~160"))
    :movable(false)
    :active(false)
    :attach(TNO3Frame, 93+1, 2+14*(gg-9), 2, 5+14*9)
---------------------------------
ast3208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~107/~106"))
    :movable(false)
    :active(false)
    :attach(TNO3Frame, 93+1, 2+14*(gg-8), 2, 5+14*8)
---------------------------------
ast3207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~106/~167"))
    :movable(false)
    :active(false)
    :attach(TNO3Frame, 93+1, 2+14*(gg-7), 2, 5+14*7)
--------------------------------
ast3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~104/~464"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-6), 2, 5+14*6)
---------------------------------
ast3205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~104/~291"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-5), 2, 5+14*5)
---------------------------------
ast3204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~103/~221"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-4), 2, 5+14*4)
---------------------------------
ast3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~102/~116"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-3), 2, 5+14*3)
---------------------------------
ast3202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~101/~1280"))
    :movable(false)
    :active(false) 
    :attach(TNO3Frame, 93+1, 2+14*(gg-2), 2, 5+14*2)
--==================