----------------------------------------------
-- TNO4Box.lua
-- by Lygin Gennady a.k.a Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                                
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local TNO4FrameWidth, TNO4FrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
TNO4Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

TNO4Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    TNO4Button.Visible = GuidesVisibility -- display or undisplay Button
    TNO4Check.Visible = GuidesVisibility  -- display or undisplay Check
    if TNO4Check.Text ==  "o" then
		TNO4Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

TNO4Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("TN4"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(TNO4Box,0,0,0,0) 

TNO4Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(TNO4Box, 20, 0, 0, 0)

TNO4Button.Action = (function()
        return
            function()
              display_TNO4 = not display_TNO4;
                if display_TNO4 then
                    actual_renderflags = celestia:getrenderflags()               
                    TNO4Frame.Visible = true;                     
                    TNO4Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations() 
                    celestia:showconstellations() 
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 

                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры 

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности 
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты

                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00) 
                KeplerParamFrame.Visible = true;  
                else          
                    TNO4Frame.Visible = false;                   
                    TNO4Check.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false;
                end
            end
        end) ();
--------------------------------
TNO4Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9) 
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-TNO4FrameWidth)/2, height-TNO4FrameHeight-2, (width-TNO4FrameWidth)/2, 2)

 TNO4Frame.Customdraw = function(this) 

            if  TNO4_firstTickDone then
            if not(TNO4CloseButtonDone) then
                TNO4CloseButtonDone = true;
                makeCloseButton(TNO4CloseButton, TNO4Frame, TNO4Button);
            end
            else
                TNO4_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                   newwidth, newheight = width, height;               
               if height>=768  then 
                   TNO4Frame:attach(screenBox, width-TNO4FrameWidth-35, height-TNO4FrameHeight-128, 35, 128) 
               else
                   TNO4Frame:attach(screenBox, width-TNO4FrameWidth-200, height-TNO4FrameHeight-3, 200, 3) 
               end                  
            end
 
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,0,1,0.8}); 
	    textlayout:setpos(this.lb+12, this.tb - 14);       
            textlayout:println(_("Transneptunian. TNO - 4."));
         end;
--=================
-- Подключение команд 
--=================
ast4101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 2, 2+14*(gg-1), 66, 5+14*1)
---------------------------------
ast4141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2015 FK37"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-41),  66, 5+14*41)

ast4141Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2015 FK37");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            end
        celestia:settimescale(200);
        end
    end) ();
---------------------------------
ast4140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2009 FW54"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-40),  66, 5+14*40)

ast4140Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2009 FW54");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            end
        celestia:settimescale(200);
        end
    end) ();
--------------------------------
ast4139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 BL76"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-39),  66, 5+14*39)

ast4139Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2013 BL76");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 AZ60"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-38),  66, 5+14*38)

ast4138Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2013 AZ60");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color73)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2006 SQ372"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-37),  66, 5+14*37)

ast4137Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2006 SQ372");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("2000 OO67"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-36),  66, 5+14*36)

ast4136Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2000 OO67");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("2007 TG422"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-35),  66, 5+14*35)

ast4135Box.Action = (function()
    return 
         function() 
            local obj = celestia:find("Sol/2007 TG422");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_("2010 BK118"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-34),  66, 5+14*34)

ast4134Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2010 BK118");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color73)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)    
    :text(_("Sedna.03"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-33),  66, 5+14*33)

ast4133Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 VB12");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4132Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("2010 GB174"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-32),  66, 5+14*32)

ast4132Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2010 GB174");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4131Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9)   
    :text(_("2009 MS9"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-31),  66, 5+14*31)

ast4131Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2009 MS9");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2010 NV1"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-30),  66, 5+14*30)

ast4130Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2010 NV1");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2004 VN112"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-29),  66, 5+14*29)

ast4129Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2004 VN112");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2006 UL321"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-28),  66, 5+14*28)

ast4128Box.Action = (function()
    return 
        function()       
            local obj = celestia:find("Sol/2006 UL321");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color73)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2012 VP113"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-27),  66, 5+14*27)

ast4127Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2012 VP113");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2013 LU28"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-26),  66, 5+14*26)

ast4126Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2013 LU28");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color72)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2000 CR105"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-25),  66, 5+14*25)

ast4125Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2000 CR105");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2001 FP185"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-24),  66, 5+14*24)

ast4124Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2001 FP185");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2002 GB32"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-23),  66, 5+14*23)

ast4123Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 GB32");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2003 SS422"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-22),  66, 5+14*22)

ast4122Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2003 SS422");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2007 VJ305"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-21),  66, 5+14*21)

ast4121Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2007 VJ305");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2010 GW147")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-20),  66, 5+14*20)

ast4120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/2010 GW147");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2005 PU21"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-19),  66, 5+14*19)

ast4119Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 PU21");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2003 HB57"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-18),  66, 5+14*18)

ast4118Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2003 HB57");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2010 VZ98"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-17),  66, 5+14*17)

ast4117Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 VZ98");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2005 RH52"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-16),  66, 5+14*16)

ast4116Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 RH52");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2009 YD7"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-15),  66, 5+14*15)

ast4115Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2009 YD7");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("2007 TU431"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-14),  66, 5+14*14)

ast4114Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2007 TU431");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("1999 OO4"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-13),  66, 5+14*13)

ast4113Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/1999 OO4");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("1999 RD215"))  
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-12),  66, 5+14*12)

ast4112Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 RD215");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("1999 CZ118")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-11),  66, 5+14*11)

ast4111Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/1999 CZ118");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("1999 DP8")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-10),  66, 5+14*10)

ast4110Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 DP8");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color83)
    :textfont(normalfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(8, 9) 
    :text(_("Phorcys.06")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-09),  66, 5+14*09)

ast4109Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Ceto-Phorcys/Phorcys");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            radians = math.rad(90)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("Ceto.03")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-8),  66, 5+14*8)

ast4108Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Ceto-Phorcys/Ceto");  
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4107Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 TV158")) 
    :movable(false)
    :active(true)
    :attach(TNO4Frame, 2, 2+14*(gg-7),  66, 5+14*7)

ast4107Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2013 TV158");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4106Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 QU182")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-6),  66, 5+14*6)

ast4106Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 QU182");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("1999 TD10")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-5),  66, 5+14*5)

ast4105Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 TD10");           
            celestia:select(obj);
           local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 PB112")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-4),  66, 5+14*4)

ast4104Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 PB112");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast4103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color62)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9) 
    :text(_("1999 RZ215")) 
    :movable(false)
    :active(true)
    :attach(TNO4Frame, 2, 2+14*(gg-3),  66, 5+14*3)

ast4103Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 RZ215");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast4102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color63)
    :textfont(normalfont) 
    :textcolor(color5)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 ER65"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 2, 2+14*(gg-2),  66, 5+14*2)

ast4102Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 ER65");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            radians = math.rad(35)
            obs:setfov(radians)
            celestia:settimescale(200);              
            end            
        end
    end) ();
--=================
ast4201Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Q=au/d=km"))   
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-1), 2, 5+14*1)
--------------------------------
ast4241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~11119/~5"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-41), 2, 5+14*41)
---------------------------------
ast4240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~2512/~171"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-40), 2, 5+14*40)
--------------------------------
ast4239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~2499/~28"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-39), 2, 5+14*39)
---------------------------------
ast4238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1860/~40"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-38), 2, 5+14*38)
--------------------------------
ast4237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1461/~110"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-37), 2, 5+14*37)
---------------------------------
ast4236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1068/~62"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-36), 2, 5+14*36)
---------------------------------
ast4235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~1001/~343"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-35), 2, 5+14*35)
---------------------------------
ast4235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~993/~46"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-34), 2, 5+14*34)
--------------------------------
ast4233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~973/~995"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-33), 2, 5+14*33)
---------------------------------
ast4232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~691/~223"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-32), 2, 5+14*32)
---------------------------------
ast4231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~688/~44")) 
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-31), 2, 5+14*31)
---------------------------------
ast4230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~636/~32"))
    :movable(false)
    :active(true) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-30), 2, 5+14*30)
---------------------------------
ast4229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~610/~314")) 
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-29), 2, 5+14*29)
---------------------------------
ast4228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~498/~133"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-28), 2, 5+14*28) 
--------------------------------
ast4227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~446/~595"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-27), 2, 5+14*27) 
---------------------------------
ast4226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~446/~116"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-26), 2, 5+14*26) 
---------------------------------
ast4225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~416/~328"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-25), 2, 5+14*25) 
---------------------------------
ast4224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~416/~332"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-24), 2, 5+14*24) 
---------------------------------
ast4223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~388/~127"))
    :movable(false)
   :active(false)   
    :attach(TNO4Frame, 93+1, 2+14*(gg-23), 2, 5+14*23) 
---------------------------------
ast4222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~352/~167"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-22), 2, 5+14*22) 
---------------------------------
ast4221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~346/~211"))
    :movable(false)
   :active(false)   
    :attach(TNO4Frame, 93+1, 2+14*(gg-21), 2, 5+14*21) 
---------------------------------
ast4220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~344/~16"))
    :movable(false)
   :active(false)   
    :attach(TNO4Frame, 93+1, 2+14*(gg-20), 2, 5+14*20) 
---------------------------------
ast4219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~319/~242"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-19), 2, 5+14*19) 
---------------------------------
ast4218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~287/~146"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-18), 2, 5+14*18) 
---------------------------------
ast4217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~276/~503"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-17), 2, 5+14*17) 
--------------------------------
ast4216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~265/~121"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-16), 2, 5+14*16) 
---------------------------------
ast4215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~243/~44"))      
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-15), 2, 5+14*15) 
--------------------------------
ast4214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~234/~37"))        
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-14), 2, 5+14*14) 
--------------------------------
ast4213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~216/~111"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-13), 2, 5+14*13) 
---------------------------------
ast4212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~206/~175"))
    :movable(false)
    :active(false)  
    :attach(TNO4Frame, 93+1, 2+14*(gg-12), 2, 5+14*12) 
---------------------------------
ast4211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~199/~116"))
    :movable(false)
    :active(false)
    :attach(TNO4Frame, 93+1, 2+14*(gg-11), 2, 5+14*11)
--------------------------------
ast4210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~197/~73"))
    :movable(false)
    :active(false)
    :attach(TNO4Frame, 93+1, 2+14*(gg-10), 2, 5+14*10)
---------------------------------
ast4209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("       /~171"))
    :movable(false)
    :active(false)
    :attach(TNO4Frame, 93+1, 2+14*(gg-9), 2, 5+14*9)
---------------------------------
ast4208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~187/~223"))
    :movable(false)
    :active(false)
    :attach(TNO4Frame, 93+1, 2+14*(gg-8), 2, 5+14*8)
---------------------------------
ast4207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~187/~242"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-7), 2, 5+14*7)
--------------------------------
ast4206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~185/~416"))
    :movable(false)
    :active(false)
    :attach(TNO4Frame, 93+1, 2+14*(gg-6), 2, 5+14*6)
--------------------------------
ast4205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~182/~94"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-5), 2, 5+14*5)
--------------------------------
ast4204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~178/~160"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-4), 2, 5+14*4)
---------------------------------
ast4203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~171/~116"))
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-3), 2, 5+14*3)
--------------------------------
ast4202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~159/~366")) 
    :movable(false)
    :active(false) 
    :attach(TNO4Frame, 93+1, 2+14*(gg-2), 2, 5+14*2)
-----------------------------------