----------------------------------------------
-- TNOBox.lua
-- by Lygin Gennady a.k.a. Croc 15.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";                                                
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local TNOFrameWidth, TNOFrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
TNOBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

TNOBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    TNOButton.Visible = GuidesVisibility -- display or undisplay Button
    TNOCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if TNOCheck.Text ==  "o" then
		TNOFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

TNOButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("TN1"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(TNOBox,0,0,0,0) 

TNOCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(TNOBox, 20, 0, 0, 0)

TNOButton.Action = (function()
        return
            function()
              display_TNO = not display_TNO;
                if display_TNO then
                    actual_renderflags = celestia:getrenderflags()               
                    TNOFrame.Visible = true;                     
                    TNOCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations() 
                    celestia:showconstellations() 
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 

                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты

                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1); 
                    celestia:setfaintestvisible(8.00)  
                 KeplerParamFrame.Visible = true; 
                 else          
                    TNOFrame.Visible = false;                   
                    TNOCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                KeplerParamFrame.Visible = false; 
                end
            end
        end) ();
-------------------------------
TNOFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
     :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-TNOFrameWidth)/2, height-TNOFrameHeight-2, (width-TNOFrameWidth)/2, 2)

 TNOFrame.Customdraw = function(this) 

            if  TNO_firstTickDone then
            if not(TNOCloseButtonDone) then
                TNOCloseButtonDone = true;
                makeCloseButton(TNOCloseButton, TNOFrame, TNOButton);
            end
            else
                TNO_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;               
               if height>=768  then 
                    TNOFrame:attach(screenBox, width-TNOFrameWidth-35, height-TNOFrameHeight-128, 35, 128) 
               else
                    TNOFrame:attach(screenBox, width-TNOFrameWidth-200, height-TNOFrameHeight-3, 200, 3) 
               end                 
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,0,1,0.8}); 
	    textlayout:setpos(this.lb+12, this.tb - 14);       
            textlayout:println(_("Transneptunian. TNO - 1."));
end;

--=================
-- Подключение команд 
--=================
ast101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(TNOFrame, 2, 2+14*(gg-1), 66, 5+14*1)
-------------------------------
ast136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color81)
    :textfont(normalfont) 
    :textcolor(color7)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Pluto.1930"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-36),  66, 5+14*36)

ast136Box.Action = (function()
    return 
        function()
           local obj = celestia:find("Sol/Pluto-Charon/134340 Pluto"); 
           -- local obj = celestia:find("Sol/Pluto-Charon"); 
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true) 
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);              
            end            
        end
    end) ();
--------------------------------
ast137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color02)
    :textfont(normalfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Charon.1978"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-37),  66, 5+14*37)

ast137Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Charon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000); 
            radians = math.rad(60)
            obs:setfov(radians)             
            end            
        end
    end) ();
-------------------------------
ast138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Hydra.05"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-38),  66, 5+14*38)

ast138Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Hydra");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);              
            end            
        end
    end) ();
-------------------------------
ast139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Nix.05"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-39),  66, 5+14*39)

ast139Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Nix");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);              
            end            
        end
    end) ();
-------------------------------
ast140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Kerberos.11"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-40),  66, 5+14*40)

ast140Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Kerberos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);              
            end            
        end
    end) ();
--------------------------------
ast141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont) 
    :textcolor(color6)
    :textpos("left")    
    :movetext(8, 9)
    :text(_("Styx.12"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-41),  66, 5+14*41)

ast141Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Pluto-Charon/Styx");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);              
            end            
        end
    end) ();
-------------------------------
ast135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 FX86"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-35),  66, 5+14*35)

ast135Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2010 FX86");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Huya.00+"))
    :movable(false)
    :active(true)
    :attach(TNOFrame, 2, 2+14*(gg-34),  66, 5+14*34)

ast134Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/Huya System/Huya");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);              
            end            
        end
    end) ();
--------------------------------
ast133Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 XV50"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-33),  66, 5+14*33)

ast133Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/2007 XV50");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ixion.01"))
    :movable(false)
    :active(true)
    :attach(TNOFrame, 2, 2+14*(gg-32),  66, 5+14*32)

ast132Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Sol/Ixion");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 UX25+")) 
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-31),  66, 5+14*31)

ast131Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 UX25");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1998 WW31+")) 
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-30),  66, 5+14*30)

ast130Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1998 WW31 System/1998 WW31");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200000);              
            end            
        end
    end) ();
-------------------------------
ast129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 TC36+")) 
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-29),  66, 5+14*29)

ast129Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1999 TC36 System/1999 TC36 A1");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);              
            end            
        end
    end) ();
-------------------------------
ast128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Orcus.04+"))
    :movable(false)
    :active(true)
    :attach(TNOFrame, 2, 2+14*(gg-28),  66, 5+14*28)

ast128Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Orcus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 UZ413"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-27),  66, 5+14*27)

ast127Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2003 UZ413");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 VR11"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-26),  66, 5+14*26)

ast126Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 VR11");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 MS4"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-25),  66, 5+14*25)

ast125Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 MS4");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);              
            end            
        end
    end) ();
--------------------------------
ast124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Altjira.01+"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-24),  66, 5+14*24)

ast124Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Altjira System/Altjira");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100000);              
            end            
        end
    end) ();
-------------------------------
ast123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1993 RO"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-23),  66, 5+14*23)

ast123Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1993 RO");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1993 SC"))
    :movable(false)
    :active(true)
    :attach(TNOFrame, 2, 2+14*(gg-22),  66, 5+14*22)

ast122Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1993 SC");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 FW62"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-21), 66, 5+14*21)

ast121Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2011 FW62");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
---------------------------------
ast120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 AZ84+"))
    :movable(false)
    :active(true)
    :attach(TNOFrame, 2, 2+14*(gg-20), 66, 5+14*20)

ast120Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/2003 AZ84");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);              
            end            
        end
    end) ();
-------------------------------
ast119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)     
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Salacia.04+"))
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-19),  66, 5+14*19)

ast119Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Salacia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont)   
    :textcolor(color9)     
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2008 UA332"))
    :movable(false)
    :active(true)  
    :attach(TNOFrame, 2, 2+14*(gg-18),  66, 5+14*18)

ast118Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2008 UA332");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Varuna.00"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-17),  66, 5+14*17)

ast117Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2000 WR106");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 GV9"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-16),  66, 5+14*16)

ast116Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 GV9");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(smallfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Teharonhiawako+"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-15),  66, 5+14*15)

ast115Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Teharonhiawako-Sawiskera/2001 QT297");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(smallfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sila-Nunam.1997+"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-14),  66, 5+14*14)

ast114Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Sila-Nunam/1997 CS29");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);              
            end            
        end
    end) ();
--------------------------------
ast113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Quaoar.02+"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-13),  66, 5+14*13)

ast113Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 LM60");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 XV93"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-12),  66, 5+14*12)

ast112Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2002 XV93");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 QX111"))
    :movable(false)
    :active(true) 
   :attach(TNOFrame, 2, 2+14*(gg-11),  66, 5+14*11)

ast111Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2003 QX111");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 QF298"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-10),  66, 5+14*10)

ast110Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2001 QF298");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2003 VS2"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-9),  66, 5+14*9)

ast109Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2003 VS2");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2005 RN43"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-8),  66, 5+14*8)

ast108Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2005 RN43");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)    
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 EL139"))
    :movable(false)
    :active(true)   
    :attach(TNOFrame, 2, 2+14*(gg-7),  66, 5+14*7)

ast107Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2010 EL139");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 PF115"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-6),  66, 5+14*6)

ast106Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 PF115");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 TY364"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-5),  66, 5+14*5)

ast105Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 TY364");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color42)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 JH43"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-4),  66, 5+14*4)

ast104Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2007 JH43");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--------------------------------
ast103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2004 UX10"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-3),  66, 5+14*3)

ast103Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/2004 UX10");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
-------------------------------
ast102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color41)
    :textfont(normalfont) 
    :textcolor(color9)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1998 SN165"))  
    :movable(false)
    :active(true) 
    :attach(TNOFrame, 2, 2+14*(gg-2),  66, 5+14*2)

ast102Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/1998 SN165");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);              
            end            
        end
    end) ();
--================
ast201Box = CXBox:new()
    :init(0, 0, 0, 0) 
    :bordercolor(cbubordoff) 
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1}) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Q=au/d=km"))   
    :movable(false)
    :active(false) 
    :attach(TNOFrame, 93+1, 2+14*(gg-1), 2, 5+14*1)
-------------------------------
ast236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(color91)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color7)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,6/~2372"))        
    :movable(false)
    :active(false) 
    :attach(TNOFrame, 93+1, 2+14*(gg-36), 2, 5+14*36) 
--------------------------------
ast237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~1208"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-37), 2, 5+14*37) 
-------------------------------
ast238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~55"))
    :movable(false)
    :active(false)   
    :attach(TNOFrame, 93+1, 2+14*(gg-38), 2, 5+14*38)
-------------------------------
ast239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~42"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-39), 2, 5+14*39) 
-------------------------------
ast240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~29"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-40), 2, 5+14*40) 
-------------------------------
ast241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("        /~18"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-41), 2, 5+14*41) 
--------------------------------
ast235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,5/~607"))
    :movable(false)
    :active(false)
    :attach(TNOFrame, 93+1, 2+14*(gg-35), 2, 5+14*35)
-------------------------------
ast234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~50,4/~406")) --Гуйя
    :movable(false)
    :active(false)    
    :attach(TNOFrame, 93+1, 2+14*(gg-34), 2, 5+14*34)
--------------------------------
ast233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,2/~461"))
    :movable(false)
    :active(false)    
    :attach(TNOFrame, 93+1, 2+14*(gg-33), 2, 5+14*33)
-------------------------------
ast232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~49,0/~650"))
    :movable(false)
    :active(false)     
    :attach(TNOFrame, 93+1, 2+14*(gg-32), 2, 5+14*32)
-------------------------------
ast231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~48,9/~665"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-31), 2, 5+14*31) 
--------------------------------
ast230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~48,5/~148"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-30), 2, 5+14*30)
--------------------------------
ast229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~48,3/~272"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-29), 2, 5+14*29) 
--------------------------------
ast228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~48,1/~917"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-28), 2, 5+14*28) 
--------------------------------
ast227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~47,9/~636"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-27), 2, 5+14*27) 
-------------------------------
ast226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~47,8/~350"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-26), 2, 5+14*26) 
--------------------------------
ast225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~47,8/~934"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-25), 2, 5+14*25) 
--------------------------------
ast224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~47,0/~246"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-24), 2, 5+14*24) 
--------------------------------
ast223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~47.0/~92"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-23), 2, 5+14*23)
-------------------------------
ast222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~46,8/~328"))        
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-22), 2, 5+14*22)
--------------------------------
ast221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~46,6/~440"))
    :movable(false)
    :active(false) 
    :attach(TNOFrame, 93+1, 2+14*(gg-21), 2, 5+14*21)
-------------------------------
ast220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~46,6/~723"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-20), 2, 5+14*20)
-------------------------------
ast218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~45,5/~401"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-18), 2, 5+14*18) 
-------------------------------
ast219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~46,4/~854"))  -- салация
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-19), 2, 5+14*19) 
--------------------------------
ast217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~45,4/~859"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-17), 2, 5+14*17) 
--------------------------------
ast216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~45,4/~680"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-16), 2, 5+14*16) 
-------------------------------
ast215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~45,2/~178"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-15), 2, 5+14*15)
-------------------------------
ast214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~44,9/~249"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-14), 2, 5+14*14) 
-------------------------------
ast213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~44,8/~1110"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-13), 2, 5+14*13)
-------------------------------
ast212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~44,5/~549"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-12), 2, 5+14*12) 
-------------------------------
ast211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)  
    :textcolor(color1)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~44,4/~358"))        
    :movable(false)
    :active(false) 
    :attach(TNOFrame, 93+1, 2+14*(gg-11), 2, 5+14*11) 
-------------------------------
ast210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~43.7/~408"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-10), 2, 5+14*10) 
-------------------------------
ast209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~42.6/~523"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-9), 2, 5+14*9) 
--------------------------------
ast208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~42.2/~679"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-8), 2, 5+14*8) 
-------------------------------
ast207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~42,2/~420"))
    :movable(false)
    :active(false) 
    :attach(TNOFrame, 93+1, 2+14*(gg-7), 2, 5+14*7) 
-------------------------------
ast206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~41,6/~468"))
    :movable(false)
    :active(false) 
    :attach(TNOFrame, 93+1, 2+14*(gg-6), 2, 5+14*6) 
-------------------------------
ast205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~41.5/~554"))
    :movable(false)
    :active(false)   
    :attach(TNOFrame, 93+1, 2+14*(gg-5), 2, 5+14*5) 
-------------------------------
ast204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~40,6/~505"))
    :movable(false)
    :active(false)   
    :attach(TNOFrame, 93+1, 2+14*(gg-4), 2, 5+14*4) 
-------------------------------
ast203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~40.5/~398"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-3), 2, 5+14*3) 
-------------------------------
ast202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color93)
    :textfont(smallfont)  
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~39.5/~417"))
    :movable(false)
    :active(false)  
    :attach(TNOFrame, 93+1, 2+14*(gg-2), 2, 5+14*2) 

