----------------------------------------------
-- UranBox.lua
-- by Lygin Gennady a.k.a. Croc 11.01.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local UranFrameWidth, UranFrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
UranBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

UranBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    UranButton.Visible = GuidesVisibility -- display or undisplay Button
    UranCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if UranCheck.Text ==  "o" then
		UranFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

UranButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ur"))
    :movable(false)
    :visible(false)
    :active(true) 
    :attach(UranBox,0,0,0,0) 

UranCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(UranBox, 20, 0, 0, 0)

UranButton.Action = (function()
        return
            function()
              display_Uran = not display_Uran;
                if display_Uran then  
                    actual_renderflags = celestia:getrenderflags()              
                    UranFrame.Visible = true;                     
                    UranCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations()
                    celestia:showconstellations()
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты 

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);
                    celestia:setfaintestvisible(8.00) 
                 else          
                    UranFrame.Visible = false;                   
                    UranCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) (); 
--------------------------------
UranFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-UranFrameWidth)/2, height-UranFrameHeight-2, (width-UranFrameWidth)/2, 2)

 UranFrame.Customdraw = function(this) 

            if  Uran_firstTickDone then
            if not(UranCloseButtonDone) then
                UranCloseButtonDone = true;
                makeCloseButton(UranCloseButton, UranFrame, UranButton);
            end
            else
                Uran_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;        
               if height>=768  then 
                    UranFrame:attach(screenBox, width-UranFrameWidth-35, height-UranFrameHeight-128, 35, 128)  
               else
                     UranFrame:attach(screenBox, width-UranFrameWidth-200, height-UranFrameHeight-3, 200, 3)  
               end                              
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+30, this.tb - 14);     
            textlayout:println(_("Objects Uranus"));

	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,0,1,0.8}); 
	    textlayout:setpos(this.lb+5, this.tb - 503);       
            textlayout:println(_("3D - Models asteroid belts"));

	    textlayout:setfont(smallfont);
            textlayout:setfontcolor({1,0,0,0.8}); 
	    textlayout:setpos(this.lb+2, this.tb - 575); 
            textlayout:println(_("Select model. Wait for the transition"));
	    textlayout:setpos(this.lb+3, this.tb - 585); 
            textlayout:println(_("to a viewpoint. Turn 180 degrees."));
end;

--=================
-- Подключение команд 
--=================
Uran101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)     
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(UranFrame, 2, 2+14*(gg-1), 60, 5+14*1)
--=================
Uran102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("URANUS.1781"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-2),  60, 5+14*2)

 Uran102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            end
        end
    end) ();
----------------------------------
 Uran103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(13, 10)
    :text(_("Q - aphelion, AU:"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-3), 60, 5+14*3)
----------------------------------
 Uran104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ariel.1851"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-4), 60, 5+14*4)

 Uran104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ariel");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
----------------------------------
 Uran105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Belinda.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-5),  60, 5+14*5)

 Uran105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Belinda");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Bianca.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-6),  60, 5+14*6)

 Uran106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Bianca");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
---------------------------------
 Uran107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Desdemona.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-7),  60, 5+14*7)

 Uran107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Desdemona");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();  
----------------------------------
 Uran108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Juliet.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-8),  60, 5+14*8)

 Uran108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Juliet");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Caliban.1997"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-9),  60, 5+14*9)

 Uran109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Caliban");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
---------------------------------
 Uran110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cordelia.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-10), 60, 5+14*10)

 Uran110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Cordelia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------
 Uran111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cressida.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-11), 60, 5+14*11)

 Uran111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Cressida");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Cupid.03"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-12), 60,  5+14*12)

 Uran112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Cupid");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Mab.03"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-13),  60, 5+14*13)

 Uran113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Mab");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Margaret.03"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-14),  60, 5+14*14)

 Uran114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Margaret");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Miranda.1948"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-15), 60, 5+14*15)

 Uran115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Miranda");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
----------------------------------
 Uran116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Oberon.1787"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-16), 60, 5+14*16)

 Uran116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Oberon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            end
        end
    end) ();
----------------------------------
 Uran117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ophelia.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-17),  60, 5+14*17)

 Uran117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ophelia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
---------------------------------
 Uran118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Puck.1985"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-18),  60, 5+14*18)

 Uran118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Puck");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
---------------------------------
 Uran119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Perdita.1999"))
    :movable(false)
    :active(true) 
    :attach( UranFrame, 2, 2+14*(gg-19),  60, 5+14*19)

 Uran119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Perdita");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            end
        end
    end) ();
----------------------------------
 Uran120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Portia.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-20),  60, 5+14*20)

 Uran120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Portia");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Prospero.1999"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-21),  60, 5+14*21)

 Uran121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Prospero");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
---------------------------------
 Uran122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Rosalind.1986"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-22),  60, 5+14*22)

 Uran122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Rosalind");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Setebos.1999"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-23),  60, 5+14*23)

 Uran123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Setebos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Sycorax.1997"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-24),  60, 5+14*24)

 Uran124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Sycorax");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
---------------------------------
 Uran125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Stephano.1999"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-25), 60, 5+14*25)

 Uran125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Stephano");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
---------------------------------
 Uran126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Titania.1787"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-26), 60, 5+14*26)

 Uran126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Titania");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            end
        end
    end) ();
----------------------------------
 Uran127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Trinculo.01"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-27),  60, 5+14*27)

 Uran127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Trinculo");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
---------------------------------
 Uran128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Umbriel.1851"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-28), 60 , 5+14*28)

 Uran128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Umbriel");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2500);
            end
        end
    end) ();
-----------------------------------
 Uran129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Ferdinand.01"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-29),  60 , 5+14*29)

 Uran129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Ferdinand");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(400);
            end
        end
    end) ();
----------------------------------
 Uran130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Francisco.01"))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-30), 60, 5+14*30)

 Uran130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Uranus/Francisco");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------
Uran131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color6)
    :textpos("left")    
    :movetext(0, 9)
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-31), 60, 5+14*31)
--------------------------------
Uran132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)     
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asteroids in the Lagrange points:"))   
    :movable(false)
    :active(false) 
    :attach( UranFrame, 2, 2+14*(gg-32), 2, 5+14*32)
---------------------------------
Uran133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color9)
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 QF99"))  
    :movable(false)
    :active(true) 
    :attach( UranFrame, 2, 2+14*(gg-33), 60, 5+14*33)

 Uran133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2011 QF99");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then

               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(200);
            end
        end
    end) ();

-----------------------------------
 Uran134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(normalfont)   
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-34), 60, 5+14*34)
--==================
  Uran201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("d=km"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-1), 2, 5+14*1)
----------------------------------
 Uran202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~51118"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-2), 2, 5+14*2)
----------------------------------
 Uran203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~20,1"))
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-3), 2, 5+14*3)
---------------------------------- 
 Uran204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1162"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-4), 2, 5+14*4)
----------------------------------
 Uran205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~128"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-5), 2, 5+14*5)
----------------------------------
 Uran206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~64"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-6), 2, 5+14*6)  
---------------------------------
 Uran207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~90"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-7), 2, 5+14*7)
----------------------------------
 Uran208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~150"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-8), 2, 5+14*8)
----------------------------------
 Uran209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~72"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-9), 2, 5+14*9)
----------------------------------
 Uran210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~50"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-10), 2, 5+14*10)
---------------------------------
 Uran211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~92"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-11), 2, 5+14*11)
----------------------------------
 Uran212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-12), 2, 5+14*12)
---------------------------------
 Uran213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~24"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-13), 2, 5+14*13)
----------------------------------
 Uran214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~20"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-14), 2, 5+14*14)
----------------------------------
 Uran215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~480"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-15), 2, 5+14*15)
---------------------------------
 Uran216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1523"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-16), 2, 5+14*16)
----------------------------------
 Uran217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~54"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-17), 2, 5+14*17)
-----------------------------------
 Uran218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~162"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-18), 2, 5+14*18)
----------------------------------
 Uran219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~30"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-19), 2, 5+14*19)
----------------------------------
 Uran220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~156"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-20), 2, 5+14*20)
----------------------------------
 Uran221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~50"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-21), 2, 5+14*21) 
----------------------------------
 Uran222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~72"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-22), 2, 5+14*22)
----------------------------------
 Uran223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~48"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-23), 2, 5+14*23)
----------------------------------
 Uran224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~150"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-24), 2, 5+14*24)
---------------------------------
 Uran225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~32"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-25), 2, 5+14*25)
----------------------------------
 Uran226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1578"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-26), 2, 5+14*26)
----------------------------------
 Uran227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~18"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-27), 2, 5+14*27)
----------------------------------
 Uran228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~1169"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-28), 2, 5+14*28)
----------------------------------
 Uran229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~20"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-29), 2, 5+14*29)
----------------------------------
 Uran230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("~22"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-30), 2, 5+14*30)
----------------------------------
 Uran231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color0)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("= 27"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-31), 2, 5+14*31)
----------------------------------
 Uran233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("L4 ~60"))  
    :movable(false)
    :active(false) 
    :attach(UranFrame, 93+7, 2+14*(gg-33), 2, 5+14*33)
----------------------------------- 
  Uran234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color03)
    :textfont(smallfont)
    :textcolor(color1)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))   
    :movable(false)
    :active(false) 
    :attach( UranFrame, 93+7, 2+14*(gg-34), 2, 5+14*34)
--=====================
-- 3D-модели поясов астероидов
--=====================
Uran136Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("3D-model name:"))
    :movable(false)
    :active(false) 
    :attach(UranFrame, 2, 2+14*(gg-36), 60, 5+14*36)
--====================
Uran137Box  = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color32)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Asteroid Belt "))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-37), 60, 5+14*37)

Uran137Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/point0");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then 

                local obs = celestia:getobserver();
                local obj = celestia:find("Sol");
                celestia:select(obj);
                obs:follow(obj);          
                obs:center(obj); 

                celestia:setrenderflags{constellations = true} -- созвездия
                celestia:hideconstellations() 

                celestia:hide("planets"); -- планеты
                celestia:hide("markers") -- метки 
                celestia:hide("orbits") -- все орбиты
                celestia:showlabel("constellations") -- созвездия
                celestia:setlabelflags{galaxies = false} -- галактики
                celestia:setlabelflags{globulars = false} -- шаровые скопления
                celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                celestia:setlabelflags{nebulae = false} -- туманности
                celestia:setlabelflags{stars = false} -- звезды
                celestia:hidelabel("planets")  -- планеты
                celestia:hidelabel("dwarfplanets") -- малые планеты 

                obs:follow(sel);
                obs:goto(sel);
             --   obs:gotolonglat(sel, 0, math.rad(45.0))
                celestia:settimescale(1); 
           end            
        end
    end) ();
-------------------------------------
Uran138Box = CXBox:new()
     :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color52)
    :textfont(normalfont) 
    :textcolor(color9)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Kuiper Belt "))
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-38), 60, 5+14*38)

Uran138Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("Sol/point1");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then 

                local obs = celestia:getobserver();
                local obj = celestia:find("Sol");
                celestia:select(obj);
                obs:follow(obj);          
                obs:center(obj); 

                celestia:setrenderflags{constellations = true} -- созвездия
                celestia:hideconstellations() 

                celestia:hide("planets"); -- планеты
                celestia:hide("markers") -- метки 
                celestia:hide("orbits") -- все орбиты
                celestia:showlabel("constellations") -- созвездия
                celestia:setlabelflags{galaxies = false} -- галактики
                celestia:setlabelflags{globulars = false} -- шаровые скопления
                celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                celestia:setlabelflags{nebulae = false} -- туманности
                celestia:setlabelflags{stars = false} -- звезды
                celestia:hidelabel("planets")  -- планеты
                celestia:hidelabel("dwarfplanets") -- малые планеты 

                obs:follow(sel);
                obs:goto(sel);
                celestia:settimescale(1); 
           end            
        end
    end) ();
--===================
Uran139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color73)
    :textfont(normalfont) 
    :textcolor(color5)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Oort cloud")) 
    :movable(false)
    :active(true) 
    :attach(UranFrame, 2, 2+14*(gg-39), 60, 5+14*39)

Uran139Box.Action = (function()
    return 
        function()
            local obj = celestia:find("Sol/Point2");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);             
               obs:goto(sel);  

         -- объекты 
             celestia:hide("galaxies"); -- галактики
             celestia:hide("globulars"); -- шаровые скопления
             celestia:hide("openclusters"); -- рассеянные скопления
             celestia:show("nebulae"); -- туманности
             celestia:hide("stars"); -- звезды
             celestia:hide("planets"); -- планеты
 
          -- имена на русском
             celestia:hidelabel("constellations") -- созвездия
             celestia:setlabelflags{galaxies = false} -- галактики
             celestia:setlabelflags{globulars = false} -- шаровые скопления
             celestia:setlabelflags{openclusters = false} -- рассеянные скопления
             celestia:setlabelflags{nebulae = false} -- туманности
             celestia:setlabelflags{stars = true} -- звезды
             celestia:hidelabel("planets")  -- планеты
             celestia:hidelabel("dwarfplanets") -- малые планеты


                celestia:setrenderflags{constellations = true} -- созвездия
                celestia:hideconstellations() 

                celestia:hide("planets"); -- планеты
                celestia:hide("markers") -- метки 
                celestia:hide("orbits") -- все орбиты
                celestia:showlabel("constellations") -- созвездия
                celestia:setlabelflags{galaxies = false} -- галактики
                celestia:setlabelflags{globulars = false} -- шаровые скопления
                celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                celestia:setlabelflags{nebulae = false} -- туманности
                celestia:setlabelflags{stars = false} -- звезды
                celestia:hidelabel("planets")  -- планеты
                celestia:hidelabel("dwarfplanets") -- малые планеты          
            end  
            local obs = celestia:getobserver();
            local sel = celestia:getselection();
            if selection then
                obs:synchronous(sel);
            celestia:settimescale(1);              
            end            
        end
    end) ();
--====================
Uran236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    --:fillcolor({0,1,0,.8})
    :textfont(smallfont)
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("action:"))
    :movable(false)
    :active(true)  
    :attach(UranFrame, 100, 2+14*(gg-36), 2, 5+14*36) 
--------------------------------------
Uran237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,1,0,.4})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("turn 180"))
    :movable(false)
    :active(true)  
    :attach(UranFrame, 100, 2+14*(gg-37), 2, 5+14*37) 

Uran237Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               obs:synchronous(sel);
               celestia:show("planets");
            end       
            celestia:settimescale(5000);                   
        end
    end) (); 
-------------------------------------
Uran238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,1,0,.4})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("turn 180"))
    :movable(false)
    :active(true)  
    :attach(UranFrame, 100, 2+14*(gg-38), 2, 5+14*38) 

Uran238Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:center(sel);
               obs:synchronous(sel);
               celestia:show("planets");
            end       
            celestia:settimescale(5000);                   
        end
    end) (); 
--------------------------------------
Uran239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor({0,1,0,.4})
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("turn 180"))
    :movable(false)
    :active(true)  
    :attach(UranFrame, 100, 2+14*(gg-39), 2, 5+14*39) 

Uran239Box.Action = (function()
   return 
        function()      
            local obj = celestia:find("Sol");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               celestia:show("nebulae"); -- туманности
               obs:follow(sel);
               obs:center(sel);
               if selection then
                  obs:synchronous(sel);
               end 
            end     
        celestia:settimescale(50000);                    
        end
    end) (); 
-----------------------------------
