----------------------------------------------
-- terrestrialBox.lua
-- by Lygin Gennady a.k.a. Croc 10.03.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"                                               
----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth, newheight;
local gn=42
local gg=gn-1
local terrestrialFrameWidth, terrestrialFrameHeight = 158, 14*gn+4;
local obs = celestia:getobserver();
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
terrestrialBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

terrestrialBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    terrestrialButton.Visible = GuidesVisibility -- display or undisplay Button
    terrestrialCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if terrestrialCheck.Text ==  "o" then
		terrestrialFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

terrestrialButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont) 
    :textcolor({1,0,0,1})
    :textpos("left")
    :movetext(-3, 10)  
    :text(_("4pl"))
    :movable(false)
    :visible(false)
    :active(true)
    :attach(terrestrialBox,0,0,0,0) 

terrestrialCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true) 
        :attach(terrestrialBox, 20, 0, 0, 0)

terrestrialButton.Action = (function()
        return
            function()
              display_terrestrial = not display_terrestrial;
                if display_terrestrial then 
                    actual_renderflags = celestia:getrenderflags()             
                    terrestrialFrame.Visible = true;                     
                    terrestrialCheck.Text = "o";  

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol/Earth");
                    celestia:select(obj);
                    obs:follow(obj);
                    obs:center(obj);   
 
                    celestia:settimescale(1); 
                    radians = math.rad(45)
                    obs:setfov(radians)  

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                 --   celestia:select(obj);
                 --   obs:follow(obj);          
                --    obs:center(obj); 

                 -- границы/фигуры
                    celestia:setrenderflags{constellations = true} -- созвездия
                    celestia:hideconstellations() --+
                    celestia:showconstellations() --+
                    celestia:show("constellations"); 
                    celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:show("boundaries"); -- фигуры --+

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности --+ есть
                    celestia:show("stars"); -- звезды--+
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты

                 -- имена на русском
                    celestia:showlabel("constellations") -- созвездия --+
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = true} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты

                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники              
                    
                    celestia:show("cloudmaps") 
                    celestia:show("atmospheres") 
                    celestia:hidelabel("spacecraft")  

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:settimescale(1);
                    celestia:setfaintestvisible(8.00) 
                 else 
                    terrestrialFrame.Visible = false;                   
                    terrestrialCheck.Text = "";

                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
-------------------------------------------------
terrestrialFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-terrestrialFrameWidth)/2, height-terrestrialFrameHeight-3, (width-terrestrialFrameWidth)/2, 3)

 terrestrialFrame.Customdraw = function(this)  

            if  terrestrial_firstTickDone then
              if not(terrestrialCloseButtonDone) then
                 terrestrialCloseButtonDone = true;
                 makeCloseButton(terrestrialCloseButton, terrestrialFrame,  terrestrialButton);
              end
            else
                terrestrial_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
               if height>=768  then               
                    terrestrialFrame:attach(screenBox, width-terrestrialFrameWidth-35, height-terrestrialFrameHeight-128, 35, 128)                     
               else
                    terrestrialFrame:attach(screenBox, width-terrestrialFrameWidth-200, height-terrestrialFrameHeight-3, 200, 3) 
               end
            end
         
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+5, this.tb - 14);       
            textlayout:println(_("TERRESTRIAL PLANETS"));
end;
--================
-- Подключение команд 
--================
astTr101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Object name:"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-1), 62, 5+14*1)

astTr101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(1);
            end
        end
    end) ();
---------------------------------
astTr102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-2), 62, 5+14*2) 
-- =================
astTr103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color01)
    :textfont(normalfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1. MERCURY"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-3), 62, 5+14*3)

astTr103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mercury");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(25000);
            end
        end
    end) ();
---------------------------------
astTr104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-4), 62, 5+14*4) 
-- =================
astTr105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2. VENUS"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-5), 62, 5+14*5)    

astTr105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Venus");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(10000);
            end
        end
    end) ();
---------------------------------
astTr106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2002 VE68"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-6), 62, 5+14*6)    

astTr106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2002 VE68");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(10000);
            end
        end
    end) ();
---------------------------------
astTr107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")  
    :movetext(0, 9)
    :text(_("Asteroids in the Lagrange points:"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-7), 2, 5+14*7)
---------------------------------
astTr108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2013 ND15"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-8), 62, 5+14*8)

astTr108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2013 ND15");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(100);
            end
            obj = celestia:find("2010 TK7"); 
            obj:mark("white", "diamond", 15)
        end
    end) ();
---------------------------------
astTr109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-9), 62, 5+14*9)
 ---------------------------------
astTr110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-10), 62, 5+14*10) 
---------------------------------
astTr111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-11), 62, 5+14*11) 
-- =================
astTr112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("3. EARTH"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-12), 62, 5+14*12)

astTr112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Earth");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
---------------------------------
astTr113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color2) 
    :textpos("left")    
    :movetext(13, 9)
    :text(_("Moon"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-13), 62, 5+14*13)

astTr113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Earth/Moon");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:chase(sel);
               obs:goto(sel);
               celestia:settimescale(5000);
            end
        end
    end) ();
---------------------------------
astTr114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2016 HO3"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-14), 62, 5+14*14)

astTr114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2016 HO3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
---------------------------------
astTr115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")  
    :movetext(0, 9)
    :text(_("Asteroids in the Lagrange points:"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-15), 2, 5+14*15)
----------------------------------
astTr116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 TK7"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-16), 62, 5+14*16)

astTr116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 TK7");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(100);
            end
            obj = celestia:find("2010 TK7"); 
            obj:mark("white", "diamond", 15)
        end
    end) ();
---------------------------------
astTr117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(0, 9)
    :text(_("With a horseshoe orbit:"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-17), 2, 5+14*17)
----------------------------------
astTr118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2010 SO16"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-18), 62, 5+14*18)

astTr118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2010 SO16");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
---------------------------------
astTr119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-19), 62, 5+14*19) 
---------------------------------
astTr120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-20), 62, 5+14*20) 
---------------------------------
astTr121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-21), 62, 5+14*21) 
---------------------------------
astTr122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-22), 62, 5+14*22) 
-- ================
astTr123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :fillcolor(color01)
    :textfont(normalfont) 
    :textcolor(color7) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("4. MARS"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-23), 62, 5+14*23)

astTr123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mars");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
---------------------------------
astTr124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(13, 9)
    :text(_("Phobos.1877"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-24), 62, 5+14*24)  

astTr124Box.Action = (function()
    return
        function()
            local obs = celestia:getobserver();
            local obj = celestia:find("Sol/Mars/Phobos");
            celestia:select(obj);
             local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
---------------------------------
astTr125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color92)
    :textfont(normalfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(13, 9)
    :text(_("Deimos.1877"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-25), 62, 5+14*25)

astTr125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/Mars/Deimos");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(500);
            end
        end
    end) ();
---------------------------------
astTr126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("center")  
    :movetext(0, 9)
    :text(_("Asteroids in the Lagrange points:"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-26), 2, 5+14*26)
----------------------------------------------------------
astTr127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Eureka.1990 +"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-27), 62, 5+14*27)

astTr127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1990 MB");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------
astTr128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1998 VF31"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-28), 62, 5+14*28)

astTr128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1998 VF31");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
----------------------------------
astTr129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("1999 UJ7"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-29), 62, 5+14*29)

astTr129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/1999 UJ7");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
---------------------------------
astTr130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2001 DH47"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-30), 62, 5+14*30)

astTr130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2001 DH47");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
---------------------------------
astTr131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2007 NS2"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-31), 62, 5+14*31)

astTr131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2007 NS2");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
---------------------------------
astTr132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 SC191"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-32), 62, 5+14*32)

astTr132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 SC191");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
---------------------------------
astTr133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 SL25"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-33), 62, 5+14*33)

astTr133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 SL25");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
---------------------------------
astTr134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2011 UN63"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-34), 62, 5+14*34)

astTr134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Sol/2011 UN63");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obj:setvisible(true)
               obs:follow(sel);
               obs:goto(sel);
               celestia:settimescale(250);
            end
        end
    end) ();
---------------------------------
astTr135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-35), 62, 5+14*35) 
---------------------------------
astTr136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-36), 62, 5+14*36) 
---------------------------------
astTr137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-37), 62, 5+14*37)
 ---------------------------------
astTr138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-38), 62, 5+14*38) 
---------------------------------
astTr139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("L4 - Ahead planets by 60 degr."))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 2, 2+14*(gg-39), 2, 5+14*39)
---------------------------------
astTr140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 9)
    :text(_("L5 - Behind planets by 60 degr."))
    :movable(false)
    :active(false)    
    :attach(terrestrialFrame, 2, 2+14*(gg-40), 2, 5+14*40)
---------------------------------
astTr141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(normalfont) 
    :textcolor(color3)
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 2, 2+14*(gg-41), 62, 5+14*41) 
--=================
astTr201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("d=km/Q=au"))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-1), 2, 5+14*1) 
-------------------------------
astTr202Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-2), 2, 5+14*2)
---------------------------------
astTr203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~ 4879/~0,5"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-3), 2, 5+14*3)
-------------------------------
astTr204Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-4), 2, 5+14*4)
----------------------------------
astTr205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~12103/~0,7"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-5), 2, 5+14*5)
----------------------------------
astTr206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("quasi-satel."))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-6), 2, 5+14*6)
----------------------------------
astTr208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~0,07/~0,7"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-8), 2, 5+14*8) 
-------------------------------
astTr209Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-9), 2, 5+14*9)
-------------------------------
astTr210Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-10), 2, 5+14*10)
-------------------------------
astTr211Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-11), 2, 5+14*11)
-- ================
astTr212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~12756/~1,0"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-12), 2, 5+14*12) 
---------------------------------
astTr213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("~3476 "))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-13), 2, 5+14*13) 
---------------------------------
astTr214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("quasi-satel."))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-14), 2, 5+14*14)
----------------------------------
astTr216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~300 m L4"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-16), 2, 5+14*16)
---------------------------------
astTr218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~300 m"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-18), 2, 5+14*18)
-------------------------------
astTr219Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-19), 2, 5+14*19) 
-------------------------------
astTr220Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-20), 2, 5+14*20) 
-------------------------------
astTr221Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-21), 2, 5+14*21) 
-------------------------------
astTr222Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-22), 2, 5+14*22)
-- ================
astTr223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~ 6792/~1,7"))
    :movable(false)
    :active(false) 
   :attach(terrestrialFrame, 98, 2+14*(gg-23), 2, 5+14*23)
---------------------------------
astTr224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~27"))
    :movable(false)
    :active(true) 
    :attach(terrestrialFrame, 98, 2+14*(gg-24), 2, 5+14*24) 
---------------------------------
astTr225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("~15"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-25), 2, 5+14*25)
----------------------------------
astTr227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~1,2"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-27), 2, 5+14*27) 
---------------------------------
astTr228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~1,6"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-28), 2, 5+14*28)
----------------------------------
astTr229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L4 ~1"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-29), 2, 5+14*29)
----------------------------------
astTr230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~562 m"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-30), 2, 5+14*30)
----------------------------------
astTr231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_("L5 ~1,2"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-31), 2, 5+14*31)
----------------------------------
astTr231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~600 m"))
    :movable(false)
    :active(false) 
   :attach(terrestrialFrame, 98, 2+14*(gg-32), 2, 5+14*32)
---------------------------------
astTr233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~575 m"))
    :movable(false)
    :active(false) 
   :attach(terrestrialFrame, 98, 2+14*(gg-33), 2, 5+14*33)
---------------------------------
astTr234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)     
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("L5 ~560 m"))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-34), 2, 5+14*34)
--=================
astTr335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff) 
    -- :fillcolor({0.55,0.38,0.22,1})
    :textfont(normalfont) 
    --:textcolor(color9)
    :textpos("left")  
    :movetext(-3, 9) 
    :text(_(""))  
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-35), 2, 5+14*35)
--=================
astTr336Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color01)
    :textfont(smallfont)  
    --:textcolor(color7)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)  
    :attach(terrestrialFrame, 98, 2+14*(gg-36), 2, 5+14*36)
-------------------------------
astTr337Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color02)
    :textfont(normalfont) 
    --:textcolor(color2)   
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(terrestrialFrame, 98, 2+14*(gg-37), 2, 5+14*37) 
-------------------------------
astTr338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color03)
    :textfont(normalfont) 
    --:textcolor(color6)  
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)  
    :attach(terrestrialFrame, 98, 2+14*(gg-38), 2, 5+14*38)
--=================
astTr341Box = CXBox:new()  
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    -- :fillcolor(color81)
    :textfont(smallfont) 
    --:textcolor(color7)  
    :textpos("center")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false)  
    :attach(terrestrialFrame, 98, 2+14*(gg-41), 2, 5+14*41)
