----------------------------------------------
-- Luna2Box.lua
-- by Lygin Gennady a.k.a. Croc 13.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  Luna2FrameWidth, Luna2FrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Luna2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

Luna2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Luna2Button.Visible = GuidesVisibility -- display or undisplay Button
    Luna2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Luna2Check.Text ==  "o" then
		Luna2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Luna2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Lu2"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Luna2Box,0,0,0,0) 

Luna2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Luna2Box, 20, 0, 0, 0)

Luna2Button.Action = (function()
        return
            function()
              display_Luna2= not display_Luna2;
                if display_Luna2 then   
                    actual_renderflags = celestia:getrenderflags()             
                    Luna2Frame.Visible = true;                     
                    Luna2Check.Text = "o"; 

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
 
                else          
                    Luna2Frame.Visible = false;                   
                    Luna2Check.Text = "";
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
Luna2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Luna2FrameWidth)/2, height-Luna2FrameHeight-2, (width-Luna2FrameWidth)/2, 2)

 Luna2Frame.Customdraw = function(this) 

            if Luna2_firstTickDone then
            if not(Luna2CloseButtonDone) then
                Luna2CloseButtonDone = true;
                makeCloseButton(Luna2CloseButton, Luna2Frame, Luna2Button);
            end
            else
                Luna2_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
                if height>=768  then            
                    Luna2Frame:attach(screenBox, width-Luna2FrameWidth-35, height-Luna2FrameHeight-128, 35, 128) 
               else
                    Luna2Frame:attach(screenBox, width-Luna2FrameWidth-200, height-Luna2FrameHeight-3, 200, 3)  
               end                   
            end
         
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+25, this.tb - 14);         
            textlayout:println(_("USA-NASA. MOON"));
end;

--==================
-- Подключение команд 
--==================
Luna2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Start Date / Mission:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--==================
Luna2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mission: The manned landing"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--==================
Luna2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 1"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-3), 108, 5+14*3)

Luna2103Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 1");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) (); 
-----------------------------------
Luna2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("26-02-66"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-3), 64, 5+14*3)

Luna2303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Suborbital"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-3), 2, 5+14*3)
--==================
Luna2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 3"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-4), 108, 5+14*4)

Luna2104Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 3");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("05-07-66"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-4), 64, 5+14*4)

Luna2304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4 tur.ar.Earth"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 96, 2+14*(gg-4), 2, 5+14*4)
--==================
Luna2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Explosion last on 4th coil."))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-5), 2, 5+14*5)
--==================
Luna2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 2"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-6), 108, 5+14*6)

Luna2106Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 2");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-08-66"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-6), 64, 5+14*6)

Luna2306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color1)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Suborbital"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-6), 2, 5+14*6)
--==================
Luna2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 4"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-7), 108, 5+14*7)

Luna2107Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 4");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-02-67"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-7), 64, 5+14*7)

Luna2307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo 1"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-7), 2, 5+14*7)
--==================
Luna2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fire. Killed the entire crew:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-8), 2, 5+14*8)

Luna2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("V. Grissom, E. White, R. Chaffee"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-9), 2, 5+14*9)
--==================
Luna2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Unmanned launches:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-10), 2, 5+14*10)
--==================
Luna2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 4"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-11), 108, 5+14*11)

Luna2111Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 4");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-11-67"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-11), 64, 5+14*11)

Luna2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Test Saturn 5"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-11), 2, 5+14*11)
--==================
Luna2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 5"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-12), 108, 5+14*12)

Luna2112Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 5");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
------------------------------------
Luna2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("22-01-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-12), 64, 5+14*12)

Luna2312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Test l.module"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-13), 2, 5+14*13)
--==================
Luna2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 6"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-13), 108, 5+14*13)

Luna2113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 6");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-04-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-13), 64, 5+14*13)

Luna2313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Test l.module"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-12), 2, 5+14*12)
--==================
Luna2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Manned flights:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 3, 2+14*(gg-14), 2, 5+14*14)
--==================
Luna2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 7"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 3, 2+14*(gg-15), 108, 5+14*15)

Luna2113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 7");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("11-10-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-15), 64, 5+14*15)

Luna2315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Around Earth"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-15), 2, 5+14*15)
--==================
Luna2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 8"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-16), 108, 5+14*16)

Luna2116Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 8");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
------------------------------------
Luna2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("21-12-68"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-16), 64, 5+14*16)

Luna2316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Around Moon"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-16), 2, 5+14*16)
--==================
Luna2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 9"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-17), 108, 5+14*17)

Luna2117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 9");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-03-69"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-17), 64, 5+14*17)

Luna2317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Simulated"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-17), 2, 5+14*17)
--==================
Luna2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rehearsal of landing on Moon:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-18), 2, 5+14*18)
--==================
Luna2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 10 "))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-19), 108, 5+14*19)

Luna2119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 10 S-IVB 505");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 5, 21, 23, 40, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);
            end
        end
    end) ();
-----------------------------------
Luna2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-05-69"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 52, 2+14*(gg-19), 64, 5+14*19)

Luna2319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("c/r S-IVB 505"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 96, 2+14*(gg-19), 2, 5+14*19)
--==================
Luna2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 10 CM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-20), 90, 5+14*20)

Luna2120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 10 CM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1970, 1, 1, 00, 00, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(100);
            end
        end
    end) ();
-----------------------------------
Luna2320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CM - Charlie Brown"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 70, 2+14*(gg-20), 2, 5+14*20)
--==================
Luna2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 10 LM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-21), 90, 5+14*21)

Luna2121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 10 LM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 5, 23, 6, 00, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LM - Snoopy"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 70, 2+14*(gg-21), 2, 5+14*21)
--==================
Luna2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("The first ever landing on the Moon:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-22),  2, 5+14*22)
--==================
Luna2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 11+LEM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-23), 85, 5+14*23)

Luna2123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 11+LEM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 16, 16, 22, 10) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);
            end
        end
    end) ();
-----------------------------------
Luna2323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Columbia+Eagle"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 75, 2+14*(gg-23), 2, 5+14*23)
--==================
Luna2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 11"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-24), 105, 5+14*24)

Luna2124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 11");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 16, 16, 22, 10) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
----------------------------------
Luna2324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Astronauts: Collins,"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 55, 2+14*(gg-24), 2, 5+14*24)
--==================
Luna2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LEM Eagle"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-25), 105, 5+14*25)

Luna2125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/LEM 'Eagle'");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 20, 20, 16, 56) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2000);
            end       
        end
    end) ();
-----------------------------------
Luna2325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Armstrong and Aldrin"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 55, 2+14*(gg-25), 2, 5+14*25)
--==================
Luna2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 11+AS"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-26), 93, 5+14*26)

Luna2126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 11+AS");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1969, 7, 16, 16, 22, 10) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);
            end
        end
    end) ();
----------------------------------
Luna2326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 21.7 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 70, 2+14*(gg-26), 2, 5+14*26)
--==================
Luna2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("6 Subsequent missions:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-27), 2, 5+14*27)
--==================
Luna2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 12 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-28), 93, 5+14*28)

Luna2128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 12 DM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 11, 20, 9, 25, 04) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
----------------------------------
Luna2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-07-69"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-28), 50, 5+14*28)

Luna2328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2-34.4 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-28), 2, 5+14*28)
--==================
Luna2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 13"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-29), 93, 5+14*29)

Luna2129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Apollo 13");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("11-04-70"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-29), 50, 5+14*29)

Luna2329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Accident."))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-29), 2, 5+14*29)
--==================
Luna2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 14 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-30), 93, 5+14*30)

Luna2130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 14 DM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1971, 2, 6, 7, 10, 32) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-02-71"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-30), 50, 5+14*30)

Luna2330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3-42,9 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-30), 2, 5+14*30)
--==================
Luna2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 15 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-31), 93, 5+14*31)

Luna2131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 15 DM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1971, 8, 3, 17, 10, 39) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-07-71"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-31), 50, 5+14*31)

Luna2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("4-76,8 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-31), 2, 5+14*31)
--==================
Luna2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 16 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-32), 93, 5+14*32)

Luna2132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 16 DM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1972, 4, 24, 0, 25, 05) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-04-72"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-32), 50, 5+14*32)

Luna2332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("5-94,7 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-32), 2, 5+14*32)
--==================
Luna2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo 17 DM"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-33), 93, 5+14*33)

Luna2133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Apollo 17 DM");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1972, 12, 14, 21, 53, 53) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-12-72"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-33), 50, 5+14*33)

Luna2333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("6-110,5 kg"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-33), 2, 5+14*33)
--==================
Luna2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
  --  :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Flights 'Apollo' after 1972:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-34), 2, 5+14*34)
--==================
Luna2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Skylab 2"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-35), 93, 5+14*35)

Luna2135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Skylab 2");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
----------------------------------
Luna2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-05-73"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-35), 50, 5+14*35)

Luna2335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo18"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-35), 2, 5+14*35)
--==================
Luna2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Skylab 3"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-36), 93, 5+14*36)

Luna2136Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Skylab 3");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
----------------------------------
Luna2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("28-07-73"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-36), 50, 5+14*36)

Luna2336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo19"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-36), 2, 5+14*36)
--==================
Luna2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Skylab 4"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-37), 93, 5+14*37)

Luna2137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Skylab 4");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Luna2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-11-73"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-37), 50, 5+14*37)

Luna2337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Apollo20"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-37), 2, 5+14*37)
--==================
Luna2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Handshake U.S. and the USSR:"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 2, 2+14*(gg-38), 2, 5+14*38)
--==================
Luna2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Apollo-Soyuz"))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-39), 93, 5+14*39)

Luna2139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sol/earth/Apollo");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1975, 7, 15, 17, 59, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);
            end
        end
    end) ();
----------------------------------
Luna2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-07-75"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-39), 50, 5+14*39)

Luna2339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("<Skylab-5"))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-39), 2, 5+14*39)
--==================
Luna2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-40), 93, 5+14*40)
-----------------------------------
Luna2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-40), 50, 5+14*40)

Luna2340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-40), 2, 5+14*40)
--==================
Luna2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Luna2Frame, 2, 2+14*(gg-41), 93, 5+14*41)
-----------------------------------
Luna2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 67, 2+14*(gg-41), 50, 5+14*41)

Luna2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(Luna2Frame, 110, 2+14*(gg-41), 2, 5+14*41)
--===================================