----------------------------------------------
-- LunaBox.lua
-- by Lygin Gennady a.k.a. Croc 03.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  LunaFrameWidth, LunaFrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
LunaBox = CXBox:new()    
  --  :fillcolor(cFrameFill)
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

LunaBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    LunaButton.Visible = GuidesVisibility -- display or undisplay Button
    LunaCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if LunaCheck.Text ==  "o" then
		LunaFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

LunaButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Lu1"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(LunaBox,0,0,0,0) 

LunaCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(LunaBox, 20, 0, 0, 0)

LunaButton.Action = (function()
        return
            function()
              display_Luna= not display_Luna;
                if display_Luna then  
                    actual_renderflags = celestia:getrenderflags()              
                    LunaFrame.Visible = true;                     
                    LunaCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    LunaFrame.Visible = false;                   
                    LunaCheck.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
LunaFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-LunaFrameWidth)/2, height-LunaFrameHeight-2, (width-LunaFrameWidth)/2, 2)

 LunaFrame.Customdraw = function(this)

            if Luna_firstTickDone then
            if not(LunaCloseButtonDone) then
                LunaCloseButtonDone = true;
                makeCloseButton(LunaCloseButton, LunaFrame, LunaButton);
            end
            else
                Luna_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then 
                    LunaFrame:attach(screenBox, width-LunaFrameWidth-35, height-LunaFrameHeight-128, 35, 128) 
               else
                    LunaFrame:attach(screenBox, width-LunaFrameWidth-200, height-LunaFrameHeight-3, 200, 3) 
               end                  
            end
          
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+40, this.tb - 14);         
            textlayout:println(_("USSR. MOON"));
end;
--=================
-- Подключение команд 
--=================
Luna101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Start Date / Mission:"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=================
Luna102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mission: Flew to the Moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-2), 2, 5+14*2)
--=================
Luna103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 1"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-3), 108, 5+14*3)

Luna103Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 1");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1959, 1, 2, 23, 58, 30) 
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-01-59"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-3), 64, 5+14*3)

Luna303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Past moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-3), 2, 5+14*3)
--=================
Luna104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 2"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-4), 108, 5+14*4)

Luna104Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 2");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1959, 9, 13, 22, 01, 00) 
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-09-59"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-4), 108, 5+14*4)

Luna304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pennant"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-4), 2, 5+14*4)
--=================
Luna105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 3"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-5), 108, 5+14*5)
--[[
Luna105Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);  
            end 
        end
    end) ();
]]
---------------------------------
Luna205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("04-10-59"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-5), 64, 5+14*5)

Luna305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Photo inver."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-5), 2, 5+14*5)
--=================
Luna106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mission: Soft landing"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-6), 2, 5+14*6)
--=================
Luna107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 4"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-7), 108, 5+14*7)

Luna107Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 4");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-04-62"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-7), 64, 5+14*7)

Luna307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Past moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-7), 2, 5+14*7)
--=================
Luna108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 5"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-8), 108, 5+14*8)

Luna108Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 5");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1965, 5, 11, 23, 59, 17) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("09-05-65"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-8), 64, 5+14*8)

Luna308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Failure ..."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-8), 2, 5+14*8)
--=================
Luna109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 6"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-9), 108, 5+14*9)

Luna109Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 6");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-06-65"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-9), 64, 5+14*9)

Luna309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Past moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-9), 2, 5+14*9)
--=================
Luna110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Zond 3"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-10), 108, 5+14*10)

Luna110Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Zond 3");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1965, 7, 18, 23, 59, 00) 
               celestia:settime(tdb_dt)               
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(200000);  
            end 
        end
    end) ();
---------------------------------
Luna210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("18-07-65"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-10), 64, 5+14*10)

Luna310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Clear pict."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-10), 2, 5+14*10)
--=================
Luna111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 7"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-11), 108, 5+14*11)

Luna111Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 7");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1965, 10, 6, 23, 59, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("04-10-65"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-11), 64, 5+14*11)

Luna311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Failure ..."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-11), 2, 5+14*11)
--=================
Luna112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 8"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-12), 108, 5+14*12)

Luna112Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 8");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1965, 12, 6, 23, 59, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("06-12-65"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-12), 64, 5+14*12)

Luna312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Failure ..."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-12), 2, 5+14*12)
--=================
Luna113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 9"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-13), 108, 5+14*13)

Luna113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 9");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1966, 2, 3, 18, 44, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-01-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-13), 64, 5+14*13)

Luna313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Soft landing"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-13), 2, 5+14*13)
--=================
Luna114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Devices in orbit and on surface:"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-14), 2, 5+14*14)
--=================
Luna115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 10"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-15), 108, 5+14*15)

Luna115Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 10");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-03-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-15), 64, 5+14*15)

Luna315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("until 29.05.66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-15), 2, 5+14*15)
--=================
Luna116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 11"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-16),  108, 5+14*16)

Luna116Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 11");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("24-08-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-16), 64, 5+14*16)

Luna316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("until 04.10.66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-16), 2, 5+14*16)
--=================
Luna117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 12"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-17), 108, 5+14*17)

Luna117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 12");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
----------------------------------
Luna217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("22-10-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-17), 64, 5+14*17)

Luna317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("until 12.01.67"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-17), 2, 5+14*17)
--=================
Luna118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 13"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-18), 108, 5+14*18)

Luna118Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 13");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1966, 12, 24, 18, 01, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("21-12-66"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-18), 64, 5+14*18)

Luna318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Oc.of Storms"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-18), 2, 5+14*18)
--=================
Luna119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 14"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-19), 108, 5+14*19)

Luna119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 14");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-04-68"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-19), 64, 5+14*19)

Luna319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("78-day"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-19), 2, 5+14*19)
--=================
Luna120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 15"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-20), 108 , 5+14*20)

Luna120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 15");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 20, 23, 59, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("13-07-69"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-20), 64, 5+14*20)

Luna320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Failure ..."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-20), 2, 5+14*20)
--=================
Luna121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 16"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-21), 108, 5+14*21)

Luna121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 16");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1970, 9, 20, 9, 17, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(5000);  
            end 
        end
    end) ();
---------------------------------
Luna221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-09-70"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-21), 64, 5+14*21)

Luna321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 101 g"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-21), 2, 5+14*21)
--=================
Luna122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 17"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-22), 108, 5+14*22)

Luna122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 17");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1970, 11, 17, 3, 59, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("10-11-70"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-22), 64, 5+14*22)

Luna322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 1"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-22), 2, 5+14*22)
--=================
Luna123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Place landings"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-23), 64, 5+14*23)

Luna123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("crater 2");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1970, 11, 17, 3, 59, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();

Luna323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sea rains."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-23), 2, 5+14*23)
--=================
Luna124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 1"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-24), 64, 5+14*24)

Luna124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lunokhod 1");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1970, 11, 17, 3, 59, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();

Luna324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("301 terr. day"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-24), 2, 5+14*24)
--=================
Luna125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Landing module"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-25), 64, 5+14*25)

Luna125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lunokhod 1 Base");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1971, 10, 3, 23, 59, 18) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();

Luna325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10,540 m"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-25), 2, 5+14*25)
--=================
Luna126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 18"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-26), 108, 5+14*26)

Luna126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 18");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1971, 9, 11, 3, 59, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-09-71"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-26), 64, 5+14*26)

Luna326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Failure ..."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-26), 2, 5+14*26)
--=================
Luna127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 19"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-27), 108, 5+14*27)
--[[
Luna127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 19");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);  
            end 
        end
    end) ();
]]
---------------------------------
Luna227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("28-09-71"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-27), 64, 5+14*27)

Luna327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("388 days"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-27), 2, 5+14*27)
--=================
Luna128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 20"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-28), 108, 5+14*28)

Luna128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 20");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1972, 2, 21, 23, 18, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
----------------------------------
Luna228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("14-02-72"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-28), 64, 5+14*28)

Luna328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 55 g"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-28), 2, 5+14*28)
--=================
Luna129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 21"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-29), 108, 5+14*29)

Luna129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 21");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);  
            end 
        end
    end) ();
---------------------------------
Luna229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("08-01-73"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 50+2, 2+14*(gg-29), 156-2, 5+14*29)

Luna329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 2"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-29), 2, 5+14*29)
--=================
Luna130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Place landings"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-30), 64, 5+14*30)

Luna130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("crater 3");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1973, 1, 16, 3, 34, 00) 
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();

Luna330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sea Clarity"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-30), 2, 5+14*30)
--=================
Luna131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunokhod 2"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-31), 95, 5+14*31)

Luna131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lunokhod 2");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1973, 1, 16, 3, 34, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();

Luna331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15/1-73 9/5-73"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 65, 2+14*(gg-31), 2, 5+14*31)
--=================
Luna132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Landing module"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-32), 64, 5+14*32)

Luna132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lunokhod 2 Base");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1973, 1, 16, 3, 34, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();

Luna332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("42 km"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-32), 2, 5+14*32)
--=================
Luna133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 22"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-33), 108, 5+14*33)

Luna133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 22");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);  
            end 
        end
    end) ();
---------------------------------
Luna233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("29-05-74"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-33), 64, 5+14*33)

Luna333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("78 days"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-33), 2, 5+14*33)
--=================
Luna134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 23"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-34), 108, 5+14*34)

Luna134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 23");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1974, 11, 1, 3, 39, 00) 
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(5000);  
            end 
        end
    end) ();
----------------------------------
Luna234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("28-10-74"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-34), 64, 5+14*34)

Luna334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Breaking..."))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-34), 2, 5+14*34)
--=================
Luna135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Luna 24"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-35), 108, 5+14*35)

Luna135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Luna 24");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1973, 1, 16, 3, 34, 00) 
               celestia:settime(tdb_dt) 
               tdb_dt = celestia:utctotdb(1976, 8, 18, 5, 59, 00) 
               celestia:settime(tdb_dt)            
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2500);  
            end 
        end
    end) ();
---------------------------------
Luna235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("09-08-76"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 52, 2+14*(gg-35), 64, 5+14*35)

Luna335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Priming 170 g"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 96, 2+14*(gg-35), 2, 5+14*35)
--=================
Luna136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0,1,1,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-36), 2, 5+14*36)
---------------------------------
Luna137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("The failed program:"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 2, 2+14*(gg-37), 2, 5+14*37)
--=================
Luna138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("N1"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-38), 128, 5+14*38)

Luna138Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("N1");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 3, 3, 59, 00) 
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);  
            end 
        end
    end) ();
---------------------------------
Luna238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Carrier rocket"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 32, 2+14*(gg-38), 2, 5+14*38)
--=================
Luna139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("L3"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-39), 128, 5+14*39)

Luna139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("L3");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 4, 0, 59, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(200);  
            end 
        end
    end) ();
---------------------------------
Luna239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Interplanetary complex"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 32, 2+14*(gg-39), 2, 5+14*39)
--=================
Luna140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Soyuz 7K-LOK"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-40), 80, 5+14*40)

Luna140Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Soyuz 7K-LOK");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 4, 0, 59, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);  
            end 
        end
    end) ();
---------------------------------
Luna240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Orbital complex"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 80, 2+14*(gg-40), 2, 5+14*40)
--=================
Luna141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color7)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LK"))
    :movable(false)
    :active(true) 
    :attach(LunaFrame, 2, 2+14*(gg-41), 128, 5+14*41)

Luna141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("LK");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 7, 7, 9, 59, 00) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(2000);  
            end 
        end
    end) ();
---------------------------------
Luna241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lunar ship on the Moon"))
    :movable(false)
    :active(false) 
    :attach(LunaFrame, 32, 2+14*(gg-41), 2, 5+14*41)
--=======================================