----------------------------------------------
-- MarsBox.lua
-- by Lygin Gennady a.k.a. Croc 13.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox";
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  MarsFrameWidth, MarsFrameHeight = 158, 14*gn+2+2;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
MarsBox = CXBox:new()    
   -- :fillcolor(cFrameFill)
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

MarsBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    MarsButton.Visible = GuidesVisibility -- display or undisplay Button
    MarsCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if MarsCheck.Text ==  "o" then
		MarsFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

MarsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ma"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(MarsBox,0,0,0,0) 

MarsCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(MarsBox, 20, 0, 0, 0)

MarsButton.Action = (function()
        return
            function()
              display_Mars= not display_Mars;
                if display_Mars then  
                    actual_renderflags = celestia:getrenderflags()              
                    MarsFrame.Visible = true;                     
                    MarsCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    MarsFrame.Visible = false;                   
                    MarsCheck.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
--------------------------------------------------------------
MarsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-MarsFrameWidth)/2, height-MarsFrameHeight-2, (width-MarsFrameWidth)/2, 2)

 MarsFrame.Customdraw = function(this)

            if Mars_firstTickDone then
            if not(MarsCloseButtonDone) then
                MarsCloseButtonDone = true;
                makeCloseButton(MarsCloseButton, MarsFrame, MarsButton);
            end
            else
                Mars_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then 
                    MarsFrame:attach(screenBox, width-MarsFrameWidth-35, height-MarsFrameHeight-128, 35, 128)
               else
                    MarsFrame:attach(screenBox, width-MarsFrameWidth-200, height-MarsFrameHeight-3, 200, 3) 
               end                     
            end
      
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({1,1,0,0.8});        
	    textlayout:setpos(this.lb+10, this.tb - 14);         
            textlayout:println(_("  MARS EXPLORATION"));
end;
--=================
-- Подключение команд 
--=================
Mars101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Date of start:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=================
Mars102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")   
    :movetext(-3, 10)
    :text(_("On the flight trajectory:"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 2, 2+14*(gg-2), 2, 5+14*2)
--=================
Mars103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-3), 128, 5+14*3)
---------------------------------
Mars203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 4"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-3), 49, 5+14*3)

Mars203Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 4");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Mars303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("28-11-64"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-3), 2, 5+14*3)
--=================
Mars104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-4), 128, 5+14*4)
---------------------------------
Mars204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 6"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-4), 49, 5+14*4)

Mars204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 6");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Mars304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("24-02-69"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-4), 2, 5+14*4)
--=================
Mars105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")   
    :movetext(-3, 10)
    :text(_("Since the orbit of Mars:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-5), 2, 5+14*5)
--=================
Mars106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-6), 128, 5+14*6)
---------------------------------
Mars206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 9"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-6), 49, 5+14*6)

Mars206Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 9");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1971, 5, 30, 22, 22, 10) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(100);
            end
        end
    end) ();
---------------------------------
Mars306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("30-05-71"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-6), 2, 5+14*6)
--=================
Mars107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-7),  128, 5+14*7)
---------------------------------
Mars207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 2"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-7), 49, 5+14*7)

Mars207Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars 2");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Mars307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("19-05-71"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-7), 2, 5+14*7)
--=================
Mars108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-8),  128, 5+14*8)
---------------------------------
Mars208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 4"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-8), 49, 5+14*8)

Mars208Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars 4"); 
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);  
            end
        end
    end) ();          
---------------------------------
Mars308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("21-07-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-8), 2, 5+14*8)
--=================
Mars109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-9), 128, 5+14*9)
---------------------------------
Mars209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 5"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-9), 49, 5+14*9)

Mars209Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars 5");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();
---------------------------------
Mars309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("25-07-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-9), 2, 5+14*9)
--=================
Mars110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")   
    :movetext(-3, 10)
    :text(_("On the surface of Mars:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-10), 2, 5+14*10)
--=================
Mars111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-11), 128, 5+14*11)
----------------------------------
Mars211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 3"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-11), 49, 5+14*11)

Mars211Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars 3");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Mars311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("28-05-71"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-11), 2, 5+14*11)
--=================
Mars112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-12),  128, 5+14*12)
---------------------------------
Mars212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 6"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-12), 49, 5+14*12)

Mars212Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars 6");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Mars312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("05-08-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-12), 2, 5+14*12)
--=================
Mars113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-13),  128, 5+14*13)
--------------------------------
Mars213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars 7"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-13), 49, 5+14*13)

Mars213Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars 7");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
----------------------------------
Mars313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-08-73"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-13), 2, 5+14*13)
--=================
Mars114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-14), 128, 5+14*14)
---------------------------------
Mars214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Viking-1"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-14), 49, 5+14*14)

Mars214Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Viking1");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1976, 7, 19, 23, 59, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(500);
            end
        end
    end) ();
---------------------------------
Mars314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("20-08-75"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-14), 2, 5+14*14)
--=================
Mars115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-15), 128, 5+14*15)
---------------------------------
Mars215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Viking-2"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-15), 49, 5+14*15)

Mars215Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Viking2");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1976, 9, 2, 23, 59, 10) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(250);
            end
        end
    end) ();
---------------------------------
Mars315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-09-75"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-15), 2, 5+14*15)
--=================
Mars116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Investigation of Phobos:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-16), 2, 5+14*16)
--=================
Mars117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-17), 128, 5+14*17)
---------------------------------
Mars217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Phobos 2"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-17), 49, 5+14*17)

Mars217Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Phobos 2");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Mars317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-07-88"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-17), 2, 5+14*17)
--=================
Mars118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Mapping Mars, etc.:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-18), 2, 5+14*18)
--=================
Mars119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-19), 128, 5+14*19)
---------------------------------
Mars219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M.G.Surveyor"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-19), 49, 5+14*19)

Mars219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("MGS");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2001, 3, 4, 18, 12, 27) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(20);
            end
        end
    end) ();
---------------------------------
Mars319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("07-11-96"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-19), 2, 5+14*19)
--=================
Mars120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Worked ~ 10 years before 05.11.06"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-20), 2, 5+14*20)
--=================
Mars121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-21), 2, 5+14*21)
---------------------------------
Mars221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Nozomi"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-21), 49, 5+14*21)

Mars221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Nozomi (Planet-B)"); 
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1999, 2, 8, 12, 10, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1000000);   
            end
        end
    end) ();       
--------------------------------
Mars321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-17-98"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-21), 2, 5+14*21)
--=================
Mars122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 9)
    :text(_("AI-station + first Mars rover:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-22), 2, 5+14*22)
--=================
Mars123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-23), 128, 5+14*23)
---------------------------------
Mars223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M.Pathfinder"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-23), 49, 5+14*23)

Mars223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Mars/Mars Pathfinder");           
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1997, 7, 4, 04, 41, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Mars323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-12-96"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-23), 2, 5+14*23)
--=================
Mars124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-24), 128, 5+14*24)
---------------------------------
Mars224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Sojourner"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-24), 49, 5+14*24)

Mars224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Mars/Sojourner");       
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1997, 7, 4, 16, 56, 55)  --1997 07 04 16:56:55   
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Mars324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-12-96"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-24), 2, 5+14*24)
--=================
Mars125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")   
    :movetext(-3, 10)
    :text(_("International cooperation:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-25), 2, 5+14*25)
--=================
Mars126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rus"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-26), 128, 5+14*26)
---------------------------------
Mars226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Soyuz FT"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-26), 49, 5+14*26)
--[[
Mars226Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Soyuz FT");           
            celestia:select(obj);           
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
]]
---------------------------------
Mars326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("02-16-03"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-26), 2, 5+14*26)
--=================
Mars127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-27), 128, 5+14*27)
---------------------------------
Mars227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars Express"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-27), 49, 5+14*27)

Mars227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Express orb1");  
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2003, 12, 24, 22, 42, 40) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(50);
            end
        end
    end) ();
---------------------------------
Mars327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("orb1"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-27), 2, 5+14*27)
--=================
Mars128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-28), 128, 5+14*28)
---------------------------------
Mars228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mars Express"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-28), 49, 5+14*28)

Mars228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Express orb2");           
             celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2005, 3, 8, 22, 42, 40) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(50);
            end
        end
    end) ();
---------------------------------
Mars328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_("orb2"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-28), 2, 5+14*28)
--=================
Mars129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")   
    :movetext(-3, 10)
    :text(_("Rovers researchers:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-29), 2, 5+14*29)
--=================
Mars130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 3, 2+14*(gg-30), 128, 5+14*30)
---------------------------------
Mars230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("MER-A Spirit"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-30), 49, 5+14*30)

Mars230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sol/MER-A (Spirit)");         
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2003, 6, 10, 18, 35, 55) 
               celestia:settime(tdb_dt)               
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(1);
            end
        end
    end) ();
---------------------------------
Mars330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("10-06-03"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-30), 2, 5+14*30)
--=================
Mars131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-31), 128, 5+14*31)
---------------------------------
Mars231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Spirit"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-31), 49, 5+14*31)

Mars231Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Spirit");           
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2004, 1, 4, 17, 33, 55) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);
            end
        end
    end) ();
---------------------------------
Mars331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-01-04"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-31), 2, 5+14*31)
--=================
Mars132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-32), 128, 5+14*32)
---------------------------------
Mars232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("MER-B Opport."))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-32), 49, 5+14*32)

Mars232Box.Action = (function()
    return 
      function()      
         local obj = celestia:find("sol/MER-B (Opportunity)");           
             celestia:select(obj);           
         if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2003, 7, 8, 5, 16, 55) 
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Mars332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-07-03"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-32), 2, 5+14*32)
--=================
Mars133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-33), 128, 5+14*33)
---------------------------------
Mars233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Opportunity"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-33), 49, 5+14*33)

Mars233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Opportunity");           
             celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2004, 1, 25, 17, 03, 55) 
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Mars333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("25-01-04"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-33), 2, 5+14*33)
--=================
Mars134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Multifunctional AIS:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-34),  2, 5+14*34)
--=================
Mars135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-35), 128, 5+14*35)
---------------------------------
Mars235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("M.Rec.Orbiter"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-35), 49, 5+14*35)

Mars235Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("MRO");           
             celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2001, 3, 4, 18, 12, 27) 
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(20);
            end
        end
    end) ();
---------------------------------
Mars335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-08-05"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-35), 2, 5+14*35)
--=================
Mars136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")  
    :movetext(-3, 10)
    :text(_("Issledoveniya polar Mars:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-36),  2, 5+14*36)
--=================
Mars137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-37), 128, 5+14*37)
---------------------------------
Mars237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Phoenix "))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-37), 49, 5+14*37)

Mars237Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Phoenix Lander");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2008, 5, 25, 23, 37, 18) 
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(200);
            end
        end
    end) ();
--------------------------------
Mars337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-08-07"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-37), 2, 5+14*37)
--=================
Mars138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Mars Science Laboratory:"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-38), 2, 5+14*38)
--=================
Mars139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-39), 128, 5+14*39)
---------------------------------
Mars239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("m/r Curiosity"))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-39), 49, 5+14*39)

Mars239Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Curiosity");           
             celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2012, 8, 6, 5, 17, 57) 
               celestia:settime(tdb_dt)  
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Mars339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("26-11-11"))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-39), 2, 5+14*39)
--=================
Mars140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-40), 128, 5+14*40)
---------------------------------
Mars240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-40), 49, 5+14*40)
---------------------------------
Mars340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-40), 2, 5+14*40)
--=================
Mars141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 2, 2+14*(gg-41), 128, 5+14*41)
---------------------------------
Mars241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(MarsFrame, 32, 2+14*(gg-41), 49, 5+14*41)
---------------------------------
Mars341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(MarsFrame, 111, 2+14*(gg-41), 2, 5+14*41)
--======================================