----------------------------------------------
-- Sol2Box.lua
-- by Lygin Gennady a.k.a. Croc 22.10.2014
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  Sol2FrameWidth, Sol2FrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
Sol2Box = CXBox:new()    
  --  :fillcolor(cFrameFill)
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

Sol2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    Sol2Button.Visible = GuidesVisibility -- display or undisplay Button
    Sol2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if Sol2Check.Text ==  "o" then
		Sol2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

Sol2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("So2"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(Sol2Box,0,0,0,0) 

Sol2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)       
        :textcolor({1,0,0,0.8})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(Sol2Box, 20, 0, 0, 0)

Sol2Button.Action = (function()
        return
            function()
              display_Sol2= not display_Sol2;
                if display_Sol2 then  
                    actual_renderflags = celestia:getrenderflags()              
                    Sol2Frame.Visible = true;                     
                    Sol2Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    Sol2Frame.Visible = false;                   
                    Sol2Check.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
---------------------------------
Sol2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-Sol2FrameWidth)/2, height-Sol2FrameHeight-2, (width-Sol2FrameWidth)/2, 2)

 Sol2Frame.Customdraw = function(this) 

            if Sol2_firstTickDone then
            if not(Sol2CloseButtonDone) then
                Sol2CloseButtonDone = true;
                makeCloseButton(Sol2CloseButton, Sol2Frame, Sol2Button);
            end
            else
                Sol2_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;
               if height>=768  then               
                    Sol2Frame:attach(screenBox, width-Sol2FrameWidth-35, height-Sol2FrameHeight-128, 35, 128)  
               else
                    Sol2Frame:attach(screenBox, width-Sol2FrameWidth-200, height-Sol2FrameHeight-3, 200, 3)
                end                 
            end
         
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+45, this.tb - 14);         
            textlayout:println(_("    STUDY"));
            textlayout:setpos(this.lb+20, this.tb - 28);         
            textlayout:println(_("of Comets & Asteroids"));
end;
-- =================
-- Подключение команд 
-- =================
  Sol2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Object / Country / Device / Date:"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--=================
Sol2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Com. Giacobini-Zinner, Halley"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-3), 2, 5+14*3)
--=================
Sol2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-4), 120, 5+14*4)
---------------------------------
Sol2204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("I. Cometary E."))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-4), 45, 5+14*4)

Sol2204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ICE");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2014, 01, 01, 00, 00, 00) 
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(0.0625); 
            end
        end
    end) ();      
---------------------------------
Sol2304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-08-78"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-4), 2, 5+14*4)
--================
Sol2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Halley's Comet"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-5), 2, 5+14*5)
--=================
Sol2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("URSS+"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-6), 120, 5+14*6)
--------------------------------
Sol2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vega-1a"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-6), 45, 5+14*6)

Sol2206Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega-1a");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1984, 12, 21, 23, 59, 05)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(400000);  
            end
        end
    end) ();
---------------------------------
Sol2306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-12-84"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-6), 2, 5+14*6)
--================
Sol2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("URSS+"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-7), 120, 5+14*7)
---------------------------------
Sol2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vega-1b"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-7), 45, 5+14*7)

Sol2207Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega-1a");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1985, 4, 1, 0, 0, 0)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(400000);   
            end
        end
    end) ();
---------------------------------
Sol2307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("04-06-85"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-7), 2, 5+14*7)
--================
Sol2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 3, 2+14*(gg-8), 120, 5+14*8)
--------------------------------
Sol2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sakigake"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-8), 45, 5+14*8)

Sol2208Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sakigake");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1984, 12, 21, 2, 59, 05)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(0.1);  
            end
        end
    end) ();
--------------------------------
Sol2308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-01-85"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-8), 2, 5+14*8)
-- ================
Sol2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-9), 120, 5+14*9)
--------------------------------
Sol2209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Giotto"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-9), 45, 5+14*9)

Sol2209Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Giotto");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1996, 12, 13, 00, 08, 57)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(2000);  
            end
        end
    end) ();
--------------------------------
Sol2309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-07-85"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-9), 2, 5+14*9)
-- ================
Sol2110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-10), 120, 5+14*10)
---------------------------------
Sol2210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Suisei=Sakigake"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-10), 45, 5+14*10)

Sol2210Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Suisei");           
            celestia:select(obj);            
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1); 
            end
        end
    end) ();
---------------------------------
Sol2310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-08-85"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-10), 2, 5+14*10)
--=================
Sol2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Passage through the tail Hyakutake..."))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-11), 2, 5+14*11)
-- ================
Sol2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA+"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-12), 120, 5+14*12)
---------------------------------
Sol2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ulysses"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-12), 45, 5+14*12)

Sol2212Box.Action = (function()
    return 
        function()      
          --  local obj = celestia:find("Ulysses (spacecraft)");
            local obj = celestia:find("Ulysses");          
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1990, 10, 6, 19, 14, 02)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(2000000); 
            end
        end
    end) ();
---------------------------------
Sol2312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06.10.90"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-12), 2, 5+14*12)
-- ================
Sol2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet Borelli,"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-13), 2, 5+14*13)

Sol21132Box = CXBox:new()
    :init(0, 0, 0, 0)
  --  :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(78, 10)
    :text(_("ast. Braille"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-13), 2, 5+14*13)
--  ================
Sol2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-14), 120, 5+14*14)
--------------------------------
Sol2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Deep Space 1 "))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-14), 45, 5+14*14)

Sol2214Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Deep Space 1");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1998, 10, 24, 17, 58, 56)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(400000);  
            end
        end
    end) ();
---------------------------------
Sol2314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-10-98"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-14), 2, 5+14*14)
--=================
Sol2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet Wild 2,"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-15), 2, 5+14*15)

Sol21152Box = CXBox:new()
    :init(0, 0, 0, 0)
  --  :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(78, 10)
    :text(_("ast. A. Frank"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-15), 2, 5+14*15)
--=================
Sol2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-16), 120, 5+14*16)
---------------------------------
Sol2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Stardust"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-16), 45, 5+14*16)

Sol2216Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Stardust");           
            celestia:select(obj);            
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);   
            end
        end
    end) ();
---------------------------------
Sol2316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("07-02-99"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-16), 2, 5+14*16)
--================
Sol2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet Churyumov - Gerasimenko"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-17), 2, 5+14*17)
--================
Sol2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Asteroids Steins and Lutetia."))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-18), 2, 5+14*18)
--================
Sol2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-19), 120, 5+14*19)
--------------------------------
Sol2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rosetta"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-19), 45, 5+14*19)

Sol2219Box.Action = (function()
    return 
        function()    
            local obj = celestia:find("Rosetta");           
            celestia:select(obj);
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2004, 3, 2, 09, 26, 22)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);               
            end
        end
    end) ();
---------------------------------
Sol2319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-03-04"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-19), 2, 5+14*19)
--=================
Sol2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Comet Tempel 1"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-20), 2, 5+14*20)
--=================
Sol2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-21), 120, 5+14*21)
---------------------------------
Sol2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Deep Impact"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-21), 45, 5+14*21)

Sol2221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Deep Impact");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 1, 12, 19, 16, 23)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(25000);  
            end
        end
    end) ();
---------------------------------
Sol2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("12-01-05"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-21), 2, 5+14*21)
--=================
Sol2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("'Bombs' for comets"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 48, 2+14*(gg-22), 2, 5+14*22)
--=================
Sol2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Impactor"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 2, 2+14*(gg-22), 112, 5+14*22)

Sol2222Box.Action = (function()
    return 
        function()  
            local obj = celestia:find("9P"); 
            celestia:select(obj); 
            local obj = celestia:find("Impactor");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 7, 4, 05, 59, 00)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);   
            end
        end
    end) ();
--================
Sol223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fly-by of the ast. Gaspra and Ida."))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-23), 2, 5+14*23)
--================
Sol224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-24), 120, 5+14*24)
---------------------------------
Sol2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Galileo"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-24), 45, 5+14*24)

Sol2224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Galileo");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1989, 10, 19, 02, 46, 03)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Sol2324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-10-89"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-24), 2, 5+14*24)
--=================
Sol2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Matilda. Eros, a soft landing."))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 3, 2+14*(gg-25),  3, 5+14*25)
--=================
Sol2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-26), 120, 5+14*26)
---------------------------------
Sol2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("N.Shoemak."))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-26), 45, 5+14*26)

Sol2226Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("NEAR");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1996, 02, 17, 20, 43, 27)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Sol2326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-02-96"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-26), 2, 5+14*26)
--=================
Sol2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Asteroid Mazury"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-27), 2, 5+14*27)
--=================
Sol2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-28), 120, 5+14*28)
---------------------------------
Sol2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cassini"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-28), 45, 5+14*28)

Sol2228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Cassini-Huygens");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1997, 10, 15, 9, 27, 00)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1);   
            end
        end
    end) ();
--------------------------------
Sol2328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15.10.97"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-28), 2, 5+14*28)
--=================
Sol2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Asteroid Itokawa. Fence soil."))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-29), 2, 5+14*29)
--=================
Sol2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-30), 120, 5+14*30)
---------------------------------
Sol2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hayabusa"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-30), 45, 5+14*30)

Sol2230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Hayabusa");           
            celestia:select(obj);            
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Sol2330Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("09-05-03"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-30), 2, 5+14*30)
--=================
Sol2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Asteroid APL"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-31), 2, 5+14*31)
--=================
Sol2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-32), 120, 5+14*32)
---------------------------------
Sol2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("New Horizons"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-32), 45, 5+14*32)

Sol2232Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("New Horizons");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2006, 1, 19, 19, 50, 12)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(200000);   
            end
        end
    end) ();
---------------------------------
Sol2332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19.01.96"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-32), 2, 5+14*32)
--=================
Sol2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Vesta asteroid, m/p Ceres"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-33), 2, 5+14*33)
--=================
Sol2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-34), 120, 5+14*34)
---------------------------------
Sol2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Dawn"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-34), 45, 5+14*34)

Sol2234Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Dawn");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2007, 9, 27, 12, 39, 54)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(1000000);   
            end
        end
    end) ();
--------------------------------
Sol2334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("27-09-07"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-34), 2, 5+14*34)
--=================
Sol2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.55,0.38,0.22,1}) 
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Asteroid Tautatis"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-35), 2, 5+14*35)
--=================
Sol2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 2, 2+14*(gg-36), 120, 5+14*36)
---------------------------------
Sol2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Chang'e 2"))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-36), 45, 5+14*36)

Sol2236Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);            
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);  
            end
        end
    end) ();
---------------------------------
Sol2336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-10-10"))
    :movable(false)
    :active(false) 
    :attach(Sol2Frame, 115, 2+14*(gg-36), 2, 5+14*36)
--=================
Sol2137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 2, 2+14*(gg-37), 120, 5+14*37)

Sol2237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-37), 45, 5+14*37)
-----
Sol2337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 115, 2+14*(gg-37), 2, 5+14*37)
--=================
Sol2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 2, 2+14*(gg-38), 120, 5+14*38)

Sol2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-38), 45, 5+14*38)
-----
Sol2338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 115, 2+14*(gg-38), 2, 5+14*38)
-----
Sol2139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 2, 2+14*(gg-39), 120, 5+14*39)

Sol2239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-39), 45, 5+14*39)
-----
Sol2339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 115, 2+14*(gg-39), 2, 5+14*39)
--=================
Sol2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 2, 2+14*(gg-40), 120, 5+14*40)

Sol2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-40), 45, 5+14*40)
-----
Sol2340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 115, 2+14*(gg-40), 2, 5+14*40)
--=================
Sol2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 2, 2+14*(gg-41), 120, 5+14*41)

Sol2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 40, 2+14*(gg-41), 45, 5+14*41)
-----
Sol2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(Sol2Frame, 115, 2+14*(gg-41), 2, 5+14*41)
-------------------------------------
