----------------------------------------------
-- SolBox.lua
-- by Lygin Gennady a.k.a. Croc 17.09.2015
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
-- Edit by Lygin Gennady a.k.a. Croc 27.04.2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  SolFrameWidth, SolFrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
SolBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

SolBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SolButton.Visible = GuidesVisibility -- display or undisplay Button
    SolCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if SolCheck.Text ==  "o" then
		SolFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

SolButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("So1"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(SolBox,0,0,0,0) 

SolCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(SolBox, 20, 0, 0, 0)

SolButton.Action = (function()
        return
            function()
              display_Sol= not display_Sol;
                if display_Sol then  
                    actual_renderflags = celestia:getrenderflags()              
                    SolFrame.Visible = true;                     
                    SolCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    SolFrame.Visible = false;                   
                    SolCheck.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 

                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();               
-----------------------------------------------------------------------------
SolFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-SolFrameWidth)/2, height-SolFrameHeight-2, (width-SolFrameWidth)/2, 2)

 SolFrame.Customdraw = function(this) 

            if Sol_firstTickDone then
            if not(SolCloseButtonDone) then
                SolCloseButtonDone = true;
                makeCloseButton(SolCloseButton, SolFrame, SolButton);
            end
            else
                Sol_firstTickDone = true;            
            end     

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
               if height>=768  then             
                    SolFrame:attach(screenBox, width-SolFrameWidth-35, height-SolFrameHeight-128, 35, 128) 
               else
                    SolFrame:attach(screenBox, width-SolFrameWidth-200, height-SolFrameHeight-3, 200, 3) 
               end                   
            end
          
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+10, this.tb - 14);         
            textlayout:println(_("    STUDY OF PLANETS"));
            textlayout:setpos(this.lb+10, this.tb - 29);         
            textlayout:println(_("      SOLAR SYSTEM"));
end;

--===============
-- Подключение команд 
--===============
Sol102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Object / Country / Device / Date:"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-2), 2, 5+14*2)
--================
Sol103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jupiter"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-3), 2, 5+14*3)
--================
Sol104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-4),  120, 5+14*4)
--------------------------------
Sol204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pioneer 10"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-4), 45, 5+14*4)

Sol204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sol/Pioneer 10");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1989, 10, 19, 02, 46, 03)
               celestia:settime(tdb_dt)
               obs:follow(obj);            
              -- obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);
            end
        end
    end) ();
--------------------------------
Sol304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("02-03-72"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-4), 2, 5+14*4)
--================
Sol105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-5), 120, 5+14*5)
-------------------------------
Sol205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Galileo "))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-5), 45, 5+14*5)

Sol205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Galileo");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1989, 10, 19, 02, 46, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
            end
        end
    end) ();
--------------------------------
Sol305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("18-10-89"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-5), 2, 5+14*5)
--================
Sol106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA+USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-6), 120, 5+14*6)
-------------------------------
Sol206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ulysses"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-6), 45, 5+14*6)

Sol206Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ulysses");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1990, 10, 6, 19, 14, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(2000000); 
            end
        end
    end) ();
-------------------------------
Sol306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-10-90"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-6), 2, 5+14*6)
--================
Sol107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-7), 120, 5+14*7)
-------------------------------
Sol207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Juno"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-7), 45, 5+14*7)

Sol207Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Juno");           
            celestia:select(obj);            
             if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2011, 8, 5, 20, 19, 00) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);  
            end
        end
    end) ();
-------------------------------
Sol307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("05-11-11"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-7), 2, 5+14*7)
--================
Sol108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-8), 120, 5+14*8)
-------------------------------
Sol208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-8), 45, 5+14*8)

Sol308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-8), 2, 5+14*8)
--================
Sol109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jupiter, Saturn"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-9), 2, 5+14*9)
--================
Sol110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-10), 120, 5+14*10)
--------------------------------
Sol210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Pioneer 11"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-10), 45, 5+14*10)

Sol210Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pioneer 11");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1973, 4, 6, 02, 35, 15) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);             
               --obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1);
            end
        end
    end) ();
-------------------------------
Sol310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-04-73"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-10), 2, 5+14*10)
--================
Sol111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("U+E+I"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-11), 120, 5+14*11)
-------------------------------
Sol211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Cassini"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-11), 45, 5+14*11)

Sol211Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Cassini");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1997, 10, 15, 09, 26, 07) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
            --   obs:chase (obj);
               obs:goto (obj);  
               celestia:settimescale(1000);
            end
        end
    end) ();
--------------------------------
Sol311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-10-97"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-11), 2, 5+14*11)
--================
Sol112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("U+E+I"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-12), 120, 5+14*12)
-------------------------------
Sol212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Huygens w.C."))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-12), 45, 5+14*12)

Sol212Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens (with Cassini)");               
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1997, 10, 15, 09, 26, 07) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1); 
            end
        end
    end) ();
-------------------------------
Sol312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-10-97"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-12), 2, 5+14*12)
--================
Sol113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("U+E+I"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-13), 120, 5+14*13)
-------------------------------
Sol213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("H. (free flight)"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-13), 45, 5+14*13)

Sol213Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens (free flight)");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 1, 14, 9, 05, 35) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1); 
            end
        end
    end) ();
-------------------------------
Sol313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-10-97"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-13), 2, 5+14*13)
--================
Sol114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("U+E+I"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-14), 120, 5+14*14)
-------------------------------
Sol214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Huygens L. S."))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-14), 45, 5+14*14)

Sol214Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens Landing Site");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 1, 14, 11, 38, 46) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(20000);  
            end
        end
    end) ();
-------------------------------
Sol314Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-10-97"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-14), 2, 5+14*14)
--================
Sol115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("U+E+I"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-15), 120, 5+14*15)

Sol215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-15), 45, 5+14*15)

--================
Sol116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-16), 120, 5+14*16)

Sol216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-16), 45, 5+14*16)

Sol316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-16), 2, 5+14*16)
--================
Sol117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jupiter, Saturn, Uranus, Neptune"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-17), 2, 5+14*17)
--================
Sol118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-18),120, 5+14*18)
-------------------------------
Sol218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Voyager 2"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-18), 45, 5+14*18)

Sol218Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Voyager 2");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1977, 08, 20, 15, 32, 11) 
               celestia:settime(tdb_dt)              
              -- obs:chase(obj)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(400000);
            end
        end
    end) ();
-------------------------------
Sol318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("20-08-77"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-18), 2, 5+14*18)
--================
Sol119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-19), 120, 5+14*19)
-------------------------------
Sol219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Voyager 1"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-19), 45, 5+14*19)

Sol219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Voyager 1");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1977, 9, 5, 12, 55, 11) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(200000);
            end
        end
    end) ();
-------------------------------
Sol319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("05-09-77"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-19), 2, 5+14*19)
--================
Sol120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-20), 120, 5+14*20)
-------------------------------
Sol220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-20), 45, 5+14*20)
-------------------------------
Sol320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-20), 2, 5+14*20)
--================
Sol121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Jupiter, Pluto"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-21), 2, 5+14*21)
--================
Sol122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-22), 120, 5+14*22)
-------------------------------
Sol222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("New Horizons"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-22), 45, 5+14*22)

Sol222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("New Horizons");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2006, 1, 19, 19, 40, 12) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(250000);  
            end
        end
    end) ();
-------------------------------
Sol322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-01-06"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-22), 2, 5+14*22)
--================
Sol123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-23), 120, 5+14*23)
-------------------------------
Sol223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-23), 45, 5+14*23)

Sol323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-23), 2, 5+14*23)
--================
Sol124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Venus, Mercury"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-24), 2, 5+14*24)
--================
Sol125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-25), 120, 5+14*25)
-------------------------------
Sol225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color2)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mariner 10"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-25), 45, 5+14*25)

Sol225Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 10");           
            celestia:select(obj);            
            if not(empty(obj)) then
               obs:follow(obj);
               obs:goto(obj);  
            end
        end
    end) ();
-------------------------------
Sol325Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-11-73"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-25), 2, 5+14*25)
--================
Sol126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-26), 120, 5+14*26)

Sol226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-26), 45, 5+14*26)

Sol326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-26), 2, 5+14*26)
--================
Sol127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Mercury"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-27), 2, 5+14*27)
--================
Sol128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-28), 120, 5+14*28)
-------------------------------
Sol228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Messenger"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-28), 45, 5+14*28)

Sol228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Messenger");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2004, 8, 3, 07, 13, 57) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(100000);  
            end
        end
    end) ();
-------------------------------
Sol328Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("03-08-04"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-28), 2, 5+14*28)
--================
Sol129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-29), 120, 5+14*29)
-------------------------------
Sol229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-29), 45, 5+14*29)

Sol329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-29), 2, 5+14*29)
--================
Sol130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Sol"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-30), 2, 5+14*30)
--================
Sol131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ger+USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-31), 120, 5+14*31)
-------------------------------
Sol231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Helios 1"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-31), 45, 5+14*31)

Sol231Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Helios 1");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1974, 12, 10, 07, 53, 15) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(0.03125);
            end
        end
    end) ();
-------------------------------
Sol331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10-12-74"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-31), 2, 5+14*31)
--================
Sol132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ger+USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-32), 120, 5+14*32)

Sol232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Helios 2"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-32), 45, 5+14*32)

Sol232Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Helios 2");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1976, 1, 15, 06, 23, 13) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(0.03125);  
            end
        end
    end) ();

Sol332Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-01-76"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-32), 2, 5+14*32)
--================
Sol133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-33), 120, 5+14*33)
-------------------------------
Sol233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-33), 45, 5+14*33)

Sol333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-33), 2, 5+14*33)
--================
Sol134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Moon"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-34), 2, 5+14*34)
--================
Sol135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Japan"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-35), 120, 5+14*35)

Sol235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hiten"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-35), 45, 5+14*35)

Sol235Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Hiten");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1993, 4, 10, 18, 02, 26) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1); 
            end
        end
    end) ();

Sol335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-01-90"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-35), 2, 5+14*35)
--================
Sol136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-36), 120, 5+14*36)

Sol236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LRO"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-36), 45, 5+14*36)

Sol236Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("lro");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2009, 6, 27, 23, 58, 53)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(50); 
            end
        end
    end) ();

Sol336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-06-09"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-36), 2, 5+14*36)
--================
 Sol137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-37), 120, 5+14*37)

Sol237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LCROSS_Cent."))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-37), 45, 5+14*37)

Sol237Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("LCROSS_Centaur");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2009, 6, 18, 22, 16, 53)
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1); 
            end
        end
    end) ();

Sol337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-06-09"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-37), 2, 5+14*37) 
--================
 Sol138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-38), 120, 5+14*38)

Sol238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LCROSS"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-38), 45, 5+14*38)

Sol238Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("LCROSS");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2009, 10, 9, 1, 58, 50)
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1); 
            end
        end
    end) ();

Sol338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("19-06-09"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-38), 2, 5+14*38) 
--================
Sol139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-39), 120, 5+14*39)

Sol239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Yutu"))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-39), 45, 5+14*39)

Sol239Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Yutu");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2013, 12, 14, 13, 12, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1); 
            end
        end
    end) ();

Sol339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("01-12-13"))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-39), 2, 5+14*39)
--================
Sol140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-40), 120, 5+14*40)
-------------------------------
Sol240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-40), 45, 5+14*40)
-------------------------------
Sol340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-40), 2, 5+14*40)
--================
Sol141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 2, 2+14*(gg-41), 120, 5+14*41)
-------------------------------
Sol241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SolFrame, 40, 2+14*(gg-41), 45, 5+14*41)
-------------------------------
Sol341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SolFrame, 115, 2+14*(gg-41), 2, 5+14*41)