----------------------------------------------
-- SpaceRace2Box.lua
-- by Patrick Ziegler a.k.a. Gironde 01.02.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 26-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  SpaceRace2FrameWidth, SpaceRace2FrameHeight = 158, 14*gn+2+2;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
SpaceRace2Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

SpaceRace2Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SpaceRace2Button.Visible = GuidesVisibility -- display or undisplay Button
    SpaceRace2Check.Visible = GuidesVisibility  -- display or undisplay Check
    if SpaceRace2Check.Text ==  "o" then
		SpaceRace2Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

SpaceRace2Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(SpaceRace2Box,0,0,0,0) 

SpaceRace2Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(SpaceRace2Box, 20, 0, 0, 0)

SpaceRace2Button.Action = (function()
        return
            function()
              display_SpaceRace2= not display_SpaceRace2;
                if display_SpaceRace2 then 
                    actual_renderflags = celestia:getrenderflags()              
                    SpaceRace2Frame.Visible = true;                     
                    SpaceRace2Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    SpaceRace2Frame.Visible = false;                   
                    SpaceRace2Check.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                ----------------------------- retour au temps réel (back to real time we when leave the box) -------------------
                    celestia:settimescale(1); -- retour à vitesse 1x (vitesse réelle du temps) (Real speed of time)
                    local UTCtime = os.date("!*t"); -- récupère la date system complète (Recovers the complete system date)
                    celestia:settime(celestia:utctotdb(UTCtime.year, UTCtime.month, UTCtime.day, UTCtime.hour, UTCtime.min, UTCtime.sec));
                ------------------------------------------------------------------------------------------
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
SpaceRace2Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-SpaceRace2FrameWidth)/2, height-SpaceRace2FrameHeight-2, (width-SpaceRace2FrameWidth)/2, 2)

 SpaceRace2Frame.Customdraw = function(this)  

            if SpaceRace2_firstTickDone then
            if not(SpaceRace2CloseButtonDone) then
                SpaceRace2CloseButtonDone = true;
                makeCloseButton(SpaceRace2CloseButton, SpaceRace2Frame, SpaceRace2Button);
            end
            else
                SpaceRace2_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then
                    SpaceRace2Frame:attach(screenBox, width-SpaceRace2FrameWidth-35, height-SpaceRace2FrameHeight-128, 35, 128)                     
               else
                    SpaceRace2Frame:attach(screenBox, width-SpaceRace2FrameWidth-200, height-SpaceRace2FrameHeight-3, 200, 3)
               end 
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+2, this.tb - 14);         
            textlayout:println(_("ROAD TO SPACE - 2"));
end;
--===============
-- Подключение команд 
--===============
SpaceRace2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Country / Cosm. machine / Date:"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
SpaceRace2102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ballistic missiles"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--=====================
SpaceRace2003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fra"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-3), 129, 5+14*3)
-----------------------------------------
SpaceRace2103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Veronique"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-3), 46, 5+14*3)

--SpaceRace2103Box.Action = (function()
--    return 
--        function()        
--            local obj = celestia:find("Veronique");           
--            celestia:select(obj);  
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(1944, 9, 8, 17, 00, 00)
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(4);
--             end 
--        end
--    end) ();

SpaceRace2203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-08-50"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-3), 2, 5+14*3)
--=====================
SpaceRace2104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Start of the Space Age"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-4), 2, 5+14*4)
--=====================
SpaceRace2005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fra"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-5), 129, 5+14*5)
----------------------------------------
SpaceRace2105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Diamant A"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-5), 46, 5+14*5)

--SpaceRace2105Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("Diamant A");           
--            celestia:select(obj);            
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(1957, 10, 23, 23, 59, 20)
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(4); 
--            end       
--        end
--    end) ();

SpaceRace2205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("26-11-65"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-5), 2, 5+14*5)
--=====================
SpaceRace2006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ELDO"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-6), 129, 5+14*6)
----------------------------------------
SpaceRace2106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Diamant B"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-6), 46, 5+14*6)

--SpaceRace2106Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("Diamant B");           
--            celestia:select(obj);            
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(1957, 11, 3, 2, 30, 00)
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(10);
--            end  
--        end
--    end) ();

SpaceRace2206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("10-03-70"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-6), 2, 5+14*6)
--=====================
SpaceRace2007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ELDO"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-7), 129, 5+14*7)
----------------------------------------
SpaceRace2107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Diamant BP4"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-7), 46, 5+14*7)

--SpaceRace2107Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("Explorer 1");           
--            celestia:select(obj);            
--            if not(empty(obj)) then  
--               tdb_dt = celestia:utctotdb(1958, 2, 1, 3, 47, 10)
--               celestia:settime(tdb_dt)             
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(1); 
--            end     
--        end
--    end) ();

SpaceRace2207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("06-02-75"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-7), 2, 5+14*7)
--=====================
SpaceRace2008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-8), 129, 5+14*8)
----------------------------------------
SpaceRace2108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Ariane 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-8), 46, 5+14*8)

--SpaceRace2108Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("Sputnik-3");           
--            celestia:select(obj);            
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(1958, 5, 15, 7, 12, 00)
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(4); 
--            end      
--        end
--    end) ();

SpaceRace2208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("24-12-79"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-8), 2, 5+14*8)
--=====================
SpaceRace2109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Ariane 2-86/ #3-84/ #4-88/ #5-96"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-9), 2, 5+14*9)
--=====================
SpaceRace20101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-10), 129, 5+14*10)

SpaceRace21101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Vega-1a"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-10), 46+40+2, 5+14*10)

SpaceRace21101Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega-1a");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1984, 12, 21, 23, 59, 05)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(400000);  
            end
        end
    end) ();

SpaceRace22101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("15-12-84"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-10), 2, 5+14*10)
-----------------------
SpaceRace21102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Vega-1b"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31+40+1, 2+14*(gg-10), 46, 5+14*10)

SpaceRace21102Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega-1a");  -- это не ошибка!         
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1985, 4, 1, 0, 0, 0)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(400000);   
            end
        end
    end) ();	
--=====================
SpaceRace2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Spatial probes"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-11), 2, 5+14*11)
-- ====================
SpaceRace2012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-12), 129, 5+14*12)

SpaceRace2112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("I. Cometary E."))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-12), 46, 5+14*12)

SpaceRace2112Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ICE");           
            celestia:select(obj);            
            if not(empty(obj)) then 
              tdb_dt = celestia:utctotdb(2014, 01, 01, 00, 00, 00) 
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(0.0625); 
              end    
        end
    end) ();

SpaceRace2212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("12-08-78"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-12), 2, 5+14*12)
-- ====================
SpaceRace2013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-13), 129, 5+14*13)

SpaceRace2113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color4)
    :textpos("left")    
   :movetext(-2, 10)
    :text(_("Giotto"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-13), 46, 5+14*13)

SpaceRace2113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Giotto"); 
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1996, 12, 13, 00, 08, 57)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(2000);  
             end       
        end
   end) ();

SpaceRace2213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-07-85"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-13), 2, 5+14*13)
-- ====================
SpaceRace2014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CNES"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-14), 129, 5+14*14)

SpaceRace2114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Spot 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-14), 46, 5+14*14)

-- SpaceRace2114Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("Spot 1"); 
--            celestia:select(obj);            
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(1966, 3, 16, 16, 41, 00)
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(25); 
--             end       
--        end
--    end) ();

SpaceRace2214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("22-02-86"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-14), 2, 5+14*14)
--=====================
SpaceRace2115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("#2-90/ #3-93/ #4-98/ #5-02/ #6-12"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-15), 2, 5+14*15)
--=====================
SpaceRace2016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-16), 129, 5+14*16)

SpaceRace2116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hipparcos"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-16), 46, 5+14*16)

-- SpaceRace2115Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find(""); 
--            celestia:select(obj);            
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(1989, 8, 2, 23, 25, 53)
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(25); 
--             end       
--        end
--    end) ();

SpaceRace2216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-08-89"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-16), 2, 5+14*16)
--=====================
SpaceRace2017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA+"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-17), 129, 5+14*17)

SpaceRace2117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ulysses"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-17), 46, 5+14*17)

SpaceRace2117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Ulysses");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1990, 10, 6, 19, 14, 02)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(2000000); 
            end      
        end
    end) ();

SpaceRace2217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("06-10-90"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-17), 2, 5+14*17)
-- =====================
SpaceRace2018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Fr.US"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-18), 129, 5+14*18)

SpaceRace2118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("TOPEX/Poseidon"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-18), 46, 5+14*18)

SpaceRace2218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("10-08-92"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-18), 2, 5+14*18)
-- =====================
SpaceRace2019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-19), 129, 5+14*19)

SpaceRace2119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Cas.Huyg."))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-19), 76-2-2, 5+14*19)

SpaceRace2119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Cassini");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2004, 12, 25, 00, 30, 29) --Huygens se detache le 25-12-2005 06:05:59- L'atterrissage de Huygens sur Titan (14 janvier 2005)
               celestia:settime(tdb_dt) 
               obs:follow(obj);
	       --obs:chase(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();

SpaceRace2219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Cas."))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 86+2, 2+14*(gg-19), 46, 5+14*19)

SpaceRace2219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Cassini only");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2004, 12, 25, 06, 06, 00) --Huygens departs the 25-12-2005 6: 05: 59- The landing of Huygens on Titan (January 14, 2005)
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();
	
SpaceRace2319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("15-10-97"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-19), 2, 5+14*19)
--=====================
SpaceRace2020Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Huygens"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-20), 110+2, 5+14*20)

SpaceRace2020Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens (free flight)");
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdbtdb(2004, 12, 25, 03, 00, 01) --Huygens only
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);
            end
        end
    end) ();

SpaceRace2120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-1, 10)
    :text(_("H2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 51-3, 2+14*(gg-20), 90, 5+14*20)

SpaceRace2120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens (free flight)");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 01, 14, 09, 06, 52) --Huygens only
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();

SpaceRace2220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-1, 10)
    :text(_("H3"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 70, 2+14*(gg-20), 68, 5+14*20)

SpaceRace2220Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens (free flight)");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 01, 14, 10, 09, 52) --Huygens only
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();

SpaceRace2320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-1, 10)
    :text(_("H4"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 92, 2+14*(gg-20), 47-1, 5+14*20)

SpaceRace2320Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens (free flight)");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 01, 14, 10, 10, 21) --Huygens only
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();

SpaceRace2420Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-1, 10)
    :text(_("H5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-20), 24, 5+14*20)

SpaceRace2420Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Huygens (free flight)");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 01, 14, 10, 24, 52) --Huygens only
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();

SpaceRace2520Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-1, 10)
    :text(_("H6"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 136, 2+14*(gg-20), 2, 5+14*20)

SpaceRace2520Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Saturn/Titan/Huygens Landing Site");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 01, 14, 12, 40, 00) --Huygens only on Titan
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();
--=====================
SpaceRace2021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-21), 129, 5+14*21)

SpaceRace2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("XMM-Newton"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-21), 46, 5+14*21)

SpaceRace2121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("XMM-Newton");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1999, 12, 10, 00, 00, 00)
               celestia:settime(tdb_dt) 
               obs:chase(obj);
               obs:goto(obj); 
               celestia:settimescale(1);  
            end
        end
    end) ();

SpaceRace2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("10-12-99"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-21), 2, 5+14*21)
-- ====================
SpaceRace2022Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-22), 129, 5+14*22)

SpaceRace2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Envisat"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-22), 46, 5+14*22)

SpaceRace2122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Envisat");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2002, 3, 2, 1, 7, 59)
               celestia:settime(tdb_dt) 
               obs:follow(obj);	
               obs:goto(obj); 
               celestia:settimescale(125);  
            end
        end
    end) ();

SpaceRace2222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("01-03-02"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-22), 2, 5+14*22)
-- ====================
SpaceRace2023Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-23), 129, 5+14*23)

SpaceRace2123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Integral"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-23), 46, 5+14*23)

SpaceRace2123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Integral");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2002, 10, 17, 02, 00, 00)
               celestia:settime(tdb_dt) 
	           obs:follow(obj);        
               obs:goto(obj); 
               celestia:settimescale(1000);  
            end
        end
    end) ();

SpaceRace2223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-10-02"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-23), 2, 5+14*23)
--=====================
SpaceRace2024Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-24), 129, 5+14*24)

SpaceRace2124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mars Express orb1"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-24), 46, 5+14*24)

SpaceRace2124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Express orb1");  
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2003, 12, 24, 22, 42, 40) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(50);
            end
        end
    end) ();
---------------------------------
SpaceRace2224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("02-06-03"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-24), 2, 5+14*24)
--=================
SpaceRace2025Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-25), 129, 5+14*25)
---------------------------------
SpaceRace2125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Mars Express orb2"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-25), 46, 5+14*25)

SpaceRace2125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mars Express orb2");           
             celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2005, 3, 8, 22, 42, 40) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(50);
            end
        end
    end) ();
---------------------------------
SpaceRace2225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("02-06-03"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-25), 2, 5+14*25)
--=================
SpaceRace2026Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-26), 129, 5+14*26)

SpaceRace2126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Rosetta-Philae"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-26), 46, 5+14*26)

SpaceRace2126Box.Action = (function()
    return 
        function()    
            local obj = celestia:find("Rosetta");           
            celestia:select(obj);
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2004, 3, 2, 09, 26, 22)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(1);               
            end
        end
    end) ();


SpaceRace2226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("02-03-04"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-26), 2, 5+14*26)
-- =====================
SpaceRace2027Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-27), 129, 5+14*27)

SpaceRace2127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Venus Express"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-27), 46, 5+14*27)

SpaceRace2127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venus Express");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2006, 4, 28, 5, 42, 18) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(200);
            end
        end
    end) ();

SpaceRace2227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("09-11-05"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-27), 2, 5+14*27)
--=====================
SpaceRace2028Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-28), 129, 5+14*28)

SpaceRace2128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("COROT"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-28), 46, 5+14*28)

SpaceRace2128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Corot");           
            celestia:select(obj);            
            if not(empty(obj)) then             
               tdb_dt = celestia:utctotdb(2006, 12, 27, 14, 21, 55) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(4);  
            end
        end
    end) ();

SpaceRace2228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("27-12-06"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-28), 2, 5+14*28)
--=====================
SpaceRace2029Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-29), 129, 5+14*29)

SpaceRace2129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Jules Verne"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-29), 46, 5+14*29)

--SpaceRace2129Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("");           
--            celestia:select(obj);            
--            if not(empty(obj)) then
--               tdb_dt = celestia:utctotdb(2011, 9, 29, 13, 16, 00)
--               celestia:settime(tdb_dt)               
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(4);
--            end    
--        end
--    end) ();

SpaceRace2229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("09-03-08"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-29), 2, 5+14*29)
-- =====================
SpaceRace2030Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-30), 129, 5+14*30)

SpaceRace2130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Herschel"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-30), 46, 5+14*30)
	
SpaceRace2130Box.Action = (function()	
    return 
        function()      
            local obj = celestia:find("Herschel");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2009, 05, 15, 13, 40, 53) 
               celestia:settime(tdb_dt)               
			   obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(100000); 
            end      
        end
    end) ();

SpaceRace2230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("14-05-09"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-30), 2, 5+14*30)
-- ====================
SpaceRace2031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-31), 129, 5+14*31)

SpaceRace2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Planck"))--+
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-31), 46, 5+14*31)
	
SpaceRace2131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Planck");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2009, 5, 14, 13, 40, 53)
               celestia:settime(tdb_dt)               
			   obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(0.5); 
            end      
        end
    end) ();	

SpaceRace2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("14-05-09"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-31), 2, 5+14*31)
-- =====================
SpaceRace2032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-32), 129, 5+14*32)
----------------------------------------
SpaceRace2132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Gaia"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-32), 46, 5+14*32)

--SpaceRace2132Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("");           
--            celestia:select(obj);            
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(2013, 12, 19, 09, 12, 00)
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(4); 
--            end       
--        end
--    end) ();

SpaceRace2232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("19-12-13"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-32), 2, 5+14*32)
--=====================
SpaceRace2033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-33), 129, 5+14*33)

SpaceRace2133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Galileo Sat1-17"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-33), 46, 5+14*33)

SpaceRace2133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2014, 08, 14, 00, 00, 00)
               celestia:settime(tdb_dt)               
               obs:chase(obj);
               obs:goto(obj); 
               celestia:settimescale(4);
            end    
        end
    end) ();

SpaceRace2233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("22-08-14"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-33), 2, 5+14*33)
--=====================
SpaceRace2034Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-34), 129, 5+14*34)

SpaceRace2134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("LISA Pathfinder"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-34), 46, 5+14*34)

SpaceRace2234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("03-12-15"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-34), 2, 5+14*34)
--=====================
SpaceRace2035Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-35), 129, 5+14*35)

SpaceRace2135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-35), 46, 5+14*35)

SpaceRace2235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-35), 2, 5+14*35)
--=====================
SpaceRace2036Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-36), 129, 5+14*36)

SpaceRace2136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-36), 46, 5+14*36)

SpaceRace2236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-36), 2, 5+14*36)
--=====================
SpaceRace2037Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Interrupted projects"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-37), 2, 5+14*37)
--=====================
SpaceRace2038Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-38), 129, 5+14*38)

SpaceRace2138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Schut. Hermes"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-38), 46, 5+14*38)

SpaceRace2238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("1992"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-38), 2, 5+14*38)
--=====================
SpaceRace2039Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Current projects"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-39), 2, 5+14*39)
--=====================
SpaceRace2040Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-40), 129, 5+14*40)

SpaceRace2140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("IXV-Pride"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace2Frame, 31, 2+14*(gg-40), 46, 5+14*40)

--SpaceRace2140Box.Action = (function()
--    return 
--        function()      
--            local obj = celestia:find("Discovery");            
--            celestia:select(obj);            
--            if not(empty(obj)) then 
--               tdb_dt = celestia:utctotdb(1984, 8, 30, 12, 41, 00) 
--               celestia:settime(tdb_dt)              
--               obs:chase(obj)
--               obs:goto(obj); 
--               celestia:settimescale(4);
--            end    
--        end
--    end) ();

SpaceRace2240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("11-02-15"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 114, 2+14*(gg-40), 2, 5+14*40)
--=====================
SpaceRace2041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Green font - is a model"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace2Frame, 2, 2+14*(gg-41), 2, 5+14*41)
--=====================
