----------------------------------------------
-- SpaceRace3Box.lua
-- by Lygin Gennady a.k.a Croc 01.02.2017
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  SpaceRace3FrameWidth, SpaceRace3FrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
SpaceRace3Box = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

SpaceRace3Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SpaceRace3Button.Visible = GuidesVisibility -- display or undisplay Button
    SpaceRace3Check.Visible = GuidesVisibility  -- display or undisplay Check
    if SpaceRace3Check.Text ==  "o" then
		SpaceRace3Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

SpaceRace3Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("ISS "))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(SpaceRace3Box,0,0,0,0) 

SpaceRace3Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(SpaceRace3Box, 20, 0, 0, 0)

SpaceRace3Button.Action = (function()
        return
            function()
              display_SpaceRace3= not display_SpaceRace3;
                if display_SpaceRace3 then 
                    actual_renderflags = celestia:getrenderflags()              
                    SpaceRace3Frame.Visible = true;                     
                    SpaceRace3Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1); 
                else          
                    SpaceRace3Frame.Visible = false;                   
                    SpaceRace3Check.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 

                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
----------------------------------------
SpaceRace3Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-SpaceRace3FrameWidth)/2, height-SpaceRace3FrameHeight-2, (width-SpaceRace3FrameWidth)/2, 2)

 SpaceRace3Frame.Customdraw = function(this)  

            if SpaceRace3_firstTickDone then
            if not(SpaceRace3CloseButtonDone) then
                SpaceRace3CloseButtonDone = true;
                makeCloseButton(SpaceRace3CloseButton, SpaceRace3Frame, SpaceRace3Button);
            end
            else
                SpaceRace3_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then 
                    SpaceRace3Frame:attach(screenBox, width-SpaceRace3FrameWidth-35, height-SpaceRace3FrameHeight-128, 35, 128)                     
               else
                    SpaceRace3Frame:attach(screenBox, width-SpaceRace3FrameWidth-200, height-SpaceRace3FrameHeight-3, 200, 3)
               end 
            end
       
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+25, this.tb - 14);         
            textlayout:println(_("MOUNTING  of  ISS"));
end;
--=====================
-- Подключение команд 
--=====================
SpaceRace3101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Stage (Mission) / Module / Date:"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
SpaceRace3002Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-2), 129, 5+14*2)
------------------------------------------
SpaceRace3102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    --:textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("block Zarya"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-2), 46, 5+14*2)

SpaceRace3002Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Sol/Earth/iss 1");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1998, 11, 20, 12, 00, 00)
               celestia:settime(tdb_dt)         
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
              end 
        end
    end) ();

SpaceRace3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("20-11-98"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-2), 2, 5+14*2)    
--=====================
SpaceRace3003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-3), 129, 5+14*3)
-----------------------------------------
SpaceRace3103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Unity"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-3), 46, 5+14*3)

SpaceRace3003Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Sol/Earth/iss 2");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1998, 12, 4, 11, 58, 40)
               celestia:settime(tdb_dt)         
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4);
            end 
        end
    end) ();

SpaceRace3203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("04-12-98"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-3), 2, 5+14*3)
--=====================
SpaceRace3004Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 3"))
    :movable(false)
    :active(true)    
    :attach(SpaceRace3Frame, 2, 2+14*(gg-4), 129, 5+14*4)
------------------------------------------
SpaceRace3104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Zvezda"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-4), 46, 5+14*4)

SpaceRace3004Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 3");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2000, 7, 26, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
              end       
        end
    end) ();

SpaceRace3204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("26-07-00"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-4), 2, 5+14*4)
--=====================
SpaceRace3005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 4"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-5), 129, 5+14*5)
------------------------------------------
SpaceRace3105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({0,0,.5,.8})
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("element Z1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-5), 46, 5+14*5)

SpaceRace3005Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 4");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2000, 10, 11, 12, 00, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
           end       
        end
    end) ();

SpaceRace3205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("11-10-00"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-5), 2, 5+14*5)
--=====================
SpaceRace3006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-6), 129, 5+14*6)
------------------------------------------
SpaceRace3106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("1st prime crew"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-6), 46, 5+14*6)

SpaceRace3006Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 5");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2000, 10, 31, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4);
           end  
        end
    end) ();

SpaceRace3206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-10-00"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-6), 2, 5+14*6)
--=====================
SpaceRace3007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 6"))
    :movable(false)
    :active(true)  
    :attach(SpaceRace3Frame, 2, 2+14*(gg-7), 129, 5+14*7)
------------------------------------------
SpaceRace3107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Power module"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-7), 46, 5+14*7)

SpaceRace3007Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 6");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2000, 11, 30, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(1); 
            end     
        end
    end) ();

SpaceRace3207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("30-11-00"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-7), 2, 5+14*7)
--=====================
SpaceRace3008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 7"))
    :movable(false)
    :active(true)  
    :attach(SpaceRace3Frame, 2, 2+14*(gg-8), 129, 5+14*8)
-----------------------------------------
SpaceRace3108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Destiny"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-8), 46, 5+14*8)

SpaceRace3008Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 7");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2001, 2, 7, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end      
        end
    end) ();

SpaceRace3208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-02-01"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-8), 2, 5+14*8)
--=====================
SpaceRace3009Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 8"))
    :movable(false)
    :active(true)  
    :attach(SpaceRace3Frame, 2, 2+14*(gg-9), 129, 5+14*9)
------------------------------------------
SpaceRace3109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Robot manipul.2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-9), 46, 5+14*9)

SpaceRace3009Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 8");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2001, 4, 7, 19, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end      
        end
    end) ();

SpaceRace3209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-04-01"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-9), 2, 5+14*9) 
--=====================
SpaceRace3010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 9"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-10), 129, 5+14*10)

SpaceRace3110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("compart. Quest"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-10), 46, 5+14*10)

SpaceRace3010Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 9"); 
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2001, 7, 12, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(1); 
            end     
        end
    end) ();

SpaceRace3210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-07-01"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-10), 2, 5+14*10)
--=====================
SpaceRace3011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 10"))
    :movable(false)
    :active(true)  
    :attach(SpaceRace3Frame, 2, 2+14*(gg-11), 129, 5+14*11)

SpaceRace3111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Pierce"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-11), 46, 5+14*11)

SpaceRace3011Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 10"); 
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2002, 4, 8, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(1); 
            end     
        end
    end) ();

SpaceRace3211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-04-02"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-11), 2, 5+14*11)
--=====================
SpaceRace3012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 11"))
    :movable(false)
    :active(true)  
    :attach(SpaceRace3Frame, 2, 2+14*(gg-12), 129, 5+14*12)

SpaceRace3112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("SO-c/str. basis"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-12), 46, 5+14*12)

SpaceRace3012Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Sol/Earth/iss 11");
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2002, 10, 7, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(1); 
            end     
        end
    end) ();

SpaceRace3212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-10-02"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-12), 2, 5+14*12)
--=====================
SpaceRace3013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 12"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-13), 129, 5+14*13)

SpaceRace3112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("P1- Guide robot2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-13), 46, 5+14*13)

SpaceRace3013Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Sol/Earth/iss 12");
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2002, 10, 7, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(1); 
             end     
        end
    end) ();

SpaceRace3213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("23-11-02"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-13), 2, 5+14*13)
--=====================
SpaceRace3014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 13"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-14), 129, 5+14*14)
-----------------------------------------
SpaceRace3114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("module Kibo"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-14), 46, 5+14*14)

SpaceRace3014Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss 13");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2008, 6, 15, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();

SpaceRace3214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-06-08"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-14), 2, 5+14*14)
--=====================
SpaceRace3015Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("iss 14"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-15), 129, 5+14*15)
-----------------------------------------
SpaceRace3115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("project~2016"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-15), 46, 5+14*15)

SpaceRace3015Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/iss");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2011, 7, 19, 12, 00, 00)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();

SpaceRace3215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-07-11"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-15), 2, 5+14*15)
--=====================
SpaceRace3116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,0.8})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Transport ship"))
    :movable(false)
    :active(true)  
    :attach(SpaceRace3Frame, 2, 2+14*(gg-16), 2, 5+14*16)
------------------------------------------
SpaceRace3017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-17), 129, 5+14*17)

SpaceRace3117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Soyuz TMA2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 31, 2+14*(gg-17), 46, 5+14*17)

SpaceRace3117Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Soyuz TMA2");           
            celestia:select(obj);            
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end    
        end
    end) ();

SpaceRace3217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("26-04-03"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 114, 2+14*(gg-17), 2, 5+14*17)
--=====================
SpaceRace3118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Mission to ISS 'Space Shuttle':"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-18), 2, 5+14*18)
--=====================
SpaceRace3119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  88 - 04-12-98"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-19), 80, 5+14*19)

SpaceRace3119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 2/STS 88");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1998, 12, 4, 11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("116 - 11-12-06"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-19), 2, 5+14*19)

SpaceRace3219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 116");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2006, 12, 11, 11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
             end 
        end
    end) ();
-- =====================
SpaceRace3120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  96 - 29-05-99"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-20), 80, 5+14*20)

SpaceRace3120Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 2/STS 96");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1999, 5, 29, 11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
------------------------------------------
SpaceRace3220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("117 - 10-06-07"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-20), 2, 5+14*20)

SpaceRace3220Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 117");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2007, 6, 10, 11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("101 - 20-05-00"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-21), 80, 5+14*21)

SpaceRace3121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 2/STS 101");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2000, 5, 20, 11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("118 - 10-08-07"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-21), 2, 5+14*21)

SpaceRace3221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 118");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2007, 8, 10,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("106 - 10-09-00"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-22), 80, 5+14*22)

SpaceRace3122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 3/STS 106");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2000, 9, 10,   11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("120 - 22-10-07"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-22), 2, 5+14*22)

SpaceRace3222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 120");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2007, 10, 22,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  92 - 11-10-00"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-23), 80, 5+14*23)

SpaceRace3123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 4/STS 92");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2000, 10, 11,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
             end 
        end
    end) ();
-----------------------------------------
SpaceRace3223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("122 - 09-02-08"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-23), 2, 5+14*23)

SpaceRace3223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 122");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2008, 2, 9,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  97 - 30-11-00"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-24), 80, 5+14*24)

SpaceRace3124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 6/STS 97");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2000, 11, 30,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("123 - 13-03-08"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-24), 2, 5+14*24)

SpaceRace3224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 123");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2008, 3, 13,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("  98 - 07-02-01"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-25), 80, 5+14*25)

SpaceRace3125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 7/STS 98");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2001, 2, 7,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("124 - 02-06-08"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-25), 2, 5+14*25)

SpaceRace3225Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 124");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2008, 6, 2,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("102 - 10-03-01"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-26), 80, 5+14*26)

SpaceRace3126Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 7/STS 102");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2001, 3, 10,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("126 - 16-11-08"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-26), 2, 5+14*26)

SpaceRace3226Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 126");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2008, 11, 16,   11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("100 - 19-04-01"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-27), 80, 5+14*27)

SpaceRace3127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 8/STS 100");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2001, 4, 19,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("119 - 17-03-09"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-27), 2, 5+14*27)

SpaceRace3227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 119");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2009, 3, 17, 11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("104 - 12-07-01"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-28), 80, 5+14*28)

SpaceRace3128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 9/STS 104");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2001, 7, 12,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("127 - 17-07-09"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-28), 2, 5+14*28)

SpaceRace3228Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 127");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2009, 7, 17,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("105 - 12-08-01"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-29), 80, 5+14*29)

SpaceRace3129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 9/STS 105");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2001, 8, 12,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
------------------------------------------
SpaceRace3229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("128 - 31-08-09"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-29), 2, 5+14*29)

SpaceRace3229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 128");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2009, 8, 31,   11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("108 - 07-12-01"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-30), 80, 5+14*30)

SpaceRace3130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 9/STS 108");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2001, 12, 7,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               --obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("129 - 18-11-09"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-30), 2, 5+14*30)

SpaceRace3230Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 129");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2009, 11, 18,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("110 - 08-04-02"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-31), 80, 5+14*31)

SpaceRace3131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 10/STS 110");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2002, 4, 8,   11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("130 - 10.02.10"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-31), 2, 5+14*31)

SpaceRace3231Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 130");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2010, 2, 10,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("111 - 07-16-02"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-32), 80, 5+14*32)

SpaceRace3132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 10/STS 111");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2002, 6, 7,   11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("131 - 07-04-10"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-32), 2, 5+14*32)

SpaceRace3232Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 131");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2010, 4, 7,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("112 - 07-10-02"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-33), 80, 5+14*33)

SpaceRace3133Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 11/STS 112");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2002, 10, 7,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("132 - 16-05-10"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-33), 2, 5+14*33)

SpaceRace3233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 132");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2010, 5, 16,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("113 - 23-11-02"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-34), 80, 5+14*34)

SpaceRace3134Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 113");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2002, 11, 23,  11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
------------------------------------------
SpaceRace3234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("133 - 26-02-11"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-34), 2, 5+14*34)

SpaceRace3234Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 133");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2011, 2, 26,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("114 - 28-07-05"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-35), 80, 5+14*35)

SpaceRace3135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 114");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2005, 7, 28,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
             --  obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("134 - 18-05-11"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-35), 2, 5+14*35)

SpaceRace3235Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 134");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2011, 5, 18,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("121 - 06-07-06"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-36), 80, 5+14*36)

SpaceRace3136Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 121");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2006, 7, 6,  11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
             --  obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("135 - 10-07-11"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-36), 2, 5+14*36)

SpaceRace3236Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 13/STS 135");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2011, 7, 10, 11, 58, 40)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-- =====================
SpaceRace3137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("115 - 11-09-06"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-37), 80, 5+14*37)

SpaceRace3137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/ISS 12/STS 115");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2006, 9, 11,   11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
             --  obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
-----------------------------------------
SpaceRace3237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 80, 2+14*(gg-37), 2, 5+14*37)

SpaceRace3237Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1998, 12, 4, 11, 58, 40)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
              -- obs:goto(obj); 
               celestia:settimescale(4); 
            end 
        end
    end) ();
--=====================
SpaceRace3138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-38), 2, 5+14*38)
-----------------------------------------
SpaceRace3139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("ISS online tour of the ISS:"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-39), 2, 5+14*39)
-- =====================
SpaceRace3040Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("www.contenton.ru/geo-mks-online"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-40), 2, 5+14*40)
--=====================
SpaceRace3141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :textfont(smallfont)   
    :textcolor({1,1,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Modern space station. Shas-El"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace3Frame, 2, 2+14*(gg-41), 2, 5+14*41)
--======================
