----------------------------------------------
-- SpaceRace4Box.lua
-- by Gironde 10.02.2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  SpaceRace4FrameWidth, SpaceRace4FrameHeight = 158, 14*gn+2+2;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
SpaceRace4Box = CXBox:new()    
    :fillcolor(cFrameFill)
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

SpaceRace4Box.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SpaceRace4Button.Visible = GuidesVisibility -- display or undisplay Button
    SpaceRace4Check.Visible = GuidesVisibility  -- display or undisplay Check
    if SpaceRace4Check.Text ==  "o" then
		SpaceRace4Frame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end																				
SpaceRace4Button = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("Bg41"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Box,0,0,0,0) 

SpaceRace4Check = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(SpaceRace4Box, 20, 0, 0, 0)

SpaceRace4Button.Action = (function()
        return
            function()
              display_SpaceRace4= not display_SpaceRace4;
                if display_SpaceRace4 then 
                    actual_renderflags = celestia:getrenderflags()              
                    SpaceRace4Frame.Visible = true;                     
                    SpaceRace4Check.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    SpaceRace4Frame.Visible = false;                   
                    SpaceRace4Check.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                ----------------------------- retour au temps réel (back to real time we when leave the box) -------------------
                    celestia:settimescale(1); -- retour à vitesse 1x (vitesse réelle du temps) (Real speed of time)
                    local UTCtime = os.date("!*t"); -- récupère la date system complète (Recovers the complete system date)
                    celestia:settime(celestia:utctotdb(UTCtime.year, UTCtime.month, UTCtime.day, UTCtime.hour, UTCtime.min, UTCtime.sec));
                ------------------------------------------------------------------------------------------
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
SpaceRace4Frame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-SpaceRace4FrameWidth)/2, height-SpaceRace4FrameHeight-2, (width-SpaceRace4FrameWidth)/2, 2)

 SpaceRace4Frame.Customdraw = function(this)  

            if SpaceRace4_firstTickDone then
            if not(SpaceRace4CloseButtonDone) then
                SpaceRace4CloseButtonDone = true;
                makeCloseButton(SpaceRace4CloseButton, SpaceRace4Frame, SpaceRace4Button);
            end
            else
                SpaceRace4_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then
                   -- SpaceRace4Frame:attach(screenBox, width-SpaceRace4FrameWidth-35, height-SpaceRace4FrameHeight-100, 35, 100) 
                    SpaceRace4Frame:attach(screenBox, width-SpaceRace4FrameWidth-35, height-SpaceRace4FrameHeight-128, 35, 128)                   
               else
                    SpaceRace4Frame:attach(screenBox, width-SpaceRace4FrameWidth-200, height-SpaceRace4FrameHeight-3, 200, 3)
               end 
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+10, this.tb - 14);         
            textlayout:println(_("ROAD TO SPACE - 4"));
end;
--===============
-- Подключение команд
--=====================
SpaceRace4001Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
SpaceRace4002Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Launchers:"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-2), 2, 5+14*2)
--=====================
SpaceRace4003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Capacity/Machine/Date"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-3), 2, 5+14*3)
--=====================
SpaceRace4004Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("0.3T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-4), 129, 5+14*4)
----------------------------------------
SpaceRace4104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-4), 46, 5+14*4)

SpaceRace4204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1969"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-4), 2, 5+14*4)
--=====================
SpaceRace4005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-5), 129, 5+14*5)
----------------------------------------
SpaceRace4105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Feng Bao 1"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-5), 46, 5+14*5)
	
SpaceRace4205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1972"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-5), 2, 5+14*5)
--=====================
SpaceRace4006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("9.2T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-6), 129, 5+14*6)
----------------------------------------
SpaceRace4106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-6), 46, 5+14*6)

SpaceRace4206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1974"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-6), 2, 5+14*6)
--=====================
SpaceRace4007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("5.1T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-7), 129, 5+14*7)
----------------------------------------
SpaceRace4107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 3"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-7), 46, 5+14*7)

SpaceRace4207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1984"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-7), 2, 5+14*7)
--=====================
SpaceRace4008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("3.5T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-8), 129, 5+14*8)
----------------------------------------
SpaceRace4108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 4"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-8), 46, 5+14*8)

SpaceRace4208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1988"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-8), 2, 5+14*8)
--=====================
SpaceRace4009Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("0.4T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-9), 129, 5+14*9)
----------------------------------------
SpaceRace4109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Kuaizhou"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-9), 46, 5+14*9)
----------------------------------------
SpaceRace4209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2013"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-9), 2, 5+14*9)
--=====================
SpaceRace4010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("1.5T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-10), 129, 5+14*10)
----------------------------------------
SpaceRace4110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 6"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-10), 46, 5+14*10)

SpaceRace4210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2015"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-10), 2, 5+14*10)
--=====================
SpaceRace4011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("0.7T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-11), 129, 5+14*11)

SpaceRace4111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 11"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-11), 46, 5+14*11)

SpaceRace4211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2015"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-11), 2, 5+14*11)
--=====================
SpaceRace4012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("13T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-12), 129, 5+14*12)

SpaceRace4112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-12), 46, 5+14*12)

SpaceRace4212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2016"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-12), 2, 5+14*12)
--=====================
SpaceRace4013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("23T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-13), 129, 5+14*13)

SpaceRace4113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-13), 46, 5+14*13)

SpaceRace4213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("13-11-16"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-13), 2, 5+14*13)
--=====================
SpaceRace4014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("130T"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-14), 129, 5+14*14)

SpaceRace4114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang Zheng 9"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-14), 46, 5+14*14)

SpaceRace4214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("project"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-14), 2, 5+14*14)
-- ====================
SpaceRace4015Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Spatial probes"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-15), 129, 5+14*15)

-- ====================
SpaceRace4016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Use/Machine/Date"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-16), 2, 5+14*16)
--=====================
SpaceRace4017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tel"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-17),129, 5+14*17)

SpaceRace4117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)   
    :movetext(-2, 8)
    :text(_("Dong Fang Hong"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-17), 46, 5+14*17)

SpaceRace4217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-04-70"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-17), 2, 5+14*17)
--=====================
SpaceRace4018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tel"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-18), 129, 5+14*18)

SpaceRace4118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Tianlian"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-18), 46, 5+14*18)

SpaceRace4218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("25-04-08"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-18), 2, 5+14*18)
--=====================
SpaceRace4019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Earth "))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-19), 129, 5+14*19)

SpaceRace4119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("CBERS"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-19), 46, 5+14*19)

SpaceRace4219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("99-2007"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-19), 2, 5+14*19)
-- =====================
SpaceRace4020Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Meteo"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-20), 129, 5+14*20)

SpaceRace4120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Feng-Yun"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-20), 46, 5+14*20)

SpaceRace4220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("97-2015"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-20), 2, 5+14*20)
-- =====================
SpaceRace4021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Gps"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-21), 129, 5+14*21)

SpaceRace4121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Compass"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-21), 46, 5+14*21)

SpaceRace4221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2009-20"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-21), 2, 5+14*21)
--=====================
SpaceRace4022Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Hum"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-22), 129, 5+14*22)

SpaceRace4122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Shenzhou 5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-22), 46, 5+14*22)

SpaceRace4122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Shenzhou V");
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2003, 10, 15, 1, 00, 03)
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(4);
            end
        end
    end) ();

SpaceRace4222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-10-03"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-22), 2, 5+14*22)
	
--=====================
SpaceRace4023Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Lab"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-23), 129, 5+14*23)
-----------------------------------------
SpaceRace4123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color4)	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tiangong-1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-23), 46, 5+14*23)

SpaceRace4123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Tiangong 1");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2011, 9, 29, 13, 16, 00) --Huygens only
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj);  
               celestia:settimescale(1);
            end
        end
    end) ();
----------------------------------------------------
SpaceRace4223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(cbutextoff)	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("29-09-11"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-23), 2, 5+14*23)

--=====================
SpaceRace4024Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Lab"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-24), 129, 5+14*24)

SpaceRace4124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Tiangong-2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-24), 46, 5+14*24)

SpaceRace4224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-09-16"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-24), 2, 5+14*24)
-- ====================
SpaceRace4025Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Moon "))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-25), 129, 5+14*25)

SpaceRace4125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chang'e 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-25), 46, 5+14*25)

SpaceRace4225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("24-10-07"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-25), 2, 5+14*25)
--=====================
SpaceRace4026Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Moon"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-26), 129, 5+14*26)

SpaceRace4126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Chang'e 2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-26), 46, 5+14*26)

---------------------------------
SpaceRace4226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("01-10-10"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-26), 2, 5+14*26)
--=================
SpaceRace4027Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Moon"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-27), 129, 5+14*27)
---------------------------------
SpaceRace4127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color4)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Chang'e 3 Yutu"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-27), 46, 5+14*27)

SpaceRace4127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Moon/Yutu");           
             celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2013, 12, 14, 22, 42, 40) 
               celestia:settime(tdb_dt)              
               obs:chase(obj);
               obs:goto(obj); 
               celestia:settimescale(50);
            end
        end
    end) ();
---------------------------------
SpaceRace4227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 8)
    :text(_("01-12-13"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-27), 2, 5+14*27)
--=================
SpaceRace4028Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scop"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-28), 129, 5+14*28)

SpaceRace4128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("HXMT"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-28), 46, 5+14*28)

SpaceRace4228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("2017"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-28), 2, 5+14*28)
-- =====================
SpaceRace4029Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scien"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-29), 129, 5+14*29)

SpaceRace4129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("QUESS"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-29), 46, 5+14*29)

SpaceRace4229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-08-16"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-29), 2, 5+14*29)
--=====================
SpaceRace4030Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scien"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-30), 129, 5+14*30)

SpaceRace4130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("DAMPE"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-30), 46, 5+14*30)

SpaceRace4230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-12-15"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-30), 2, 5+14*30)
-- =====================
SpaceRace4031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Scien"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-31), 129, 5+14*31)

SpaceRace4131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Shijian-10"))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-31), 46, 5+14*31)

SpaceRace4231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("?"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-31), 2, 5+14*31)
-- ====================
SpaceRace4032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-32), 129, 5+14*32)

SpaceRace4132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-32), 46, 5+14*32)

SpaceRace4232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-32), 2, 5+14*32)
--=====================
SpaceRace4033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-33), 129, 5+14*33)

SpaceRace4133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)	--{1,0,0,.8}
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-33), 46, 5+14*33)

SpaceRace4233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-33), 2, 5+14*33)
-- =====================
SpaceRace4034Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-34), 129, 5+14*34)
----------------------------------------
SpaceRace4134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-34), 46, 5+14*34)
----------------------------------------
SpaceRace4234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-34), 2, 5+14*34)
--=====================
SpaceRace4035Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-35), 2, 5+14*35)
--=====================
SpaceRace4036Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-36), 129, 5+14*36)

SpaceRace4136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-36), 46, 5+14*36)

SpaceRace4236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-36), 2, 5+14*36)
--=====================
SpaceRace4037Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-37), 2, 5+14*37)
--=====================
SpaceRace4038Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-38), 129, 5+14*38)

SpaceRace4138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-38), 46, 5+14*38)

SpaceRace4238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-38), 2, 5+14*38)
--=====================
SpaceRace4039Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-39), 129, 5+14*39)

SpaceRace4139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-39), 46, 5+14*39)

SpaceRace4239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-39), 2, 5+14*39)
--=====================
SpaceRace4040Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-40), 129, 5+14*40)

SpaceRace4140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(SpaceRace4Frame, 31, 2+14*(gg-40), 46, 5+14*40)

SpaceRace4240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 114, 2+14*(gg-40), 2, 5+14*40)
-- ========= info line ===========
SpaceRace4041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color4)
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("with Addon"))
    :movable(false)
    :active(false) 
    :attach(SpaceRace4Frame, 2, 2+14*(gg-41), 2, 5+14*41)

--SpaceRace4141Box = CXBox:new()
--    :init(0, 0, 0, 0)
--    :bordercolor(cbubordoff)
--    :textfont(smallfont)   
--    :textcolor({0.2,0.8,1,1})
--    :textpos("left")    
--    :movetext(-3, 10)
--    :text(_(""))
--    :movable(false)
--    :active(true) 
--    :attach(SpaceRace4Frame, 31, 2+14*(gg-41), 46, 5+14*41)

--SpaceRace4241Box = CXBox:new()
--    :init(0, 0, 0, 0)
--    :bordercolor(cbubordoff)
--    :textfont(smallfont)  
--    :textcolor(cbutextoff)  
--    :textpos("left")    
--    :movetext(-3, 10)
--    :text(_(""))
--    :movable(false)
--    :active(false) 
--    :attach(SpaceRace4Frame, 114, 2+14*(gg-41), 2, 5+14*41)
--=======================
