----------------------------------------------
-- SpaceRaceBox.lua
-- by Lygin Gennady a.k.a Croc 02.07.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  SpaceRaceFrameWidth, SpaceRaceFrameHeight = 158, 14*gn+2+2;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
SpaceRaceBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

SpaceRaceBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    SpaceRaceButton.Visible = GuidesVisibility -- display or undisplay Button
    SpaceRaceCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if SpaceRaceCheck.Text ==  "o" then
		SpaceRaceFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

SpaceRaceButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)  
    :textcolor({1,0,0,1})
    :textpos("left")
    :movetext(-3, 10)
    :text(_("Ter"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(SpaceRaceBox,0,0,0,0) 

SpaceRaceCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(SpaceRaceBox, 20, 0, 0, 0)

SpaceRaceButton.Action = (function()
        return
            function()
              display_SpaceRace= not display_SpaceRace;
                if display_SpaceRace then 
                    actual_renderflags = celestia:getrenderflags()              
                    SpaceRaceFrame.Visible = true;                     
                    SpaceRaceCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    SpaceRaceFrame.Visible = false;                   
                    SpaceRaceCheck.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
SpaceRaceFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-SpaceRaceFrameWidth)/2, height-SpaceRaceFrameHeight-2, (width-SpaceRaceFrameWidth)/2, 2)

 SpaceRaceFrame.Customdraw = function(this)  

            if SpaceRace_firstTickDone then
            if not(SpaceRaceCloseButtonDone) then
                SpaceRaceCloseButtonDone = true;
                makeCloseButton(SpaceRaceCloseButton, SpaceRaceFrame, SpaceRaceButton);
            end
            else
                SpaceRace_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then
                    SpaceRaceFrame:attach(screenBox, width-SpaceRaceFrameWidth-35, height-SpaceRaceFrameHeight-128, 35, 128)                     
               else
                    SpaceRaceFrame:attach(screenBox, width-SpaceRaceFrameWidth-200, height-SpaceRaceFrameHeight-3, 200, 3)
               end 
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+25, this.tb - 14);         
            textlayout:println(_("ROAD TO SPACE"));
end;
--===============
-- Подключение команд 
--===============
SpaceRace101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Country / Cosm. machine / Date:"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
SpaceRace102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Ballistic missiles"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-2), 2, 5+14*2)
--=====================
SpaceRace003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Germ."))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-3), 129, 5+14*3)
-----------------------------------------
SpaceRace103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("V-2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-3), 46, 5+14*3)

SpaceRace103Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("V 2");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1944, 9, 8, 17, 00, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
             end 
        end
    end) ();

SpaceRace203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-09-44"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-3), 2, 5+14*3)
--=====================
SpaceRace104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Start of the Space Age"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-4), 3, 5+14*4)
--=====================
SpaceRace005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-5), 129, 5+14*5)
----------------------------------------
SpaceRace105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Sputnik-1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-5), 46, 5+14*5)

SpaceRace105Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sputnik-1");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1957, 10, 23, 23, 59, 20)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end       
        end
    end) ();

SpaceRace205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("04-10-57"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-5), 2, 5+14*5)
--=====================
SpaceRace006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-6), 129, 5+14*6)
----------------------------------------
SpaceRace106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Spoutnik-2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-6), 46, 5+14*6)

SpaceRace106Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Spoutnik-2");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1957, 11, 3, 2, 30, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(10);
            end  
        end
    end) ();

SpaceRace206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("03-11-57"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-6), 2, 5+14*6)
--=====================
SpaceRace007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-7), 129, 5+14*7)
----------------------------------------
SpaceRace107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Explorer-1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-7), 46, 5+14*7)

SpaceRace107Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Explorer 1");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1958, 2, 1, 3, 47, 10)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1); 
            end     
        end
    end) ();

SpaceRace207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("01-02-58"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-7), 2, 5+14*7)
--=====================
SpaceRace008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-8), 129, 5+14*8)
----------------------------------------
SpaceRace108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Sputnik-3"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-8), 46, 5+14*8)

SpaceRace108Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sputnik-3");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1958, 5, 15, 7, 12, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end      
        end
    end) ();

SpaceRace208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-05-58"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-8), 2, 5+14*8)
--=====================
SpaceRace109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Manned space flight"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-9), 2, 5+14*9)
--=====================
SpaceRace010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-10), 129, 5+14*10)
----------------------------------------
SpaceRace110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Vostok 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-10), 46, 5+14*10)

SpaceRace110Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vostok 1");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1961, 4, 12, 6, 7, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
             end       
        end
    end) ();

SpaceRace210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("12-04-61"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-10), 2, 5+14*10)
--=====================
SpaceRace011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-11), 129, 5+14*11)

SpaceRace111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Freedom-7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-11), 46, 5+14*11)

SpaceRace111Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Freedom 7"); 
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1961, 5, 5, 14, 34, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1); 
             end     
        end
    end) ();

SpaceRace211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("05-05-61"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-11), 2, 5+14*11)
--=====================
SpaceRace012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-12), 129, 5+14*12)

SpaceRace112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Liberty Bell 7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-12), 46, 5+14*12)

SpaceRace112Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Sol/Earth/Liberty Bell 7");
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1961, 7, 21, 00, 00, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1); 
             end     
        end
    end) ();

SpaceRace212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("21-07-61"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-12), 2, 5+14*12)
--=====================
SpaceRace013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-13), 129, 5+14*13)

SpaceRace113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Friendship-7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-13), 46, 5+14*13)

SpaceRace113Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Friendship 7");
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1962, 2, 20, 14, 47, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(1); 
             end     
        end
    end) ();

SpaceRace213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("20-02-62"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-13), 2, 5+14*13)
--=====================
SpaceRace014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-14), 129, 5+14*14)

SpaceRace114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Shenzhou 5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-14), 46, 5+14*14)

SpaceRace114Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Shenzhou V");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2003, 10, 15, 1, 00, 03)
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
              end    
        end
    end) ();

SpaceRace214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-10-03"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-14), 2, 5+14*14)
--=====================
SpaceRace115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Spacewalk"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-15), 2, 5+14*15)
--=====================
SpaceRace016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-16), 129, 5+14*16)
----------------------------------------
SpaceRace116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Voskhod-2"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-16), 46, 5+14*16)

SpaceRace116Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Voskhod-2");           
            celestia:select(obj);  
            if not(empty(obj)) then 
            
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
             end 
        end
    end) ();

SpaceRace216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("18-03-65"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-16), 2, 5+14*16)
--=====================
SpaceRace117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("The first docking"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-17), 46, 5+14*17)

SpaceRace217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("16-03-66"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-17), 2, 5+14*17)
-- ====================
SpaceRace018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-18), 129, 5+14*18)

SpaceRace118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Gemini 8+Agena"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-18), 2, 5+14*18)

 SpaceRace118Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Gemini 8+Agena"); 
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1966, 3, 16, 16, 41, 00)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(25); 
             end       
        end
    end) ();
--=====================
SpaceRace019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-19), 129, 5+14*19)

SpaceRace119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Soyuz-4 & 5"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-19), 46, 5+14*19)

 SpaceRace119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("soyuz 4");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1969, 1, 15, 7, 3, 00)
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end      
        end
    end) ();

SpaceRace219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("16-01-69"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-19), 2, 5+14*19)
--=====================
SpaceRace120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Orbital space station"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-20), 2, 5+14*20)
--=====================
SpaceRace121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("The first station"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-21), 46, 5+14*21)

SpaceRace221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("07-06-71"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-21), 2, 5+14*21)
-- ====================
SpaceRace022Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-22), 129, 5+14*22)

SpaceRace122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Zarya+Salyut-1+Soyuz-11"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-22), 2, 5+14*22)

SpaceRace122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Salyut 1");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1971, 6, 6, 4, 54, 20)
               celestia:settime(tdb_dt)             
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end      
        end
    end) ();
--=====================
SpaceRace023Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-23), 129, 5+14*23)
----------------------------------------
SpaceRace123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Skylab"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-23), 46, 5+14*23)

SpaceRace123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Skylab");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1973, 5, 14, 17, 29, 16)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end       
        end
    end) ();

SpaceRace223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("14-05-73"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-23), 2, 5+14*23)
--=====================
SpaceRace124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Handshake in space"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-24), 2, 5+14*24)
--=====================
SpaceRace125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Apollo-Soyuz-19"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-25), 46, 5+14*25)

SpaceRace125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sol/earth/Apollo");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1975, 7, 15, 17, 59, 05)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end      
        end
    end) ();

SpaceRace225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("15-07-75"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-25), 2, 5+14*25)
-- ====================
SpaceRace126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Orbital complex"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-26), 46, 5+14*26)

SpaceRace226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("29-09-77"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-26), 2, 5+14*26)
-- ====================
SpaceRace127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Soyuz-26+Salyut-6+Soyuz-17"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-27), 2, 5+14*27)

SpaceRace127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Salyut 6");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1977, 9, 29, 6, 49, 12)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end    
        end
    end) ();
--=====================
SpaceRace028Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-28), 129, 5+14*28)
----------------------------------------
SpaceRace128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Salyut-7"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-28), 46, 5+14*28)

SpaceRace128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Salyut 7");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1982, 3, 31, 23, 59, 08)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end     
        end
    end) ();

SpaceRace228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-04-82"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-28), 2, 5+14*28)
--=====================
SpaceRace129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Modular orbital station"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-29), 2, 5+14*29)
--=====================
SpaceRace030Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-30), 129, 5+14*30)

SpaceRace130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Mir"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-30), 46, 5+14*30)

SpaceRace130Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mir");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1986, 2, 20, 11, 59, 05)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end   
        end
    end) ();

SpaceRace230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("19-02-86"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-30), 2, 5+14*30)
--=====================
SpaceRace031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-31), 129, 5+14*31)

SpaceRace131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Soyuz TM25"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-31), 46, 5+14*31)

SpaceRace131Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Soyuz TM25");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1997, 2, 10, 14, 8, 28)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
             end       
        end
    end) ();

SpaceRace231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("10-02-97"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-31), 2, 5+14*31)
--=====================
SpaceRace032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-32), 129, 5+14*32)

SpaceRace132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Tiangong 1"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-32), 46, 5+14*32)

SpaceRace132Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/Tiangong 1");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2011, 9, 29, 13, 16, 00)
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end    
        end
    end) ();

SpaceRace232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("29-09-11"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-32), 2, 5+14*32)
--=====================
SpaceRace033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("China"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-33), 129, 5+14*33)

SpaceRace133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Shenzhou 8/9/10"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-33), 46, 5+14*33)

SpaceRace133Box.Action = (function()
    return 
        function()     
           local obj = celestia:find("Sol/Earth/Tiangong 1/Shenzhou 8");           
		   celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2011, 10, 30, 23, 59, 00)
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
              end    
        end
    end) ();

SpaceRace233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("31-10-11"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-33), 2, 5+14*33)
--=====================
SpaceRace134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Space Shuttles"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-34), 2, 5+14*34)
--=====================
SpaceRace035Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-35), 129, 5+14*35)

SpaceRace135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Columbia"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-35), 46, 5+14*35)

SpaceRace135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Columbia");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1981, 4, 12, 11, 59, 12)
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            end   
        end
    end) ();

SpaceRace235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("mar. 79"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-35), 2, 5+14*35)
--=====================
SpaceRace036Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-36), 129, 5+14*36)

SpaceRace136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Challenger"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-36), 46, 5+14*36)

SpaceRace136Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Challenger");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1986, 1, 28, 16, 37, 05) 
               celestia:settime(tdb_dt)            
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);  
            end    
        end
    end) ();

SpaceRace236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("july 82"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-36), 2, 5+14*36)
--=====================
SpaceRace037Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-37), 129, 5+14*37)

SpaceRace137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Discovery"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-37), 46, 5+14*37)

SpaceRace137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Discovery");            
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1984, 8, 30, 12, 41, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end    
        end
    end) ();

SpaceRace237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("nov. 82"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-37), 2, 5+14*37)
--=====================
SpaceRace038Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-38),129, 5+14*38)

SpaceRace138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)   
    :movetext(-2, 8)
    :text(_("Atlantis"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-38), 46, 5+14*38)

SpaceRace138Box.Action = (function()
    return 
        function()      
              local obj = celestia:find("Atlantis (STS-51J)"); 
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1985, 10, 3, 15, 14, 35) 
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
             end      
        end
    end) ();

SpaceRace238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("apr. 85"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-38), 2, 5+14*38)
--=====================
SpaceRace039Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-39), 129, 5+14*39)

SpaceRace139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Endeavour+SL"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-39), 46, 5+14*39)

SpaceRace139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Endeavour+Spacelab");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1992, 9, 11, 23, 59, 00) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
               end      
        end
    end) ();

SpaceRace239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("apr. 85"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 114, 2+14*(gg-39), 2, 5+14*39)
--=====================
SpaceRace140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor({1,0,0,.8})
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Rocket and Space Complex"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-40), 3, 5+14*40)
-- ====================
SpaceRace041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(SpaceRaceFrame, 2, 2+14*(gg-41), 129, 5+14*41)

SpaceRace141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Energia - Buran 15-11-88"))
    :movable(false)
    :active(true) 
    :attach(SpaceRaceFrame, 31, 2+14*(gg-41), 2, 5+14*41)

SpaceRace141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Buran");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1988, 10, 22, 23, 58, 30) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
            else
            end      
        end
    end) ();
--=======================
