----------------------------------------------
-- TelescopeBox.lua
-- by Lygin Gennady a.k.a Croc 26.04.2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local TelescopeFrameWidth, TelescopeFrameHeight = 158, 14*gn+2+2;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
TelescopeBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

TelescopeBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    TelescopeButton.Visible = GuidesVisibility -- display or undisplay Button
    TelescopeCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if TelescopeCheck.Text ==  "o" then
		TelescopeFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

TelescopeButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)  
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)
    :text(_("Tele"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(TelescopeBox,0,0,0,0) 

TelescopeCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(TelescopeBox, 20, 0, 0, 0)

TelescopeButton.Action = (function()
        return
            function()
              display_Telescope= not display_Telescope;
                if display_Telescope then 
                    actual_renderflags = celestia:getrenderflags()              
                    TelescopeFrame.Visible = true;                     
                    TelescopeCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                  --  celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    TelescopeFrame.Visible = false;                   
                    TelescopeCheck.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
TelescopeFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-TelescopeFrameWidth)/2, height-TelescopeFrameHeight-2, (width-TelescopeFrameWidth)/2, 2)

 TelescopeFrame.Customdraw = function(this)  

            if Telescope_firstTickDone then
            if not(TelescopeCloseButtonDone) then
                TelescopeCloseButtonDone = true;
                makeCloseButton(TelescopeCloseButton, TelescopeFrame, TelescopeButton);
            end
            else
                Telescope_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then
                    TelescopeFrame:attach(screenBox, width-TelescopeFrameWidth-35, height-TelescopeFrameHeight-128, 35, 128)                     
               else
                    TelescopeFrame:attach(screenBox, width-TelescopeFrameWidth-200, height-TelescopeFrameHeight-3, 200, 3)
               end 
            end
        
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+2, this.tb - 14);         
            textlayout:println(_("Space telescopes, etc.:"));
end;
--===============
-- Подключение команд 
--===============
Telescope101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(0, 10)
    :text(_("Country / Cosm. machine / Date:"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--=====================
Telescope002Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-2), 129, 5+14*2)

Telescope102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-2), 46, 5+14*2)
	
Telescope202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-2), 2, 5+14*2)
--============================
Telescope003Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-3), 129, 5+14*3)

Telescope103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Pioneer 6"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-3), 46, 5+14*3)

Telescope103Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Pioneer 6");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1965, 12, 16, 23, 59, 59)
               celestia:settime(tdb_dt) 
				 obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(0.05); 
             end 
        end
    end) ();

Telescope203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("16-12-65"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-3), 2, 5+14*3)
--=====================
Telescope004Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-4), 129, 5+14*4)

Telescope104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Pioneer 7"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-4), 46, 5+14*4)

Telescope104Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Pioneer 7");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1966, 08, 17, 23, 59, 59) 
               celestia:settime(tdb_dt) 
			   obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(0.05); 
             end       
        end
     end) ();

Telescope204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("17-08-66"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-4), 2, 5+14*4)
--=====================
Telescope005Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-5), 129, 5+14*5)

Telescope105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-5), 46, 5+14*5)
	
Telescope205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-5), 5, 5+14*5)
--============================
Telescope006Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Amsat"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-6), 129, 5+14*6)

Telescope106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("AMSAT-OSCAR 7"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-6), 46, 5+14*6)

Telescope106Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Sol/Earth/Amsat Oscar 7");           
            celestia:select(obj);  
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1974, 11, 15, 00, 00, 00) 
               celestia:settime(tdb_dt) 
			   obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(100); 
             end 
        end
    end) ();

Telescope206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("15-11-74"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-6), 2, 5+14*6)
--=====================
Telescope007Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-7), 129, 5+14*7)

Telescope107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-7), 46, 5+14*7)

Telescope207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-7), 2, 5+14*7)
--=====================
Telescope008Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-8), 129, 5+14*8)

Telescope108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Hipparcos"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-8), 46, 5+14*8)

Telescope108Box.Action = (function()
    return 
        function()        
            local obj = celestia:find("Hipparcos");           
            celestia:select(obj);  
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1989, 8, 8, 23, 25, 53)
               celestia:settime(tdb_dt)              
				 obs:follow(obj);			
               obs:goto(obj); 
               celestia:settimescale(4);
             end 
        end
    end) ();

Telescope208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-08-89"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-8), 2, 5+14*8)		
--=====================
Telescope009Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-9), 129, 5+14*9)

Telescope109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-9), 46, 5+14*9)

Telescope209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-9), 2, 5+14*9)
--=====================
Telescope010Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("U+E"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-10), 129, 5+14*10)

Telescope110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Hubble"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-10), 46, 5+14*10)

Telescope110Box.Action = (function()
    return 
        function()      
           local obj = celestia:find("Hubble");           
           celestia:select(obj);            
           if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1990, 4, 25, 11, 59, 02) 
               celestia:settime(tdb_dt) 
				 obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(40);  
            end 
        end
    end) ();

Telescope210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("24-04-90"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-10), 2, 5+14*10)
--=====================
Telescope011Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-11), 129, 5+14*11)

Telescope111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Compton GRO"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-11), 46, 5+14*11)

Telescope211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("05-04-91"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-11), 2, 5+14*11)
--=====================
Telescope012Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-12), 129, 5+14*12)

Telescope112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("ISO"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-12), 46, 5+14*12)

Telescope112Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("ISO");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1995, 11, 17, 00, 41, 58)
               celestia:settime(tdb_dt) 
				 obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(1000);  
            end   
        end
    end) ();

Telescope212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("17-11-95"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-12), 2, 5+14*12)
--=====================
Telescope013Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-13), 129, 5+14*13)

Telescope113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("TERRIERS"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-13), 46, 5+14*13)

Telescope113Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Terriers");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1999, 5, 18, 8, 18, 56) 
               celestia:settime(tdb_dt) 
				 obs:follow(obj);			
               obs:goto(obj); 
               celestia:settimescale(0.1);  
            end      
        end
    end) ();

Telescope213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("18-05-99"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-13), 2, 5+14*13)
--=====================
Telescope014Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-14), 129, 5+14*14)
----------------------------------------
Telescope114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Chandra"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-14), 46, 5+14*14)

Telescope114Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Chandra X-Ray Observatory");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1999, 7, 23, 04, 31, 00) 
               celestia:settime(tdb_dt) 
				 obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(2000);  
            end     
        end
    end) ();

Telescope214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("23-07-99"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-14), 2, 5+14*14)
--=====================
Telescope015Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("E+U"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-15), 129, 5+14*15)

Telescope115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("XMM-Newton"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-15), 46, 5+14*15)

Telescope215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("10-12-99"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-15), 2, 5+14*15)	
--=====================
Telescope016Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-16), 129, 5+14*16)

Telescope116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-16), 46, 5+14*16)

Telescope216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-16), 2, 5+14*16)	
--=====================
Telescope017Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-17), 129, 5+14*17)

Telescope117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Genesis"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-17), 46, 5+14*17)

Telescope117Box.Action = (function()
    return 
        function()     
            local obj = celestia:find("Genesis");
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2001, 8, 8, 20, 13, 40)
               celestia:settime(tdb_dt)              
				 obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(500000); 
             end     
        end
    end) ();

Telescope217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
     :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("08-08-01"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-17), 2, 5+14*17)
--=====================
Telescope018Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-18), 129, 5+14*18)

Telescope118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Envisat"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-18), 46, 5+14*18)

Telescope118Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Envisat");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2002, 3, 2, 1, 7, 59)
               celestia:settime(tdb_dt)               
	       obs:follow(obj);			
               obs:goto(obj); 
               celestia:settimescale(125);
              end    
        end
    end) ();

Telescope218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("01-03-02"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-18), 2, 5+14*18)	
--=====================
Telescope019Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-19), 129, 5+14*19)

Telescope119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("INTEGRAL"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-19), 46, 5+14*19)

Telescope119Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Integral");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2002, 10, 17, 02, 00, 00)
               celestia:settime(tdb_dt) 
	       obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(1000);  
            end  
        end
    end) ();

Telescope219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("17-10-02"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-19), 2, 5+14*19)
--=====================
Telescope020Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-20), 129, 5+14*20)

Telescope120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Spitzer S.T."))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-20), 46, 5+14*20)

Telescope120Box.Action = (function()

    return 
        function()      
            local obj = celestia:find("Spitzer Space Telescope");           
            celestia:select(obj); 			
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2003, 8, 26, 05, 35, 00)
               celestia:settime(tdb_dt) 
               obs:follow(obj);			   
               obs:goto(obj); 			   
               celestia:settimescale(1000000);  
            end 
        end
    end) ();

Telescope220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("25-08-03"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-20), 2, 5+14*20)	
-- =====================
Telescope021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-21), 129, 5+14*21)

Telescope121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("STEREO-A"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-21), 46, 5+14*21)

 Telescope121Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("STEREO-A");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2006, 10, 26, 00, 52, 00)
               celestia:settime(tdb_dt)               
				 obs:follow(obj);			
               obs:goto(obj); 
               celestia:settimescale(200000); 
            end      
        end
    end) ();

Telescope221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("26-10-06"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-21), 2, 5+14*21)
-- =====================
Telescope022Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-22), 129, 5+14*22)

Telescope122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("STEREO-B"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-22), 46, 5+14*22)

 Telescope122Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("STEREO-B"); 
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2006, 10, 26, 00, 52, 00)
               celestia:settime(tdb_dt)              
				 obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(200000); 
             end       
        end
    end) ();

Telescope222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("26-10-06"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-22), 2, 5+14*22)	
--=====================
Telescope023Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-23), 129, 5+14*23)

Telescope123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("COROT"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-23), 46, 5+14*23)

Telescope123Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Corot");           
            celestia:select(obj);  
            if not(empty(obj)) then             
               tdb_dt = celestia:utctotdb(2006, 12, 27, 14, 21, 55) 
               celestia:settime(tdb_dt) 
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(4);  
            end
        end
    end) ();

Telescope223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("27-12-06"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-23), 2, 5+14*23)
-- ====================
Telescope024Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-24), 129, 5+14*24)

Telescope124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Herschel"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-24), 46, 5+14*24)

 Telescope124Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Herschel");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2009, 05, 15, 13, 40, 53) 
               celestia:settime(tdb_dt)               
	       obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(100000); 
            end      
        end
    end) ();

Telescope224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("14-05-09"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-24), 2, 5+14*24)	
--=====================
Telescope025Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-25), 129, 5+14*25)

Telescope125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Planck"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-25), 46, 5+14*25)

 Telescope125Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Planck");           
            celestia:select(obj);            
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(2009, 5, 14, 13, 40, 53)
               celestia:settime(tdb_dt)               
	       obs:follow(obj);			 
               obs:goto(obj); 
               celestia:settimescale(0.5); 
            end      
        end
    end) ();

Telescope225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("14-05-09"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-25), 2, 5+14*25)
-- ====================
Telescope026Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-26), 129, 5+14*26)

Telescope126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-26), 46, 5+14*26)

Telescope226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-26), 2, 5+14*26)
--=====================
Telescope027Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-27), 129, 5+14*27)
----------------------------------------
Telescope127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("SDO"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-27), 46, 5+14*27)

Telescope127Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("sdo");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2010, 2, 11, 23, 58, 53)
               celestia:settime(tdb_dt)              
        	   obs:follow(obj);	
               obs:goto(obj); 
               celestia:settimescale(4000); 
            end       
        end
    end) ();

Telescope227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("11-02-10"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-27), 2, 5+14*27)
--=====================
Telescope028Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-28), 129, 5+14*28)
----------------------------------------
Telescope128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("Gaia"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-28), 46, 5+14*28)

Telescope128Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Gaia");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2013, 19, 10, 9, 12, 00)
               celestia:settime(tdb_dt)              
              -- obs:chase(obj)
			   obs:follow(obj);	
               obs:goto(obj); 
               celestia:settimescale(4); 
            end       
        end
    end) ();

Telescope228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("19-12-13"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-28), 2, 5+14*28)			
-- =====================
Telescope029Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-29), 129, 5+14*29)
----------------------------------------
Telescope129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("LISA Pathfinder"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-29), 46, 5+14*29)

Telescope129Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("LISA Pathfinder");           
            celestia:select(obj);            
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2015, 12, 3, 4, 4, 15)
               celestia:settime(tdb_dt)              
             --  obs:chase(obj)
			   obs:follow(obj);				 
               obs:goto(obj); 
               celestia:settimescale(4); 
            end       
        end
    end) ();

Telescope229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("03-12-15"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-29), 2, 5+14*29)
--=====================
Telescope030Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-30), 129, 5+14*30)

Telescope130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-30), 46, 5+14*30)

Telescope230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-30), 2, 5+14*30)
--===================================
Telescope031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-31), 129, 5+14*31)

Telescope131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-31), 46, 5+14*31)

Telescope231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-31), 2, 5+14*31)	
--=====================
Telescope032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-32), 129, 5+14*32)

Telescope132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-32), 46, 5+14*32)

Telescope232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-32), 2, 5+14*32)	
--=====================
Telescope033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-33), 129, 5+14*33)

Telescope133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-33), 46, 5+14*33)

Telescope233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-33), 2, 5+14*33)
--=====================
Telescope034Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Projected devices"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-34), 2, 5+14*34)	
--=====================
Telescope035Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-35), 129, 5+14*35)

Telescope135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-35), 46, 5+14*35)

Telescope135Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Sol/Earth/");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(2011, 9, 29, 13, 16, 00)
               celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end    
        end
    end) ();

Telescope235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-35), 2, 5+14*35)
--=====================
Telescope036Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-36), 129, 5+14*36)

Telescope136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 10)
    :text(_("James Webb"))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-36), 46, 5+14*36)

Telescope236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-4, 10)
    :text(_("10-2018"))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-36), 2, 5+14*36)
--=====================
Telescope037Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-37), 129, 5+14*37)

Telescope137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-37), 46, 5+14*37)

Telescope137Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Discovery");            
            celestia:select(obj);            
            if not(empty(obj)) then 
              -- tdb_dt = celestia:utctotdb(1984, 8, 30, 12, 41, 00) 
              -- celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end    
        end
    end) ();

Telescope237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-37), 2, 5+14*37)
--=====================
Telescope038Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-38),129, 5+14*38)

Telescope138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)   
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-38), 46, 5+14*38)

Telescope138Box.Action = (function()
    return 
        function()      
              local obj = celestia:find(""); 
            celestia:select(obj);            
            if not(empty(obj)) then
              -- tdb_dt = celestia:utctotdb(1985, 10, 3, 15, 14, 35) 
              -- celestia:settime(tdb_dt)               
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4); 
             end      
        end
    end) ();

Telescope238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-38), 2, 5+14*38)
--=====================
Telescope039Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-39), 129, 5+14*39)

Telescope139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-39), 46, 5+14*39)

Telescope139Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);            
            if not(empty(obj)) then 
             --  tdb_dt = celestia:utctotdb(1992, 9, 11, 23, 59, 00) 
              -- celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
               end      
        end
    end) ();

Telescope239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-39), 2, 5+14*39)
--=====================
Telescope040Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-40), 129, 5+14*40)

Telescope140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-40), 46, 5+14*40)

Telescope140Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);            
            if not(empty(obj)) then 
             --  tdb_dt = celestia:utctotdb(1992, 9, 11, 23, 59, 00) 
              -- celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
               end      
        end
    end) ();

Telescope240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-40), 2, 5+14*40)
--=====================
Telescope041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 2, 2+14*(gg-41), 129, 5+14*41)

Telescope141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(TelescopeFrame, 31, 2+14*(gg-41), 46, 5+14*41)

Telescope141Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);            
            if not(empty(obj)) then 
             --  tdb_dt = celestia:utctotdb(1992, 9, 11, 23, 59, 00) 
              -- celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
               end      
        end
    end) ();

Telescope241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(-2, 10)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(TelescopeFrame, 114, 2+14*(gg-41), 2, 5+14*41)
