----------------------------------------------
-- VenusBox.lua
-- by Lygin Gennady a.k.a. Croc 14.06.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local  VenusFrameWidth, VenusFrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
VenusBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, width, height, 0, 0);

VenusBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    VenusButton.Visible = GuidesVisibility -- display or undisplay Button
    VenusCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if VenusCheck.Text ==  "o" then
		VenusFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

VenusButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Ve"))
    :movable(false)
    :visible(false) 
    :active(true) 
    :attach(VenusBox,0,0,0,0) 

VenusCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 9)
        :text("")
        :movable(false)
        :active(true)  
        :attach(VenusBox, 20, 0, 0, 0)

VenusButton.Action = (function()
        return
            function()
              display_Venus= not display_Venus;
                if display_Venus then 
                    actual_renderflags = celestia:getrenderflags()               
                    VenusFrame.Visible = true;                     
                    VenusCheck.Text = "o";

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 

                    celestia:show("stars");
                    celestia:setstarstyle("disc")  
                    celestia:setlabelflags{stars = true} 
                    celestia:show("planets"); 
                    celestia:showlabel("planets") 
               
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:showconstellations()
                    celestia:hide("constellations"); 
                    celestia:hidelabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры
                   
                 -- объекты  
                    celestia:hide("galaxies"); -- галактики
                    celestia:hide("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("disc"); -- вид звезд
                    celestia:show("planets"); -- планеты              
                 
                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники

                 -- орбиты
                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:center(obj); 
                    celestia:setfaintestvisible(8.00) 
                    celestia:settimescale(1);
                else          
                    VenusFrame.Visible = false;                   
                    VenusCheck.Text = "";

                    celestia:hide("orbits") -- все орбиты
                    celestia:setorbitflags{Star = false} 
                    celestia:settimescale(1);
                    celestia:setrenderflags(actual_renderflags)
                end
            end
        end) ();
---------------------------------
VenusFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-VenusFrameWidth)/2, height-VenusFrameHeight-2, (width-VenusFrameWidth)/2, 2)

 VenusFrame.Customdraw = function(this)   

            if Venus_firstTickDone then
            if not(VenusCloseButtonDone) then
                VenusCloseButtonDone = true;
                makeCloseButton(VenusCloseButton, VenusFrame, VenusButton);
            end
            else
                Venus_firstTickDone = true;            
            end   

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height;              
               if height>=768  then  
                    VenusFrame:attach(screenBox, width-VenusFrameWidth-35, height-VenusFrameHeight-128, 35, 128) 
               else
                    VenusFrame:attach(screenBox, width-VenusFrameWidth-200, height-VenusFrameHeight-3, 200, 3) 
               end                    
            end 
         
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0.2,0.8,1,1});        
	    textlayout:setpos(this.lb+10, this.tb - 14);         
            textlayout:println(_(" VENUS EXPLORATION"));
end;
--===============
-- Подключение команд 
--===============
Venus101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 10)
    :text(_("Name / Date of start:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-1), 2, 5+14*1)
--==================
Venus102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)   
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-2), 128, 5+14*2)
-----------------------------------
Venus202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 1"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-2), 49, 5+14*2)

Venus202Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 1");            
            celestia:select(obj);
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Venus302Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-02-61"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-2), 2, 5+14*2)
--==================
Venus103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-3), 128, 5+14*3)
-----------------------------------
Venus203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 2"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-3), 49, 5+14*3)

Venus203Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 2");  
            celestia:select(obj);
            if not(empty(obj)) then  
               tdb_dt = celestia:utctotdb(1962, 9, 4 , 23 , 59, 18) 
               celestia:settime(tdb_dt)             
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(0.25);
            end
        end
    end) ();
-----------------------------------
Venus303Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("27-08-62"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-3), 2, 5+14*3)
--==================
Venus104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-4), 128, 5+14*4)
-----------------------------------
Venus204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 2"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-4), 49, 5+14*4)

Venus204Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 2");
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1965, 11, 13, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(50000);
            end
        end
    end) ();
-----------------------------------
Venus304Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-11-65"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-4), 2, 5+14*4)
--==================
Venus105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-5), 128, 5+14*5)
-----------------------------------
Venus205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 3"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-5), 49, 5+14*5)

Venus205Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 3"); 
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1965, 11, 15, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(25000);
            end
        end
    end) ();          
-----------------------------------
Venus305Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("16-11-65"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-5), 2, 5+14*5)
--==================
Venus106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-6), 128, 5+14*6)
-----------------------------------
Venus206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 4"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-6), 49, 5+14*6)

Venus206Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 4");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1967, 6, 11, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(100000);
            end
        end
    end) ();
-----------------------------------
Venus306Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-06-67"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-6), 2, 5+14*6)
--==================
Venus107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-7), 128, 5+14*7)
-----------------------------------
Venus207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 5"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-7), 49, 5+14*7)

Venus207Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 5");           
            celestia:select(obj);           
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Venus307Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-06-67"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-7), 2, 5+14*7)
--==================
Venus108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-8), 128, 5+14*8)
-----------------------------------
Venus208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 5"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-8), 49, 5+14*8)

Venus208Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 5");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1969, 1, 4, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(50000);
            end
        end
    end) (); 
-----------------------------------
Venus308Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("05-01-69"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-8), 2, 5+14*8)
--==================
Venus109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-9), 128, 5+14*9)
-----------------------------------
Venus209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 6"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-9), 49, 5+14*9)

Venus209Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 6");           
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1969, 1, 9, 23, 59, 18) 
               celestia:settime(tdb_dt)               
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(50000);
            end
        end
    end) ();
----------------------------------
Venus309Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("10-01-69"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-9), 2, 5+14*9)
--==================
Venus110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-10), 128, 5+14*10)
------------------------------------
Venus210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 7"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-10), 49, 5+14*10)

Venus210Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 7");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1970, 8, 16, 23, 59, 00) 
               celestia:settime(tdb_dt)   
			                  obs:follow(obj)
              obs:goto(obj); 
               celestia:settimescale(50000);
            end
        end
    end) ();
-----------------------------------
Venus310Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("17-08-70"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-10), 2, 5+14*10)
--==================
Venus111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-11),  128, 5+14*11)
-----------------------------------
Venus211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 8"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-11), 49, 5+14*11)

Venus211Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 8");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1972, 3, 26, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(50000);
            end
        end
    end) ();
-----------------------------------
Venus311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("27-03-72"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-11), 2, 5+14*11)
--==================
Venus112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus and Mercury:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-12), 2, 5+14*12)
-----------------------------------
Venus113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-13), 128, 5+14*13)
-----------------------------------
Venus213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Mariner 10"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-13), 49, 5+14*13)

Venus213Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Mariner 10");           
            celestia:select(obj);           
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
----------------------------------
Venus313Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("03-11-73"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-13), 2, 5+14*13)
--==================
Venus114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-14), 2, 5+14*14)
--==================
Venus115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(cbutextoff) 
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-15), 128, 5+14*15)
-----------------------------------
Venus215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 9"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-15), 49, 5+14*15)

Venus215Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 9");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1975, 6, 8, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(50000);
            end
        end
    end) ();
----------------------------------
Venus315Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-06-75"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-15), 2, 5+14*15)
--==================
Venus116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-16), 128, 5+14*16)
-----------------------------------
Venus216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 10"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-16), 49, 5+14*16)

Venus216Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 10");           
             celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1975, 6, 19, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(50000);
            end
        end
    end) ();
----------------------------------
Venus316Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-06-75"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-16), 2, 5+14*16)
--==================
Venus117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-17), 128, 5+14*17)
-----------------------------------
Venus217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pioneer 12"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-17), 49, 5+14*17)

Venus217Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pioneer 12");           
            celestia:select(obj);           
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Venus317Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("12-05-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-17), 2, 5+14*17)
--==================
Venus118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-18), 128, 5+14*18)
----------------------------------
Venus218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Pioneer 13"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-18), 49, 5+14*18)

Venus218Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Pioneer 13");           
            celestia:select(obj);           
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Venus318Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("08-08-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-18), 2, 5+14*18)
--==================
Venus119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-19), 128, 5+14*19)
----------------------------------
Venus219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 11"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-19), 49, 5+14*19)

Venus219Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 11");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1978, 9, 10, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(400000);
            end
        end
    end) ();
----------------------------------
Venus319Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-09-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-19), 2, 5+14*19)
--==================
Venus120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-20), 128, 5+14*20)
-----------------------------------
Venus220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 12"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-20), 49, 5+14*20)

Venus220Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");        
             celestia:select(obj);           
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Venus320Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("14-09-78"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-20), 2, 5+14*20)
--==================
Venus121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-21), 128, 5+14*21)
----------------------------------
Venus221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 13"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-21), 49, 5+14*21)

Venus221Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 13");           
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1981, 10, 29, 23, 59, 18) 
               celestia:settime(tdb_dt)               
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(100000);
            end
        end
    end) ();
----------------------------------
Venus321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("30-10-81"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-21), 2, 5+14*21)
--==================
Venus122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-22), 128, 5+14*22)
-----------------------------------
Venus222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 14"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-22), 49, 5+14*22)

Venus222Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 14");           
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1981, 11, 3, 23, 59,18) 
               celestia:settime(tdb_dt)               
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(100000);
            end
        end
    end) ();
----------------------------------
Venus322Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-11-81"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-22), 2, 5+14*22)
--==================
Venus123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-23), 128, 5+14*23)
-----------------------------------
Venus223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 15"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-23), 49, 5+14*23)

Venus223Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);           
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(250);
            end
        end
    end) ();
-----------------------------------
Venus323Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("01-06-83"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-23), 2, 5+14*23)
--==================
Venus124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-24), 128, 5+14*24)
----------------------------------
Venus224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venera 16"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-24), 49, 5+14*24)

Venus224Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venera 16");           
            celestia:select(obj);           
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1983, 6, 83, 23, 59, 18) 
               celestia:settime(tdb_dt)               
               obs:follow(obj)
               obs:goto(obj); 
               celestia:settimescale(500000);
            end
        end
    end) ();
----------------------------------
Venus324Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("07-06-83"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-24), 2, 5+14*24)
--==================
Venus125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus and Halley's:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-25), 2, 5+14*25)
----------------------------------
Venus126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
   -- :fillcolor({1,1,0,.2})
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR+"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-26), 128, 5+14*26)
-----------------------------------
Venus226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Vega-1a"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-26), 49, 5+14*26)

Venus226Box.Action = (function()
    return 
        function() 
            local obj = celestia:find("Vega-1a");           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1984, 12, 21, 23, 59, 05)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj); 
               celestia:settimescale(400000);  
            end
        end
    end) ();
----------------------------------
Venus326Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("15-12-84"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-26), 2, 5+14*26)
--==================
Venus127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USSR+"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-27), 128, 5+14*27)
----------------------------------
Venus227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Vega-1b"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-27), 49, 5+14*27)

Venus227Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Vega-1a");   -- Это не ошибка !           
            celestia:select(obj);            
            if not(empty(obj)) then
               tdb_dt = celestia:utctotdb(1985, 4, 1, 23, 59, 05)
               celestia:settime(tdb_dt)
               obs:follow(obj);
               obs:goto(obj);
               celestia:settimescale(400000);   
            end
        end
    end) ();
-----------------------------------
Venus327Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-06-85"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-27), 2, 5+14*27)
--==================
Venus128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({1,0,0,.8})
    :textpos("center")   
    :movetext(-2, 10)
    :text(_("Mapping Venus:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-28), 2, 5+14*28)
--==================
Venus129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("USA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-29), 128, 5+14*29)
-----------------------------------
Venus229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Magellan"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-29), 49, 5+14*29)

Venus229Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Magellan");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(1990, 8, 9, 23, 59, 18) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(20);
            end
        end
    end) ();
----------------------------------
Venus329Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("04-05-89"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-29), 2, 5+14*29)
--==================
Venus130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("The study of Venus from orbit:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-30), 2, 5+14*30)
--==================
Venus131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("ESA"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-31), 128, 5+14*31)
-----------------------------------
Venus231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Venus Express"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-31), 49, 5+14*31)

Venus231Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("Venus Express");           
            celestia:select(obj);           
            if not(empty(obj)) then 
               tdb_dt = celestia:utctotdb(2006, 4, 28, 5, 42, 18) 
               celestia:settime(tdb_dt)              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(200);
            end
        end
    end) ();
----------------------------------
Venus331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-11-05"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-31), 2, 5+14*31)
--==================
Venus132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor({1,0,0,.8})
    :textpos("center")    
    :movetext(-3, 10)
    :text(_("Launch of Venus Express:"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-32), 2, 5+14*32)
--==================
Venus133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("Rus"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-33), 128, 5+14*33)
----------------------------------
Venus233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)    
    :textcolor(color2)
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Soyuz FT"))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-33), 49, 5+14*33)

Venus233Box.Action = (function()
    return 
        function()      
            local obj = celestia:find("");           
            celestia:select(obj);           
            if not(empty(obj)) then              
               obs:chase(obj)
               obs:goto(obj); 
               celestia:settimescale(4);
            end
        end
    end) ();
-----------------------------------
Venus333Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("09-11-05"))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-33), 2, 5+14*33)
--==================
Venus134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-34), 128, 5+14*34)
----------------------------------
Venus234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-34), 49, 5+14*34)
-----------------------------------
Venus334Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-34), 2, 5+14*34)
--==================
Venus135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-35), 128, 5+14*35)
----------------------------------
Venus235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-35), 49, 5+14*35)
----------------------------------
Venus335Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-35), 2, 5+14*35)
--==================
Venus136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-36), 128, 5+14*36)
-----------------------------------
Venus236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-36), 49, 5+14*36)
-----------------------------------
Venus336Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-36), 2, 5+14*36)
--==================
Venus137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-37), 128, 5+14*37)
-----------------------------------
Venus237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-37), 49, 5+14*37)
-----------------------------------
Venus337Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-37), 2, 5+14*37)
--==================
Venus138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-38), 128, 5+14*38)
-----------------------------------
Venus238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-38), 49, 5+14*38)
-----------------------------------
Venus338Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-38), 2, 5+14*38)
--==================
Venus139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-39), 128, 5+14*39)
-----------------------------------
Venus239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-39), 49, 5+14*39)
-----------------------------------
Venus339Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-39), 2, 5+14*39)
--==================
Venus140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-40), 128, 5+14*40)
----------------------------------
Venus240Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-40), 49, 5+14*40)
-----------------------------------
Venus340Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-40), 2, 5+14*40)
--==================
Venus141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont)  
    :textcolor(cbutextoff)
    :textpos("left")    
    :movetext(-3, 9)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 2, 2+14*(gg-41), 128, 5+14*41)
-----------------------------------
Venus241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)     
    :textcolor({0.2,0.8,1,1})
    :textpos("left")    
    :movetext(-2, 8)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(VenusFrame, 32, 2+14*(gg-41), 49, 5+14*41)
-----------------------------------
Venus341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(normalfont)  
    :textcolor(cbutextoff)  
    :textpos("left")    
    :movetext(0, 8)
    :text(_(""))
    :movable(false)
    :active(false) 
    :attach(VenusFrame, 111, 2+14*(gg-41), 2, 5+14*41)
--===================