---------------------------------------------------
-- exoBox.lua
-- by Lygin Gennady a.k.a. Croc 03.07.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
---------------------------------------------------
require "locale";
require "closeButton";
require "pCXBox"
----------------------------------------------
-- Set initial values
----------------------------------------------
local obs = celestia:getobserver();
local newwidth, newheight;
local gn=42
local gg=gn-1
local exoFrameWidth, exoFrameHeight = 158, 14*gn+4;
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------
exoBox = CXBox:new()    
    :init(0, 0, 0, 0)
    :movable(false)
    :attach(screenBox, 0, 0, 0, 0);

exoBox.Customdraw = function(this) -- add this lines by Gironde 08-04-2017
    exoButton.Visible = GuidesVisibility -- display or undisplay Button
    exoCheck.Visible = GuidesVisibility  -- display or undisplay Check
    if exoCheck.Text ==  "o" then
		exoFrame.Visible = GuidesVisibility -- display or undisplay Frame
    end
 end

exoButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-3, 9)  
    :text(_("Exo"))
    :movable(false)
    :visible(false) 
    :active(true)    
    :attach(exoBox,0,0,0,0)

exoCheck = CXBox:new()
        :init(0, 0, 0, 0)
        :textfont(smallfont)
        :textcolor({1,0,0,1})
        :textpos("left")
        :movetext(-32, 10)
        :text("")
        :movable(false)
        :active(true)      
        :attach(exoBox, 20, 0, 0, 0)

exoButton.Action = (function()
        return
            function()
              display_exo = not display_exo;
                if display_exo then 
                    actual_renderflags = celestia:getrenderflags()                
                    exoFrame.Visible = true;                    
                    exoCheck.Text = "o";                   

                    local obs = celestia:getobserver();
                    local obj = celestia:find("Sol");
                    celestia:select(obj);
                    obs:follow(obj);   
                    obs:center(obj);
          
                 -- границы/фигуры
                    celestia:setrenderflags{constellations = false} -- созвездия
                    celestia:hideconstellations()
                   -- celestia:showconstellations()
                   -- celestia:show("constellations"); 
                   -- celestia:showlabel("i18nconstellations") 
                    celestia:hide("markers") -- метки                 
                    celestia:hide("boundaries"); -- фигуры

                 -- объекты  
                    celestia:show("galaxies"); -- галактики
                    celestia:show("globulars"); -- шаровые скопления
                    celestia:hide("openclusters"); -- рассеянные скопления
                    celestia:hide("nebulae"); -- туманности
                    celestia:show("stars"); -- звезды
                    celestia:setstarstyle("point"); -- вид звезд
                    celestia:show("planets"); -- планеты                 

                 -- имена на русском
                    celestia:hidelabel("constellations") -- созвездия
                    celestia:setlabelflags{galaxies = false} -- галактики
                    celestia:setlabelflags{globulars = false} -- шаровые скопления
                    celestia:setlabelflags{openclusters = false} -- рассеянные скопления
                    celestia:setlabelflags{nebulae = false} -- туманности
                    celestia:setlabelflags{stars = false} -- звезды
                    celestia:showlabel("planets")  -- планеты
                    celestia:showlabel("dwarfplanets") -- малые планеты
                    celestia:hidelabel("moons") -- луны
                    celestia:hidelabel("minormoons") -- малые луны
                    celestia:hidelabel("asteroids")  -- астероиды
                    celestia:hidelabel("comets") -- кометы
                    celestia:hidelabel("spacecraft")  -- спутники      

                -- орбиты
                    celestia:setorbitflags{Star = true} 
                    celestia:setorbitflags{DwarfPlanet = false} -- малые планеты
                    celestia:setorbitflags{Moon = false} -- луны
                    celestia:setorbitflags{MinorMoon = false} -- малые луны
                    celestia:setorbitflags{Asteroid = false} -- астероиды
                    celestia:setorbitflags{Comet = false} -- кометы
                    celestia:setorbitflags{Spacecraft = false}   -- спутники
                    celestia:show("orbits") -- все орбиты

                    local obj = celestia:find("Earth");
                    celestia:select(obj);
                    obs:follow(obj);          
                    obs:goto(obj);
                    obs:center(obj);
                celestia:setfaintestvisible(10.0)
                else                    
                    exoFrame.Visible = false;                   
                    exoCheck.Text = "";  
                    celestia:setrenderflags(actual_renderflags)
                    celestia:setorbitflags{Planet = false} -- планеты 
                    celestia:hide("orbits") -- все орбиты           
                end
            end
        end) ();
------------------------------------------------------------------------------------------------------------------------------
exoFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :fillcolor(color82)  
    :movable(true)
    :clickable(false)    
    :visible(false)
    :attach(screenBox, (width-exoFrameWidth)/2, height-exoFrameHeight-2, (width-exoFrameWidth)/2, 2)

 exoFrame.Customdraw = function(this) 

            if exo_firstTickDone then
            if not(exoCloseButtonDone) then
                exoCloseButtonDone = true;
                makeCloseButton(exoCloseButton, exoFrame, exoButton);
            end
            else
                exo_firstTickDone = true;            
            end    

            if newwidth ~= width or newheight ~= height then
                    newwidth, newheight = width, height; 
                if height>=768  then              
                    exoFrame:attach(screenBox, width-exoFrameWidth-35, height-exoFrameHeight-128, 35, 128) 
                else
                    exoFrame:attach(screenBox, width-exoFrameWidth-200, height-exoFrameHeight-3, 200, 3) 
                end
            end
       
	    textlayout:setfont(normalfont);
            textlayout:setfontcolor({0,1,1,0.8});        
	    textlayout:setpos(this.lb+4, this.tb - 14);       
            textlayout:println(_("STAR with exoplanets"));
end;
--================
-- Подключение команд 
--================
exo101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor({1,1,0,0.8})   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Star / Planet:"))
    :movable(false)
    :active(false) 
    :attach( exoFrame, 2, 2+14*(gg-1), 80, 5+14*1)
--=================
exo102Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("B.W.Pulsar"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-2), 100, 5+14*2)

 exo102Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("QX Sge");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-2), 80, 5+14*2)

 exo1021Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("QX Sge/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(0.002)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo103Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("CoRoT-7"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-3), 106, 5+14*3)

 exo103Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("CoRoT-7");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(30)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("b"))
    :movable(false)
    :active(true)
    :attach( exoFrame, 54, 2+14*(gg-3), 96, 5+14*3)

 exo1031Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("CoRoT-7/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
-----------------------------------
 exo1032Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 62, 2+14*(gg-3), 88, 5+14*3)

 exo1032Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("CoRoT-7/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1033Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("d"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 70, 2+14*(gg-3), 80, 5+14*3)

 exo1033Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("CoRoT-7/d");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj); 
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo104Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("DP Leo"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-4), 100, 5+14*4)

 exo104Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("DP Leo");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-4), 80, 5+14*4)

 exo1041Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("DP Leo/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(3000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--------------------------------
 exo105Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("GD 356"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-5), 100, 5+14*5)

 exo105Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("GD 356");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1051Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-5), 80, 5+14*5)

 exo1051Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("GD 356/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(3000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo106Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("GJ 1214"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-6), 100, 5+14*6)

 exo106Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("GJ 1214");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1061Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-6), 80, 5+14*6)

 exo1061Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("GJ 1214/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--==================
 exo107Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gliese 71"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-7), 100, 5+14*7)

 exo107Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 71");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(40000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();

 exo1071Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("e"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-7), 80, 5+14*7)

 exo1071Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 71/e");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo108Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gliese 163"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-8), 100, 5+14*8)

 exo108Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 19394");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1081Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-8), 80, 5+14*8)

 exo1081Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 19394/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo109Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gliese 180")) -- HIP 22762
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-9), 100, 5+14*9)

 exo109Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 22762");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(20000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
  exo1091Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-9), 89, 5+14*9)

 exo1091Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 22762/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1092Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 69, 2+14*(gg-9), 80, 5+14*9)

 exo1092Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 22762/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo110Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gliese 422")) --  HD 304043
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-10), 100, 5+14*10)

 exo110Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 304043");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-10), 80, 5+14*10)

 exo1101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 304043/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
  exo111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gl.667 C"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-11), 106, 5+14*11)

 exo111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 667 C");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("c "))
    :movable(false)
    :active(true)
    :attach( exoFrame, 54, 2+14*(gg-11), 96, 5+14*11)

 exo1111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 667 C/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(4000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
-----------------------------------
 exo1112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("e"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 62, 2+14*(gg-11), 88, 5+14*11)

 exo1112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 667 C/e");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("f"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 70, 2+14*(gg-11), 80, 5+14*11)

 exo1113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 667 C/f");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj); 
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo112Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gliese 682"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-12), 100, 5+14*12)

 exo112Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 682");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-12), 80, 5+14*12)

 exo1121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 682/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
exo113Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gliese 832"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-13), 100, 5+14*13)

 exo113Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 832");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(20000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-13), 80, 5+14*13)

 exo1131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 832/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
exo114Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Gliese 3293"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-14), 100, 5+14*14)

 exo114Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 3293");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-14), 80, 5+14*14)

 exo1141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Gliese 3293/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
exo115Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-15), 100, 5+14*15)

 exo115Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1151Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-15), 80, 5+14*15)

 exo1151Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
exo116Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("HD 33793"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-16), 100, 5+14*16)

 exo116Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 33793");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(20000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1161Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-16), 80, 5+14*16)

 exo1161Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 33793/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
exo117Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("HD 40307"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-17), 100, 5+14*17)

 exo117Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 40307");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(20000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1171Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("g"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-17), 80, 5+14*17)

 exo1171Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HD 40307/g");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(200);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo118Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("HR 8799"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-18), 106, 5+14*18)

 exo118Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HR 8799");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1181Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-4, 9)
    :text(_("b"))
    :movable(false)
    :active(true)
    :attach( exoFrame, 54, 2+14*(gg-18), 96, 5+14*18)

 exo1181Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HR 8799/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(200000000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
-----------------------------------
 exo1182Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 62, 2+14*(gg-18), 88, 5+14*18)

 exo1182Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HR 8799/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(100000000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1183Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("d"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 70, 2+14*(gg-18), 80, 5+14*18)

 exo1183Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HR 8799/d");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj); 
            celestia:settimescale(100000000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo119Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("HW Vir"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-19), 100, 5+14*19)

 exo119Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 62157");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000000);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
  exo1191Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-19), 89, 5+14*19)

 exo1191Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 62157/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1192Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 69, 2+14*(gg-19), 80, 5+14*19)

 exo1192Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("HIP 62157/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo120Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-20), 100, 5+14*20)

 exo120Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-20), 80, 5+14*20)

 exo1201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
exo121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("J1407"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-21), 100, 5+14*21)

 exo121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("J1407");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-21), 80, 5+14*21)

 exo1211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("J1407/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(100);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) (); 
--================= 
 exo122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-22), 100, 5+14*22)

 exo1221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-22), 80, 5+14*22)
--=================
 exo123Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-4"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-23), 100, 5+14*23)

 exo123Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-4");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo1231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-23), 80, 5+14*23)

 exo1231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-4/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo124Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-5"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-24), 100, 5+14*24)

 exo124Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-5");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------
 exo1241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-24), 80, 5+14*24)

 exo1241Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-5/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo125Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-6"))
    :movable(false)
    :active(true) 
   :attach( exoFrame, 2, 2+14*(gg-25), 100, 5+14*25)

 exo125Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-6");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------
 exo1251Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-25), 80, 5+14*25)

 exo1251Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-6/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo126Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-7"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-26), 100, 5+14*26) 

 exo126Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-7");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1261Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-26), 80, 5+14*26)

 exo1261Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-7/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo127Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-8"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-27), 100, 5+14*27) 

 exo127Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-8");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) ();  
---------------------------------
 exo1271Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-27), 80, 5+14*27)

 exo1271Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-8/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) (); 
--================
 exo128Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-10"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-28), 100, 5+14*28)

 exo128Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-10");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(20000);
            radians = math.rad(3)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
  exo1281Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-28), 89, 5+14*28)

 exo1281Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-10/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2000);
            radians = math.rad(35)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1282Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 69, 2+14*(gg-28), 80, 5+14*28)

 exo1282Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-10/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1000);
            radians = math.rad(50)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
  exo129Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-22"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-29), 100, 5+14*29)

 exo129Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-22");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1291Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-29), 80, 5+14*29)

 exo1291Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-22/b");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo130Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-61"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-30), 100, 5+14*30)

 exo130Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-61");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(25000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 60, 2+14*(gg-30), 80, 5+14*30)

 exo1301Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-61/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj); 
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
exo131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-62"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-31), 100, 5+14*31)

 exo131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-62");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(20000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
  exo1311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("e"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-31), 89, 5+14*31)

 exo1311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-62/e");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(400);
            radians = math.rad(35)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1312Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("f"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 69, 2+14*(gg-31), 80, 5+14*31)

 exo1312Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-62/f");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo132Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-174"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-32), 100, 5+14*32)

 exo132Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-174");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(25000);
            radians = math.rad(3)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("d"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-32), 80, 5+14*32)

 exo1321Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-174/d");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo133Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-283"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-33), 100, 5+14*33)

 exo133Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-283");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(40000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-33), 80, 5+14*33)

 exo1331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-283/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo134Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-296"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-34), 100, 5+14*34)

 exo134Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-296");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(20000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("f"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-34), 80, 5+14*34)

 exo1341Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-296/f");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo135Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("Kepler-298"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-35), 100, 5+14*35)

 exo135Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-298");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(25000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1351Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("d"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-35), 80, 5+14*35)

 exo1351Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("Kepler-298/d");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(10000);
            radians = math.rad(60)
            obs:setfov(radians)
            end
        end
    end) ();
 --================
 exo136Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-36), 100, 5+14*36)

 exo136Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1361Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-36), 80, 5+14*36)

 exo1361Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo137Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 2, 2+14*(gg-37), 100, 5+14*37)

 exo137Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(35)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1371Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-37), 80, 5+14*37)

 exo1371Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
  exo138Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-38), 100, 5+14*38)

 exo138Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1381Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-38), 80, 5+14*38)

 exo1381Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo139Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 2, 2+14*(gg-39), 100, 5+14*39)

 exo139Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);
            radians = math.rad(30)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo1391Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 60, 2+14*(gg-39), 80, 5+14*39)

 exo1391Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();

--=================
 exo140Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color0)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("* When FOV=120 degrees to use"))
    :movable(false)
    :active(false) 
    :attach( exoFrame, 2, 2+14*(gg-40), 2, 5+14*40)

 exo140Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
--================
 exo141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color0)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("the button [End] or mouse wheel."))
    :movable(false)
    :active(false) 
    :attach(exoFrame, 2, 2+14*(gg-41), 2, 5+14*41)

 exo141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor({1,1,0,0.8})  
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("Star / Planet:"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-1), 2, 5+14*1)
--================
exo202Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("MOA-2007."))        
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-2), 22, 5+14*2) 

 exo202Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("MOA-2007-BLG-192L");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(500);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------
 exo2021Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-2), 2, 5+14*2)

 exo2021Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("MOA-2007-BLG-192L/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo203Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))        
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-3), 22, 5+14*3) 

 exo203Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------
 exo2031Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-3), 2, 5+14*3)

 exo2031Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo204Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("N..6440 X-2"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 80, 2+14*(gg-4), 22, 5+14*4)

 exo204Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6440 X-2");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(100);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2041Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 138, 2+14*(gg-4), 2, 5+14*4)

 exo2041Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NGC 6440 X-2/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo205Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("N. 41135"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-5), 22, 5+14*5)

 exo205Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NLTT 41135");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(35)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2051Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 138, 2+14*(gg-5), 2, 5+14*5)

 exo2051Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("NLTT 41135/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo206Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-6), 22, 5+14*6)

 exo206Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(35)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2061Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 138, 2+14*(gg-6), 2, 5+14*6)

 exo2061Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================ 
exo207Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("OGLE-2003."))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-7), 22, 5+14*7) 

 exo207Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2003-BLG-235");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2071Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-7), 2, 5+14*7)

 exo2071Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2003-BLG-235/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo208Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("OGLE-2005."))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-8), 22, 5+14*8) 

 exo208Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2005-BLG-390L");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2081Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-8), 2, 5+14*8)

 exo2081Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2005-BLG-390L/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo209Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("OGLE-2006."))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 80, 2+14*(gg-9), 22, 5+14*9)

 exo209Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2006-BLG-109L");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(10000000);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
  exo2091Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 138, 2+14*(gg-9), 11, 5+14*9)

 exo2091Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2006-BLG-109L/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2092Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("left")    
    :movetext(-2, 9)
    :text(_("c "))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 147, 2+14*(gg-9), 2, 5+14*9)

 exo2092Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2006-BLG-109L/c");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo210Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("OGLE-2007."))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-10), 22, 5+14*10) 

 exo210Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2007-BLG-368L");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2101Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-10), 2, 5+14*10)

 exo2101Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("OGLE-2007-BLG-368L/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("PSR B1828.."))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 80, 2+14*(gg-11), 22, 5+14*11)

 exo211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PSR B1828-11");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2111Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 138, 2+14*(gg-11), 2, 5+14*11)

 exo2111Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("PSR B1828-11/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo212Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("QS Vir A"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 80, 2+14*(gg-12), 22, 5+14*12)

 exo212Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("QS Vir A");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(250);
            radians = math.rad(30)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2121Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("B"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 138, 2+14*(gg-12), 11, 5+14*12)

 exo2121Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("QS Vir B");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2122Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(" C"))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 147, 2+14*(gg-12), 2, 5+14*12)

 exo2122Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("QS Vir/C");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo213Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 80, 2+14*(gg-13), 22, 5+14*13)

 exo213Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2131Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach(exoFrame, 138, 2+14*(gg-13), 2, 5+14*13)

 exo2131Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo214Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SWEEPS-1"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-14), 22, 5+14*14)

 exo214Box.Action = (function()
    return
        function()
            local obj = celestia:find("SWEEPS-1");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2141Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-14), 2, 5+14*14)

 exo2141Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-1/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo215Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-2"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-15), 22, 5+14*15)

 exo215Box.Action = (function()
    return
        function()
            local obj = celestia:find("SWEEPS-2");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2151Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-15), 2, 5+14*15)

 exo2151Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-2/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo216Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
     :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-3"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-16), 22, 5+14*16)

 exo216Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-3");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2161Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6) 
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-16), 2, 5+14*16)

 exo2161Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-3/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo217Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-4"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-17), 22, 5+14*17)

 exo217Box.Action = (function()
    return
        function()
            local obj = celestia:find("SWEEPS-4");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------------------------------
 exo2171Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-17), 2, 5+14*17)

 exo2171Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-4/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
exo218Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-5"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-18), 22, 5+14*18)

 exo218Box.Action = (function()
    return
        function()
            local obj = celestia:find("SWEEPS-5");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------------------------------
 exo2181Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-18), 2, 5+14*18)

 exo2181Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-5/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(5000);
            radians = math.rad(13)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo219Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-6"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-19), 22, 5+14*19)

 exo219Box.Action = (function()
    return
        function()
            local obj = celestia:find("SWEEPS-6");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------------------------------
 exo2191Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-19), 2, 5+14*19)

 exo2191Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-6/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--------------------------------
 exo220Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-7"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-20), 22, 5+14*20)

 exo220Box.Action = (function()
    return
        function()
            local obj = celestia:find("SWEEPS-7");
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2201Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-20), 2, 5+14*20)

 exo2201Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-7/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--------------------------------
 exo221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-8"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-21), 22, 5+14*21)

 exo221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-8");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2211Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-21), 2, 5+14*21)

 exo2211Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-8/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo222Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-9"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-22), 22, 5+14*22)

 exo222Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-9");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2221Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-22), 2, 5+14*22)

 exo2221Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-9/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo223Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-10"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-23), 22, 5+14*23)

 exo223Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-10");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            radians = math.rad(8)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-23), 2, 5+14*23)

 exo2231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-10/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo224Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-11"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-24), 22, 5+14*24)

 exo224Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-11");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2241Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-24), 2, 5+14*24)

 exo2241Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-11/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo225Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-12"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-25), 22, 5+14*25)

 exo225Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-12");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) ();
----------------------------------
 exo2251Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-25), 2, 5+14*25)

 exo2251Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-12/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------
 exo226Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-13"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-26), 22, 5+14*26)

 exo226Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-13");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2261Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-26), 2, 5+14*26)

 exo2261Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-13/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo227Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-14"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-27), 22, 5+14*27)

 exo227Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-14");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2271Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-27), 2, 5+14*27)

 exo2271Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-14/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--------------------------------
 exo228Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-15"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-28), 22, 5+14*28)

 exo228Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-15");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
----------------------------------
 exo2281Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-28), 2, 5+14*28)

 exo2281Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-15/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--------------------------------
 exo229Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("SW.-16"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-29), 22, 5+14*29)

 exo229Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-16");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) ();
---------------------------------
 exo2291Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-29), 2, 5+14*29)

 exo2291Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWEEPS-16/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(1250);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) (); 
--=================
 exo230Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(-3, 9)
    :text(_("SWIFT.2508"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-30), 22, 5+14*30)

 exo230Box.Action = (function()
    return 
           function()      
           local obj = celestia:find("SWIFT J1756.9-2508");            
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(50);
            radians = math.rad(120)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------
 exo2301Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-30), 2, 5+14*30)

 exo2301Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("SWIFT J1756.9-2508/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
            celestia:settimescale(50);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo231Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-31), 22, 5+14*31) 

 exo231Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2311Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-31), 2, 5+14*31)

 exo2311Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-1 (parent star)/TrES-1");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo232Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-32), 22, 5+14*32) 

 exo232Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2321Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-32), 2, 5+14*32)

 exo2321Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo233Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("TrES-1"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-33), 22, 5+14*33) 

 exo233Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-1 (parent star)");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(4000);
            radians = math.rad(20)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2331Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("..1"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-33), 2, 5+14*33)

 exo2331Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-1 (parent star)/TrES-1");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo234Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("TrES-2"))
    :movable(false)
    :active(true) 
   :attach( exoFrame, 80, 2+14*(gg-34), 22, 5+14*34) 

 exo234Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-2 (parent star)");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) (); 
 --------------------------------
 exo2341Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("..2"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-34), 2, 5+14*34)

 exo2341Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-2 (parent star)/TrES-2");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--================
 exo235Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("TrES-3"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-35), 22, 5+14*35) 

 exo235Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-3 (parent star)");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2351Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("..3"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-35), 2, 5+14*35)

 exo2351Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-3 (parent star)/TrES-3");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo236Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1) 
    :textpos("left")    
    :movetext(0, 9)
    :text(_("TrES-4"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-36), 22, 5+14*36) 

exo236Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-4 (parent star)");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(5000);
            radians = math.rad(10)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2361Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("..4"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-36), 2, 5+14*36)

 exo2361Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("TrES-4 (parent star)/TrES-4");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo237Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color6)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
   :attach( exoFrame, 80, 2+14*(gg-37), 22, 5+14*37) 

 exo237Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2500);
            radians = math.rad(15)
            obs:setfov(radians)
            end
        end
    end) (); 
 --------------------------------
 exo2371Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_(""))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-37), 2, 5+14*37)

 exo2371Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo238Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)  
    :textpos("left")    
    :movetext(0, 9)
    :text(_("WASP-18"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-38), 22, 5+14*38) 

 exo238Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("WASP-18");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(2500);
            radians = math.rad(7)
            obs:setfov(radians)
            end
        end
    end) (); 
 ---------------------------------
 exo2381Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont)  
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-38), 2, 5+14*38)

 exo2381Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("WASP-18/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(2500);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================
 exo239Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)
    :textfont(smallfont) 
    :textcolor(color1)   
    :textpos("left")    
    :movetext(0, 9)
    :text(_("2M1207"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 80, 2+14*(gg-39), 22, 5+14*39) 

 exo239Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2M1207");           
            celestia:select(obj);
            local sel = celestia:getselection();
            if not(empty(sel)) then
               obs:follow(sel);
               obs:goto(sel);
            celestia:settimescale(1000);
            radians = math.rad(4)
            obs:setfov(radians)
            end
        end
    end) (); 
---------------------------------
 exo2391Box = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor(cbubordoff)      
    :textfont(smallfont) 
    :textcolor(color6)   
    :textpos("center")    
    :movetext(3, 9)
    :text(_("b"))
    :movable(false)
    :active(true) 
    :attach( exoFrame, 138, 2+14*(gg-39), 2, 5+14*39)

 exo2391Box.Action = (function()
    return 
           function()      
            local obj = celestia:find("2M1207/b");           
            celestia:select(obj);
            local obj = celestia:getselection();          
            if not(empty(obj)) then
               obs:follow(obj);
               obs:center(obj);
               obs:goto(obj);
            celestia:settimescale(100000000);
            radians = math.rad(45)
            obs:setfov(radians)
            end
        end
    end) ();
--=================