--======================================
-- ViDiBaBox.lua
-- Author - Vincent Giangiulio a.k.a Vincent
-- Edit by Joёl a.k.a Jogad 
-- Integration by Lygin Gennady a.k.a Croc 21.12.2013 и  28.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
--======================================
require "config"  -- new Jogad (здесь и далее 28.08.2016)
require "locale";
require "closeButton";
require "scrollButton";

----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth1, newheight1;
--local locLabelBoxWidth, locLabelBoxHeight = 100, 20; -- unselected by Gironde 13-04-2017
--local featureSizeBoxWidth, featureSizeBoxHeight = 146, 43; -- unselected by Gironde 13-04-2017

-- Set the height of the ViDiBa window.
local vidiba_list_nlines = vidiba_list_nlines or 4; -- value from config.lua -- new Jogad -- edited by Gironde 13-04-2017
local nViDiBa = table.getn(ViDiBa); -- 40
local nViDiBaLinesMax = math.max(4, math.min(vidiba_list_nlines, nViDiBa)); -- 21 -- edit Jogad -- edited by Gironde 13-04-2017
local ViDiBaFrameWidth, ViDiBaFrameHeight = 250, 50+ (20 * nViDiBaLinesMax); -- 250, 470 edit Jogad
local ViDiBaScrollbarFrameW, ViDiBaScrollbarFrameH = 9, ViDiBaFrameHeight - 50 - 20; -- 9, 460 -- edit Jogad
local nViDiBaLines = nViDiBa; -- 40 -- edit Jogad
local ViDiBaScroll = 0; -- edit Jogad
local ViDiBaScrollCoeff = 6; -- edit Jogad
local ViDiBaScrollbarBoxH = 0; -- edit Jogad
--local minFeatureSize = celestia:getminfeaturesize(); -- unselected by Gironde 13-04-2017
local vidibaLeftOffset= 10; -- edit Croc -- edited by Gironde 13-04-2017
local addvidibaBox = {}; -- edit Jogad -- edited by Gironde 13-04-2017
local addvidibaCheckBox= {}; -- edit Jogad -- edited by Gironde 13-04-2017
local addvidibaVisible= {}; -- edit Jogad -- edited by Gironde 13-04-2017
local addvidibaLabelColor = {}; -- edit Jogad -- edited by Gironde 13-04-2017

--[[ -- for features -- unselected by Gironde 13-04-2017
-- Disable all Location types.
local obs = celestia:getobserver();
local locFlags = obs:getlocationflags();
for k, v in pairs(locFlags) do
    locFlags[k] = false;
    obs:setlocationflags(locFlags);
end
]]

local ViDiBa_firstTickDone = false   -- edit Jogad -- edited by Gironde 13-04-2017
local ViDiBaCloseButtonDone = false   -- edit Jogad

-- Enable Location labels.
--celestia:setlabelflags{locations = true} -- unselected by Gironde 13-04-2017

----------------------------------------------
-- Define local functions -- not used in ViDiBaBox see setVidibaCheckBoxText
----------------------------------------------
--[[local setCheckBoxText = function(box, flag)
    if flag then
        box.Text = "v";
    else
        box.Text = "";
    end
end
]]
local setVidibaCheckBoxText = function(box, k, flag) -- edited by Gironde 13-04-2017
    if flag then
        box[k].Text = "v";
    else
        box[k].Text = "";
    end
end

----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------

-- comand's button --------------------------------------------------
ViDiBaBox = CXBox:new()                                         
    :init(0, 0, 0, 0)
    --:fillcolor(cFrameFill)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

--[[ -- unselected, moved in menuLine3Box By Gironde 10-04-2017
setViDiBaButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(smallfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(0, 10)   
    :text(_(" ViDiBa"))
    :movable(false)
    :active(true)   
    :attach(menuLine3Box, -44, 0, 49, 0)

setViDiBaButton.Action = function()
	ViDiBaFrame.Visible = not(ViDiBaFrame.Visible)
	if ViDiBaFrame.Visible then
		ViDiBaFrame:orderfront()
                setViDiBaButton.Bordercolor = {1,0,0,.6}
	else
		setViDiBaButton.Bordercolor = {0.2,0.8,1,.6}  
	end
end
]]

-- frame --------------------------------------------------

ViDiBaFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :fillcolor(csetbofill)
    :bordercolor(cbubordoff)
    :movable(true)
    :visible(false)
    :attach(screenBox, width/2+1, height-ViDiBaFrameHeight-2, width/2-ViDiBaFrameWidth-3, 2)


ViDiBaFrame.Customdraw = function(this)
            textlayout:setfont(normalfont);
            textlayout:setfontcolor({0,1,0,0.8});  
            textlayout:setpos(this.lb+vidibaLeftOffset, this.tb-20);
            textlayout:println(_("ViDiBa visibility:"));

        if ViDiBa_firstTickDone then -- edited by Gironde 13-04-2017
            if not(ViDiBaCloseButtonDone) then
                ViDiBaCloseButtonDone = true;
                makeCloseButton(ViDiBaCloseButton, ViDiBaFrame, setViDiBaButton);
            end
        else
            ViDiBa_firstTickDone = true; -- edited by Gironde 13-04-2017
        end
        if newwidth1 ~= width or newheight1 ~= height then
            newwidth1, newheight1 = width, height;        
            ViDiBaFrame:attach(screenBox, width/2+1, height-ViDiBaFrameHeight-10, width/2-ViDiBaFrameWidth-3, 10)
        end
    end;
---------------------------------------

local makeVidibaBox = function(k, v, vidibaLeftOffset, color) -- edited by Gironde 13-04-2017

addvidibaBox[k] = CXBox:new() -- edited by Gironde 13-04-2017
        :init(0, 0, 0, 0)
        --:bordercolor(cbubordoff)
        --:fillcolor({1,1,0,.2})
        :textfont(normalfont)
        :textcolor(color)
        :movetext(0, 8)    
        :text(_(v))
        :movable(false)
        :attach(ViDiBaFrame, vidibaLeftOffset+15, ViDiBaFrameHeight-25-(20*k), ViDiBaFrameWidth-vidibaLeftOffset-100, 14+(20*k)) -- edited by Gironde 13-04-2017
end

local makeVidibaCheckBox= function(k, vidibaLeftOffset) -- edited by Gironde 13-04-2017
    addvidibaCheckBox[k] = CXBox:new() -- edited by Gironde 13-04-2017
        :init(0, 0, 0, 0)
        :bordercolor(checkBcolor)
        :fillcolor({1,1,0,.2})
        :textfont(smallfont)
        :textcolor(cbutextoff)
        :textpos("center")
        :movetext(0, 10)
        :text("")
        :movable(false)
        :active(true)
        :attach(ViDiBaFrame, vidibaLeftOffset, ViDiBaFrameHeight-25-(20*k), ViDiBaFrameWidth-vidibaLeftOffset-11+2, 14+(20*k)) -- edited by Gironde 13-04-2017
end

for k, v in ipairs(ViDiBa) do

    if pcall( function() require (v) end ) then
        require(v)

        addvidibaLabelColor[k] = cbutextoff;
        if _G[v].labelcolor then
            addvidibaLabelColor[k] = _G[v].labelcolor;
        end

        makeVidibaBox(k, string.gsub(v, "_", " "), vidibaLeftOffset, addvidibaLabelColor[k]);
        makeVidibaCheckBox(k, vidibaLeftOffset);

        local vv, kk = v, k;

        if _G[v].objects then
            addvidibaVisible[k] = celestia:find(_G[v].objects[1]):visible();
        else
            addvidibaVisible[k] = false;
        end

        addvidibaBox[k].Visible = k <= nViDiBaLinesMax;
        addvidibaCheckBox[k].Visible = k <= nViDiBaLinesMax;

        addvidibaCheckBox[k].Customdraw =
            function(this)
                setVidibaCheckBoxText(addvidibaCheckBox, kk, addvidibaVisible[k + ViDiBaScroll]);
                addvidibaBox[k].Text = _(string.gsub(ViDiBa[k + ViDiBaScroll], "_", " "));
                addvidibaBox[k].Textcolor = addvidibaLabelColor[k + ViDiBaScroll];
            end

            addvidibaCheckBox[k].Action = (function()
                return
                    function()
                        local vViDiBaScroll = ViDiBa[k + ViDiBaScroll];
                        addvidibaVisible[k + ViDiBaScroll] = not(addvidibaVisible[k + ViDiBaScroll]);
                        if _G[vViDiBaScroll].objects then
                            for n, obj in pairs(_G[vViDiBaScroll].objects) do
                                local addObj = celestia:find(obj);
                                addObj:setvisible(not addObj:visible());
                            end
                        end

                        if _G[vViDiBaScroll].locationtypes then
                            for n, loctype in pairs(_G[vViDiBaScroll].locationtypes) do
                                addLocType = string.lower(loctype);
                                local obs = celestia:getobserver();
                                local locFlags = obs:getlocationflags();
                                if locFlags[addLocType] ~= addvidibaVisible[k + ViDiBaScroll] then
                                    locFlags[addLocType] = addvidibaVisible[k + ViDiBaScroll];
                                    obs:setlocationflags(locFlags);
                                end
                            end
                        end

                        if _G[vViDiBaScroll].script then
                            local scriptfile = "../ViDiBa/"..vViDiBaScroll.."/".._G[vViDiBaScroll].script;
                            celestia:runscript(scriptfile);
                            if _G[vViDiBaScroll].objects then
                                addvidibaVisible[k + ViDiBaScroll] = celestia:find(_G[vViDiBaScroll].objects[1]):visible();
                                setVidibaCheckBoxText(addvidibaCheckBox, kk, addvidibaVisible[k + ViDiBaScroll]);
                            end
                        end
                    end
                end) ();
    end
end

----------------------------------------------------------------
ViDiBaScrollbarFrame = CXBox:new()
    :bordercolor(cbubordoff) -- 19.03.2017
    --:fillcolor({1, 0, 0, 1})
    :visible(nViDiBaLines > nViDiBaLinesMax)
    :attach(ViDiBaFrame, ViDiBaFrameWidth-ViDiBaScrollbarFrameW-3+2, ViDiBaFrameHeight-40-ViDiBaScrollbarFrameH, 3, 40);

ViDiBaScrollbarFrame.Customdraw =
    function(this)
        -- We add the scrollButton on the second tick
        -- when bounds are getting updated.
        if ViDiBaScroll_firstTickDone then
            if not(ViDiBaScrollButtonDone) then
                ViDiBaScrollButtonDone = true;
                makeScrollButton(ViDiBaScrollUpButton, ViDiBaScrollDownButton, ViDiBaScrollbarFrame);
            end
        else
            ViDiBaScroll_firstTickDone = true;
        end

        local lb3,bb3,rb3,tb3 =ViDiBaScrollbarFrame:bounds();
        local lb4,bb4,rb4,tb4 = ViDiBaScrollbarBox:bounds();
        ViDiBaScroll = math_round((tb3-tb4-3)/ViDiBaScrollCoeff);
        ViDiBaScrollbarFrame:attach(ViDiBaFrame, ViDiBaFrameWidth-ViDiBaScrollbarFrameW-3+2, ViDiBaFrameHeight-40-ViDiBaScrollbarFrameH, 3, 40);
    end

ViDiBaScrollbarBox = CXBox:new()
    :bordercolor(checkBcolor)
    :fillcolor(cscrollfill)
    :visible(true)
    :movable(true)
    :attach(ViDiBaScrollbarFrame, 0, (nViDiBaLines-nViDiBaLinesMax)*ViDiBaScrollCoeff, 0, 3)

------------------------------------------------------------------------------------------------------