--======================================
-- addsBox.lua : List of addons: special renders and celx
-- Author - Vincent Giangiulio a.k.a Vincent
-- Edit by Joёl a.k.a Jogad 
-- Integration by Lygin Gennady a.k.a Croc 21.12.2013 и  28.08.2016
-- Edit by Patrick Ziegler a.k.a. Gironde 07-04-2017
--======================================
require "config"  -- new Jogad (здесь и далее 28.08.2016)
require "locale";
require "closeButton";
require "scrollButton";

----------------------------------------------
-- Set initial values
----------------------------------------------
local newwidth1, newheight1;

-- local variables
local addon_list_nlines = addon_list_nlines or 4; 									-- value from config.lua -- new Jogad
local nadds = table.getn(adds);                   									-- create table of addon
local nAddsLinesMax = math.max(4, math.min(addon_list_nlines, nadds)); 				-- number of lines in future list edit Jogad
--local addsFrameWidth, addsFrameHeight = 250, 110 + (20 * nAddsLinesMax); 			-- dimensions of frame edit Jogad
local addsFrameWidth, addsFrameHeight = 250, 50 + (20 * nAddsLinesMax);
--local addsScrollbarFrameW, addsScrollbarFrameH = 9, addsFrameHeight  - 110 - 20; 	-- dimensions of ScrollbarFrame edit Jogad
local addsScrollbarFrameW, addsScrollbarFrameH = 9, addsFrameHeight  - 50 - 20;
local nAddsLines = nadds; 		-- save nadds edit Jogad
local addsScroll = 0; 			-- first position of scrollbar edit Jogad
local addsScrollCoeff = 6; 		-- coeff. of deplacement of scrollbar/list edit Jogad
local addsScrollbarBoxH = 0; 	-- height of scrollbarBox edit Jogad
local addLeftOffset = 10; -- edit Croc
local addBox = {}; -- edit Jogad
local addCheckBox = {}; -- edit Jogad
local addVisible = {}; -- edit Jogad
local addLabelColor = {}; -- edit Jogad

--[[ -- for features
-- Disable all Location types.
local obs = celestia:getobserver();			-- position observer on celestia
local locFlags = obs:getlocationflags();	    -- Recovers the flags of locations (features)
for k, v in pairs(locFlags) do
    locFlags[k] = false;
    obs:setlocationflags(locFlags);
end
]]

local adds_firstTickDone = false         -- edit Jogad
local closeButtonDone = false   -- edit Jogad

celestia:setlabelflags{locations = true} -- Enable Location labels.

-- function used in ViDiBaBox, renderBox and addsBox
local setCheckBoxText = function(box, k, flag) -- Function used to query the render table displayed and to check the box
   if flag then
        box[k].Text = "v";
    else
        box[k].Text = "";
    end
end
----------------------------------------------
-- Set up and Draw the boxes
----------------------------------------------

-- command' button --------------------------------------------------------

addsBox = CXBox:new()
    :init(0, 0, 0, 0)
    --:bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :movable(false)
    :attach(screenBox, width, height, 0, 0)

--[[
setAddsButton = CXBox:new()
    :init(0, 0, 0, 0)
    :bordercolor({0.2,0.8,1,.6})
    :fillcolor(cFrameFill)
    :textfont(normalfont)
    :textcolor({0.2,0.8,1,1})
    :textpos("left")
    :movetext(-1, 8)
    :text(_("Set Addon Vis."))
    :movable(false)
    :active(true)
    :attach(menuLine2Box, -93, 0, 0, 0)

setAddsButton.Action = function()
	addsFrame.Visible = not(addsFrame.Visible)
	if addsFrame.Visible then
		addsFrame:orderfront()
		setAddsButton.Bordercolor = {1,0,0,.6}
	else
		 setAddsButton.Bordercolor = {0.2,0.8,1,.6}  --cbubordoff
	end
end
]]
-- frame ------------------------------------------------------------------------------------

addsFrame = CXBox:new()
    :init(0, 0, 0, 0)
    :fillcolor(csetbofill)
    :bordercolor(cbubordoff)
    :movable(true)
    :visible(false)
    :attach(screenBox, (width/2-addsFrameWidth)-3, height-addsFrameHeight-2, width/2+3, 2)

addsFrame.Customdraw = function(this)
            textlayout:setfont(normalfont);
            textlayout:setfontcolor({0,1,0,0.8});  
            textlayout:setpos(this.lb+addLeftOffset, this.tb-20);
            textlayout:println(_("ADDONS visibility:"));

		if adds_firstTickDone then
            if not(closeButtonDone) then
                closeButtonDone = true;
                makeCloseButton(addsCloseButton, addsFrame, setAddsButton);
            end
        else
            adds_firstTickDone = true;
        end
        if newwidth1 ~= width or newheight1 ~= height then
            newwidth1, newheight1 = width, height
            addsFrame:attach(screenBox, (width/2-addsFrameWidth)-3, height-addsFrameHeight-10, width/2+3, 10)
	    end	
    end;
---------------------------------------

local makeAddBox = function(k, v, addleftOffset, color) -- edited by Gironde 13-04-2017

addBox[k] = CXBox:new()
        :init(0, 0, 0, 0)
        --:bordercolor(cbubordoff)
        --:fillcolor({1,1,0,.2})
        :textfont(normalfont)
        :textcolor(color)
        :movetext(0, 8)    
        :text(_(v))
        :movable(false)
        :attach(addsFrame, addLeftOffset+15, addsFrameHeight-25-(20*k), addsFrameWidth-addLeftOffset-100, 14+(20*k)) -- edited by Gironde 13-04-2017
end

local makeAddCheckBox = function(k, addleftOffset)
    addCheckBox[k] = CXBox:new()
        :init(0, 0, 0, 0)
        :bordercolor(checkBcolor)  -- :bordercolor(cbubordoff)
        :fillcolor({1,1,0,.2})
        :textfont(smallfont)
        :textcolor(cbutextoff)
        :textpos("center")
        :movetext(0, 10)
        :text("")
        :movable(false)
        :active(true)
        :attach(addsFrame, addLeftOffset, addsFrameHeight-25-(20*k), addsFrameWidth-addLeftOffset-11, 14+(20*k)) -- edited by Gironde 13-04-2017
end

for k, v in ipairs(adds) do

    if pcall( function() require (v) end ) then
        require(v)

        addLabelColor[k] = cbutextoff;
        if _G[v].labelcolor then
            addLabelColor[k] = _G[v].labelcolor;
        end

        makeAddBox(k, string.gsub(v, "_", " "), addLeftOffset, addLabelColor[k]);
        makeAddCheckBox(k, addLeftOffset);

        local vv, kk = v, k;

        if _G[v].objects then
            addVisible[k] = celestia:find(_G[v].objects[1]):visible();
        else
            addVisible[k] = false;
        end

        addBox[k].Visible = k <= nAddsLinesMax;
        addCheckBox[k].Visible = k <= nAddsLinesMax;

        addCheckBox[k].Customdraw =
            function(this)
                setCheckBoxText(addCheckBox, kk, addVisible[k + addsScroll]); -- setAddCheckBoxText or setCheckBox2Text
                addBox[k].Text = _(string.gsub(adds[k + addsScroll], "_", " "));
                addBox[k].Textcolor = addLabelColor[k + addsScroll];
            end

            addCheckBox[k].Action = (function()
                return
                    function()
                        local vAddsScroll = adds[k + addsScroll];
                        addVisible[k + addsScroll] = not(addVisible[k + addsScroll]);
                        if _G[vAddsScroll].objects then
                            for n, obj in pairs(_G[vAddsScroll].objects) do
                                local addObj = celestia:find(obj);
                                addObj:setvisible(not addObj:visible());
                            end
                        end

                        if _G[vAddsScroll].locationtypes then
                            for n, loctype in pairs(_G[vAddsScroll].locationtypes) do
                                addLocType = string.lower(loctype);
                                local obs = celestia:getobserver();
                                local locFlags = obs:getlocationflags();
                                if locFlags[addLocType] ~= addVisible[k + addsScroll] then
                                    locFlags[addLocType] = addVisible[k + addsScroll];
                                    obs:setlocationflags(locFlags);
                                end
                            end
                        end

                        if _G[vAddsScroll].script then
                            local scriptfile = "../adds/"..vAddsScroll.."/".._G[vAddsScroll].script;
                            celestia:runscript(scriptfile);
                            if _G[vAddsScroll].objects then
                                addVisible[k + addsScroll] = celestia:find(_G[vAddsScroll].objects[1]):visible();
                                setCheckBoxText(addCheckBox, kk, addVisible[k + addsScroll]); -- setAddCheckBoxText or setCheckBox2Text
                            end
                        end
                    end
                end) ();
    end
end

----------------------------------------------------------------
addsScrollbarFrame = CXBox:new()
    :bordercolor(cbubordoff)  -- réactivé
    --:fillcolor({1, 0, 0, 1})
    :visible(nAddsLines > nAddsLinesMax)
    :attach(addsFrame, addsFrameWidth-addsScrollbarFrameW-3, addsFrameHeight-40-addsScrollbarFrameH, 3, 40);

addsScrollbarFrame.Customdraw =
    function(this)
        -- We add the scrollButton on the second tick
        -- when bounds are getting updated.
        if addsScroll_firstTickDone then
            if not(addsScrollButtonDone) then
                addsScrollButtonDone = true;
                makeScrollButton(addsScrollUpButton, addsScrollDownButton, addsScrollbarFrame);
            end
        else
            addsScroll_firstTickDone = true;
        end

        local lb3,bb3,rb3,tb3 =addsScrollbarFrame:bounds();
        local lb4,bb4,rb4,tb4 = addsScrollbarBox:bounds();
        addsScroll = math.ceil((tb3-tb4-3)/addsScrollCoeff); -- math_round
        addsScrollbarFrame:attach(addsFrame, addsFrameWidth-addsScrollbarFrameW-3, addsFrameHeight-40-addsScrollbarFrameH, 3, 40);
    end

addsScrollbarBox = CXBox:new() -- cursor of scrollbar
    :bordercolor(checkBcolor) -- cbubordoff
    :fillcolor(cscrollfill)
    :visible(true)
    :movable(true)
    :attach(addsScrollbarFrame, 0, (nAddsLines-nAddsLinesMax)*addsScrollCoeff, 0, 3)
--[[
--======================================
-- featureSizabox : container adds frame
-- Author - Vincent Giangiulio a.k.a Vincent
-- Edit by Joёl a.k.a Jogad 
-- Integration by Lygin Gennady a.k.a Croc 21.12.2013 и  28.08.2016
--======================================

-- There is no method to retrieve or change the cursor position in Celestia feature window
-- Only the number size

-----------------------------------------------
-- Set initial values
-----------------------------------------------

local featureSizeBoxWidth, featureSizeBoxHeight = 146, 43;
--local minFeatureSize = celestia:getminfeaturesize(); -- recuperation Celestia flag for size-mini of features 
local featureSizeTrackFrameW = 130;  	-- width of Track of feature (frame) edit Jogad
local featureSizeCursorFrameW = 12;  		-- width of cursor of feature
local featureSizeCursorMargin = 3;  	-- margin of cursor
local featureSizePosMax = featureSizeTrackFrameW - featureSizeCursorFrameW - (2 * featureSizeCursorMargin); 	-- position max of cursor
local featureSizePos = math.ceil(celestia:getminfeaturesize() / 100 * featureSizePosMax); 								-- fixe the actual position of cursor edit Jogad

local locLabelFrameWidth, locLabelFrameHeight = 100, 20;

-----------------------------------------------
-- set up and draw the box
-----------------------------------------------

featureSizeBox = CXBox:new()
    :init(0, 0, 0, 0)
    --:bordercolor({1, 1, 0, 1})
    --:fillcolor({1,1,0,.2})
    :movable(false)
    :attach(addsFrame, addLeftOffset-7, 25, addsFrameWidth-featureSizeBoxWidth-addLeftOffset+7, addsFrameHeight-featureSizeBoxHeight-25);

featureSizeBox.Customdraw =
    function(this)
        local minFeatureSize = celestia:getminfeaturesize();
        textlayout:setpos(this.lb+7, this.tb-15);
        textlayout:setfont(normalfont);
        textlayout:setfontcolor(ctext);
        minFeatureSize_str = string.format("%1.0f", math.floor(minFeatureSize));
        textlayout:println(_("Minimum Feature Size:")..' '..minFeatureSize_str);
    end;
------------------------------- feature Track of adjusting tool --------------------------------
featureSizeTrackFrame = CXBox:new()
    --:bordercolor(cslidefrbord)
    --:fillcolor({.2,.2,.6,.1})
    :attach(featureSizeBox, 8, 8, 8, 24)
    :visible(true)

featureSizeTrackFrame.Customdraw =
    function(this)
        featureSize_lb = featureSizeTrackFrame.lb;
        featureSize_lb2 = featureSizeCursorFrame.lb;
        featureSizeValue = 100 * math.ceil(featureSize_lb2 - featureSize_lb - featureSizeCursorMargin) / featureSizePosMax; -- math.ceil
        if featureSizeValue < 1 then
            featureSizeValue = 1;
        end
        if lastFeatureSizeValue ~= featureSizeValue and not(featureSize_FirstTickDone) then
            -- The cursor has been moved; set the new Minimum Feature Size value.
            lastFeatureSizeValue = featureSizeValue;
            celestia:setminfeaturesize(featureSizeValue);
        end
        featureSize_FirstTickDone = false;
    end;
---------------------------------- feature cursor of adjusting tool -------------------------------------

featureSizeCursorBox = CXBox:new() --- cursor of scrollbar feature
    :bordercolor(cslidefrbord)
    --:fillcolor({.2,.2,.6,.1})
    :visible(true)
    :attach(featureSizeTrackFrame, 2, 4, 2, 4)


featureSizeCursorFrame = CXBox:new() -- cursor of scrollbar feature
    :bordercolor(checkBcolor)  --cslidebobord
    :fillcolor(cslidebofill)
    :visible(true)
    :movable(true)
    :attach(featureSizeTrackFrame, featureSizeCursorMargin+featureSizePos, 0, featureSizeTrackFrameW-featureSizeCursorMargin-featureSizePos-featureSizeCursorFrameW, 0);

featureSizeCursorBox.Masked = featureSizeCursorFrame;

featureSizeCursorFrame.Customdraw =
    function(this)
        local minFeatureSizebefore = celestia:getminfeaturesize();
        if lastMinFeatureSize ~= minFeatureSizebefore then
            -- Minimum Feature Size has been changed;
            -- set the new position of the cursor.
            lastMinFeatureSize = minFeatureSizebefore;
            featureSizePos = math.ceil(minFeatureSizebefore / 100 * featureSizePosMax); -- math_round
            featureSizeCursorFrame:attach(featureSizeTrackFrame, featureSizeCursorMargin+featureSizePos, 0, 
                                                        featureSizeTrackFrameW-featureSizeCursorMargin-featureSizePos-featureSizeCursorFrameW, 0);
        end
    end;

------------------------------ locLabel frame and his check box-----------------------------------------

locLabelFrame = CXBox:new()
    :init(0, 0, 0, 0)
    --:bordercolor({1, 1, 0, 1})
    --:fillcolor({1,1,0,.2})
    :textfont(normalfont)
    :textcolor(ctext)
    :movetext(18, 3)
    :text(_("Label Features"))
    :movable(false)
    :attach(addsFrame, addLeftOffset-2, 10, 
                addsFrameWidth-locLabelFrameWidth-addLeftOffset+2, addsFrameHeight-locLabelFrameHeight-10);

locLabelCheckFrame = CXBox:new()
        :init(0, 0, 0, 0)
        :bordercolor(checkBcolor)  --cbubordoff
        --:fillcolor({1,1,0,.2})
        :textfont(smallfont)
        :textcolor(cbutextoff)
        :textpos("center")
        :movetext(0, 10)
        :text("")
        :movable(false)
        :active(true)
        :attach(locLabelFrame, 2, 4, 87, 5)

locLabelFrame.Customdraw =
    function(this)
        if locLabelFlag ~= celestia:getlabelflags().locations then -- flag as changed
            locLabelFlag = celestia:getlabelflags().locations;
        end
        
        if celestia:getlabelflags().locations then -- replace local setCheckBoxText function(box, flag) called only once
            locLabelCheckFrame.Text = "v";
        else
            locLabelCheckFrame.Text = "";
        end                              
    end;

locLabelCheckFrame.Action = (function()
        return
            function()
                local labelFlagTable = celestia:getlabelflags();
                labelFlagTable.locations = not(labelFlagTable.locations)
                celestia:setlabelflags(labelFlagTable);
            end
        end) ();
        
]]